Trading Platform

Trading Platform Next

Trading Platform — User Manual

The Trading Platform is the trader's working tool, providing all the necessary features for a successful online trading. It includes trading, technical analysis of prices and fundamental analysis, automated trading and trading from mobile devices. In addition to Forex symbols, options futures and stocks can be traded from the platform.

All Types of Orders, Price Charts, Technical and Fundamental Analysis, Algorithmic and Mobile Trading

A platform for trading in the financial markets

Trading

The platform provides a wide set of trading tools.

It supports four order execution modes: Instant, Request, Market and Exchange execution.

All types of orders are available in the platform, including market, pending and stop-orders. With such a diversity of order types and available execution modes, traders can implement various trading strategies for successful performance in the currency markets and stock exchanges.

The platform also features One-Click Trading and provides functions for trading straight from the chart.

Find out more >>

Trading Platform Features

Analytical functions in the trading platform a

Analytics

The trading platform provides powerful analytical functions. 82 different analytical tools are available for analyzing currency and stock prices, including technical indicators and graphical objects.

The analytical resources of the trading platform are not limited to the built-in indicators only. The trader can additionally use the free Code Base of technical indicators and the Market of trading applications.

There are 21 timeframes, from a minute to a month one, available for each financial instrument. Up to 100 charts of financial instruments can be open at the same time.

Find out more >>

Algorithmic Trading

Virtually any trading strategy can be formalized and implemented in the form of an Expert Advisor, which can automatically trade for you. A trading robot never gets tired or suffers from stress; it accurately follows its algorithm and is much more responsive to market changes.

The trading platform provides all the necessary tools for Expert Advisor development: the powerful MQL5 language with an integrated development environment, a multicurrency tester for testing and optimizing strategies, and the Code Base of free trading robots.

Find out more >>

Algorithmic trading using automated trading robots

Mobile trading - trade anywhere in the world 24/7

Mobile Trading

Smartphones and tablets are indispensable in trading when you are away from your computer.

Use special trading platform versions on your iPhone/iPad and Android devices to trade in the financial markets on the go.

You will certainly appreciate the functionality of the mobile trading platforms that include the full support for the trading functions, broad analytical capabilities with technical indicators and other graphical objects. Of course, all these features are available from anywhere in the world 24 hours a day.

Use the mobile platform to read financial news and internal emails, as well as for instant messaging with the participants of the most popular website for traders MQL5.community.

Find out more >>

Additional Services

The platform provides powerful trading tools and a variety of additional services.

Social trading is available through the Signals service. This is an easy way to copy deals of experienced traders. Choose from thousands of signal, subscribe in a couple of clicks and the selected provider's deals will be automatically copied to your account.

Market is a store where you can purchase or download for free cutting-edge trading robots and technical indicators. An application can be purchased straight from the platform. The purchase procedure is simple and secure.

If you cannot find the desired app, order one from professional developers in Freelance. The service provides secure cooperation between the customer and the developer — a payment for an application is transferred only after the approval of the resulting program.

To ensure 24/7 operation of your trading robots and copied signals, rent a Virtual Hosting straight from your platform.

Find out more >>

Additional services - copy trading, a store of trading robots, virtual hosting and custom development

© 2000-2018, MetaQuotes Software Corp.


Getting Started

Getting Started

This section contains basic information you need to know to get started with the platform.

Key Elements of the Platform Interface

The trading platform provides a simple and user friendly interface. All commands can be accessed from the main menu, and the most frequently used ones are available on the toolbar. Quotes are displayed in Market Watch, while from the Navigator you can manage technical analysis and algorithmic trading tools.

Key Elements of the Platform Interface

Main Menu

The main menu contains almost all the commands and functions that can be executed in the trading platform. It provides access to operations with charts, analytical tools, platform settings and other features. The main menu consists of the following items: File, View, Inset, Charts, Tools, Window, Help.File, View, Inset, Charts, Tools, Window, Help.

Toolbars

The platform has three built-in toolbars: Standard, Line Studies and Periodicity. The toolbars contain duplicated commands and functions of the main menu. However, the toolbars are customizable, and you can add the most frequently used controls there.

Market Watch

The Market Watch window provides access to the price data of financial instruments: prices, statistics and tick charts. Contract specifications and one-click trading features can also be accessed from this window.

Navigator

The Navigator allows switching between accounts and provides functions for running trading robots and indicators. It contains a list of applications purchased from the Market and downloaded from the Code Base. From the navigator, users can rent a virtual platform to provide round-the-clock operation of Expert Advisors and trading Signals.

Chart

The essence of technical analysis is studying price charts of financial instruments using technical indicators and analytical objects. Charts in the platform have a variety of settings, so that traders can customize them and adapt to their personal needs. Every chart can be displayed with 21 timeframes from one minute (M1) to one month (MN1).

Toolbox

Toolbox is a multifunctional window that provides functions for working with trade positions, news, account history, alerts, internal mailbox, program logs and expert journals. Additionally, from the Toolbox you can open and modify various orders and manage trade positions.

Find out more >>

How to Open a Demo Account

Demo accounts provide the opportunity to work in a training mode without real money, allowing to test a trading strategy. To open a demo account you need to select a trading server and specify registration data.

To open an account, select the server and specify registration data

After you have opened an account, the platform connects to a server. You can now work in the platform.

Find out more >>

How to Make the First Trade

On the demo account, you can practice you trading skills without risking real money. Try to make your first trade.

Select a financial instrument in the Market Watch window, open its context menu, and click "New Order."

To execute a trade, click New Order, then Buy or Sell

To execute a Sell trade, click "Sell". For a Buy trade click "Buy".

Find out more >>

Additional Trading Opportunities

The MQL5.community features multiple useful services — from automated copy trading to the possibility of purchasing ready-made trading robots from the Market and running them 24/7 on a virtual platform.

Traders community at MQL5.community provides useful services: application store, copy trading, hosting and freelance

MQL5.community provides access to the following services:

  • Market — the store of applications for the trading platform. Find here free and paid trading robots, technical indicators, and other useful tools that will help you work on the financial markets.
  • Signals — copy trades of professional traders directly to your account automatically. Choose from multiple providers and subscribe in just a few clicks.
  • Virtual Hosting — with a MQL5.community account, you can rent a virtual hosting straight from the platform to run your trading robot or to copy signals. Virtual platforms are located on special hosting servers to ensure uninterrupted operation 24 hours a day.
  • Freelance — if you cannot find the desired application in the Code Base or Market, order one from a professional developer in the Freelance section of MQL5.community website.

Register an account now. Go to the registration page and specify the desired username and your email. A confirmation email will be sent to the specified address. Click on the link and access all the services of MQL5.community. Specify the account in the trading platform settings.


User Interface

Getting Started / User Interface

User Interface

The platform interface provides access to all the necessary tools for trading in the financial markets. It includes various menus, toolbars, and service windows.

Trading Platform interface

Main Menu

The main menu contains almost all commands and functions that can be executed in the trading platform. It provides access to operations with charts, analytical tools, platform settings and other features. The main menu consists of the following items: File, View, Inset, Charts, Tools, Window, Help.

Toolbars

The platform has three built-in toolbars: Standard, Line Studies and Periodicity. The toolbars contain duplicated commands and functions of the main menu. However, these commands are customizable, so one can collect only mostly used widgets in them.

Market Watch

The Market Watch window provides access to the price data of financial instruments: prices, statistics and tick charts. It also provides details of contract specifications and One Click Trading options

Navigator

The Navigator allows switching between accounts and provides functions for running trading robots and indicators. It contains a list of applications purchased from the Market and downloaded from the Code Base. From the navigator, users can rent a virtual platform to provide round-the-clock operation of Expert Advisors and trading Signals.

Chart

The essence of technical analysis is studying price charts of financial instruments using technical indicators and analytical objects. Charts in the platform have a variety of settings, so that traders can customize them and adapt to their personal needs. Every chart can display 21 timeframes from one minute (M1) to one month (MN1).

Chart Switch Bar

The chart selection bar provides quick access to open chart windows.

Status Bar

The status bar contains additional details: server connection indication, the name of an active template and profile, as well as command prompts and price data.

Toolbox

Toolbox is a multifunctional window that provides functions for working with trade positions, news, account history, alerts, internal mailbox, program logs, and expert journals. Additionally, from the Toolbox you can open and modify various orders and manage trade positions.

Company

A broker may choose to show a useful web resource here, for example a support website. Any link added here opens in a separate web browser window.

This tab is hidden if the web page is disabled by the broker.

The trading platform interface is highly customizable. You can choose to display only the tools that you currently need. For example, you can hide Market Watch and Navigator, and show the Depth of Market and Data Window.

Trading Platform Interface

Search

The trading platform provides the smart high-performance Search system to help you find required information in the MQL5.community — a community of traders and MQL5 developers. The MQL5.community resource contains documentation, trading forum, blogs of traders and analysts, as well as articles about programming and terminal use.

The community provides access to the huge Code Base and the store of applications for the platform. Trading operations of professional traders can be copied through the online Signals service.

MQL5.community Chat

Chat with you friends and fellow traders on MQL5.community straight from the trading platform. The chat maintains the history of messages, as well as it features the number of unread messages. To start a chat, log in to your MQL5 account directly from the chat window or via the platform settings: 'Tools' -> 'Options' -> 'Community'.

Data Window

The data window features accurate price information, as well as currently used indicators and Expert Advisors at the selected point of the chart.

Depth of Market

The Depth of Market displays information about buy and sell orders for a security at the best prices (closest to the market price). The Depth of Market also includes a tick chart, on which the Time&Sales data of deals is displayed. Deals appear as colored circles. The color shows the direction, the size means the volume of a deal.

Fast Navigation Bar

This bar provides functions for quick chart operations. It allows moving a chart along the time axis, as well as changing its timeframe or the symbol. Double-click and type the required symbol, timeframe, and date.

Account and Chart Details

The platform header contains information about the current account number, application name, as well as the active chart name and its timeframe.

Search

The trading platform provides the smart and high-performance Searching through the MQL5.community — a community of traders and MQL5 developers. The site contains all kinds of useful information: documentation, forum, blogs of traders and analysts, articles related to programming and platform use. The community provides access to the huge source code database and the application store for the platform. You can also copy deals of professional traders through the Signals service.

Find required information in the Market, Signals, Documentation, Forum or articles by simply typing a search word

As you type in your search query, the search engine instantly offers matching options. Select the desired phrase from the list and press Enter or [image] button. In order to search by one of the previous queries, place the cursor to the box and press the Down Arrow key to open the search history.

Search results are displayed in a separate Search tab of the Toolbox window. The system selects the most relevant results and conveniently arranges them by categories:

The results are conveniently grouped in sections

To open the found item, left-click on its title. Use the top panel to view the search results found in Market products, Code Base, Signals, MQL5.community Forum and Documentation.


Open an Account

Getting Started / Open an Account

Open an Account

Two types of accounts are available in the trading platform: demonstration (demo) and real. Demo accounts provide the opportunity to work in a training mode without real money, allowing to test a trading strategy. They feature all the same functionality as the live ones. The difference is that demo accounts can be opened without any investment and, therefore, one cannot expect to profit from them.

Demo Account Opening

Click " Open an Account Open an Account" in the File menu or in the context menu of the Navigator window.

Select a server to open an account

The account opening procedure consists of several steps:

Select a Server

A broker is selected during the first step. If the desired company is not shown in the list, please type its name and click "Find your broker". Alternatively, you can type the address of the server instead of the company name. Once you find the desired company, select it and click "Next".

If the brokers list becomes too long, you can delete unnecessary companies by pressing the "Delete" key.

Account Type

Enter the details of your existing account or create a new one.

Choose account type

Choose this option to connect to an existing trading account. You will need to specify the account number, the password and the server name.

Select this option to open a demo account. Demo accounts help users learn trading and test trading strategies. All trading operations only involve virtual money.

Select this option to request opening of a real account. Trading operations are performed using real money on such accounts, therefore you will need to provide broker detailed information about yourself, as well as ID and proof of address documents. The broker will check provided information and contact you to complete the account opening procedure.

Personal Details

Enter your personal details:

Personal Details

  • First name — the name of the user consisting of at least two characters.
  • Second name — the second name (surname) of the user consisting of at least two characters.
  • Email — email address, e.g. "smith@company.net".
  • Phone — contact phone number in international format. Example: +74951234567.

Account Parameters

  • Use hedge in trading — enable the option if you want to open an account with the hedging position accounting system, which allows having multiple open positions of the same symbol, including opposite positions. Otherwise an account with the netting system will be opened. The option affects account types available for selection.
  • Account Type — select a type from the drop down list.
  • Deposit — the initial deposit in the basic currency. Selected from a drop down list.
  • Currency — this field cannot be edited, the deposit currency is indicated here. This parameter depends on the account type specified.
  • Leverage — ratio between borrowed and owned funds for trading; Select one of the available variants from the drop down list.

Links to broker's agreements are shown in this block. Read them carefully. The number of links and types of agreements available depend on the selected broker.

If you agree with account opening terms and the broker's data protection policy, tick the appropriate box and click "Next". After that, the account will be created.

Account Registration

Once an account is created on a selected server, details will be shown in the dialog window:

Account connection details are provided in the last step

The upper part of the window contains brief information about the account; the lower part shows its details:

  • Login — the number of the opened account.
  • Password — a password to access the account. This is a master password, which allows trading from this account.
  • Investor — investor password. The password allows connecting to the account to view its state and analyze price dynamics, but it does not allow trading.

A QR code is shown below, using which you can instantly connect to this account from the mobile platform. Open the mobile application, go to the "New account" section and click "Sign In with QR code". Point your camera at the QR code, and the trading account will be instantly connected, without the need to specify login, password and server values.

Sign in with QR code

After clicking Finish, the newly created account is automatically connected to the trade server. It also appears in the Accounts section of the Navigator window. If you click Cancel in this window, connection to the trade server is not performed and the account is not added to the Navigator window, though it is already created. You can connect to the server later using the account details.

If you have any problems with registration, please contact your broker's technical support team.

Live Account Opening

Directly from the trading platform, you can send a request to open a live account, on which you can trading using real money. You will need to fill out a few simple forms, and to additionally provide documents to confirm your identity and address.

Choose the option "Open a real account for live trading" and specify the required data:

A request to open a real account

Depending on broker's settings and applicable legislation, you can be requested to fill in information on employment, income and trading experience. In particular, such account opening requirements apply to MiFID regulated brokers (The Markets in Financial Instruments Directive).

Extended real account opening form

Once you fill in all fields, a preliminary account with the zero balance will be opened for you on the broker's server. Although you cannot trade on a preliminary account, you can monitor price dynamics, perform technical analysis and test strategies.

Soon after opening the preliminary account, a representative of the brokerage company will contact you to finish the procedure of real account opening. After that the preliminary account is converted to the real one, and you can start trading from it.

An informational email is additionally sent to you via the internal mailing system when a preliminary account is opened.

Accounts in the Navigator window are marked with appropriate icons depending on their type: Demo account — a demo account, Preliminary account — a preliminary account, Live account — a live account.


Connect to an Account

Getting Started / Connect to an Account

Connect to an Account

To start working with a trading account, you need to connect to it using a login (account number) and password. Two types of account access are available in the trading platform: master and investor. Logging in using the master password gives full rights for working with the account. Investor authorization allows you to see the account status, analyze prices, and work with your own Expert Advisors, but not trade. The Investor access is a convenient tool for demonstrating the trading process on the account.

The trading platform provides the option of extended authentication using SSL certificates.

Click " Login Login to Trade Account" in the File menu or in the Navigator.

Click Login to Trade Account and specify your login and password

Specify the following data in this window:

  • Login — the number of the account used for connection.
  • Password — the master or investor password for the account.
  • Server — server to connect to. Also you can indicate a server manually. Enter its IP address and port number as [server number]:[port number], for example, 192.168.0.1:443.

Enable the "Save password" option, and the next time you start the platform, the last used account will be automatically connected to the server. Option "Keep personal settings and data at startup" in the platform settings performs the same action.

After specifying all the details, click "OK" to connect.

Forced Change of Password

Upon authorization, you may be requested to change the master password of the account. Forced password change can be enabled by the trade server administrator. The mechanism of forced change of the master password, when you first connect or on a regular basis, increases safety.

Forced password change increased safety

Enter the new password, and then enter it again to confirm. The password must meet the following requirements:

  • It cannot be shorter than the length required in the password change dialog.
  • Must contain at least two of three types of characters: lower case, upper case and digits.
  • Must not be the same as the previous password.

If the master password is changed forcedly, the investor password of the account is also reset. A new investor password can be set in the platform settings.


Platform Settings

Getting Started / Platform Settings

Platform Settings

The trading platform provides multiple settings to help you conveniently customize it. Click " Options Options" in the Tools menu or press "Ctrl+O".

Customize the platform

All settings are grouped in several tabs based on what they do:

  • Server — setup of server connection, configuration of a proxy server, and other important settings;
  • Charts — common settings of price charts and parameters of objects management: object selection straight after creation, immediate object configuration, and docking parameters;
  • Trade — default parameters applied to the opening of new orders. They include: financial instrument, number of lots, deviation, and placing of stop orders;
  • Expert Advisors — common settings for all Expert Advisors. They include: disabling operation of Expert Advisors, enabling importing functions from external DLL libraries and Expert Advisors, as well as a number of other features;
  • Events — configuration of alerts of system events. You receive important alerts about connection loss, arrival of newsletters and other events;
  • Notifications — sending push notifications to mobile devices from the trading platform;
  • Email — email parameters for sending messages straight from the platform;
  • FTP — settings for publishing reports on the Internet. The trading platform allows saving and automatically publishing reports about the account state in real time. This is done over ftp based connection, which can be configured in this tab;
  • Community — details of your MQL5.community account;
  • Signals — settings for the Signals service in the trading platform.

Server

This tab contains the most important settings. The trading platform is initially configured to provide proper trouble-free operation. Thus, it is highly recommended not to change any parameters in this window unless there is a special necessity.

The Server tab contains settings for connection to a trading account

The window contains the following parameters:

  • Server — the name of the trade server the platform connects to. After the program installation, this field is already filled in. However, if you want to connect to another server, specify here the domain name (or IP address) of the server and connection port number separated by a colon. For example: 192.168.0.1:443. These data are saved on your computer and take effect only when you try to open a new account. The new server address is added to the list of servers and can be selected during account registration;
  • Certificate — click here to view the details of the certificate that is used for authenticating on a trade server. The button only appears if the extended authentication mode is used on the server;
  • Login — an account opened on the trade server and used to connect to it when you run the platform;
  • Password — account password for connecting to a trade server;
  • Change — change the password to the account;
  • Enable proxy server — allow the use of a proxy server when connecting to the trade server. If you enable this option, button "Proxy ..." becomes active;
  • Proxy — setup of connection through a proxy server;
  • Keep personal settings and data at startup — save account details (number, main and investor passwords) on the hard disk after an account is created. During the next platform start, these data will be used for the automatic connection. If the option is disabled, you will need to enter the details manually each time you start the platform. This option only affects the current account specified in the "Login" field;
  • Enable news — this option allows to enable or disable news. If this option is disabled, news will not be received in the platform;
  • News languages — this option allows filtering news by their language. When you click "Edit", the news language selection dialog appears. If it is set to "Auto Select", the news language is selected automatically in accordance with the trading platform UI language. News articles in English are displayed in case the platform language is not available for the news.

It is strongly recommended that you do not change server connection settings unless there is a special necessity.

Password Change

To change the account password, click "Edit". After that the following window opens:

To change the password, enter the current master password

The following details are to be indicated in the password changing dialog:

  • Login — account number, this field cannot be changed;
  • Current password — the field to enter the master password;
  • Change master password — select this option if you want to change the master password of your account;
  • Change investor password — select this option if you want to change the investor password of your account;
  • New password — field for entering a new password;
  • Confirm — field for confirming a new password.

After specifying all the data click "OK".

A password cannot be changed if the current password is not specified.

Proxy Server Setup

A proxy server is an intermediate between the trader's computer and the trade server. It is mostly used by internet providers or by local networks. If you have any connection problems, contact your system administrator or ISP. If you use a proxy server, configure the platform accordingly. Option "Enable proxy server" enables proxy server support and activates the "Proxy..." button.

Specify proxy settings if it is used for connection to the Internet

  • Server — enter here the IP address and port number of the server separated by a colon. To the right of this field, select the type of proxy server: HTTP, SOCKS4 or SOCKS5. In HTTP mode, NTLM authentication is also supported;
  • Login — a login to access the proxy server. If no login is required, leave it blank;
  • Password — a password to access the proxy server. If no password is required, leave the field blank.
  • Test — use this button to check whether all the proxy settings are correct. If the settings are incorrect, then after clicking on this button you will receive an appropriate message.

Consult your system administrator or internet provider for proxy setup details.

News Language Selection

To select language of incoming news, click "Edit" next to the appropriate field.

Select the language of financial news

The left part of the window contains available languages, the right part — selected ones. To add a language, double-click on it in the left part, or select it and click "Add." To delete a language, use the "Remove" button. The "Reset" button sets the default values.

Charts

Charts show dynamics of security price changes. Chart settings and history data parameters are grouped in this tab. Changing the parameters in this tab does not cause any global changes in the platform operation.

This tab also contains settings for working with different objects applied to charts. They include technical and custom indicators, as well as various graphical objects. Parameters collected in this tab facilitate work with graphical objects and cannot cause critical changes in the platform operation.

The Charts tab contains settings for working with analytical objects, trade levels, etc.

The following chart settings are available on this tab:

  • Color print — the platform allows printing not only black and white, but also colored charts. The latter ones are more appropriate for analysis than black-and-white ones. Enable this option to print color charts, if your printer supports colored printing.
  • Show trade levels — this option enables the display of price levels at which a position has been opened or a pending order has been placed, as well as Stop Loss and Take Profit levels. Display of trade levels can be enabled separately for each chart.
  • Disable dragging of trade levels — this option disables the possibility to modify pending and stop orders by dragging them on the chart.
  • Enable dragging of trade levels — this option allows modifying pending and stop orders by dragging them on the chart.
  • Enable dragging of trade levels with "Alt" key — this option allows to conveniently control pending orders and stop levels on a chart. By default, without enabling this option, the orders and stop levels are moved using a mouse (drag'n'drop). If multiple objects are applied on a chart, you can accidentally move one of them instead of the level. In this case, enable this option. You still can drag trade levels using your mouse, but need to additionally hold the "Alt" key.
  • Show object properties after creation — all objects have certain properties. For example, thickness and color of the trend line, period of the indicator's signal line, etc. Most traders use standard settings of all graphical objects, but in some cases you may need to set them up individually. Option "Show object properties after creation" allows to automatically open the window of properties of graphical objects and indicators after they are applied to a chart.
  • Select objects by single mouse click — graphical objects in the platform can be selected by a single or double click. This option allows switching between the object selection methods. If it is enabled, all objects are selected by a single click. If this option is disabled, all objects are selected by a double click.
  • Precise time scale — if this option is disabled, objects are bound to bars along the horizontal scale of a chart. If you enable it, then it is possible to position an object at any point between bars.
  • Select objects after creation — objects are positioned in charts manually. After creating an object you may need to move it, for example to accurately position a trendline. To do that, it is necessary to select the object first. This option allows to do that automatically right after placing an object on a chart.
  • Magnet sensitivity — the platform allows to "dock" anchor points (except for the central moving points) of graphical objects to different bar prices to locate them more precisely. In the "Magnet sensitivity" field, the sensitivity of this option in pixels can be defined. For example, if the value of 10 is specified, the object will automatically be docked to a bar if the object's anchor point is located within a distance of 10 pips from the nearest bar price (OHLC). That point should also be within the bar width. To disable this option, set the parameter to 0.

When you apply an object on a chart with the timeframe other than M1, the following magnet features appear:

  • When anchoring a point of an object to one of the extreme price (OHLC), the specific minute is determined, where the extremum was recorded. Point of the object is bound to that minute, and it is reflected in the object properties. This kind of behavior allows keeping proper positioning of objects when switching between timeframes.
  • If the "Precise time scale" option is additionally enabled, then you may observe an effect when the anchor point moves away from an extreme point. This behavior appears if the actual extreme point doesn't correspond to the extreme point of a bar.
  • Max. bars in chart — there is a difference between the bars stored in history and those shown in charts. This difference is determined by the fact that any amount of bars can be kept in the hard disk provided that it has enough space. But the amount of bars shown in the chart is limited by the computer resources.

    Bars displayed on the chart are used for drawing technical and custom indicators. When multiple indicators and large amount of data to be displayed are used simultaneously, computer free resources (CPU load and free RAM) can exhaust very soon.

    To avoid such problems, you can set the amount of data displayed on the charts. This can be done by selecting a corresponding value from the pop-up list or by entering a value manually in this field (minimum value is 5000). For the changes of this parameter to take effect, restart the platform.

Indicators can access more bars than specified in "Max bars in chart" parameter for more efficient calculation. Older bars are not removed immediately from the data cache when the new ones appear. This allows not to recalculate an indicator at each new bar, but calculate its values for new bars instead.

Changes of the settings take effect after clicking the OK button except the "Max. bars in chart" option. Restart the platform after you change the parameter.

Trading

This tab features settings used for opening orders. Parameters specified here facilitate opening of orders and cannot cause critical changes in the platform operation.

On the Trade tab, you can set the default settings for placing orders, and enable one-click trading

Use these options to set default parameters applied when opening orders:

  • Symbol — this option allows to define a symbol that will be automatically added to the position opening window. The "Automatic" parameter means that the active chart symbol will be set in this field, the "Last used" — the symbol of the latest trade operation. If "Default" parameter is selected, you can specify a certain financial instrument that will be automatically set for all positions.
  • Volume — this option adds a certain volume in the position opening window, quick trading panel on the chart and a trading panel in Market Watch. The "Last Used" parameter means that the volume of a previous operation will be selected. The "Default" parameter allows to specify a certain volume to be indicated automatically for all positions.
  • Deviation — symbol price may change during order creation. As a result, the price of a prepared order will differ from the market one, and the position will not be opened. The "Use Deviation" option helps to avoid this. When "Default" parameter is set, to the right of this field you can set the maximum acceptable price deviation from the value indicated in the order. If prices are not identical, the program modifies the order and a new position is opened. If "Last Used" is selected, the deviation value of the previous opened position will be automatically set in the order opening window.
  • Stop levels — settings for the Stop Loss and Take Profit levels that will be added when placing orders or modifying positions. If the "in points" variant is chosen, stop levels will be specified in the number of points from the price of order placing. If the "in prices" variant is chosen, it will be necessary to specify the certain price level for stop levels.
  • One click trading — to use this option, you need to accept special terms and conditions. The one-click trading option allows performing trade operations in one click without additional confirmation by trader (trade dialog is not displayed). The one-click trading feature is implemented in the following parts of the platform:
  • the Trading tab in Market Watch,
  • the quick trading panel on the chart,
  • the Trade tab in the Toolbox window,
  • Depth of Market.
  • Show realtime history of deals on chart — when this option is enabled, all the deals performed by a trader are automatically displayed on the chart of the corresponding symbols with the icons Buy (a Buy deal) and Sell (a Sell deal). When you point the mouse cursor to an icon, a tooltip appears containing information about the deal: ticket, deal type, volume, symbol, open price and current price coordinate of the cursor.

Terms and Conditions for Using One-Click Trading

When "One click trading" option is used for the first time, Terms and Conditions for using this function are displayed to users.

Carefully read Terms and Conditions for Using "One-Click Trading" Function

If you accept the conditions, tick "I Accept these Terms and Conditions" option and click "OK". If you do not accept the conditions, click "Cancel" and do not use the "One Click Trading" function.

Expert Advisors

Settings of working with Expert Advisors are grouped in this tab. Expert Advisors in the platform are applications developed in the MetaQuotes Language 5 used for the automation of analytical and trading processes. The description of how to create and use experts is given in section How can I create and Expert Advisor or an Indicator.

Automated trading settings are available in the Expert Advisors tab

This section contains description of settings common for all Expert Advisors only:

  • Allow Auto Trading — this option allows or prohibits trading using Expert Advisors and scripts. If it is disabled, scripts and Expert Advisors can work, but are not able to trade. This limitation can be useful for testing the analytical capabilities of an Expert Advisor in the real-time mode (not to be confused with testing on history data).
    The option enables/disables automated trading for the entire platform. If you disable it, no Expert Advisor will be allowed to trade, even if you enable automated trading individually in the Expert Advisor settings. If you enable it, the Expert Advisors will be allowed to trade, unless automated trading is individually disabled in the Expert Advisor parameters.
  • Disable automated trading when switching accounts — this option represents a protective mechanism disabling trading by Expert Advisors and scripts when the account is changed. It is useful, for example, when switching from a demo account to a real one.
  • Disable automated trading when switching profiles — a large amount of information about the current settings of all charts in the workspace is stored in profiles. Particularly, profiles contain information about Expert Advisors attached. Expert Advisors included into the profile will start working with the arrival of a new tick. Enable this option to prevent trading by Expert Advisors when changing the profile.
  • Disable automated trading when switching chart symbols or period — if this option is enabled, then when the period or symbol of a chart is changed, the Expert Advisor attached to it will be automatically prohibited from trading.
  • Allow DLL imports (potentially dangerous, enable only for trusted applications) — to extend functionality, mql5 applications can use DLLs. This option allows determining a default value for the "Allow DLL imports" parameter used during start of applications. It is recommended to disable import when working with unknown Expert Advisors.
  • Allow WebRequest for listed URL — the WebRequest() function in MQL5 is used for receiving and sending information to websites using GET and POST requests. To allow an MQL5 application to send such requests, enable this option and manually explicitly specify the URLs of trusted websites. For security reasons, the option is disabled by default.
    To delete an address from the trusted list, select it and press "Delete".

Events

Alerts of system events (like server connection, disconnection, email notification, etc.) can be set up here. It is a very convenient tool informing about changes in the platform status. To start setting up alerts, check the "Allow" option.

Sound alerts are configured in the Events tab

All events are represented in the form of a table containing their names and default audio files that are executed when the event occurs. The following types of events are available:

  • Connect — alert of a successful connection to a server;
  • Disconnect — alert of server connection loss;
  • Email Notify — email received;
  • Timeout — a certain time range is given for performing trade operations. If this range has been exceeded for some reason, the operation will not be performed, and the alert will trigger;
  • Ok — alert of a successful execution of a trade operation;
  • News — alert of a received newsletter;
  • Expert Advisor — alert of a trade operation performed by an Expert Advisor;
  • Alert — Alert() function executed by an Expert Advisor;
  • Requote — alert of a price changed (requote) at the attempt to perform a trade operation;
  • Trailing Stop — alert of trailing stop order triggering.
  • Testing Finished — alert of the end of testing or optimization.

To disable any of the alerts, click once on its icon Event or double-click on its name. After that the icon will look like this — Disabled event. To activate an alert, repeat the same operation.

To change a file played when the event occurs, double-click on its name or select it and press "Enter". Then select "Choose other" from the drop-down list and specify the necessary file.

By default a file with *.wav extension is offered as a sound. However, another file can also be selected. If a *.wav file is selected, it will be played when the alert triggers. If another file is selected, it will be opened using application it is associated with in the operating system.

Notifications

The trading platform supports sending messages notifying of various events to mobile devices running iOS and Android using push notifications. With this feature, a trader can track all the updates.

Push notifications are short messages of up to 255 characters. Such notifications are delivered immediately and are never lost.

There are two ways to send pushes from the trading platform:

Through an MQL5 application

The MQL5 language provides a special function SendNotification allowing MQL5 applications to send push notifications to the MetaQuotes ID specified in the platform settings.

Through the alerts function

The trading platform allows creating alerts to notify of market events. This feature is available in the Alerts tab of the Toolbox window. One of the event notification types is push notifications.

  • Push notifications can also be used to receive information about the updates on the MQL5.community site. To do this, specify your MetaQuotes ID in the user profile in the "Security" tab.
  • There is a limitation on the number of messages that can be sent: no more than 1 message per 0.5 second and no more that 10 messages per minute.

Sending of pushes on a mobile device can be configured in the Notifications tab

The notifications setup window includes the following options:

  • Enable Push notifications — turn this on to allow the platform to send notifications.
  • Notify of trade transactions — the platform can automatically send notifications of all successful trade operations to the specified MetaQuotes ID. Notification of unsuccessful operations (for example, the order is rejected due to incorrect parameters) are not sent.

After setting up the options, enter one or more MetaQuotes IDs, separated by commas. You can specify up to 4 MetaQuotes IDs; pushes will be sent to all devices simultaneously.

To find out your MetaQuotes ID, open the mobile version of the platform and go to Settings -> Messages. That is how the page looks in the mobile platform for iPhone:

Specify MetaQuotes ID in the trading platform setting to receive pushes

Click on the "Test" button to test how push notifications are sent. If your notification is successfully sent, you see an appropriate message, and the notification arrives on your mobile device.

To install the mobile version of the platform, use the following links:

  • Mobile Platform for iPhone
  • Mobile Platform for Android

Email

Mailbox is configured on this tab. These settings will be then used to send message by the Expert Advisor command or by a triggered alert.

Configure email notifications on the Email tab

Configure the following parameters on this tab:

  • Enable — enable/disable the mailbox. If this option is disabled, all other settings are not available;
  • SMTP server — address of the SMTP server and port used. This server is used to send emails. The record must be made in the following format "[server web address] : [port number]". For example, "smtp.mail.ru:25", "smtp.gmail.com:465" etc.
  • SMTP login — a login for authentication on the mail server, usually it is an email address, for example, "your_name@mail.net";
  • SMTP password — a password for authentication on the mail server (your mailbox password);
  • From — the email address, from which the message will be sent. Enter the name and address of the email account on the same mail server, the SMTP-protocol of which will be used. The name may also be missing. Example of this field: "your_name, your_name@mail.ru";
  • To — the email address, to which the messages will be sent. Name and address are also specified here, but the name may be omitted, for example: "any_name, any_mail@mail.net".
  • Only one email address may be specified for either of fields "From" and "To". Several emails given with or without separators will not be accepted.
  • The email password is stored in encrypted form.

Click "Test" to send a test message using the settings specified. If the test is successful, click "OK" to apply these settings. If the test fails, it is recommended to check all settings again, restart the platform and resend a test message.

FTP

The trading platform allows you to automatically publish reports on the account state and its history. To do this, configure internet connection parameters through FTP.

Sending reports can be configured on the FTP tab

The following parameters are available in this window:

  • FTP server — address of the FTP server the report will be sent to. For example, ftp.company.com;
  • FTP path — path to a directory on the FTP server where the reports will be placed. Specify the path relative to the root directory, for example: /inetpub/statements;
  • FTP login — login for authorizing on the FTP server;
  • FTP password — password for authorizing on the FTP server;
  • Passive mode — switching between active and passive mode. In the active mode, the trading platform accepts connection from the FTP server, in the passive mode the server accepts connection from the platform;
  • Test — use it to send a test report on the active account using the specified parameters. The test result is shown in a separate window;
  • Enable automatic publishing of reports via FTP — enable/disable publishing of reports. If you do not select this option, the remaining fields are not available;
  • Account — the account number you want to publish reports for. To publish reports, you need to be connected with this account;
  • Refresh every — periodicity of sending reports to the web server (in minutes).
  • Reports are published for the currently active account only. If the account number specified in this tab does not correspond to the current one, reports will not be published.
  • In the active mode, a free port (from dynamic range of 1024 to 65535) is allocated on the platform. The server connects to this port in order to set connection for data transmission. The FTP server connects to the client's port with the given number using TCP port 20 from its part to transfer data. In the passive mode, the server informs the client about the TCP port number (from the dynamic range of 1024 to 65535) to which the client can connect to set up data transfer.
  • Report templates are located in the /Templates folder of the platform.

Community

The trading platform is tightly integrated with MQL5.community — a community of MQL5 developers. The MQL5.community provides unique services for traders and developers:

  • The Market — the platform allows purchasing any ready-made application from the MQL5 application store. Before purchasing, you can download a trial version and test it in the strategy tester.
  • MQL5 Cloud Network is a powerful distributed computing network available for testing and optimization of Expert Advisors in the Strategy Tester. Thousands of optimization sessions can now be performed in minutes. In addition to using the network, you can provide your own computing capacities and earn profit.
  • MQL5 Storage — personal storage of source codes integrated into the MetaEditor. Keep your code safe and access it from anywhere in the world. The MQL5 Storage features will be expanded soon to allow multiple users to remotely work on one project.
  • Freelance — if you cannot find the desired application in the Code Base or Market, order one from a professional developer in the Freelance section of MQL5.community website.
  • Code Base — download any code published in the Code Base of MQL5.community website. The code is automatically placed in the correct directory and compiled. You only need to run the application from the Navigator window.
  • MQL5 Charts — a special service allowing to post screenshots from the trading platform online and share them in popular social networks.
  • Signals — subscribe to the trading signals of professional traders and receive them straight in your platform.

Enter your account details and get access to all the unique services of the MQL5.community:

  • Login — MQL5.community account.
  • Password — a password to the specified account.
  • The password is stored on the hard drive in an encrypted form.
  • If you do not have an MQL5.community account, please register and get access to unique opportunities.

Link "register" opens the window of quick registration on MQL5.community.

Traders community at MQL5.community provides useful services: application store, copy trading, hosting and freelance

Here, specify the desired username for your account, and e-mail. Once you click "Register", an account is created for you and an email with the account password is sent to the specified address.

Signals

Use this tab to configure the Signals service in the trading platform.

The Signals service allows anyone to become a provider and sell trading signals or subscribe to them and follow the strategy of an experienced trader. Any traders can subscribe to the signals of another experienced trader (Provider) to copy his or her trade operations.

Find more about the service in the Signals section.

The Signals tab allows configuring automatic copying of trades on the account

The name of the signal you are currently subscribed to is displayed at the top of the tab. If there is no subscription, the settings below are uneditable.

  • Agree to the terms of use of the Signals service — to start using the Signals service, agree to its rules of use. Read the rules carefully. If you agree, check the box next to the option. If you do not agree with the rules, do not use the Signals service.
  • Enable realtime signal subscription — trading operations can be copied to your account only if this option is enabled. No operations will be copied to the account in case the option is disabled. The settings below will become editable only after enabling this option.
  • Copy Stop Loss and Take Profit levels — Stop Loss and Take Profit placed at the provider's account will be also placed on your trading account if this option is enabled. These orders are executed at the broker's side. It means that they are executed regardless of whether the platform is running or not. Also, execution can be different for different brokers (if subscriber and provider have different brokers).
    Therefore, copying of stop orders guarantees that a position will be closed upon reaching the specified profit and loss levels.
  • Synchronize positions without confirmations — automatic synchronization without additional confirmation. When subscribing to a signal, trading state of the Subscriber's and Provider's accounts are synchronized. This can be a primary synchronization when activating the subscription or a re-synchronization during copying.
    If pending orders or non-signal positions (opened manually or by an Expert Advisor) are detected at the Subscriber's account during synchronization, the dialog offering to close the positions and remove the orders is displayed. If during the initial synchronization, a provider account has floating (unfixed) profit, a user will see a dialog window offering to wait for better conditions to start copying. In both cases, synchronization is not performed and copying of signals is stopped until the user makes the decision by clicking the appropriate dialog button.
    If the platform is working around the clock without constant external control (for example, runs on VPS), confirmation requests to perform synchronization are left unanswered and thus can prevent signals from being copied. When this option is enabled, synchronization is always performed automatically without the need for Subscriber's confirmation.
  • If there are custom positions/orders, they are left on the account, while the system starts/proceeds copying the Provider's trades.
  • If the Provider has a floating profit, the platform does not wait for better entry conditions and starts copying immediately.
  • Use no more than [A] % — percentage value of your deposit that can be used for following provider's signals. For example, if your balance is 10,000 USD and 90% is specified here, then 9,000 USD will be used for following the signals. This affects the calculation of volumes of the deals performed when following the signals. The volume is calculated proportionally. See "Signal Subscribers" section for more information. It is strongly not recommended to change the deposit load if you already have positions opened according to a signal. This will lead to correction of volume of the open positions (volume increase or partial close at the current market price).
  • Stop if equity is less than [B] — this parameter allows you to limit losses when using trading signals. If equity drops below a specified level, copying of trade signals is automatically terminated, and all positions are closed. 0 means no limitations.
  • Deviation/Slippage [C] spreads — this setting is similar to deviation set when orders are placed from the platform. This is the value of the permissible deviation of the executed order price from the price initially requested by the platform when copying a trading operation. This value is displayed as a part of the current spread on the symbol used in trading operation.
    The order is executed if the deviation is less or equal to the specified parameter. If the price deviation is greater than the specified value, operation is canceled. The next attempt to perform a trading operation will be carried out after a while.


For Advanced Users

Getting Started / For Advanced Users

For Advanced Users

This section is intended for experienced users. It describes some trading platform installation features, work on different operating systems, platform security and much more.

  • Platform installation — the platform is easy to install, you only need to follow the wizard prompts. However, there are some features that should be taken into account, including the system requirements, specific installation over the existing platform, etc.
  • Installation on Mac OS — the platform can be launched on Mac OS using a third-party software designed for Microsoft Windows to run on Unix-like operating systems. Read this section for installation details.
  • Installation on Linux — similar to Mac OS, platform operation in Linux requires the use of Wine. The section describes how to install the necessary components and launch the platform.
  • Platform Start — the platform can run in various modes and use presets.
  • Extended Authentication — the platform support certificate based authentication, which greatly increases the safety of the system.
  • One Time Password - OTP — another account security layer is using one time passwords generated by your mobile device.
  • Files and Folders — find out everything about the structure of folders and files, in which your trading robots, indicators, chart templates and folders are stored.
  • Manage Trading Accounts — you can use multiple accounts in the platform and switch between them. You can also transfer funds from one account to another, if it is allowed by your broker.
  • Mailbox — the internal email system allows you to receive important information: everything from account registration details to notifications of important events from your broker.
  • Security System — the platform is designed to provide the highest security of trading accounts, find out more about information protection.
  • Live Update — the platform is updated automatically and requires no additional actions from the user as a rule.
  • Platform Logs — all actions performed in the platform are reflected in the platform logs: trade operations, copied signals, purchases from the Market and much more.
  • Hot keys — keys and their combinations that allow to execute various commands fast and without using menus or toolbars.
  • Platform Uninstall — you can easily uninstall the platform if you need: follow the wizard prompts. Some of the features of this process are described in this section.


Platform Installation

Getting Started / For Advanced Users / Platform Installation

Platform Installation

To install the trading platform download the mt5setup.exe installer and run it.

  • This is a web installer. This means that most of the components will be downloaded from the Internet during installation.
  • The installer determines the bit characteristics of the operating system and installs the appropriate version of the platform;
  • The platform can run under Microsoft Windows 2008/7/8/10. A processor with SSE2 support (Pentium 4/Athlon 64 or higher) is also required. Other hardware requirements depend on specific platform use conditions — load from running MQL5 applications, number of active instruments and charts, etc.
  • The platform can be installed in the automated mode, without additional actions required from the user. When the installer is launched with the /auto key, installation settings will not be shown to the user, and the terminal will be installed at the standard path with the standard Start menu folder name for the program. Example of such launch: C:\mt5setup.exe /auto.

Review the software description and the end-user license agreement. If you agree with all terms of the agreement, click on the "Next" button. If you do not agree with the Agreement, exit the installation program.

A click on "Next" starts the background download of the platform distribution package from one of the developer's servers. A server that is closest to the user is chosen for downloading.

Follow the wizard step to install the platform

Click "Settings" to select installation options:

  • Installation folder — the directory you want to install the trading platform to. You can specify a different directory, by setting the path to it manually, or by clicking the "Browse" button.
  • Program group — the name of the program group that will be created in the Start menu.
  • Open MQL5.community — open the most popular traders' community website after installation. MQL5.community features multiple useful services, from automated copy trading to the possibility of purchasing ready-made trading robots from the Market and running them 24/7 on a virtual platform.
  • The platform can be installed over an existing one. All the previous platform settings are preserved, except for the default profiles and templates, and the standard set of MQL5-programs.
  • If you need to work with multiple accounts simultaneously, install the appropriate number of platforms in different directories.

Click "Next" to start the installation. When finished, click "Finish" and run the platform.


Installation on Mac OS

Getting Started / For Advanced Users / Installation on Mac OS

How to Install the Platform on Mac OS

The trading platform can be installed and used on computers that run Mac OS using Wine. Wine is a free and open source software application that aims to allow applications designed for Microsoft Windows to run on Unix-like operating systems. One of the Wine versions is designed for Mac OS.

Note that Wine is not a fully stable application. This means that some functions in the applications you start under it may work improperly or not work at all.

To install the platform on Mac OS, we recommend that you use the open source software PlayOnMac. PlayOnMac is a Wine-based free software providing easy installation and use of Windows applications on Mac OS.

PlayOnMac Installation

To install PlayOnMac, go to its official website, open the Downloads section and click the link to download the latest version.

Run the downloaded DMG package from the Downloads section of your system:

Run DMG to install PlayOnMac

This opens the PlayOnMac first launch window. Upon clicking "Next" the installer starts checking and installing various components required for operation.

Wait for PlayOnMac installer to check and install components

The first required component is XQuartz. This is a software tool for using X Window System on Mac OS. X Window System provides standard tools and protocols for building a graphical user interface on UNIX-like OS.

Follow the wizard prompts to install XQuartz

If you have already installed XQuartz or want to install it later, select "Don't install XQuartz for the moment" or "I've downloaded file by myself", respectively.

XQuartz is installed in several stages. First of all, read the important information (Read Me) and accept the license terms.

Follow the wizard prompts to install XQuartz

Before the installation, Mac OS security system requests your account password:

Confirm the installation of XQuartz by entering Mac OS account password

Wait for the installation to complete. For the changes to take effect, restart your computer.

Wait for XQuartz to install

After system restart, launch PlayOnMac from the setup file in the Downloads folder. The first launch window will appear again. This time, the installer will offer to install MS Windows fonts required for proper operation.

Follow the wizard steps to install MS Windows fonts, required for correct operation

Accept the license agreement terms and complete the installation. After that, PlayOnMac is ready for use:

PlayOnMac is ready for use

Updating Wine

Wine v. 1.4 is installed together with PlayOnMac. The latest stable version is Wine 1.4.1. Wine 1.5.21 beta release containing many improvements is also available for download. However, it may be less stable. It is recommended to install the latest version of Wine.

To update Wine to the latest version, open the top menu of PlayOnMac and select "Manage Wine Versions":

Open a dialog for managing Wine versions

The window with Wine versions available for installation will open. Select the latest version (currently 1.5.21).

Select the latest version of Wine

Move the latest Wine version to the right side of the window. The installation process starts after that.

Follow the wizard prompts to update Wine to the latest version

After installation, the new version of Wine will appear in the left pane of PlayOnMac Wine versions manager. You can then close the window and install the trading platform.

Platform Installation

To install the platform, download its installer "mt5setup.exe". When the download completes, run the setup file. The file is automatically opened by PlayOnMac.

Run the platform installer mt5setup.exe

This will launch the standard installation process, go through all its stages:

Follow the platform installation wizard prompts

After installation PlayOnMac prompts you to create shortcuts for the platform components, including the trading platform, MetaEditor and MetaTester:

Create shortcuts for the platform components

Once the necessary shortcuts are created, you can start using the platform. Double click on it in PlayOnMac window to run the platform.

The trading platform is installed and ready for use, run it by double clicking

Known Issues

As mentioned above, Wine is not a completely stable application. Thus, some functions of the platform may work improperly. The following issues have been discovered:

  • Market does not wok in Wine

Except for the above problem, you can enjoy all the features of the trading platform on Mac OS.

Platform Data Directory

PlayOnMac creates a separate virtual logical drive with necessary environment for each installed program. The default path of the installed platform's data folder is as follows:

Library\PlayOnMac\WinePrefix\Client_Terminal_\Drive C\Program Files\Client Terminal


Installation on Linux

Getting Started / For Advanced Users / Installation on Linux

How to Install the Platform on Linux

Linux is a Unix-like computer operating system assembled under the model of free and open source software development and distribution. Linux systems are widely used in smartphones and server hardware. Many home PC users prefer it to MS Windows series.

One of the Linux features is the absence of a unified distribution kit. Different groups of developers work simultaneously on several Linux versions including Debian, Mint, Ubuntu, OpenSUSE, Gentoo, etc. In this article we will consider one of the most popular distribution kits - Ubuntu.

The trading platform can be installed and used on computers that run Ubuntu using Wine. Wine is a free and open source software application that aims to allow applications designed for Microsoft Windows to run on Unix-like operating systems. One of the Wine versions is designed for Ubuntu.

  • Note that Wine is not a fully stable application. This means that some functions in the applications you start under it may work improperly or not work at all.
  • It is strongly recommended to use the latest version of Ubuntu and Wine. Timely update provides the greatest stability of the trading platform.

All applications under Ubuntu are installed from the packages contained in repositories. In the latest versions of Ubuntu, the required Wine installation repository is already available in the system without additional settings. Therefore, to install Wine, you only need to execute one command on the command line (called "Terminal" in Ubuntu):

sudo apt-get install wine-stable

This command installs the latest stable version of Wine.

Installing Wine from the Command Line

You can also install the Wine version for developers. This version may contain various improvements, but be less stable. To install it, run the following command:

sudo apt-get install wine-development

If your Ubuntu version does not provide a repository and you get an error during Wine installation, run the following commands one by one:

wget -nc https://dl.winehq.org/wine-builds/Release.key
sudo apt-key add Release.key
sudo apt-add-repository https://dl.winehq.org/wine-builds/ubuntu/

Next, update the package information by executing the following command:

sudo apt-get update

After the command execution, install Wine using the following command:

sudo apt-get install --install-recommends winehq-stable

For details on installation under Ubuntu, please visit the official Wine site.

How to Start the Trading Platform

To install the platform, download its installer "mt5setup.exe". When the download completes, run the setup file. The system automatically detects that you are trying to run a file designed for Microsoft Windows, and offers to open it with Wine. Select this option and click "OK".

Opening installation package via Wine

The platform installer is launched after that. Complete all installation steps:

Follow the platform installation wizard prompts

After installation, you can proceed to working with the trading platform, by running its executable terminal.exe.

Another way to start using the platform in Ubuntu is copying the folder with the pre-installed platform from Microsoft Windows:

Instead of installing, you can copy a previously installed platform

After copying is complete, run terminal.exe file of the platform. The file is automatically opened by Wine.

Known Issues

As mentioned above, Wine is not a completely stable application. Thus, some functions of the platform may work improperly. The following issues have been discovered:

  • Market does not work in Wine

Except for the above problem, you can enjoy all the features of the trading platform under Ubuntu.

Platform Data Directory

Wine creates a virtual logical drive with necessary environment for installed programs. The default path of the installed platform's data folder is as follows:

Home\.wine\drive_c\Program Files\Client Terminal


Platform Start

Getting Started / For Advanced Users / Platform Start

How to Start the Trading Platform

After installation, a group of programs of the trading platform is added to the Start menu, and the program shortcut is created on the desktop. Use them to run the platform.

Two copies of the platform cannot run from the same directory. If you need to run multiple copies at the same time, install the appropriate number of programs in different directories.

There are two main modes of trading platform start, as well as some additional methods.

Main Mode

Starting from MS Windows Vista, applications installed to Program Files are not allowed to store their data in the installation folder on default. All data should be stored in a separate Windows user directory.

Thus, if the platform is installed in the Program Files directory and user rights to write to that directory are limited, it is run in the main mode. The main mode is also used in the following situations:

  • If the UAC (User Activity Control) system is enabled.
  • If remote connection to a computer is used (RDP, Remote Desktop Protocol).

In this mode, the editable files of the platform are stored in a specific Windows user directory, and the immutable files are stored in Program Files. Immutable files include executables of the platform, of MetaEditor, standard sounds, etc. Editable files are:

  • all platform settings, configuration files;
  • all the databases (price history);
  • platform and expert journals;
  • all profiles.

All the editable files of the platform are stored in the following directories (depending on the operating system used):

Microsoft Windows XP SP3:

  • C:\Documents and Settings\username\Application Data\MetaQuotes\Terminal\instance_id\

Microsoft Windows Vista and higher:

  • C:\Users\username\AppData\Roaming\MetaQuotes\Terminal\instance_id\

Here 'C' is the logical drive letter on which Windows is installed, "username" is the account name in the operating system under which the platform has been installed, "instance_id" is a unique identifier generated based on the path to the directory where the platform is installed.

For quick access to these folders, use the command " Open data folder Open Data Folder" in the File menu. Each data folder contains a special text file origin.txt. This file contains the path to the platform installation folder, which corresponds to this data directory.

  • In the main mode, the catalog where editable files are stored is different for each Windows account.
  • A detailed description of the platform file structure and their purpose is given in the appropriate section.

Portable Mode

When installed to Program Files, the platform works in the main mode described above on default. All the platform data are stored in a special Windows user directory. However you can force the platform to store its data in the installation folder. To do it, run the platform in the portable mode. To use this mode, start the platform from the command line with the additional /portable key. For example, "C:\Program Files\MyTerminal\terminal.exe /portable".

To run the platform in the Portable mode, the following conditions must be met:

  • If the platform is installed in the Program Files folder, the user must have administrator rights on the computer. In addition, UAC (User Account Control) must be disabled in the operating system.
  • If the platform is installed in any other folder, the user must have permission to write data to that folder.

Running from the Command Line

The trading platform can be run manually with predefined parameters. This can be done by using different keys for starting from a command line and alternative configuration files.

The platform can be run with the keys from the command line. Specify there a path to the executable platform file (path to the file\terminal.exe) and after a space add one or several of the below keys:

  • /login:login number — running a platform under a certain account. For example, terminal.exe / login:100000.
  • /config:path to a configuration file — running a platform with an alternative configuration file. For example, terminal.exe /config:c:\myconfiguration.ini. The default configuration file is common.ini.
  • /profile:profile name — running the platform with a definite profile. The profile must be pre-created and located in the /profiles/charts/ of the platform. For example, terminal.exe /profile:Euro.
  • /portable — set the platform to run in the Portable mode. Running in this mode may be needed if the platform was earlier launched in the main mode. To run the platform in the portable mode, the operating system user requires appropriate permissions.

If the key assignment is set incorrectly (invalid login, profile name or configuration file), the default value will be used.

Running with a Custom Configuration File

The trading platform can be run with a custom set of parameters. Create your own configuration file based on the default common.ini. To start the platform with a custom configuration file, run the following command in the command line:

path_to_platform\terminal exe /config:c:\myconfiguration.ini

where "c:\myconfiguration.ini" is the path to the custom configuration file.

Custom configuration files are used in the "read only" mode during the work of the platform. Changes in settings made from the platform interface are not written to the used custom configuration file.

The configuration file parameters are divided into several blocks and correspond to the settings on platform configuration window tabs. Below are the most important settings in the configuration file:

[Common]

Common platform settings similar to the Server tab:

  • Login — account number. The platform tries to read additional authorization information from a configuration file (server, password and certificate password specified in the parameters described below). If the authorization information for the account is not specified, the platform tries to read it from its own account database;
  • Server — address and port number of a trade server separated with a colon;
  • Password — password for connecting to the account specified in the Login parameter;
  • CertPassword — certificate password. This parameter is required if the extended authentication mode is enabled for the account. If the used certificate is not installed in the operating system storage, its file should be placed in platform_folder/config/certificates/;
  • ProxyEnable — allow (1) or prohibit (0) connection through a proxy server;
  • ProxyType — type of a proxy server: 0 (SOCKS4), 1 (SOCKS5), 2 (HTTP);
  • ProxyAddress — IP address and port of the proxy server separated by a colon;
  • ProxyLogin — login for authorizing on a proxy server;
  • ProxyPassword — password for authorizing on a proxy server;
  • KeepPrivate — saving the password between connections: 1 — to save, 0 — not to save.
  • NewsEnable — enable (1) or disable (0) news letters;
  • CertInstall — install (1) or do not install (0) new certificates in the system storage (for extended authentication).
  • MQL5Login — account on MQL5.community.
  • MQL5Password — password for the specified account on MQL5.community.

[Charts]

Chart settings:

  • ProfileLast — the name of the current profile;
  • MaxBars — the maximum number of bars in a chart;
  • PrintColor — chart print mode: 1 — color printing, 0 — black-and-white printing;
  • SaveDeleted — save (1) or not (0) deleted chart to reopen later.

[Experts]

Expert Advisor settings:

  • AllowLiveTrading — enable (1) or disable (0) automated trading using Expert Advisors.
  • AllowDllImport — DLL import allowed (1) or not (0);
  • Enabled — enable or disable use of Expert Advisors;
  • Account — disable (1) or not (0) Expert Advisors when connecting with a different account;
  • Profile — disable (1) or not (0) Expert Advisors after change after change of the active profile.

[Objects]

Object settings:

  • ShowPropertiesOnCreate — show (1) or do not show (0) properties of objects being created;
  • SelectOneClick — select (1) or not (0) objects at a single mouse click;
  • MagnetSens — docking sensitivity of objects;

[Email]

Email settings:

  • Enable — enable (1) or disable (0) use of email;
  • Server — address of the SMTP server;
  • Auth — encrypted information for authentication on the mail server;
  • Login — login for the SMTP server;
  • Password — password for the SMTP server;
  • From — sender's name and address;
  • To — recipient's name and address.

[StartUp]

Settings of Expert Advisors and scripts, that open automatically when you start the platform:

  • Expert — file name of the Expert Advisor that opens automatically when you start the platform. The Expert Advisor runs on the chart that opens in accordance with the Symbol and Period parameters. If the Symbol parameter is not set, no additional chart will be opened in the platform. The Expert Advisor will run on the first chart of the current profile in this case. If the current profile has no charts, the Expert Advisor will not be started. If the Expert parameter is not set, no Expert Advisors will be started.
  • Symbol — the symbol of the chart that opens straight after the platform start. An Expert Advisor or a script will be added to this chart. No information about this additional chart will be saved as the platform is closed. During the next start of the platform without the configuration file, this chart will not be opened. If this parameter is not set, no additional chart will be opened.
  • Period — the timeframe of the chart, to which an Expert Advisor or a script will be added (any of the 21 periods available in the platform). If the parameter is not set, default H1 is used.
  • Template — the name of the template to be applied to the chart.
  • ExpertParameters — the name of the file that contains Expert Advisor parameters. The file must be located in the folder MQL5\presets of the platform data directory. If this parameter is not set, default settings will be used.
  • Script — the name of the script that opens automatically when you start the platform. Scripts are run by the same rules as Expert Advisor.
  • ScriptParameters — the name of the file that contains script parameters. The file must be located in the folder MQL5\presets of the platform data directory. If this parameter is not set, default settings will be used.

[Tester]

Parameters of testing that starts automatically when you run the platform:

  • Expert — the file name of the Expert Advisor that will automatically run in the testing (optimization) mode. If this parameter is not present, testing will not run.
  • ExpertParameters — the name of the file that contains Expert Advisor parameters. This file must be located in the MQL5\Profiles\Tester folder of the platform installation directory.
  • Symbol — the name of the symbol that will be used as the main testing symbol. If this parameter is not added, the last selected symbol in the tester is used.
  • Period — testing chart period (any of the 21 periods available in the platform). If the parameter is not set, default H1 is used.
  • Login — this parameter communicates to the Expert Advisor the value of an account, on which testing is allegedly performed. The need for this parameter is set in the source MQL5 code of the Expert Advisor (in the AccountInfoInteger function).
  • Model — tick generation mode (0 — "Every tick", 1 — "1 minute OHLC", 2 — "Open price only", 3 — "Math calculations", 4 — "Every tick based on real ticks"). If this parameter is not specified, Every Tick mode is used.
  • ExecutionMode — trading mode emulated by the strategy tester (0 — normal, -1 — with a random delay in the execution of trading orders, >0 — trade execution delay in milliseconds, it cannot exceed 600 000).
  • Optimization — enable/disable optimization, its type (0 — optimization disabled, 1 — "Slow complete algorithm", 2 — "Fast genetic based algorithm", 3 — "All symbols selected in Market Watch").
  • OptimizationCriterion — optimization criterion: (0 — the maximum balance value, 1 — the maximum value of product of the balance and profitability, 2 — the product of the balance and expected payoff, 3 — the maximum value of the expression (100% - Drawdown)*Balance, 4 — the product of the balance and the recovery factor, 5 — the product of the balance and the Sharpe Ratio, 6 — a custom optimization criterion received from the OnTester() function in the Expert Advisor).
  • FromDate — starting date of the testing range in format YYYY.MM.DD. If this parameter is not set, the date from the corresponding field of the strategy tester will be used.
  • ToDate — end date of the testing range in format YYYY.MM.DD. If this parameter is not set, the date from the corresponding field of the strategy tester will be used.
  • ForwardMode — forward testing mode (0 — off, 1 — 1/2 of the testing period, 2 — 1/3 of the testing period, 3 — 1/4 of the testing period, 4 — custom interval specified using the ForwardDate parameter).
  • ForwardDate — starting date of forward testing in the format YYYY.MM.DD. The parameter is valid only if ForwardMode=4.
  • Report — the name of the file to save the report on testing or optimization results. The file is created in the trading platform directory. You can specify a path to save the file, relative to this directory, for example, \reports\tester.htm. The subdirectory where the report is saved should exist. If no extension is specified in the file name, the ".htm" extension is automatically used for testing reports, and ".xml" is used for optimization reports. If this parameter is not set, the testing report will not be saved as a file. If forward testing is enabled, its results will be saved in a separate file with the ".forward" suffix. For example, tester.forward.htm.
  • ReplaceReport — enable/disable overwriting of the report file (0 — disable, 1 — enable). If overwriting is forbidden and a file with the same name already exists, a number in square brackets will be added to the file name. For example, tester[1].htm. If this parameter is not set, default 0 is used (overwriting is not allowed).
  • ShutdownTerminal — enable/disable platform shutdown after completion of testing (0 — disable, 1 — enable). If this parameter is not set, the "0" value is used (shutdown disabled). If the testing/optimization process is manually stopped by a user, the value of this parameter is automatically reset to 0.
  • Deposit — initial deposit for testing optimization. The amount is specified in the account deposit currency. If the parameter is not specified, a value from the appropriate field of the strategy tester is used.
  • Currency — deposit currency for testing/optimization purposes. Specified as a three-letter name, e.g. EUR, USD, CHF etc. Please note that cross rates for converting profit and margin to the specified deposit currency must be available on the account, to ensure proper testing. If the parameter is not specified, a value from the appropriate field of the strategy tester is used.
  • Leverage — leverage for testing/optimization. For example, 1:100. If the parameter is not specified, a leverage from the appropriate field of the strategy tester is used.
  • UseLocal — enable/disable the use of local agents for testing and optimization (0 — disable, 1 — enable). If the parameter is not specified, current platform settings are used.
  • UseRemote — enable/disable use of remote agents for testing and optimization (0 — disable, 1 — enable). If the parameter is not specified, current platform settings are used.
  • UseCloud — enable/disable use of agents from the MQL5 Cloud Network (0 — disable, 1 — enable). If the parameter is not specified, current platform settings are used.
  • Visual — enable (1) or disable (0) the visual test mode. If the parameter is not specified, the current setting is used.
  • Port — the port, on which the local testing agent is running. The port should be specified for the parallel start of testing on different agents. For example, you can run parallel tests of the same Expert Advisor with different parameters. During a single test port can be omitted.
  • Input parameters from the file specified in ExpertParameters are used for testing/optimization.
  • If the ExpertParameters setup is not available, parameters from the file Expert_name.set located in [platform_folder]\MQL5\Profiles\Tester are used. The last specified set of input parameters of an Expert Advisor is automatically saved in this file.
  • If there is no such file, then the default parameters specified in the Expert Advisor code are used for testing. Optimization is not possible.
  • To create or edit the set of parameters, select the Expert Advisor on the Settings tab of the strategy tester, and specify input parameters and their modification range on the corresponding tab.

Example of a Configuration File

[Common]

Login=1000575

ProxyEnable=0

ProxyType=0

ProxyAddress=192.168.0.1:3128

ProxyLogin=10

ProxyPassword=10

KeepPrivate=1

NewsEnable=1

CertInstall=1

[Charts]

ProfileLast=Euro

MaxBars=50000

PrintColor=0

SaveDeleted=1

[Experts]

AllowLiveTrading=0

AllowDllImport=0

Enabled=1

Account=0

Profile=0

[Objects]

ShowPropertiesOnCreate=0

SelectOneClick=0

MagnetSens=10

;+------------------------------------------------------------------------------+

;|  Running an EA and/or script on the specified chart at the platform start    |

;+------------------------------------------------------------------------------+

[StartUp]

;--- The Expert Advisor is located in platform_data_directory\MQL5\Experts\Examples\MACD\

Expert=Examples\MACD\MACD Sample

;--- EA start parameters are available in platform_data_directory\MQL5\Presets\

ExpertParameters=MACD Sample.set

;--- The script is located in platform_data_directory\MQL5\Scripts\Examples\ObjectSphere\

Script=Examples\ObjectSphere\SphereSample

;--- Symbol chart, which will be opened when you start the platform, and EA and/or script will run on it

Symbol=EURUSD

;--- Chart timeframe, which will be opened when you start the platform, and EA and/or script will run on it

Period=M1

;--- The template to apply to a chart is located in platform_installation_directory\Profiles\Templates

Template=macd.tpl

;+------------------------------------------------------------------------------+

;| Start Expert Advisor testing or optimization                                 |

;+------------------------------------------------------------------------------+

[Tester]

;--- The Expert Advisor is located in platform_data_directory\MQL5\Experts\Examples\MACD\

Expert=Examples\MACD\MACD Sample

;--- The Expert Advisor parameters are available in platform_installatoin_directory\MQL5\Profiles\Tester\

ExpertParameters=macd sample.set

;--- The symbol for testing/optimization

Symbol=EURUSD

;--- The timeframe for testing/optimization

Period=M1

;--- Emulated account number

Login=123456

;--- Initial deposit

Deposit=10000

;--- Leverage for testing

Leverage=1:100;--- The "All Ticks" mode

Model=0

;--- Execution of trade orders with a random delay

ExecutionMode=1

;--- Genetic optimization

Optimization=2

;--- Optimization criterion - Maximum balance value

OptimizationCriterion=0

;--- Dates of beginning and end of the testing range

FromDate=2011.01.01

ToDate=2011.04.01

;--- Custom mode of forward testing

ForwardMode=4

;--- Start date of forward testing

ForwardDate=2011.03.01

;--- A file with a report will be saved to the folder platform_installation_directory

Report=test_macd

;--- If the specified report already exists, it will be overwritten

ReplaceReport=1

;--- Set automatic platform shutdown upon completion of testing/optimization

ShutdownTerminal=1


Extended Authentication

Getting Started / For Advanced Users / Extended Authentication

Extended Authentication

The trading platform provides an option of extended authentication using SSL certificates, which greatly increases the safety of the system. The extended authentication can be enabled on the server. When it is enabled, the standard authentication is still active. In any case, users need to enter their account details.

  • The authorization algorithm is generally accepted and secure. It is fully analogous to the SSL authentication.
  • Connection between the client and server is established over a custom protocol with the encryption of all data transmitted.
  • A public key can be freely distributed and used to verify the message signed using the secret key. It is guaranteed, that knowing a public key, it is impossible to compute the secret key within a reasonable time. The calculation of a secret key based on a public one, even on powerful modern computers, can take tens or even hundreds of years.

Order of Generating and Receiving a Certificate

When trying to login using an account with the extended authentication, you will need to go through standard authentication. After that, the trade server sends a request to the trading platform to generate two keys: private and public. The public key is sent to the trade server.

Based on the account data, the server generates a certificate and signs it with its private key (the server's private key signature guarantees that the certificate cannot be falsified). After that a window appears in the trading platform, in which you need to enter the password to protect the certificate:

Before generating a certificate, a protective password needs to be specified

The following fields and settings are available in this window:

  • Password — a password for the certificate installation;
  • Confirm password — confirmation of the password to avoid mistyping;
  • Add the certificate to the Windows storage — if this option is enabled, the certificate is automatically installed to the operating system storage. If you install the certificate to the system storage, then you can choose not to keep the PFX file of the certificate on the hard disk in the folder /platform_folder/config/certificates. The platform checks the certificate in the system storage or in the specified folder on the hard disk.

The password for the certificate must contain at least two types of symbols (lower case, upper case, digits), and be at least 5 characters long.

After the required data are specified, press "Continue". The certificate is packed and protected by the specified password. The resulting certificate file *.pfx is stored in /platform_folder/config/certificates, from which it can be relocated later. The certificate files are named according to the following rule: Login_ID_Name.pfx, where:

  • Login is the account number;
  • ID is a short name of the company the account was opened in;
  • Name is the name of a client specified when creating the account.
  • Even having access to the *.pfx file, the certificate cannot be used without the password.
  • Certificates are generated only during the first account connection or when a certificate is intentionally reset on the server.
  • The certificate is not required when connecting using an investor password.

Authentication

Further, each time you connect in the extended authentication mode, you will need to enter the certificate password together with the main account details:

In the extended authentication mode additionally specify the certificate password

Confirmation of Certificates

An additional mode of certificate confirmation can be enabled on the server to significantly increase the safety of the platform. Until the certificate is confirmed, connection is only possible in the investor mode without the possibility to trade.

In this mode, after a certificate is received, a special email is sent to the platform, describing actions to be taken to confirm the certificate (for example, call the number specified and confirm user identity). The email can be viewed on the Mailbox tab of the Toolbox window.

Once the certificate is confirmed, a user can trade from this account.

  • For demo accounts, certificates are confirmed automatically straight after generation.
  • After the certificate has been confirmed, it's necessary to reconnect using the account details.

Move Certificates to Another PC

To connect to an account with an extended authentication, a user requires a certificate. To work with the account on several computers or on a new computer, you need to move/copy the certificate.

To move the certificate, copy its PFX file from /platform_folder/config/certificates of the source computer to the same folder on the target computer.

Transferring the Certificates to a Mobile Device

If the certificate was requested and generated via the desktop platform, you should transfer it to your iPhone/iPad or Android device if you want to be able to enter your account via that device.

Transfer

The certificate is transferred securely via a trading server:

  • First, the certificate is encrypted in the desktop platform: an account owner sets the password to encrypt the certificate using a reliable AES-256 algorithm. The password is not sent to the server ensuring that only the user knows it.
  • Next, the encrypted certificate is sent to the trade server where it is stored before receipt via a mobile platform (but no more than an hour).
  • In order to receive the certificate, the user should connect to the account via the mobile platform, After connecting, the user will be offered to import the certificate. To do this, they should enter the password that was used to encrypt the certificate in the desktop platform.

The certificate transfer is secure: the trading server is used solely as an intermediate storage, while encryption is performed at the user's side. The certificate password is not transferred or stored on the trade server.

How to transfer the certificate

Connect to the account via the desktop platform and select "Transfer SSL certificate to mobile device" in its context menu:

Transferring the certificate to a mobile device

Specify the master password of the account to confirm that it belongs to you. Next, set the password to be used to protect the certificate before sending it to the server or use an automatically generated random password. The password should consist of at least 8 digits.

After successfully sending the certificate to the server, open the mobile platform and connect to the account. You will be immediately offered to import the certificate. Agree and enter the password you have set during the transfer.

Importing the certificate to a mobile device

You can view the certificate in About – Certificates.

Alternative transfer option

You can transfer the certificate manually:

  • iPhone/iPad — via iTunes
  • Android — copying to a device

View Certificates

To view a certificate used for the account in the extended authentication mode click on "Certificate" on the Server tab.

Click on a certificate on the server tab to view its details

The following certificate details are displayed here:

  • Issued to — the account number and certificate holder name.
  • Issued by — the name of the company that issued the certificate.
  • Valid from — certificate validity period.

Certificate Export

The public part of the certificate (without the private key) can be exported to a file.

Do not submit your certificate pfx file containing the private key to anyone. This file is generated during the first connection in the extended authentication mode and is stored in /platform_folder/config/certificates.

To export the public part of your certificate, move to the Details tab and click "Copy to File":

To export the public part of the certificate, click Copy to File in Details

Follow the instructions of Certificate Export Wizard. Select the file format for export after the greeting message:

Select the certificate file format to export

Specify a file name and complete the export process.

Extended Authentication Restrictions

The extended authentication option cannot be used in the web platform and in the Signals service. If extended authentication is used on an account, you cannot connect to this account via the web platform or register it to provide trading signals. However, copying of signals to an account with extended authentication is possible.


One Time Passwords - OTP

Getting Started / For Advanced Users / One Time Passwords - OTP

OTP — Authentication Using One Time Password

Use of OTP (One Time Password) provides an additional level of security when working with trading accounts. The user is required to enter a unique one-time password every time to connect to an account.

  • The use of OTP should be enabled on a trade server.
  • The forced use of OTP can also be enabled on a trade server.

One Time Passwords are generated on the mobile platform for iPhone and mobile platform for Android.

To use One Time Passwords, you should bind your trading account with the password generator, which is the Mobile Platform 5 for iPhone and Android.

How to Enable OTP on iPhone

Go to the Settings of the mobile platform and select OTP. For security reasons, when you first open this section, you will be required to set a four-digit password. The password must be entered every time you access the password generator.

If you forgot your password to the password generator but still use the same mobile device, reinstall the mobile platform and rebind your account to the generator. If you no longer have access to the mobile device, contact your broker to reset the binding to the password generator.

Set a password to access the OTP generator

In the window that opens, select "Bind to account".

To bind an account to the OTP generator, enter its details

Next, specify the name of the server on which the trading account was opened, the account number and the master password to it. Keep the "Bind" option enabled. Disable it, if you are going to unbind the specified account from the generator and stop using One Time Passwords.

If you rebind your account to another password generator, you need to enter a one-time password from the previously used generator. If you do not have access to it (for example, your mobile device is lost), contact your broker to reset the binding.

Tapping on the "Bind" button located at the top of the window binds the trading account to the generator. An appropriate message appears after that.

The generated One Time Password is valid for a short period of time

Likewise, you can bind an unlimited number of accounts to the generator.

The One Time Password is displayed at the top of the OTP section. A blue bar below visualizes the password lifetime. Once the password expires, it is no longer valid, and a new password will be generated.

Additional Commands:

  • Change Password — change the generator password.
  • Synchronize Time — synchronize the time of the mobile device with the reference server. Accuracy requirement is connected with the fact that the OTP is valid for the current time interval, and this time should be the same on the platform and the server side.

How to Enable OTP on Android Based Devices

Go to the Accounts of your mobile terminal and tap Open the generator of one-time passwords. For security reasons, when you first open this section, you will be required to set a four-digit password. The password must be entered every time you access the password generator.

If you forgot your password to the password generator but still use the same mobile device, reinstall the mobile platform and rebind your account to the generator. If you no longer have access to the mobile device, contact your broker to reset the binding to the password generator.

Set a password to access the OTP generator

In the window that opens, select "Bind to account".

Bind the account to the OTP generator

Next, specify the name of the server on which the trading account was opened, the account number and the master password to it. The "Bind" should be kept enabled. It must be disabled, if you are going to unbind the specified account from the generator and stop using one-time passwords.

If you rebind your account to another password generator, you need to enter a one-time password from the previously used generator. If you do not have access to it (for example, your mobile device is lost), contact your broker to reset the binding.

After you tap the "Bind" button located in the upper part of the window, your trading account will be bound to the generator, and an appropriate message will appear.

Likewise, you can bind an unlimited number of accounts to the generator.

The one-time password is displayed at the top of the OTP section. Underneath, a blue bar visualizes the password lifetime. Once the password expires, it is no longer valid, and a new password will be generated.

Additional Commands:

  • Change Password — change the generator password.
  • Synchronize Time — synchronize the time of the mobile device with the reference server. Accuracy requirement is connected with the fact that the one-time password is bound with the current time interval, and this time should be the same on the trading platform and the server side.

How to Use OTP on the Platform

A One Time Password is additionally requested during connection to a bound account from the trading platform:

OTP is required in addition to a usual password


Files and Folders

Getting Started / For Advanced Users / Files and Folders

Files and Folders

This section contains the description of how the platform's files and folders are stored. In the main mode of platform start, modifiable and read-only files of the platform are stored separately.

Read-only Files of the Platform

These files are located in /Program Files/platform folder/. They are:

  • Terminal.exe — the executable file of the trading platform;
  • MetaEditor.exe — the executable file of the built-in MQL5 language editor;
  • Sounds/*.wav — a set of standard audio files of the trading platform;

Modifiable Files

The main platform directory contains several folders: Bases, Config, Logs, MQL5, Profiles, Templates, Tester. For quick access to the desired storage location, use command " Open data folder Open data folder" in the File menu.

All text files are of Unicode format. Use appropriate software to edit them.

The Bases directory contains the platform's data bases grouped by servers, as well as some settings:

Folders and Files | Description | Sub-folders | Description
Default | Default folder of the platform database | History | The folder stores history data of financial instruments. Each security is stored in a separate directory that contains files yyyy.hcc, ticks.dat and the cache folder. Files yyyy.hcc contain one-minute data of a symbol, the file name reflects the year to which the data belong. The file ticks.dat contains tick data of a symbol. Files *.hc stored in the "Cache" folder contain bars of different timeframes calculated for a symbol from one-minute data. They are automatically created when you select the appropriate chart period.
 |  | Mail | The folder stores all emails received or sent from the platform. Mail databases are stored in *.dat files; a separate file is created for each account opened in the platform. For example, mail-xxxxx.dat, where xxxxx is the account number.
Server 1 — N | Platform database folders for different trade servers | News | The folder only stores one file news.dat containing the database of all newsletters ever received in the platform from a selected trade server.
 |  | Symbols | File selected-xxxxx.dat contains the database of symbol currently selected in the Market Watch window. File symbols-xxxxx.dat contains the common database of symbols available on this trade server.
 |  | Trades | Contains subfolders named by account numbers ever opened in the platform. Each account folder contains files deals_yyyy.mm.dat and history_yyyy.mm.dat with the information about trade and order history respectively. Separate files are created for each month. Here yyyy means the year, and mm — month.
alerts.dat | Contains the database of created alerts.
books.dat | Contains a list of currently open windows of request queues.
favourites.dat | Contains a database of elements added to Favorites of the Navigator window.
gvariables.dat | Contains information about global variables used in the platform.
hotkeys.ini | Contains a database of keyboard shortcuts.
indicators.dat | Contains usage statistics of indicators to display in the Insert menu.
objects.dat | Contains usage statistics of objects to display in the Insert menu.

Directory Config contains platform configuration files:

Folders and Files | Description
certificates | Folder containing certificate files *.pfx
accounts.dat | Contains a database of accounts and their settings.
common.ini | Contains common platform settings available in the Options window opened through the Tools menu.
metaeditor.ini | Contains common settings of MetaEditor.
terminal.ini | Contains platform interface settings and last used values (for window positioning, attached indicators, etc.)
servers.dat | Trade server settings for connection.

The Logs directory contains log files of the platform and MetaEditor, as well as crash logs:

Folders and Files | Description
/Crash/crash.log.* | Directory /crash contains files of the platform crashes. These files are automatically sent to the developer company to determine and eliminate their causes.
yyyymmdd.log | Log files containing information about events occurring in the platform. Platform logs are stored in separate files for each day it runs. Here yyyy stands for the year, mm — month, dd — day.
metaeditor.log | MetaEditor log files.

The MQL5 directory contains all the information related to programs written in this language:

Folders and Files

Description

/Experts

Contains Expert Advisor, compiled files (*.ex5) and source code files (*.mq5).

/Files

Contains files used by Expert Advisors and scripts.

/Images

Contains image files in *.bmp format.

/Include

Contains common *.mqh include files.

/Indicators

Contains files custom indicators.

/Libraries

Contains MQL5 libraries.

/Logs

Contains Expert Advisor log files (yyyymmdd.log). These files are created separately for each day of the EA operation, their names correspond to their creation date: yyyy stands for the year, mm — month, dd — date.

/Presets

Parameters of Expert Advisors start are stored in this folder ("Input Parameters").

/Profiles

Contains various profiles and templates:

  • /Charts — chart profiles. Templates of default chart settings are stored in the Default subdirectory. Custom and built-in profiles are stored in separate subdirectories with their names corresponding to the names of the profiles. Each profile contains *.chr files with chart descriptions and order.wnd file with the windows placement order.
  • /Deleted — templates of deleted charts for subsequent re-opening.
  • /SymbolSets — sets of symbols (including displayed information columns) for the "Market Watch" window.
  • /Templates — chart templates as *.tpl files and HTML templates for reports:
    • ReportTrade.htm — current positions and orders report template.
    • ReportHistory.htm — trading history report template.
    • ReportTester.htm — testing report template.
  • /Tester — *.set files with the last used sets of input parameters for each Expert Advisor that has ever been tested.

/Scripts

Contains files of scripts.

experts.dat

Contains usage statistics of MQL5 programs to display in the Insert menu.

The Tester directory contains files and folders used by the Strategy Tester:

Folders and Files | Description | Sub-folders | Description
Agent-IP-address-port | These folders are created for each agent of the tester. The folder name contains the IP address and port number the agent runs on. | MQL5 | The file of the Expert Advisor that was tested last is stored in this folder. Expert Advisors are not saved in the folders of remote agents.
 |  | logs | The entries of the agent operation journal are stored in this folder.
 |  | bases | History data used by the agent are stored in this folder.
logs | This folder contains Strategy Tester log files (yyyymmdd.log). These files are created separately for each day of the EA operation, their names correspond to their creation date: yyyy — year, mm — month, dd — day.
/Manager | This directory contains log entries of the MetaTester component.
/Cache | This folder contains the XML-file of cache of last Expert Advisor optimization.


Manage Trading Accounts

Getting Started / For Advanced Users / Manage Trading Accounts

Manage Trading Accounts

Traders can work with multiple accounts in one platform. These accounts can be opened with different brokers. Used accounts are stored and displayed in the Navigator window, they are grouped based on the name of the server they are open on.

How to Switch between Accounts

To switch to another account, double-click on it in the Navigator.

To manage a trading account, open its context menu in the Navigator

  • The trading platform can be configured to automatically disable trading after switching to another account. It helps protect against accidental deals performed by a trading robot working on that account. Enable the option "Disable automated trading when switching accounts".
  • For greater security, you can disable the function of authorization data storage on the hard disk (encrypted). This can be done by disabling the option "Keep personal settings and data at startup". You will need to manually enter the password every time you connect to the account.

Demo accounts are marked by the icon Demo account, live accounts have icon Live account. An unlimited number of demo accounts can be opened in the platform. However, live accounts cannot be opened here. They can only be opened by a brokerage company.

Account management functions are available in the context menu:

  • Open an Account Open an Account — open a demo account. The same action can be performed by pressing Insert.
  • Login to Trade Account Login to Trade Account — connect to a trade server using the selected account. The same operation can be performed by double-clicking on an account, or by selecting it and pressing Enter.
  • Login to MQL5.community Login to MQL5.community — open trading platform settings to login to MQL5.community and access additional services.
  • Change Password Change Password — open the account password change window.
  • Delete Delete — delete a selected account. The same action can be performed by pressing the Delete key.
  • Transfer Funds Transfer Funds — transfer funds between accounts. This commands is only available in the context menu of the current account, if the transfer of funds is allowed on the trade server.
  • Add to Favorites Add to Favorites — add the selected account to Favorites for quick access.
  • Register as Signal Register as Signal — register the selected account in the Signals service. A click on this command opens a signal creation page on MQL5.community. The selected account and the right broker server are automatically specified in the registration form.
  • Register a virtual server Register a virtual server — this is a command for renting a virtual server to provide round-the-clock operation of the platform. Unlike renting ordinary VDS or VPS from third-party companies, with Virtual Hosting you can choose a server that is the closest to your broker to minimize the network latency when sending orders from the platform to a trade server.

Transferring Funds between Accounts

The trading platform allows transferring money between accounts within the same trade server. Money can only be transferred from the currently connected account. Select it in the Navigator window and choose "Transfer funds" from the context menu.

Click Transfer Funds in the context menu and specify receiver's details

In the dialog box, select the account to which you want to transfer funds. The transfer amount is specified in the deposit currency of the current account. It cannot exceed the current balance and the current amount of free margin of the account.

To transfer funds, a master password must be specified for both accounts. If OTP authentication is used for the account, from which funds are transferred, the one-time password should be additionally specified.

Funds are transferred in the form of balance operations: a withdrawal operation on the current account and depositing operation on the recipient account.

  • The money transfer option must be enabled on the trade server. Depending on the settings, there are some restrictions on the accounts, between which transfer is allowed. In particular, money transfer can be allowed only for accounts with identical names and emails.
  • Funds can be transferred only within the same trading server and only between the accounts of the same type. From a real account funds can be transferred only to another real account, from a demo one - only to demo.
  • The accounts, between which funds are transferred, must use the same deposit currency.

Automatic creation of new demo accounts to replace inactive ones

When a user tries to connect to an expired demo account (for which the server returns the "Invalid account" error), the platform automatically opens a new demo account. The account is created on the same trade server (provided that the broker still allows opening demo accounts from the platform).

An expired demo account is deleted from the Navigator window, since it becomes useless: it cannot be used for connecting to the trades server (the account has been deleted on the broker server), while its trading history cannot be viewed. When an expired demo account is deleted, the following message is added to the platform journal: current demo account 'XXXX' was deleted on trade server, new demo will be allocated.

Thus, the platform helps traders to instantly start working with the account and eliminates the need to delete inactive and unnecessary data.


Mailbox

Getting Started / For Advanced Users / Mailbox

Mailbox

The trading platform contains an internal mail system. It allows you to receive important information from your broker: information about open accounts, useful information about the platform features, upcoming events, etc.

All the emails are displayed in the Mailbox tab of the Toolbox window.

Email subject

Email sender's name

Email recipient's name

Email sending or receiving time

Write an email

Unread messages are marked with icon Unread message, read ones - Read message. Outgoing emails are marked with icon Outgoing message. When the function of response to an email is used, messages are joint into threads, which makes it easy to navigate in conversations with clients. Email threads are marked with icon Email Thread. To expand a thread, click on this icon.

Emails are stored on the trade server. When you delete an email from the platform interface, it will not be re-downloaded. However, if you delete the platform mail database (the file "/bases/server_name/mail/mail-account_number.dat") or connect from another platform, all the mails for the last 30 days will be downloaded again.

Reading an Email

Double-click on an email to read it.

To read an email, double-click on it in the list

The top of the email contains the following data: a client's account and name, date of email, its subject and attachments (if any).

The toolbar of this window contains the following commands:

  • Reply Reply — open email creation window with the field "To" filled in and a quote of a received email;
  • Save Save — save the email on a computer as a HTML file or a text file in Unicode standard;
  • Print Print — print the email;
  • Print preview Print Preview — open the preview window before printing the email;
  • Attachment Attachment — save files attached to the email. Another way to save an attachment is to click on its name in the appropriate field of the email header.

Writing an Email

To create an email, select the appropriate command in the context menu, or use the hot key "Insert" on the Mailbox tab.

Select the email recipient, add email subject and body

Specify the following data in this window:

  • To — the account of a trade server administrators you want to send an email to;
  • Subject — subject of the email;
  • Attachments — files attached to the email. To attach a file click Add attachment, and specify the desired file. To remove an attachment click Delete attachment. If several files are attached to an email, they are deleted starting from the last one;
  • Below is the window for working with am email text. It contains three tabs: Edit, View and Source. In the Edit tab you can write an email text and use commands for working with it. You can view the final email in the View tab. The Source tab allows working with the source HTML code of an email.

Note the following limitations on attachments:

  • The size of one attached file cannot exceed 8MB;
  • The total size of attached files cannot exceed 16MB;
  • Up to 5 files can be attached.


Security System

Getting Started / For Advanced Users / Security System

Security System

Particular attention is paid to the security of the trading platform. The following measures are undertaken to provide secure operation:

  • Data Encryption
    Data exchange between the trading platform and the server is compressed and encrypted based on 128-bit keys.
  • Extended Authentication
    The extended authentication mode can be enabled on the server, which additionally improves account protection from unauthorized access.
  • Server Authentication
    During authentication, not only clients confirm their authenticity, but the trade server also undergoes authentication in the trading platform. This is to ensure that the trade server is the very server, which it claims to be.
  • Protection of Configuration Files
    Connecting to a trade server using configuration files copied from the /Config folder of another platform is impossible. All configuration files that store server connection settings and accounts are encrypted.
  • Protection of Passwords
    All password entering fields are protected from being viewed using hacking programs.

Security of Databases

All databases of the platform are encrypted and protected from use on other platforms.

Always keep account details in a safe place. If you move a platform from one computer to another, there is no possibility to use the information stored in it (accounts, emails, trade history). After authenticating on a server using an account, trade, mail and news databases are restored, but the account details can only be restored by contacting a broker.
  • Account Database
    The database of accounts (/Config/accounts.ini) of a platform is bound to a user account in the operating system and computer configuration. If a user tries to authorize in the platform under a different user account in the operating system, or when the platform data are transferred to another computer, the entire database of accounts is deleted during the start of the platform. In this connection, you must keep the accounts details (login and password) in a separate safe place.
  • Information Databases
    Mail, trade and symbol databases are encrypted. They are automatically deleted at an attempt to move them and open in a different platform.


Live Update

Getting Started / For Advanced Users / Live Update

Live Update

A system of automatic updates is built into the platform. It provides timely updates to new versions. This system can not be deactivated.

Updating Procedure

Upon connecting to a trade server, the system checks for the platform updates. If a new version of any of the platform components is found, it is automatically downloaded in the background mode.

The updates are downloaded to the following default folder (depending on the operating system used):

Microsoft Windows XP SP3:

  • C:\Documents and Settings\username\Application Data\MetaQuotes\WebInstall

Microsoft Windows Vista and higher:

  • C:\Users\username\AppData\Roaming\MetaQuotes\WebInstall

Here "C" is the letter of a logical disk, where the operating system is installed, "username" is the account in the operating system, under which the platform has been installed. Downloaded updates are available to all platforms, the updates are not re-downloaded for other instance of the platform.

After the update is downloaded, the following dialog appears prompting you to update the platform:

A click on Restart closes the platform, updates and then re-starts it

Click one of the buttons:

  • Restart — the windows of the platform and MetaEditor (if t is open) are closed, the components are updated, and the platform is then restarted.
  • Later — it hides the dialog, and the platform is updated automatically later with the next start.
  • All the update stages appear in the trading platform Journal. "LiveUpdate" is specified in the Source column of such logs.
  • If the platform update fails (connection to server is lost), the next attempt will be made after one hour. Only missing data will be downloaded during this attempt.

Updating with UAC Enabled

If the UAC (User Account Control) system is enabled on the computer or the user does not have sufficient rights in the OS, a dialog requesting to confirm/increase the user's permissions appears at the attempt to update.

Microsoft Windows XP SP3

To update the platform in MS Windows XP SP3 with UAC enabled, specify administrator account details

In this case, enter the details of the administrator account that has sufficient permissions to write files to the platform installation directory.

Microsoft Windows Vista

To update the platform in MS Windows Vista with UAC enabled, specify administrator account details

Depending on the user's permissions in MS Windows Vista, it is necessary either to allow the operation (if a user is an administrator) or specify administrator account details.

Updating Manuals

All user manuals (this User Guide, MetaEditor and MQL5 references) are updated separately. No more than once every two weeks, when a manual is opened, the system checks for its new version. If one is found, the following dialog appears, prompting to download it:

Click Yes to download the latest Help version

Click Yes to download the new version of the specified manual. To cancel the update, click No or close the window.


Platform Logs

Getting Started / For Advanced Users / Platform Logs

Platform Logs

Almost all actions performed are logged in the platform journals. The logs reflect all important events: synchronization with the provider's account during copy trading, hosting migration results, details of purchases from the Market, and much more.

Two types of logs are available in the platform:

  • Experts Journal is displayed on the Experts tab of the Toolbox window. It contains information about the running indicators and Expert Advisor, including opening/closing of positions, modification of orders, Expert Advisor alerts and comments, etc.
  • Platform logs are shown on the Journal tab of the Toolbox window. It contains information about the recorded actions of the trader and platform for the current session. Information about the platform start and all events during its operation including execution of all trade operations are displayed here.

Journals are displayed on the Experts and Journal tabs of Toolbox

Journal logs are represented in a table with the following fields:

  • Time — the date and time of the event;
  • Source — event type: Network, Alert, HistoryBase, Experts, the name of a separate Expert Advisor or indicator, etc.;
  • Message — description of the event.

Events are divided into several types and marked by special icons:

  • Information — informational message;
  • Warning — warning;
  • Error — error message.

The following commands can be run from the context menu of this tab:

  • Open Open — open the folder that contains the journal log files. Besides that, when this command is executed, all current journal entries are saved in log files. The platform log files are stored in the Logs directory, and Expert log files are saved in MQL5\Logs. File names correspond to the date of journal generation — YYYYMMDD.LOG. Previous logs on the platform operation can be reviewed from these files, while the "Journal" tab only contains the latest entries;
  • Copy Copy — copy a row with information to clipboard for use in other applications;
  • Send Send — send the current log file to an administrator by the internal mailing system. Execution of this command opens a message creating window, to which the selected file is attached;
  • Alerts Alerts (in the Experts journal only) — open the window of Expert Advisor alerts;
  • Viewer Viewer — open a special program to view log files;
  • Clear Clear — remove current logs from the tab. Logs are not physically removed from the computer, they are still available in log files;
  • Auto Scroll — if this option is enabled, the list of logs is scrolled to the last one every time a new entry appears in the journal;
  • Auto Arrange — if this option is enabled, the size of table columns is selected automatically in case the window size is changed;
  • Grid — enable/disable table field separators.

Log Viewer

The platform includes a special program for viewing log files. It can be opened by selecting "Viewer" in the context menu of the Journal and Experts tabs.

Search for entries and filter them using the log viewer

A search bar (search is performed by exact words, case sensitive) and the filter of entries (Full, No connection, Errors only) are available at the top of the window. You can specify time range for search. After specifying all the necessary search condition, click "Request".

The following commands are available in the context menu of the log viewer:

  • Open Open — open the folder that contains the journal log files. Besides that, when this command is executed, all current journal entries are saved in log files. The platform log files are stored in the Logs directory, and export log files are saved in MQL5\Logs. File names correspond to the date of journal generation — YYYYMMDD.LOG. Previous logs on the platform operation can be reviewed from thee files, while the "Journal" tab only contains the latest entries;
  • Copy Copy — copy a row with information to clipboard for use in other applications;
  • Send Send — send the current log file to an administrator by the internal mailing system. Execution of this command opens a message creating window, to which the selected file is attached;
  • Search Search — open the search window.
  • Find Next Find next — find the next item matching the search query.
  • Find Previous Find Previous — find the previous item matching the search query.
  • Auto Scroll — if this option is enabled, the list of logs is scrolled to the last one every time a new entry appears in the journal;
  • Auto Arrange — if this option is enabled, the size of table columns is selected automatically in case the window size is changed;
  • Grid — enable/disable table field separators.

Search in Logs

To find a word or phrase in the records displayed, click " Search Search" in the context menu or press "Ctrl+F".

Enter a word or phrase to search

It contains the following commands and parameters:

  • Find — field to enter the search word or phrase;
  • Match Whole Word Only — this option allows to search by a particular word form, only the word or phrase that exactly match the search query will be found;
  • Match Case — enable/disable case sensitivity when executing the search query;
  • Direction up/down — Enable search up or down from the current cursor position;
  • Find Next — move to the next found item. The same command can be executed by pressing F3;
  • Cancel — close the window.

Alerts of Expert Advisors

If the Expert Advisor code provides generation of alerts using the Alert(); function, a special dialog appears when the alerts trigger:

Using alerts, an Expert Advisor can notify a trader about significant events

The message of the current alert appears at the top of the window. The current and the previous alerts of the Expert Advisor are shown in the table below:

  • Date and time;
  • Name of the MQL5 application, chart symbol and timeframe;
  • Alert message.

Using alerts, an Expert Advisor can notify a trader about significant events. The window of alerts opens even if the window of the platform is minimized.


Hot Keys

Getting Started / For Advanced Users / Hot Keys

Hot Keys

Hot keys (accelerating keys) are keys and their combinations that allow to execute various commands fast and without using menus or toolbars. Hot keys can be assigned for calling any element of the Navigator window, except for elements of the Accounts group. In order to assign a combination of keys to an element, the " Set hotkey Set hotkey" command of its context menu should be executed.

Assigned hot keys are of higher priorities than predefined ones. For example, initially the "Ctrl+O" combination calls the platform setup window. If call of the "On Balance Volume" indicator is set to the same combination, "Ctrl+O" will not call the platform setup window any more.

Predefined hot keys execute various functions depending on what platform interface window is currently active. Some hot keys execute certain functions independent of focus.

Hot Keys of the Chart Window

Hot keys | Description
Left Arrow | Scroll chart to the left.
Right Arrow | Scroll chart to the right.
Up Arrow | Fast chart scroll to the left; in case of a fixed scale — chart scroll upwards.
Down Arrow | Fast chart scroll to the right; in case of a fixed scale — chart scroll downwards.
NumPad 5 | Restoring of automatic chart vertical scale after its being changed. If the scale was defined, this hot key will return the chart into the visible range.
Page Up | Fast chart scroll to the left.
Page Down | Fast chart scroll to the right.
Home | Move chart to the start point.
End | Move chart to the end point.
"-" | Zoom out chart.
"+" | Zoom in chart.
Delete | Delete all selected graphical objects.
Backspace | Delete the latest objects imposed to a chart.
Enter | Open/close fast navigation bar.

Hot Keys of Working with Charts, Independent of the Active Window

Hot keys | Description
F2 | Open MQL5 code base published at MQL5.community for downloading.
F7 | Call the window with properties of an EA attached to a chart window for changing its settings.
F8 | Call the chart setup window.
F12 | Move chart by one bar to the left.
Shift+F12 | Move chart by one bar to the right.
Shift+F5 | Switch to the previous profile.
Alt+1 | Show chart as a sequence of bars.
Alt+2 | Show chart as a sequence of candlesticks.
Alt+3 | Show chart as a broken line.
Alt+W | Call open chart managing window.
Alt+Backspace or Ctrl+Z | Cancel object deletion.
Ctrl+A | Arrange height of all indicator windows by default.
Ctrl+B | Call the "Objects List" window.
Ctrl+F | Enable "Crosshair".
Ctrl+G | Show/hide grid.
Ctrl+H | Show/hide the OHLC line.
Ctrl+I | Call the "Indicators List" window.
Ctrl+K | Show/hide real volumes.
Ctrl+L | Show/hide volumes.
Ctrl+P | Print the chart.
Ctrl+S | Save chart as "CSV", "PRN" or "HTM" file.
Ctrl+W or Ctrl+F4 | Close the current chart window.
Ctrl+Y | Show/hide period separators.
Ctrl+F5 | Switch to the next profile.
Ctrl+F6 | Activate the previous chart window.
Ctrl+Shift+F6 | Activate the next chart window.

Hot Keys in the "Market Watch" Window

Hot keys | Description
F9 | Call the "New Order" window.
Space/Tab | Switch between "Symbols", "Details", "Trading" and "Ticks" tabs.
A | Auto arrange columns in the "Symbols" tab.
G | Show/hide grid.

Hot Keys in the "Navigator" Window

Hot keys | Description
Enter | Depending on sections can perform: Authorization using a selected account, opening of a selected Expert Advisor, custom indicator or script in MetaEditor.
Insert | Open a new account when selecting the "Accounts" section or a certain trade server.
Delete | Delete a selected account, Expert Advisor, custom indicator or script.
G | Show/hide grid in the "Favorites" tab.

Hot Keys in the Data Window

Hot keys | Description
Ctrl+C | Copy information to clipboard for using it in other applications.
A | Enable/disable auto sizing of columns.
G | Show/hide grid.

Hot Keys in the "Toolbox" Window

Hot keys | Description
F9 | Call the "New Order" window.
Enter | View a selected news, e-mail, application or modify a selected alert - depending on the tab selected.
Insert | Create a new e-mail or alert - depending on the tab selected.
Delete | Delete an e-mail or alert - depending on the tab selected.
Space | Unwrap a branch of mails or enable/disable an alert - depending on the tab selected.
C | Copy the selected journal line of the platform or Expert Advisors to the clipboard.
D | Download the selected application at the Code Base tab.
R | Show/hide the column of news categories.
A | Enable/disable auto sizing of columns.
G | Show/hide grid.

Common Actions in the Platform

Hot keys | Description
Esc | Close dialog windows.
F1 | Open the "Userguide"
F3 | Open the "Global variables" window.
F4 | Start MetaEditor.
F6 | Call the "Tester" window for testing an Expert Advisor attached to a chart window.
F9 | Call the "New Order" window.
F10 | Open "Quotes Window".
F11 | Enable/disable fullscreen mode.
Alt+A | Copy to clipboard all EA testing or optimization results.
Alt+F4 | Close the platform.
Ctrl+C or Ctrl+Insert | Copy to clipboard.
Ctrl+D | Open/close the "Data Window".
Ctrl+E | Allow/prohibit use of Expert Advisors.
Ctrl+M | Open/close the "Market Watch" window.
Ctrl+N | Open/close the "Navigator" window.
Ctrl+O | Open the "Settings" window.
Ctrl+R | Open/close the "Tester" window.
Ctrl+T | Open/close the "Toolbox" window.
Ctrl+F9 | Open the "Trade" tab in the "Toolbox" window and switch the control focus to it. After that trade activities can be managed using the keyboard.


Platform Uninstall

Getting Started / For Advanced Users / Uninstalling the Platform

How to Uninstall the Platform

To remove the platform from a computer, run the "Uninstall.exe" file from the platform installation folder or select "Uninstall" in the appropriate program group in the Start menu.

To remove the platform, follow the wizard prompts

Specify the folder from which you want to delete the trading platform. Option "Delete user personal data" can be additionally enabled to delete all user data (history of financial instruments, emails, MQL5 applications, platform settings, etc.) in addition to the unchangeable files of the platform.

If you are sure you want to continue, click "Next" and wait for the completion of the uninstallation process.

  • You must be careful deleting the platform. After you delete user data, the platform recovery will be impossible.
  • If the option "Delete user personal data" is not enabled during platform deletion, the platform can later be restored with all its settings and information by installing it in the same directory.


Trading Operations

Trading Operations

The fundamental rule of profitable trading in financial markets is to buy low and sell high. The main purpose of the trading platform is to provide wide opportunities for executing buy and sell operations.

This section contains general information about financial trading and guides you through how to perform trading operations and manage positions, how to interpret data from the Depth of Market and where to find quotes.

General Principles

Before you begin to study the trading functions available in the platform, you need to have a clear understanding of the basic terms and functions. Read about the types or order, execution types and fill policies, about the trailing stop and more.

Depth of Market

The Depth of Market (DOM) displays bids and asks for a particular instrument at the best current prices. A tick chart with the Time&Sales data can also be access from the Depth of Market.

Market Watch

The Market Watch window provides an overview of price data for financial instruments: quotes, price statistics and tick chart. It also provides details of contract specifications and One Click Trading options.

Executing Trades

The trading activity in the platform implies preparing and sending market and pending orders to be executed by a broker, as well as managing current positions. You can access your account history, configure alerts of market events and more.

One Click Trading

Trade execution speed, as well as proper entry and exit time are very important in financial trading. The platform provides a number of cutting-edge tools for trading with just one mouse click.


Basic Principles

Trading Operations / Basic Principles

Basic Principles

Before you proceed to study the trade functions of the platform, you must have a clear understanding of the basic terms: order, deal and position.

  • An order is an instruction given to a broker to buy or sell a financial instrument. There are two main types of orders: Market and Pending. In addition, there are special Take Profit and Stop Loss levels.
  • A deal is the commercial exchange (buying or selling) of a financial security. Buying is executed at the demand price (Ask), and Sell is performed at the supply price (Bid). A deal can be opened as a result of market order execution or pending order triggering. Note that in some cases, execution of an order can result in several deals.
  • A position is a trade obligation, i.e. the number of bought or sold contracts of a financial instrument. A long position is financial security bought expecting the security price go higher. A short position is an obligation to supply a security expecting the price will fall in future.

A General Scheme of Trading Operations

  • From the trading platform, an order is sent to a broker to execute a deal with the specified parameters;
  • The correctness of an order is checked on the server (correctness of prices, availability of funds on the account, etc.);
  • Orders that have passed the check wait to be processed on the trade server. Then the order can be:
  • executed (in one of automatic execution modes or by a dealer)
  • canceled upon expiry
  • rejected (e.g. when money is not enough or there is no suiting offer in the market; or rejected by the dealer)
  • canceled by a trader;
  • A deal is the result of the execution of a market order or triggering of a pending order;
  • If there are no positions for a symbol, conclusion of a deal results in opening of a position. If there is a position for the symbol, the deal can increase or reduce the position volume, close the position or reverse it.

Scheme of trade operations: from order creation to execution by broker

Position Accounting System

Two position accounting systems are supported in the trading platform: Netting and Hedging. The system used depends on the account and is set by the broker.

Netting System

With this system, you can have only one common position for a symbol at the same time:

  • If there is an open position for a symbol, executing a deal in the same direction increases the volume of this position.
  • If a deal is executed in the opposite direction, the volume of the existing position can be decreased, the position can be closed (when the deal volume is equal to the position volume) or reversed (if the volume of the opposite deal is greater than the current position).

It does not matter, what has caused the opposite deal — an executed market order or a triggered pending order.

The below example shows execution of two EURUSD Buy deal 0.5 lots each:

Execution of the two Buy deals resulted in one net position.

Execution of both deals resulted in one common position of 1 lot.

Hedging System

With this system, you can have multiple open positions of one and the same symbol, including opposite positions.

If you have an open position for a symbol, and execute a new deal (or a pending order triggers), a new position is additionally opened. Your current position does not change.

The below example shows execution of two EURUSD Buy deal 0.5 lots each:

Execution of the two Buy deals resulted in two trading positions.

Execution of these deals resulted in opening two separate positions.

Impact of the System Selected

Depending on the position accounting system, some of the platform functions may have different behavior:

  • Stop Loss and Take Profit inheritance rules change.
  • To close a position in the netting system, you should perform an opposite trading operation for the same symbol and the same volume. To close a position in the hedging system, explicitly select the "Close Position" command in the context menu of the position.
  • A position cannot be reversed in the hedging system. In this case, the current position is closed and a new one with the remaining volume is opened.
  • In the hedging system, a new condition for margin calculation is available — Hedged margin.

Types of Orders

The trading platform allows to prepare and issue requests for the broker to execute trading operations. In addition, the platform allows to control and manage open positions. Several types of trading orders are used for these purposes. An order is a trader's instruction to the broker to perform a trade operation. In the platform, orders are divided into two main types: market and pending. In addition, there are special Stop Loss and Take Profit orders.

Market Order

A market order is an instruction given to a brokerage company to buy or sell a financial instrument. Execution of this order results in the execution of a deal. The price at which the deal is executed is determined by the type of execution that depends on the symbol type. Generally, a security is bought at the Ask price and sold at the Bid price.

Pending Order

A pending order is the trader's instruction to a brokerage company to buy or sell a security in future under pre-defined conditions. The following types of pending orders are available:

  • Buy Limit — a trade request to buy at the Ask price that is equal to or less than that specified in the order. The current price level is higher than the value specified in the order. Usually this order is placed in anticipation of that the security price will fall to a certain level and then will increase;
  • Buy Stop — a trade order to buy at the "Ask" price equal to or greater than the one specified in the order. The current price level is lower than the value specified in the order. Usually this order is placed in the anticipation that the price will reach a certain level and will continue to grow;
  • Sell Limit — a trade order to sell at the "Bid" price equal to or greater than the one specified in the order. The current price level is lower than the value specified in the order. Usually this order is placed in anticipation of that the security price will increase to a certain level and will fall then;
  • Sell Stop — a trade order to sell at the "Bid" price equal to or less than the one specified in the order. The current price level is higher than the value in the order. Usually this order is placed in anticipation of that the security price will reach a certain level and will keep on falling.
  • Buy Stop Limit — this type is the combination of the first two types, being a stop order to place a Buy Limit order. As soon as the future Ask price reaches the stop-level indicated in the order (the Price field), a Buy Limit order will be placed at the level, specified in Stop Limit price field. A stop level is set above the current Ask price, while Stop Limit price is set below the stop level.
  • Sell Stop Limit — this order is a stop order to place a Sell Limit order. As soon as the future Bid price reaches the stop-level indicated in the order (the Price field), a Sell Limit order will be placed at the level, specified in Stop Limit price field. A stop level is set below the current Bid price, while Stop Limit price is set above the stop level.
  • For symbols with Exchange Stocks, Exchange Futures and Futures Forts calculation modes, all types of pending orders are triggered according to the rules of the exchange where trading is performed. Usually, Last price (price of the last performed transaction) is applied. In other words, an order triggers when the Last price touches the price specified in the order. But note that buying or selling as a result of triggering of an order is always performed by the Ask and Bid prices respectively.
  • In the "Exchange execution" mode, the price specified when placing limit orders is not verified. It can be specified above the current Ask price (for the Buy Limit orders) and below the current Bid price (for the Sell Limit orders). When placing an order with such a price, it triggers almost immediately and turns into a market one. However, unlike market orders where a trader agrees to perform a deal by a non-specified current market price, a pending order will be executed at a price no worse than the one specified.
  • If during pending order activation the corresponding market operation cannot be executed (for example, the free margin on the account is not enough), the pending order will be canceled and moved to history with the "Rejected" status.

Types of pending orders

Current market state | — current market state | Forecast | — forecast
Current price | — current price | Order price | — order price
Price, reaching which a pending order will be placed | — price, reaching which a pending order will be placed
Expected growth | — expected growth | Expected fall | — expected fall

Take Profit

The Take Profit order is intended for gaining the profit when the security price reaches a certain level. Execution of this order results in the complete closing of the entire position. It is always connected to an open position or a pending order. The order can be requested only together with a market or a pending order. This order condition for long positions is checked using the Bid price (the order is always set above the current Bid price), and the Ask price is used for short positions (the order is always set below the current Ask price).

Stop Loss

This order is used for minimizing losses if the security price moves the wrong direction. If the security price reaches this level, the entire position is closed automatically. Such orders are always associated with an open position or a pending order. They can be requested only together with a market or a pending order. This order condition for long positions is checked using the Bid price (the order is always set below the current Bid price), and the Ask price is used for short positions (the order is always set above the current Ask price).

If during Take Profit or Stop Loss activation the corresponding market operation cannot be executed (for example, it is rejected by the exchange), the order will not be deleted. It will trigger again at the next tick corresponding to the order activation conditions.

Rules of Stop Loss and Take Profit inheritance (netting):

  • When a position volume is increased or the position is reversed, Take Profit and Stop Loss are placed according to its latest order (market or triggered pending order). In other words, stop levels in each subsequent order of the same position replace previous ones. If zero values are specified in the order, Stop Loss and Take Profit of a position will be deleted.
  • If a position is partially closed, Stop Loss and Take Profit are not changed by the new order.
  • If a position is fully closed, the Stop Loss and Take Profit levels are deleted, because they are associated with an open position and cannot exist without it.
  • When a trade operation is executed for a symbol, for which there is a position, the current Stop Loss and Take Profit of the open position are automatically inserted in the order placing window. This is aimed to prevent accidental deletion of current stop orders.
  • During one click trading operation (from a panel on the chart or from the Market Watch) for the symbol, for which there is a position, the current values of Stop Loss and Take Profit are not changed.
  • On the OTC markets (Forex, Futures), when a position is moved to the next trading day (the swap), including swap through re-opening, the levels of Stop Loss and Take Profit remain unchanged.
  • On the exchange market, when a position is moved to the next trading day (the swap), as well as when moved to another account or during delivery, the levels of Stop Loss and Take Profit are reset.

Stop Loss and Take Profit inheritance rule (hedging):

  • If a position is partially closed, Stop Loss and Take Profit are not changed by the new order.
  • If a position is fully closed, the Stop Loss and Take Profit levels are deleted, because they are associated with an open position and cannot exist without it.
  • During one click trading operation (from a panel on the chart or Depth of Market), the Stop Loss and Take Profit levels are not set.

These rules apply both when trading manually and when placing orders from Expert Advisors (MQL5 programs).

  • Trailing Stop can be used to make Stop Loss follow the price automatically.
  • Activation of Take Profit or Stop Loss results in the complete closing of the entire position.
  • For symbols with Exchange Stocks, Exchange Futures and Futures Forts calculation modes, Stop Loss and Take Profit orders are triggered according to the rules of the exchange where trading is performed. Usually, Last price (price of the last performed transaction) is applied. In other words, a stop-order triggers when the Last price touches the specified price. However note that buying or selling as a result of activation of a stop-order is always performed by the Bid and Ask prices.

Trailing Stop

Stop Loss is used for minimizing losses if the security price moves the wrong direction. Once a position becomes profitable, its Stop Loss can be manually moved to a break-even level. Trailing Stop automates this process. This tool is especially useful during a strong unidirectional price movement or when it is impossible to monitor the market continuously for some reason.

Trailing Stop is always associated with an open position or a pending order. It is executed in the trading platform rather than on the server like Stop Loss. To set a Trailing Stop, select "Trailing Stop" in the context menu of a position or an order in the "Trading" tab:

To enable Trailing Stop, open the context menu of a position and specify its value

Select a necessary value of a distance between the Stop Loss level and the current price.

For each open position or pending order only one Trailing Stop can be set.

Scheme of Trailing Stop Operation

  • When new quotes arrive, the platform checks whether an open position is profitable.
  • As soon as the profit in points becomes equal to or larger than the indicated level, an automatic command is generated to place a Stop Loss at the indicated distance from the current price.
  • If price moves increasing the position profit, "Stop Loss" automatically moves together with the price.
  • Otherwise, the order is not modified. Thus, the profit of a trading position is fixed automatically.
  • If a Stop Loss has been set for the position, it also follows the price when the position profit increases and remains unchanged if it decreases.
  • When a pending order triggers, the trailing stop of the current position for the same symbol is overwritten with the trailing stop specified for the order.
  • If a deal made as a result of triggering of a pending order has the opposite direction to the current position for the symbol and has less or equal volume, then the trailing stop is not overwritten.

With each automatic modification of Stop Loss an entry is added to the journal.

To disable Trailing Stop, set the " None None" parameter in the control menu. The " Delete all Delete All" command disables Trailing Stops of all open positions and pending orders.

  • The Trailing Stop is executed in the trading platform rather than on the server (like Stop Loss or Take Profit). This is why it will not work, unlike the above orders, if the platform is off. In this case, only the Stop Loss level set by the Trailing Stop will trigger.
  • For one position, Trailing Stop cannot occur more than once every 10 seconds.
  • If there are several positions with Trailing Stop at a single symbol, the Trailing Stop is processed in a specific way. When a tick arrives, only a Trailing Stop of the last opened position is processed. If yet another tick arrives for the same symbol within 10 seconds, a Trailing Stop of the next position (opened second last) is processed. If the next tick arrives later than 10 seconds, a Trailing Stop of the position opened last is processed again.

State of Orders

After an order has been formed and sent to a trade server, it can undergo the following stages:

  • Started — the order correctness has been checked, but it hasn't been yet accepted by the broker;
  • Placed — a dealer has accepted the order;
  • Partially filled — the order is filled partially;
  • Filled — the entire order is filled;
  • Canceled — the order is canceled by the client;
  • Rejected — the order is rejected by a dealer;
  • Expired — the order is canceled due to its expiration.

You can view the state of orders on the "History" tab in field "State". The state of pending orders that haven't triggered yet can be viewed on the "Trade" tab.

The order status shows the current order processing step

Types of Execution

Four order execution modes are available in the trading platform:

  • Instant Execution
    In this mode, an order is executed at the price offered to a broker. When sending an order to be executed, the platform automatically adds the current prices to the order. If the broker accepts the prices, the order is executed. If the broker does not accept the requested price, a "Requote" is sent — the broker returns prices, at which this order can be executed.
  • Request Execution
    In this mode, a market order is executed at the price previously received from a broker. Prices for a certain market order are requested from the broker before the order is sent. After the prices have been received, order execution at the given price can be either confirmed or rejected.
  • Market Execution
    In this order execution mode, a broker makes a decision about the order execution price without any additional discussion with a trader. Sending an order in such a mode means advance consent to its execution at this price.
  • Exchange Execution
    In this mode, trade operations conducted in the trading platform are sent to an external trading system (exchange). Trade operations are executed at the prices of current market offers.

Execution mode for each security is defined by the brokerage company.

Fill Policy

In addition to common rules of order execution set by a broker, a trader can indicate additional conditions in the "Fill Policy" field of the order placing window:

  • Fill or Kill (FOK)
    This fill policy means that an order can be filled only in the specified volume. If the necessary amount of a financial instrument is currently unavailable in the market, the order will not be executed. The required volume can be filled by several offers available in the market at the moment.
  • Immediate or Cancel (IOC)
    In this case a trader agrees to execute a deal with the volume maximally available in the market within that indicated in the order. In case the order cannot be filled completely, the available volume of the order will be filled, and the remaining volume will be canceled. The possibility of using IOC orders is determined on the trade server.
  • Return
    This policy is only used for market (Buy and Sell), limit and stop limit orders. If filled partially, an order with the remaining volume is not canceled, and is processed further. For market orders, the Return policy is used only in the Exchange Execution mode, while for limit and stop limit ones, it is applied in the Market Execution and Exchange Execution modes.

Use of fill policies depending on the execution type can be shown as the following table:

Type of Execution/Fill Policy | Fill or Kill | Immediate or Cancel | Return
Instant Execution | + | — | —
Request Execution | + | — | —
Market Execution | + | + | +
Exchange Execution | + | + | +


Depth of Market

Trading Operations / Depth of Market

Depth of Market

The Depth of Market (DOM) displays bids and asks for a particular instrument at the currently best prices (closest to the market).

The depth of market is available for the symbols traded in the exchange execution mode, where trade operations are sent to an external trading system (exchange), as well as for non-exchange symbols.

For the exchange symbols, the depth of market window displays real volumes and prices of trade requests. For the non-exchange symbols, the depth of market is a scalping tool that allows placing market and pending orders in a single click.

The depth of market displays information on buy and sell orders

To open the depth of market of a financial instrument, click " Depth of Market Depth of Market" in the context menu of the Market Watch.

The number of bids and offers displayed in the DOM is determined by the symbol parameters set by the broker.

Operations of two types are performed from the depth of market:

  • Market Operations — buying/selling a financial instrument at the current market price;
  • Trade Requests — placing various trade requests (pending orders) to buy/sell a financial instrument at a specified price (which is currently unavailable on the market).

Market Operations

A market operation is buying/selling a financial instrument at the best price currently offered in the market.

Execute a market operation from the depth of market. Click on the appropriate trade command in the depth of market of the appropriate symbol specifying the required amount. If "One Click Trading" is enabled, this request is immediately sent to the server without specifying any extra conditions (trading dialog is not displayed).

Suppose we have executed a 20-lot buy operation, while the following offers are currently available in the market:

Market offers in the depth of market

Since we have requested 20 lots with the Fill or Kill condition at the market price, the required volume will be made up of the nearest market bids. If the order contained a certain price, then it would be executed only at this specified price and only in the specified volume.

You can view the history of order execution in the "History" tab of the "Toolbox" window:

The order is filled by several offers closest to the market

You see here that the final volume of 20 lots was received from a few offers closest to the market. The corresponding offers disappear from the depth of market.

Trade Requests

Placing a trade requests means creating a pending order to buy/sell a financial instrument at a specified price, which is currently not available on the market. Depending on how requests are processed on the server, they can be displayed directly in depth of market (mostly limit requests) or wait for execution on the broker's side (mostly stop or stop limit requests) and then be converted into a market order.

Here is an example of placing a limit request to buy 3 lots of the futures contract RTS-6.13. Specify the required volume in the "vol" field and click on Set Buy Limit (in the Bid price area for the Buy Limit order) or Set Sell Limit (in the Ask price area for the Sell Limit order) in the "Trade" column in the line of the price, at which you wish to place an order. If "One Click Trading" is enabled, this request is immediately sent to the server without specifying any extra conditions (trading dialog is not displayed).

Examine "Quick trading" section to learn how to quickly manage orders in the depth of market.

When placed successfully, the request appears in the depth of market:

The placed request is displayed in DOM

The newly placed order is displayed in the "Trade" column — BLIM 3 (Buy Limit order of 3 lots). As soon as there is a market participant ready to sell the financial instrument at the specified price, the order will be filled and will turn into a position.

Stop and Stop Limit Orders

Usually, Stop and Stop Limit Orders (Buy Stop, Sell Stop, Buy Stop Limit and Sell Stop Limit) are not sent to an external trading system (exchange) directly as opposed to limit orders. Until reaching the stop price, these orders are processed within the MetaTrader 5 platform.

  • Upon reaching the stop price specified in a Buy Stop or Sell Stop order, an appropriate market operation is executed.
  • Upon reaching the stop price specified in a Buy Stop Limit or Sell Stop Limit order, an appropriate limit request is executed, which will be visible to other market participants.

Quick Trading from the Depth of Market

The depth of market allows users to quickly manage stop levels (Stop Loss and Take Profit) and pending orders of open positions. This option is only available with the "One Click Trading" option enabled in the trading platform settings. Trade requests are sent from the depth of market instantly without showing a trading dialog.

Moving Stop Levels

Stop levels of open positions are displayed in the "Trade" column as TP (Take Profit) and SL (Stop Loss). These levels can be moved by mouse:

To modify a stop level, drag it in the depth of market

Move a level to the line with the required price, and it will be modified instantly.

Deleting Stop Levels

Stop levels can be deleted from Depth of Market:

To remove a stop level, place the cursor on it and press X

Hover the mouse cursor over the button Set Sell Limit/Sell Stop (or Set Buy Limit/Buy Stop) to the right or to the left from the level and click Shift. The button will change its view to Delete level. Click the button to delete the level.

Placing Orders

Pending orders are placed using buttons Set Buy Limit/Buy Stop or Set Sell Limit/Sell Stop next to the desired price:

  • To place a Buy Limit order, click Set Buy Limit in the Bid price area.
  • To place a Buy Stop order, click Set Buy Stop in the Ask price area.
  • To place a Sell Limit order, click Set Sell Limit in the Ask price area.
  • To place a Sell Stop order, click Set Sell Stop in the Bid price area.

To place a limit order, click the up or down arrow at the required level

After that, an order is placed at the specified price. It has the volume set in the "vol" field, as well as Stop Loss and Take Profit levels specified in "sl" and "tp" fields, respectively.

Modification of Orders

The depth of market allows users to easily change prices of previously set orders.

To modify a limit order, drag it to a new level

Move the pending order to the necessary price line. The order price changes instantly. If the Stop Loss and Take Profit levels are set for the order, they are moved by the same distance as the price.

If we drag a limit order through the ask/bid border, it will change to a stop order (Buy Limit will be replaced by Buy Stop, while Sell Limit - by Sell Stop).

To change the order type, drag it across the border of buy and sell offers

If several same price orders are placed, they cannot be moved in the depth of market.

Deleting Orders

To delete an order from the depth of market, hover the mouse cursor over Set Sell Limit/Sell Stop (or Set Buy Limit/Buy Stop) to the right and click Shift. The button will change its view to Delete level. Click the button to delete the order.

To remove a pending order, place the cursor on it and press X

If several same price orders are placed, the oldest one is removed first.

Time & Sales and Tick Chart

Time and sales and a tick chart of exchange instruments with real transaction prices is displayed in the Depth of Market.

Time & Sales

The Time & Sales feature provides the price and time of every trade executed on the exchange. Information on every trade includes the time when the trade was executed, its direction (buying or selling), as well as the price and volume of the trade. For easy visual analysis, different colors are used to indicate different trade directions: blue is used for Buy trades, pink for Sell trades, green means undefined direction. Trade volumes are additionally displayed in a histogram.

Time & Sales

How Time & Sales can help you understand the market

The Time & Sales feature provides tools for a more detailed market analysis. The trade direction suggests who has initiated the trade: the buyer or the seller. The volume of trades allows traders to understand the behavior of market participants: whether the trades are performed by large or small market players, as well as estimate the activity of the players. The trade execution speed and the volume of trades on various price levels help traders to estimate the importance of the levels.

How to use Time & Sales data

In addition to the visual analysis of the table, you can save the details of trades to a CSV file. Further, they can be analyzed using any other software, such as MS Excel. The file contains comma-separated data:

Time,Bid,Ask,Last,Volume,Type
2016.07.06 16:05:04.305,89360,89370,89370,4,Buy
2016.07.06 16:05:04.422,89360,89370,89370,2,Buy
2016.07.06 16:05:04.422,89360,89370,89370,10,Buy
2016.07.06 16:05:04.669,89360,89370,89370,1,Buy
2016.07.06 16:05:05.968,89360,89370,89360,7,Sell

If you want to save data to a file, open the context menu and select "Export Ticks to CSV".

Filter by Volume

Deals with the volume less than the specified value can be hidden from the Time & Sales table. This filter allows to show only large deals in the Time & Sales window.

Double click on the first line in the Time & Sales window, specify the minimum volume in lots, and then click on any other area of ​​the Market Depth. Trades will be filtered, and the current filter value will appear in the volume column header.

Filtering trades by volume

You can also specify the minimum volume using the Time & Sales context menu.

Tick Chart

All transactions conducted on the Exchange are plotted on this chart:

  • Red circles show Sell transactions.
  • Blue circles show Buy transactions
  • Green circles appear when the direction of the transaction is undefined. It is used when the exchange does not transmit the direction of a transaction. In this case, the direction is determined based on the price of the transaction as compared to prices bid and ask. A Buy transaction is that executed at the ask price or above, a Sell transaction is executed at the bid price or lower. The direction is undefined if the price of the transaction is between the bid and the ask.

A tick chart with Time & Sales

The larger the circle, the greater the volume of the transaction. Transaction volumes are also shown as a histogram below the tick chart.

At the top and bottom of the histogram, the total volumes of the current Buy and Sell offers are shown.

Toolbar

To customize the appearance of the depth of market, use the toolbar at the top of the window:

  • Show/hide the tick chart. — show/hide the tick chart.
  • Show/hide Time & Sales — show/hide Time & Sales.
  • Bind the Market Depth to an active chart — binding the Market Depth to an active chart. Every time you switch to a chart of a financial instrument, the same instrument will be automatically enabled in the Market Depth window. So, you will not need to open the Market Depth window for each new symbol.
  • Switch to the advanced mode — switch to the advanced mode; every step of the price will be displayed in the depth of market, regardless of whether there are any offers at this price.
  • Show spread in the DOM — show the spread in the depth of market.
  • Show/hide Bid and Ask charts — show/hide the Bid and Ask price charts.
  • Show/hide trades — show/hide transactions that appear in the form of circles on the tick chart.
  • Zoom in the chart — zoom in the chart.
  • Zoom out the chart — zoom out the chart.

Most of these commands are also available in the context menu of the Market Depth and Time & Sales windows. The context menu of the scalping Depth of Market (for non-exchange instruments) also allows switching between the volume in lots and units.


Market Watch

Trading Operations / Market Watch

Market Watch

The Market Watch window provides an overview of price data of financial instruments: quotes, price statistics and tick chart. It also provides details of contract specifications and One Click Trading options.

Viewing Quotes of Financial Instruments

The Market Watch features real-time quotes of financial instruments and other price data: spread, volume, etc.

Financial instrument name

Bid price

Ask price

The last price at which the deal was executed

The volume of the last executed deal

Spread — the difference between the Bid and Ask prices

The last quote arrival time

The displayed data can be configured in the context menu. For example, you can show the "Source" field — the provider of the financial instrument liquidity.

Double-clicking on one of the instruments opens a new position opening window. A symbol chart can be opened by dragging it to the chart viewing area using a mouse (Drag'n'Drop); in this case windows of currently open charts will be closed. If you hold down "Ctrl" while dragging, the chart is opened in a separate tab, and other charts remain open.

  • If there are open positions or pending orders for the financial instrument, or when its chart is open, the instrument cannot be hidden from the Market Watch.
  • If a symbol is hidden in Market Watch, its data cannot be used in MQL5 programs and the Strategy Tester.
  • In the High and Low columns of symbols whose charts are built at Bid prices, the Bid High and Bid Low prices are displayed. If a symbol chart is constructed using Last prices, Last High and Last Low prices are shown for this symbol. If Market Watch contains at least one symbol whose chart is drawn based on Last prices, the Last column is automatically enabled in addition to High/Low.

Prices in the "Market Watch" window have different colors:

  • Blue — the current price is higher than the previous one;
  • Red — the current price is lower than the previous one;
  • Gray — the price has not changed for the last 15 seconds.

If the depth of market and the Last trade price is available for a symbol, the color is determined by the Last price. Otherwise, the color is determined by the Bid price.

Fast Adding of Symbols

To quickly add a symbol in the Market Watch, click + below the list and enter the name of the symbol. While you type in the name, the list of suitable symbols is shown.

To quickly add a symbol click on + at the bottom and enter the name

Information about the current number of symbols in the Market Watch and the total number of available symbols is available at the bottom of the list.

Viewing Trade Statistics of Financial Instruments

To view statistics, select a financial instrument in the "Symbols" tab and click "Details".

Statistical details of an instrument are available on the Details tab

The statistical information includes:

  • Bid — bid price;
  • B. High — Bid High, the highest bid price for the current day;
  • B. Low — Bid Low, the lowest bid price for the current day;
  • Ask — ask price;
  • A. High — Ask High, the highest ask price for the current day;
  • A. Low — Ask Low, the lowest ask price for the current day;
  • Last — the last price at which a deal was executed;
  • L. High — Last High, the highest price at which a deal was executed for during the current day;
  • L. Low — Last Low, the lowest price at which a deal was executed for during the current day;
  • Volume — the volume of the last executed deal;
  • V. High — Volume High, the highest deal volume for the current day;
  • V. Low — Volume Low, the lowest deal volume for the current day;
  • Deals — the total number of deals executed during the current session;
  • Deals Volume — the total volume of deals executed during the current session;
  • Turnover — money turnover for a symbol for the current session;
  • Open Interest — the total volume of effective contracts (futures, options) which have not been settled yet;
  • Buy Orders — the total number of buy requests;
  • Buy volume — the total volume of buy orders;
  • Sell Orders — the total number of sell requests;
  • Sell Volume — the total volume of sell orders;
  • Open Price — the open price of the last (recent) session;
  • Close Price — the close price of the last (recent) session;
  • Average Weighted Price — the weighted average price for a session;
  • Settlement Price — the settlement (clearing) price of the previous session;
  • Price Change — price change in percentage terms; Indicates the difference between the price of a last deal (Last) and the close price of the last session in percentage terms: ((Last - Settlement Price)/Settlement Price)*100.

The number of statistical values depends on the brokerage company.

One Click Trading

The One Click Trading option is available on the "Trading" tab. Upon clicking on the "Sell" or "Buy" button, a request to perform the corresponding trade operation in the specified volume is instantly sent to the server. This trading mode is available under the following conditions:

  • "One Click Trading" option is enabled in the platform settings;
  • The execution type of the selected instrument is Instant, Market or Exchange.

In other cases, a click on a button opens the order creation window.

One Click Trading

Financial instrument name

The last quote arrival time

A command to perform a Sell deal

A command to perform a Buy deal

Volume control: use arrows on the right and the left of the field, or use a keyboard

Current Bid price

Current Ask price

The lowest Bid price for the current day (Bid Low)

The highest Ask price for the current day (Ask High)

Current spread and swap for short and long positions. If the price of the last executed deal is available for a symbol, it is displayed instead of spread and swap.

This window contains panels for performing trade operations with different symbols. The set of symbols for quick trading is taken from the list on the "Symbols" tab and can be adjusted using the " Symbols Symbols" command in the context menu.

  • Be careful, once the "Sell" or "Buy" button is pressed, the corresponding request to buy or the sell the specified amount of a selected symbol is immediately sent to the server without any additional confirmation.
  • The execution of the commands mentioned above does not always result in a corresponding deal. The reason can be a requote, refusal of a brokerage company, etc. In this case, an appropriate message is added to the platform log.
  • In the Instant Execution mode, the allowable price deviation in orders is set in accordance with the "Use deviation" option.
  • The Fill Policy is selected based on the trading instrument execution mode: for exchange execution it is always "Return", for market execution it is either "Fill or Kill" or "Immediate or Cancel" (depending on what policy is allowed for the symbol), for instant and request execution it is always "Fill or Kill".
  • When a requote is received, an appropriate message is added to the platform journal and a requote sound is played.

Depending on the quotes, the trade operation execution and price field may have different colors:

  • Blue — the current price is higher than the previous one;
  • Red — the current price is lower than the previous one;
  • Gray — the price has not changed for the last 15 seconds.

If the depth of market and the Last trade price is available for a symbol, the color is determined by the Last price. Otherwise, the color is determined by the Bid price.

Managing Symbols

Open the window for managing symbols with the command " Symbols Symbols" of the context menu of the "Market Watch" window. It allows you to hide and show symbols in this window, as well as view their properties:

Double-click on a symbol to add it to the Market Watch

All symbols available in the platform are displayed here. A double click on a symbol name is used for hiding or showing it in the Market Watch window. The same actions can be performed by buttons "Hide" and "Show".

Here you can also create a custom financial instrument.

  • If there are open positions or pending orders for the financial instrument, or when its chart is open, the instrument cannot be hidden from the Market Watch.
  • If a symbol is hidden in the Market Watch, its data cannot be used in MQL5 programs and the Strategy Tester.
  • No more than 1000 financial instrument can be added to "Market Watch".

At the bottom of the window, properties of the selected symbol are shown.

To quickly find a symbol, use the filter at the top of the window. Type the first letters of the symbol name or description in it. A list of symbols corresponding to the search string appears below.

Relevance of Trading Instruments

All expired symbols are hidden to preserve a more compact display. This is particularly convenient when working on the futures market. A non-relevant symbol is the expired one, which is defined by the "Last trade" parameter. This date is specified in the "Expiration" column of the list of symbols. To view all symbols, click "Show expired contracts".

For convenience, the list of symbols is automatically sorted:

  • symbols without the expiration date are listed first
  • next go symbols with an expiration date starting with the nearest date
  • then follow expired symbols starting with the last expired one
  • other symbols sorted alphabetically

Option "Auto remove expired" in the context menu allows to automatically replace expired symbols with active ones in the Market Watch window. After the platform restart, expired symbols are hidden, and active ones are added instead. For example, the expired futures contract LKOH 3.15 will be replaced with the next contact of the same underlying asset LKOH 6.15.

Symbols in the appropriate open charts are also replaced, provided there are no running Expert Advisors on them.

Expired symbols are hidden and replaced only after the platform restart.

Downloading price history

The trading platform allows downloading the quote and tick history from the broker's server. For example, you can download it in advance without waiting for the platform to do that during a test or optimization. The downloaded history can also be saved as a CSV file to perform analysis in third-party applications.

To download data, open the symbol management dialog in the "Market Watch" context menu and switch to the Bars or Ticks tab.

Downloading quote and tick history

Select a symbol and a timeframe, and click Request. The platform requests all available data from the server or displays them immediately if they have already been downloaded.

  • The entire history of quotes in the trading platform is stored in the form of minute bars. All other timeframes are based on them. Thus, switching timeframes in the dialog does not affect the download. The history is downloaded once. When requesting other timeframes, the platform simply calculates and saves them in the local cache.
  • The maximum number of downloaded bars is limited by the "Max bars in chart" parameter.
  • The tick data are large, occupy a lot of disk space and may take a long time.

Click Export to save price data as a CSV file.

Viewing Symbol Specification

The symbol specification window features the symbol trading conditions (contract specification). To start viewing properties of the selected symbol, click " Specification Specification" in the context menu of the Market Watch window.

To view symbol parameters select Specification in its context menu in Market Watch

The following set of parameters set by a broker is displayed here:

  • Symbol name and description — the name of a symbol and its short description. This parameter can be a link to a website containing symbol information. A popup tip with the link address appears when you hover the mouse over it.
  • ISIN — International Securities Identifying Number.
  • Spread — spread in points. If the spread is floating, then the appropriate record is specified in this point (floating).
  • Digits — number of decimal places in the price of the symbol.
  • Stops level — channel of prices (in points) from the current price, inside which one can't place Stop Loss, Take Profit and pending orders. When placing an order inside the channel, the server will return message "Invalid Stops" and will not accept the order.
  • Contract size — number of units of the commodity, currency or financial asset in one lot.
  • Margin currency — currency, in which the margin requirements are calculated.
  • Profit currency — currency, in which the profit of the symbol trading is calculated.
  • Calculation — method used for margin calculation: Forex, Forex No Leverage, Futures, Exchange Futures, Exchange Stocks, FORTS Futures, Collateral.
  • Tick size — minimum price change step.
  • Tick value — cost of a single price change point.
  • Initial margin — security deposit (margin) provided for a fixed-term contract to perform a one-lot deal. If the initial margin value is specified for the symbol, this is the value that is used. Margin calculation formulas are not applied to the appropriate calculation type.
  • Maintenance margin — minimum security deposit (margin) a trader should have on his or her account to maintain a one-lot position.
  • Hedged margin — the margin charged per one lot of hedged positions. You can also select here margin calculation mode for hedged positions — using the larger leg.
  • Chart mode — financial symbol chart creation mode: based on Bid or Last prices.
  • Margin rate — margin rates for various order types are specified in this table. The rates are set for the initial and maintenance margin individually. If no ratio is set for the maintenance margin (set to zero), the initial margin ratio is applied used for it.
  • Market Buy Order — a multiplier for calculating margin requirements for long positions relative to the basic margin amount.
  • Market Sell Order — a multiplier for calculating margin requirements for short positions relative to the basic margin amount.
  • Buy limit — a multiplier for calculating margin requirements for Buy Limit orders relative to the basic margin amount.
  • Sell limit — a multiplier for calculating margin requirements for Sell Limit orders relative to the basic margin amount.
  • Buy stop — a multiplier for calculating margin requirements for Buy Stop orders relative to the basic margin amount.
  • Sell stop — a multiplier for calculating margin requirements for Sell Stop orders relative to the basic margin amount.
  • Buy stop limit — a multiplier for calculating margin requirements for Buy Stop Limit orders relative to the basic margin amount.
  • Sell stop limit — a multiplier for calculating margin requirements for Sell Stop Limit orders relative to the basic margin amount.
  • Trade — symbol trading mode (full access, long only, short only, close only). Also, trading can be completely prohibited.
  • Execution — execution mode: Instant, Request, Market, Exchange.
  • Type of orders — types of orders placed:
  • Good till today including SL/TP — orders that are valid only during one trading day. With the end of the day, all of the Stop Loss and Take Profit levels, as well as pending orders are deleted.
  • Good till canceled — pending orders are preserved for the next trading day.
  • Good till today excluding SL/TP — only pending orders are deleted at the end of a trading day, while Stop Loss and Take Profit levels are preserved.
  • Filling — available fill policies: Fill or Kill, Immediate or Cancel, Return.
  • Expiration — available types of expiration of pending orders:
  • Good till Canceled — order lifetime is unlimited.
  • Intraday — orders are canceled at the end of the current trading.
  • Specified time — the order is canceled at a user-specified time.
  • Date — the order is canceled at the end of the day specified by the user.
  • Orders— allowed order types: market, limit, stop, stop-limit, Stop Loss and Take Profit.
  • Minimal volume — minimal volume of a deal for the symbol.
  • Maximal volume — maximal volume of a deal for the symbol.
  • Volume step — volume change step.
  • Volume limit — maximum allowable total volume of an open position and pending orders at the same symbol and in the same direction (buy or sell). For example, the limit is 5 lots. If you have a buy position of 5 lots, you can place a Sell Limit order of 5 lots. But you cannot place a pending Buy Limit order (since the total volume in one direction will exceed the limit) or place a Sell Limit order above 5 lots.
  • Swap type — type of swap calculation:
  • In points — the specified number of points of the security price.
  • In the base currency — the specified amount in the symbol base currency.
  • In the margin currency — the specified amount in the symbol margin currency.
  • In the deposit currency — the specified amount in the deposit currency.
  • As a percentage of current price — the specified percentage of the symbol price at the time of swap calculation.
  • As a percentage of the open price — the specified percentage of the position open price.
  • In points, re-open at Close price — the position is closed at the end of the trading. The next day the position is re-opened at the close price +/- the specified number of points.
  • In points, re-open at the Bid price — the position is closed at the end of the trading day. The next day the position is re-opened at the Bid price +/- the specified number of points.
  • Swap long — swap for Buy positions.
  • Swap short — swap for Sell positions.
  • 3-days swap — day of the week when a triple swap is charged.
  • First trade — the day when the financial instrument trading started.
  • Last trade — the day when the financial instrument trading ended.
  • Face value — nominal bond value set by the issuer.
  • Accrued interest — part of the coupon interest of bonds, which is calculated in proportion to the number of days since the coupon bond issue date or since the previous coupon payment.

Sessions

The lower part shows information about quoting and trading sessions of the symbol. Sessions are specified for every day of the week.

Spreads

The margin can be charged on preferential basis in case trading positions are in spread relative to each other. The spread trading is defined as the presence of the oppositely directed positions of correlated symbols. Reduced margin requirements provide more trading opportunities for traders.

More detailed information on spread can be found in the appropriate section.

Viewing the Tick Chart

To view the tick chart of an instrument, select a symbol in the "Symbols" tab of the Market Watch and switch to the "Ticks" tab.

To view a tick chart, select the symbol and go to the Ticks tab

  • The platform stores up to 2000 last ticks for each symbol.
  • The tick chart is cleared and then redrawn in case you delete and re-add a symbol in the Market Watch window. Previous tick data can also be cleared for a correct scaling of the tick chart (if current prices differ from previous prices significantly).

Popup Prices

This window allows displaying price information on screens of all sizes — its main feature is font scaling. To open it click " Popup Prices Popup Prices" in the context menu of the Market Watch.

To view quotes on large screens, click on Popup Prices in the context menu of the Market Watch

It displays information similar to the Market Watch window, including the same set of symbols and columns:

  • Bid — bid price;
  • B. High — Bid High, the highest Bid price for the current day (for exchange instruments);
  • B. Low — Bid Low, the lowest Bid price for the current day (for exchange instruments);
  • Ask — ask price;
  • A. High — Ask High, the highest Ask price for the current day (for exchange instruments);
  • A. Low — Ask Low, the lowest Ask price for the current day (for exchange instruments);
  • Last — the last price, at which a deal was executed (for exchange instruments);
  • L. High — Last High, the highest price, at which a deal was executed during the current day (for exchange instruments);
  • L. Low — Last Low, the lowest price, at which a deal was executed during the current day (for exchange instruments);
  • Volume — the volume of the last executed deal;
  • V. High — Volume High, the highest deal volume for the current day (for exchange instruments);
  • V. Low — Volume Low, the lowest deal volume for the current day (for exchange instruments);
  • ! — spread, difference between the Bid and Ask prices;
  • Time — the time of the last quote;
  • Source — symbol liquidity provider.


Executing Trades

Trading Operations / Executing Trades

Executing Trades

The trading activity in the platform implies forming and sending market and pending orders to be executed by a broker, as well as managing current positions by modifying or closing them. In the platform, you can review your account trading history, configure alerts of market events and much more.

Opening Positions

Opening of a position or entering the market is the primary purchase or sale of a certain amount of a financial instrument. In the trading platform, this can be done by placing a market order, as a result of which a deal is executed. A position can also be opened as a result of a triggered pending order.

Placing an Order and General Parameters

There are several ways to call a dialog window for order creation:

  • Select a symbol in the Market Watch and click " New order New order" in its context menu.
  • Press the F9 hot key. In the order window, a symbol will be inserted in accordance with the platform settings.
  • Click " New order New order" in the Tools menu or " New order New order" on the Standard toolbar.

Placing orders with various execution modes

General order parameters:

  • Symbol— the financial instrument to perform a deal for.
  • Type — if one of the execution modes is selected in this field, a market operation is executed for the selected instrument. Otherwise a pending order of the selected type is placed.
  • Volume — the volume of an order in lots. The greater the volume of a deal, the greater is its potential profit or loss, depending on where the symbol price will go. The deal volume also affects the margin reserved on the trading account for the position.
  • Stop Loss — the Stop Loss level as a price or in the number of points from the price specified in order, depending on the platform settings. The level is set to limit the position loss. If you leave the null value in this field, this type of order will not be set.
  • Take Profit — the Take Profit level as a price or in the number of points from the price specified in order, depending on the platform settings. The level is set to lock in profits of the position. If you leave the null value in this field, this type of order will not be set.
  • Comment — an optional text comment to an order. The maximum comment length is 31 characters. The comment appears in the list of open positions and also in the history of orders and deals. A comment to an order can be changed by a broker or server. For example, if a position is closed by Stop Loss or Take Profit, the corresponding information is added in the comment.
  • There is a convenient way to modify prices, volumes or Stop Loss and Take Profit levels by a certain amount:
    • Holding "Shift", — by 5 points;
    • Holding "Ctrl", — by 10 points;
    • Holding "Ctrl"+"Shift", — by 50 points.
  • A tick chart can be shown or hidden in any order placing window. To do this, double-click on the window.
  • The trade window displays the current best Bid and Ask price.
  • Upon order execution, an appropriate massage about an open position is added to the Trade tab of the Toolbox window, as well as the order and the deal (or deals) executed for the order are added to the History tab.
  • If Stop Loss or Take Profit are specified incorrectly in the order, upon pressing the button, the "Invalid stops" alert appears and the order is not accepted.

To send a buy order click Buy, to send a sell order click Sell.

Once an order is sent, its execution results appear in the window — a successful trade operation or a reason why it has not been executed. If One Click Trading is enabled in the platform settings, upon successful order execution the trading window closes without notifying of execution results.

Let's look at trading features in different execution modes now. It depends on the instrument type and the broker.

Trading in the Instant Execution Mode

In this mode, the order is executed at the price offered to the broker. When sending an order to be executed, the platform automatically adds the current prices to the order. If the broker accepts the prices, the order is executed.

If during order processing the price changes by an amount greater than that specified in the "Deviation" field, the dealer (server) can refuse to accept the order and offer new execution prices. A corresponding message appears in the creation window in this case:

New order execution prices are offered to a trader in a requote

If you agree with the new prices, click "Accept", and the order is then executed at the new prices. If the new price is not good, click "Reject".

New prices are valid for a few seconds only. If you do not make a decision during this time, message "Requote" appears in the window. Click "OK" to get back to the original order placing window.

Deviation is the difference between the order execution type and the specified price to which a trader agrees. The larger the value, the less likely it is that you receive a new execution price (requote) in response to the order execution request. If the deviation is equal to or less than this value, the order is executed at the new price without any notification. Otherwise, a broker returns new prices, at which the order can be executed.

Trading in the Request Execution Mode

In this mode, the market order is executed at the price previously received from the broker. Prices for a certain market order are requested from the broker before the order is sent. Upon receiving the prices, order execution at the given price can be either confirmed or rejected.

Order parameters can only be modified before requesting the prices. Once the request is sent, a trader can only place an order with the pre-set parameters.

To receive prices, click on "Request". After that "Buy" and "Sell" buttons appear in the window. Quotes offered after the request are valid for a few seconds. If you cannot decide during this time, buttons "Buy" and "Sell" again get hidden.

Trading in the Market Execution Mode

In this order execution mode, a broker makes a decision about the order execution price without any additional discussion with the trader. Sending of the order in such a mode means advance consent to its execution at this price.

In the 'Fill Policy' additional order filling rules can be specified: "Fill or Kill" or "Immediate or Cancel". If this field is inactive, then the option is disabled on the server.

When the "Sell by Market" or "Buy by Market" button is pressed, an order to execute a sell or buy deal at the broker's price is sent to a broker.

Trading in the Exchange Execution Mode

In the 'Fill Policy' additional order filling rules can be specified: "Fill or Kill" or "Immediate or Cancel". If this field is inactive, then the option is disabled on the server.

A click on "Sell" or "Buy" creates an order to a broker to execute a Sell or Buy deal respectively.

For more information about trading in the exchange execution mode read "Depth of Market".

Managing Positions

An important aspect of trading in financial markets is the competent position management. The trading platform provides all the necessary tools for that.

Where Can I View Current Open Positions?

The list of currently open positions is displayed in the Trading tab of the Toolbox window.

Open positions and pending orders

A list of open positions:

  • Ticket — position ticket. Unique number assigned to each newly opened position. It usually matches the ticket of an order used to open the position except when the ticket is changed as a result of service operations on the server, for example, when charging swaps with position re-opening.
  • Symbol — a financial instrument of the open position.
  • ID — the position ID in an external trading system (for example, on the exchange). The display of this parameter can be disabled depending on your broker's settings.
  • Time — position opening time. The record is represented as YYYY.MM.DD HH:MM (year.month.day hour:minute).
  • Type — position type: "Buy" — long, "Sell" — short.
  • Volume — trade operation volume (in lots or units). The minimum volume and its change step are limited by a brokerage company, the maximum amount — by the deposit size.
  • Price — the price of a deal, as a result of which the position was opened. If the opened position is a result of execution of several deals, then this field displays their weighted average price: (price of deal 1 * volume of deal 1 + ... + price of deal N * volume of deal N) / (volume of deal 1 + ... + volume of deal N). The accuracy of rounding of the weighted average price is equal to the number of decimal places in the symbol price plus three additional characters.
  • S/L — Stop Loss level for the current position. If this order has not been placed, a zero value is displayed in this field.
  • T/P — Take Profit level for the current position. If this order has not been placed, a zero value is displayed in this field.
  • Price — the current price of the financial symbol. Bid price is displayed for short positions, while Ask price is used for long ones. The price of the last performed deal (Last) is displayed for the positions of exchange symbols (both directions).
  • Swap — amount of swaps charged.
  • Profit — the financial result of the trade taking into account the current price is written in this field. A positive result indicates the profitability of the deal, negative indicates loss.

A list of placed pending orders:

  • Symbol — a financial instrument of the pending order.
  • Order — ticket number (a unique identifier) of the pending order.
  • ID — the order ID in an external trading system (for example, on the exchange). The display of this parameter can be disabled depending on your broker's settings.
  • Time — pending order placing time. The record is represented as YYYY.MM.DD HH:MM (year.month.day hour:minute).
  • Type — pending order type: "Sell Stop", "Sell Limit", "Buy Stop", "Buy Limit", "Buy Stop Limit" or "Sell Stop Limit".
  • Volume — volume requested in the pending order, and volume covered by the deal (in lots or units).
  • Price — price reaching which the pending order will trigger.
  • S/L — the level of the Stop Loss order. If this order has not been placed, a zero value is displayed in this field.
  • T/P — the level of the Take Profit order. If this order has not been placed, a zero value is displayed in this field.
  • Price — the current price of the financial symbol. Bid price is displayed for short orders, while Ask price is used for long ones. The price of the last performed deal (Last) is displayed for the orders involving exchange symbols (both directions).
  • Comment — comments on the pending order are added in this column. A comment can only be written when placing an order. The comment cannot be changed during order modification. In addition, a comment on a trade operation can be added by a broker.
  • State — in the last column, the current state of a pending order is displayed: "Started", "Placed", etc.

Trading account state:

  • Balance — money on the account, results of currently open positions not included (deposit).
  • Credit — amount of credit money that the broker has given to a trader.
  • Assets — the current value of purchased financial instruments (of long positions) defined in a trader's deposit currency. The value is determined dynamically based on the price of the latest deal of the financial instrument, taking into account the liquidity margin rate. In fact, the amount of assets is equivalent to the amount of money that the trader would receive in case of immediate closure of long positions. This rate is used on the exchange markets. For more details please read the appropriate section.
  • Liabilities are obligations on current short positions calculated as the value of these positions at the current market price. In fact, the amount of liabilities is equivalent to the amount of money that the trader would pay in case of immediate closure of short positions. This rate is used on the exchange markets. For more details please read the appropriate section.
  • Commission — commission by orders and positions accumulated during a day/month. Depending on commission charging terms (determined by a broker), a preliminary calculation of commission is performed during a day or a month. The corresponding amount of funds is blocked on the account and is shown in this field. The final commission calculation is performed at the end of a day/month and the appropriate sum is withdrawn from the account in a balance operation (displayed as a separate deal in the "History" tab), and the blocked amount is unblocked. If a commission is charged immediately during execution of a deal, its value is added to the "Commission" field of a deal in the History tab.
  • Blocked — under certain trading conditions (determined by a broker), a profit taken during a day cannot be used to perform trade operations (is not included in the free margin). This blocked profit is displayed in the "Blocked" field. At the end of the trading day, this profit is unblocked and deposited to the account balance.
  • Equity — equity is calculated as Balance + Credit - Commission +/- Floating profit/loss - Blocked.
  • Margin — money required to cover open positions and pending orders.
  • Free Margin — the free amount of money that can be used to open positions. It is calculated as Equity - Margin. Depending on the trading conditions (defined by a broker), the equity value may or may not consider: floating profit, floating loss or floating profit and floating loss together.
  • Margin Level — percentage of the account equity to the margin volume (Equity / Margin * 100).
  • Total of deals — total financial result of all open positions.

The account state line is highlighted with the red color, if the account is in the Margin Call or Stop Out state.

The following position parameters are displayed here: financial instrument, type, volume, current profit/loss and more. Additionally, the current state of the trading account and the total financial result of all open positions is shown here.

The summary information about the state of assets of all open positions is available on the "Exposure" tab.

The name of the currency or financial instrument.

The volume (in units) of a trader's position for the currency or financial instrument including leverage.

Instrument or currency exchange rates in the deposit currency.

The amount of deposit currency (excluding leverage) actually spent to buy/sell the currency or trading instrument.

The graphical display of the position in the deposit currency (long positions are displayed with blue bars and short positions are displayed with red ones).

To switch between the information on short and long positions click on the diagram title.

The displayed account assets for the deposit currency take into account the free margin.

The platform adapts the display of assets depending on the risk management system applied to a trading account: Retail Forex, Futures or Exchange model.

The Assets section is helpful for those trading Forex or futures at an exchange showing their current status on the market. Same currencies can be found in a variety of different symbols: as one of the currencies in a pair, as a base currency, etc. For example, you may have oppositely directed positions on GBPUSD, USDJPY and GBPJY. In this situation, it is very difficult to understand how much currency you have and how much you need. Having more than three positions further complicates the task. In this case, the total account status can be easily seen in the Assets tab.

Let's use the same three positions as an example:

  • Buy GBPJPY 1 lot at 134.027 — received 100 000 GBP, given 134 027 000 JPY
  • Sell USDJPY 1 lot at 102.320 — given 100 000 USD, received 102 320 000 JPY
  • Sell GBPUSD 1 lot at 1.30923 — given 100 000 GBP, received 103 920 USD

We have bought and sold 100 000 GPB simultaneously. You have 0 GBP, and the Assets tab does not display this currency. As of USD, we gave a currency in one case and received it in another. The Assets tab calculates the final outcome and adds it to the current balance since the deposit currency is USD as well. JPY participated in two deals meaning that the tab displays its total value.

Displaying assets for the Retail Forex, CFD, Futures model

Those using the exchange model can use the section to understand how their money is used. Unlike the previous model, the funds are withdrawn/added right when deals are performed. For example, if you buy EURRUB, you receive EUR at once while the appropriate sum in RUB is withdrawn from the balance. During trading, the account balance may even become negative: when you use borrowed money while purchased assets are used as the collateral. In this case, the Assets tab allows you to easily understand the trading account status.

Additionally, you can see the liquidation value here — amount of funds on the account and the price (result) of closing all current positions at the market price.

Displaying assets for the exchange model

How to Secure Positions by Stop Loss and Take Profit

Take Profit and Stop Loss are additional orders attached to a position or a pending order. In fact, they are instructions for a broker to close a position when the price reaches a certain level. Take Profit is set to lock in profits when the price moves in a favorable direction. Stop Loss is intended for limiting losses if the price moves in an unfavorable direction.

Of course, traders can monitor their positions on their own or using a trading robot. However, this approach has several disadvantages:

  • A trader cannot be all the time in front of the monitor to control positions.
  • This is not true for the robot. However, it runs on a user's PC. Accordingly, the Expert Advisor cannot manage its positions in case of a computer failure or server connection loss (Internet problems).

Take Profit and Stop Loss help to solve these problems. These orders are associated with a trade position, they are stored and executed on the broker's server, and therefore do not depend on the performance of the trading platform.

Orders of this type can also be attached to pending orders: Limit, stop-and stop-limit. A position, which opens as a result of pending order triggering, inherits Take Profit or Stop Loss specified in the order. If the triggered pending order relates to a financial instrument, for which an open position exists, this position is modified: its volume is increased or decreased. The Stop Loss and Take Profit specified in the order are used in this case. If zero values are specified in the order, the appropriate levels of the position are removed.

There are several ways to modify stop levels:

  • Using the position modification dialog.
  • Using a mouse on a chart of the financial instrument the position is open for.
  • Using the context menu on a chart of the financial instrument the position is open for.

Position Modification

To modify the stop levels of a position, click " Modify or delete Modify or delete" in its context menu on the "Trade" tab.

Stop Loss and Take Profit of a position can be modified

In the resulting window, the levels can be modified in two ways:

  • Set the new values in the fields "Stop Loss" and "Take Profit";
  • Set level values as a number of points from the position opening price.

Then Click "Modify...".

  • The "Modify..." button is inactive until the Stop Loss and Take Profit are set correctly. The terms of stop levels are determined by the broker and are specified in symbol properties (contract specification).
  • A double click on the position modifying window shows/hides a tick chart.

Position modification can also be accessed from the position context menu on a char:

A position can be modified using its context menu on the chart

Managing Stop Levels from a Chart

Modification of Stop Loss and Take Profit on a chart is only available if the "Show trade levels" option is enabled in the platform settings.

To modify the level on a chart, left-click on it and drag the level up or down to the required value holding the mouse button (Drag'n'Drop):

Drag a level on the chart to modify it

Once a level is set, the position modification window appears allowing users to adjust the level more precisely.

Modification of Stop Loss and Take profit on a chart is disabled if you enable the "Disable dragging of trade levels" option in the platform settings.

Placing Stop Levels from a Context Menu

If an open position is available for the instrument of the chart, its stop levels can be set from the "Trade" submenu of the chart's context menu:

To quickly set the Stop Loss and Take Profit, open the context menu on the required price level

The price for the stop order is set according to the current location of a cursor on the chart price scale. Depending on the position open price and its direction, appropriate commands for placing Stop Loss or Take Profit appear in the menu.

The command opens the order modification window, where the price can be adjusted manually.

If One Click Trading is enabled in the platform settings, stop orders are placed at a specified price instantly without displaying the trading dialog.

What Is a Trailing Stop and How to Set It

Stop Loss is used for minimizing losses if the security price moves the wrong direction. Once a position becomes profitable, its Stop Loss can be manually moved to a break-even level. Trailing Stop automates this process. This tool is especially useful during a strong unidirectional price movement or when it is impossible to monitor the market continuously for some reason.

Trailing Stop is always associated with an open position or a pending order. It is executed in the trading platform rather than on the server like Stop Loss. To set a Trailing Stop, select "Trailing Stop" in the context menu of a position or an order in the "Trading" tab:

To enable Trailing Stop, open the context menu of a position and specify its value

Select the desired value of a distance between the Stop Loss level and the current price. Use the " Set custom level Set custom level" button to set Trailing Stop manually:

Set your own Trailing Stop level

  • For each open position or pending order only one Trailing Stop can be set.
  • Trailing Stop operation is described in details in a separate section.

How to Increase or Decrease the Volume of a Position

Increase or decrease of position volume depends on the position accounting system adopted on the trading account.

Netting

Hedging

For one financial instrument only one position can exist at any given time. Differently directed positions (buy and sell) are not allowed.

Thus, if you execute a trade operation to buy 1 lot of a financial symbol, and there is an open 1-lot sell position, the position is closed.

If you have a 1-lot buy position and execute a trade operation to buy one more lot of the same instrument, you will have one position of 2 lots. The open price is recalculated in this case — the weighted average open price is calculated: (Price of the 1st deal*Volume of the 1st deal + Price of the 2nd deal*Volume of the 2nd deal)/(Volume of the 1st deal + Volume of the 2nd deal).

The same is true for an opposite deal. If you have a 1-lot buy position and execute a trade operation to sell 0.5 lot of the same instrument, you will have one buy position of 0.5 lots.

Multiple open positions of the same symbol can simultaneously exist on the trading account, including oppositely directed ones (Buy and Sell).

The volume of an existing position cannot be increased.

To partially close a position, click "Close Position" in the context menu of the appropriate position. Next enter the value of the volume to close and click "Close...".

How to Analyze Your Entries on the Chart

In trading it is important to evaluate the correctness of market entry and exit moments. This can be conveniently done through the graphical representation of executed deals on the symbol's price chart.

Choose an open position or a trade on the Trade or History tab, and select "Show on Chart" from the context menu:

  • If you need to show deals of a selected position/symbol, click "Add [symbol name] Deals". Appropriate deals will be displayed on all currently open charts of the selected symbol. If there are no open charts of that symbol, a new chart will be opened.
  • Click "Add All Deals" in order to show deals of all symbols from the account history. Appropriate deals of corresponding symbols will be added to all open charts. If the chart of a symbol is not open, the deals of such a symbol will not be added.

To show deals on a chart, click Show Charts in the context menu

Deals can also be visualized by dragging them from the Trade or History tabs to a chart using a mouse:

  • To display all deals related to a selected position, drag this position to a chart while holding down the Shift key.
  • To display one deal, drag it to the chart from the History tab.
  • If you need to display all trades of a selected symbol, drag any deal executed on that symbol while holding down the Shift key.

All executed deals can be automatically visualized on a chart. To do so, enable the "Show realtime history of deals on chart" option in the platform settings.

Closing Positions

In order to profit from exchange rate differences, it is necessary to close the position. To close a position, a trade operation opposite to the first one is executed. For example, if the first trade operation was buying one lot of GOLD, one lot of the same security must be sold to close the position.

  • A position can be closed fully or partially, depending on the volume of a trade executed in the opposite direction.
  • To close a position in the netting system, you should perform an opposite trading operation for the same symbol and the same volume. To close a position in the hedging system, explicitly select the "Close Position" command in the context menu of the position.

To close an entire position, double-click on it or use the command " Close position Close Position" in its context menu on the "Trade" tab.

To close an entire position click Close Position in its context menu

Upon clicking "Close..." the position is closed.

  • If you want to close a part of the position, enter the volume to close in the "Volume" field.
  • In the Request Execution mode, the price must be requested before you close a position.

Close by

This operation allows closing two opposite positions of the same symbol. If the positions have different volumes, only one position will be left open. Its volume will be equal to the difference between the volumes of two closed positions, and the direction will correspond to the larger position.

In contrast to separate closure of two positions, the Close By operation saves the trader one spread:

  • When closing positions separately, the trader pays spread twice: when closing the Buy position at a lower price (Bid), and when closing Sell at the Ask price.
  • In the Close By operation, the open price of the first position is used to close the seconds one, and the first one is closed at the open price of the second position.

This type of operation is only available in the hedging position accounting system.

Click twice on a position or select "Close Position" in its context menu on the Trade tab. In the Type field select "Close By":

Select an opposite position and click "Close".

A position closed with an opposite one displayed in the history of trade operations

During the Close By operation an order of the "close by" type is placed. Tickets of positions to close are specified in its comment.

A pair of opposite positions is closed in two "out by" deals.

The total profit/loss resulting from the close by operation is only specified in one deal.

Placing Pending Orders

A pending order is the trader's instruction to a brokerage company to buy or sell a security in future under pre-defined conditions. For example, if you want to sell EURUSD at 1.10800, but the price has not risen to that level yet, you do not have to wait. Place a pending order and the broker will perform it, even if the trading platform is closed at that point.

Stop Loss and Take Profit can also be specified in a pending order. They will be set for the position that opens based on the order.

Six types of pending orders are available in the platform.

Placing a Pending Order and General Parameters

A pending order can be placed in different ways:

  • Select a symbol in the Market Watch and click " New order New order" in its context menu.
  • Press F9. In the order window, a symbol will be inserted in accordance with the platform settings.
  • Click " New order New order" in the Tools menu or " New order New order" on the Standard toolbar.

After that, in the order placing window select "Pending order" in the "Type" field and the necessary symbol in the "Symbol" field:

Placing a Pending Order
  • Type — pending order type
  • Volume — order volume in lots.
  • Price — the price at which the pending order should trigger. For stop and limit orders, it is the price at which they will be placed. For Stop Limit orders, this is the limit order activation and placing price at the level specified in "Order Price".
  • Stop Loss — the Stop Loss level. If you leave the null value in this field, this type of order will not be set.
  • Expiration — order expiration terms:
    • Good Till Canceled (GTC) — the order is in the queue until it is manually removed;
    • Today — the order is only valid during the current trading day;
    • Specified — the order is active until the date indicated in the "Expiration Date" field;
    • Expiration date — the order is valid until 00:00 of the specified day. If this time appears to be out of a trade session, the expiration will be processed at the nearest trading time.
  • Comment — a text comment to the order. The maximum comment length is 31 characters.
  • Fill policy — additional filling rules for limit and stop limit orders: "Fill or Kill", "Immediate or Cancel" or "Return". If this box is unavailable, then the option is disabled on the server.
  • Stop Limit — this field is only active for Stop Limit orders. When the Stop Limit order triggers, a limit order will be placed at the price specified in this field.
  • Take Profit — the Take Profit level. If you leave the null value in this field, this type of order will not be set.
  • Expiration date — in this field the order expiration date is specified, if the "Specified" or "Specified day" is selected for the order expiration condition.
  • The "Place" button is inactive if any of the parameters is incorrect.
  • Stop Loss and Take Profit orders only trigger for open positions, not for pending orders.
  • A comment to an order can be changed by a broker or server.
  • If the "Fill Policy" and "Expiration" fields are inactive, it means that the possibility to change them is disabled on the server.

Placing Limit Orders

Limit orders are placed in the expectation of price "rollback". The trader expects the price reaches a certain level, for example support or resistance, and then moves in the opposite direction.

These orders are executed at a price equal to the specified one or better than that. Accordingly, no slippage occurs during order execution. The downside of these orders is that their execution is not guaranteed, since the broker may reject an order if the price goes too far in the opposite direction.

Here is how we can place a Buy Limit order.

Limit orders are set in anticipation of a "rollback" - the price reaches a certain level and starts moving in the opposite direction

In this example, the price is at the level of 1.25350, and the trader places a limit order to buy at the price of 1.24620 expecting that the price will reach the support level of 1.24453 and will continue to move upwards.

It is the opposite for Sell Limit orders. They are placed in anticipation that the price will rise to a certain level and will go down.

Placing Stop Orders

Stop orders imply expected breakthrough of certain levels. The trader expects the price to reach a certain level, break it through and move on in the same direction. The trader assumes that the market has reversed, having reached the support or resistance level.

When such an order triggers, a request to execute a corresponding market order is sent to a broker. The order is executed at the price equal to the specified one or worse than that. In other words, if the market price goes opposite, the order will be filled with a slippage. However, unlike limit orders, the execution of stop orders is guaranteed.

Stop orders are set in anticipation of a "breakthrough" - the price reaches a certain level and moves on in the same direction

In this example, the price is at the level of 1.28190, and the trader places a stop order to sell at the price of 1.27600 assuming that the market has reversed at the level of 1.28260 and will move downwards.

It is the opposite for Buy Stop orders. They are placed assuming that the market has reversed, and the price will rise.

Placing Stop Limit Orders

This is a combination of a stop and a limit order. If the price reaches the stop price, a limit order is placed. This type of orders is used when a trader wants to set a stop order and limit the slippage.

In the example below, a stop-limit order is placed with the expectation that the price will reach the resistance level 1, will roll back from it, and then will rise to the resistance level 2.

Stop Limit orders are a combination of stop and limit orders

How to Quickly Place an Order from the Chart

Pending orders can be placed from the chart using the Trading submenu of the chart context menu:

Trading menu on a chart

Place the mouse cursor on the necessary price level on the chart and execute the appropriate context menu command.

Depending on the cursor position, available order types are displayed in the menu. If the menu is activated above the current price, a user can place Sell Limit and Buy Stop orders. If the menu is activated below the current price, Buy Limit and Sell Stop orders can be placed.

Available distance between the selected and current price for the symbol is additionally checked ("Stops level").

Once the command execution, the Order window appears allowing the user to adjust its parameters more precisely.

If the One Click Trading option is enabled in the platform settings, orders are placed at a specified price instantly without displaying the trading dialog.

Managing Pending Orders

Sometimes you may need to modify a pending order: set a new activation price, change stop levels or its expiration time.

Order Modification

To modify a pending order, click " Modify or delete Modify or delete" in its context menu on the "Trade" tab.

Pending order modification

Almost all the fields of a pending order that you fill in during order placing can be modified, except for the volume, fill policy and its comment. After you enter new parameters click "Change".

If parameters are set incorrectly, the "Modify" button becomes inactive.

Order Modification on a Chart Using a Mouse

Modification of pending orders on a chart is only available if the "Show trade levels" option is enabled in the platform settings.

For pending orders, it is possible to modify Stop Loss and Take Profit levels separately, as well as modify the order price along with stop levels:

  • For the separate modification of stop levels on a chart, left-click the necessary level and drag it to the desired value (Drag'n'Drop).
  • Drag the price line to modify the entire order. In this case, both the price and the stop level are moved.
  • As for a Stop Limit order, its stop price and limit order price can be moved too. When moving the stop level indicated on the chart as "buy stop limit" or "sell stop limit", all the levels of the order will be moved including the limit order price, Stop Loss and Take Profit. The limit order price indicated on the chart as "buy limit" or "sell limit" is moved independent from other levels.

Pending order modification on a chart

Once a level is set, the order modification appears allowing users to adjust the level more precisely. If "One Click Trading" option is enabled in the platform settings, orders are placed at a specified price instantly without displaying the trading dialog.

Changing pending orders on the chart can be disabled by enabling "Disable dragging of trade levels" option in the platform settings.

Order Modification on a Chart Using a Context Menu

Order's menu on the chart

You can change or remove your pending orders, as well as set a trailing stop using pending order's context menu on the chart:

  • Modify or delete Modify — open the window of the selected order modification;
  • Delete order Delete — open the order deletion window. If One Click Trading is enabled in the platform settings, removal is performed instantly without displaying the trading dialog;
  • Trailing Stop — open the menu of Trailing Stop selection.

Deleting Pending Orders

A pending order can be deleted from its modification window by pressing the "Delete" button. Pending orders can also be deleted automatically at the time specified in the "Expiration" field. A deleted pending order is marked as "Canceled" on the History tab of the Toolbox window.

The pending order can also be removed directly from the chart using the context menu.

Trading Account History

The platform provides full access to the trading history of an account, as well as various tools for analyzing it. Open the "History" tab of the Toolbox window.

Trading account history

A list of trades on the trading account:

  • Time — deal execution time. The record is represented as YYYY.MM.DD HH:MM (year.month.day hour:minute);
  • Deal — ticket number (a unique identifier) of a deal;
  • ID — the deal ID in an external trading system (for example, on the exchange). The display of this parameter can be disabled depending on your broker's settings.
  • Order — ticket number (unique identifier) of the order, based on which the deal was executed. Several deals can correspond to one order, if the required volume specified in the order was not covered by one market offer;
  • Symbol — a financial instrument of the deal;
  • Type — trading operation type: "Buy" — a buy deal, "Sell" — a sell deal. In some situations a previously performed deal is canceled. In this case, the type of the previously performed deal is changed to Canceled buy or Canceled sell, and its profit/loss is reset to zero. Previously gained profit/loss is deposited/withdrawn from an account in a separate balance operation;
  • Direction — direction of the deal relative to the current position of a particular symbol: "in", "out" or "in/out";
  • Volume — the volume of an executed deal (in lots or units);
  • Price — price the deal was executed at;
  • S/L — the Stop Loss level. Stop Loss values for entry and reversal deals are set in accordance with the Stop Loss of orders, which initiated these deals. The Stop Loss values ??of appropriate positions as of the time of position closing are used for exit deals.
  • T/P — the Take Profit level. Take Profit values for entry and reversal deals are set in accordance with the Take Profit of orders, which initiated these deals. The Take Profit values of appropriate positions as of the time of position closing are used for exit deals.
  • Commission — commission charged for the deal execution. The commission value is only displayed in this field if commission is charged immediately after the execution of a deal. Commission may also be configured so that its value is accumulated within a day/month and is then withdrawn from the account by a single balance deal. In that case, its value is not displayed for each deal. The value accumulated during a day/month is displayed in the account state bar. The way commission is charged is regulated by a broker;
  • Profit — the financial result of the position exiting. For entry trades the zero profit is shown.

Deal execution result relative to the initial deposit:

  • Profit — profit or loss relative to the initial deposit.
  • Credit — amount credited by the brokerage company.
  • Deposit — deposit of the account (the sum of balance type operations with a positive value).
  • Withdrawal — amount withdrawn from the account (the sum of balance type operations with a negative value).

The current account balance is displayed at the end of the line.

Switching between history representation modes.

Filtering history by financial instruments and volume switching between lots and units.

If the account trading history is too large, or you need to access data for a certain time interval, select the desired period here.

A report can be saved as a file and shared with other traders or analyzed using external software. In addition to the list of operations and results on the account, the trade report includes various statistics.

You can also choose to display all trades on charts and analyze the efficiency of entries and exits.

The trading history can be presented in various forms:

  • As a list of positions. The platform collects data on deals related to a position (position opening, additional volume, partial and full closure), and then combines the data into one record providing the following details:
  • Position opening and closing time determined by the first and last trade respectively
  • Position volume. If part of the position was closed, the record contains the closed volume and the source volume
  • The weighted average position opening price and its closing price
  • The total financial result of deals related to the position
  • Position Stop Loss and Take Profit determined by Stop Loss and Take profit values of the deals, which opened and closed the position
  • A list of orders containing all trade requests sent to a broker;
  • A list of deals — the actual purchase and sale transactions executed based on the orders;
  • A tree view of all trading operations showing how the trade requests were processed.

Types of display of an account trading history

Alerts — How to Configure Market Event Notifications

The alerts are used to notify of market events. Having created alerts, you may leave the monitor, and the trading platform will automatically notify of the specified event.

Alerts are configured on the "Alerts" tab. An alert can be created via the context menu or by pressing Insert.

The data of this financial instrument are used to check the alert conditions. If the alert condition is "Time", the symbol does not matter.

The condition under which the alert triggers:

  • Bid < — an alert triggers if the Bid price goes below the specified value;
  • Bid > — an alert triggers if the Bid price goes above the specified value;
  • Ask < — an alert triggers if the Ask price goes below the specified value;
  • Ask > — an alert triggers if the Ask price goes above the specified value;
  • Last < — an alert triggers if the Last price goes below the specified value;
  • Last > — an alert triggers if the Last price goes above the specified value;
  • Volume < — an alert triggers if the last deal volume is below the specified value;
  • Volume > — an alert triggers if the last deal volume is above the specified value;
  • Time = — an alert triggers at the specified time. Specify the local computer time in the format "HH:MM", for example 15:00;

An action executed when the event triggers:

  • Sound — playing a sound file;
  • File — running an executable file;
  • Email — sending an email at the address specified in the platform settings.
  • Notification — sending a push notification to a mobile device. To enable push notifications, specify the MetaQuotes ID in the platform settings. MetaQuotes ID is a unique identifier, which is assigned to each mobile terminal during installation on a device. Push notifications are an effective means to notify of events, they are instantly delivered to mobile devices and are never lost. The message text is specified in the "Source" tab.

Alert lifetime. An alert can be automatically deleted at the specified time. The local computer time should be indicated here.

The value of the price, volume or time to trigger an alert.

Depending on the selected action type, specify here:

  • An audio file in *.wav, *.mp3 or *.wma format.
  • An executable file of *.exe, *.vbs or *.bat format.
  • An email template. If "Email" is selected for the action, a click on this field opens a window where you can create the template of the email to be sent to the address specified in the platform settings. You can also write an email text message in the format "email subject\n email text".
  • Push notification text. The maximum message length is 255 characters.

Time between alert repetitions.

Maximum number of alert repetitions.

Enable or disable the selected alert. When disabled, an alert is not deleted, but becomes inactive.

The "Test" button allows to test the selected alert. To apply the changes, click "OK".

To send event alerts as emails, configure the mailbox parameters in the platform settings.

Creating an Email

If Email is selected for the alert action, a click on the button Browse opens a window where you can create the email:

In the "To" field, add the name of the mailbox to which the email will be sent. Next enter the email subject. Below is the field for entering the message text. You can insert various macros into the text using "Macros" command of the context menu:

  • Symbol — the name of the financial symbol the alert is configured for;
  • Bid — bid price;
  • Bid High — the highest Bid price for the chart period (for exchange instruments);
  • Bid Low — the lowest Bid price for the chart period (for exchange instruments);
  • Ask — ask price;
  • Ask High — the highest Ask price for the chart period (for exchange instruments);
  • Ask Low — the lowest Ask price for the chart period (for exchange instruments);
  • Last — the last price, at which a deal was executed (for exchange instruments);
  • Last High — the highest last price at which a deal was executed for the chart period (for exchange instruments);
  • Last Low — the lowest last price at which a deal was executed for the chart period (for exchange instruments);
  • Volume — the volume of deals executed during the period of the chart;
  • Volume High — the highest volume of an executed deal for a trading session (for exchange instruments);
  • Volume Low — the lowest volume of an executed deal for a trading session (for exchange instruments);
  • Volume Bid — the volume of a Buy deal closest to market (for exchange instruments);
  • Volume Ask — the volume of a Sell deal closest to market (for exchange instruments);
  • Time — the time of the last quote;
  • Bank — the instrument liquidity provider;
  • Login — current account number;
  • Balance — current account balance;
  • Equity — current account equity;
  • Profit — current profit value;
  • Margin — current margin value;
  • Free margin — current free margin value;
  • Positions — a list of all open positions in the account;
  • Orders — currently active orders (pending orders, unfilled orders to execute a market deal).

Once you have created the email click "Apply".

Creating and Managing Alerts on Chart

An alert can be quickly created right on a chart. Click " Alert Alert" in the chart context menu:

Trading menu on a chart

An alert is created for the symbol of the chart. If the menu is opened above the current price the alert is created with condition "Bid > selected price", below the current price — "Bid < selected price". Alerts created from the chart are automatically set to expire. The expiration time depends on the chart timeframe:

  • For minute timeframes the expiration is set in hours. The number of hours corresponds to the number of minutes in the timeframe. For example, the expiration is set to 1 hour on M1 timeframe, to 5 hours on M5 timeframe, to 30 hours on M30 timeframe, etc.
  • For hourly timeframes the expiration is set in days. The number of days corresponds to the number of hours in the timeframe. For example, the expiration is set to 1 day on H1 timeframe, to 2 days on H2 timeframe, to 6 days on H6 timeframe, etc.
  • For the day timeframe the expiration is set to 24 days.
  • For the week timeframe the expiration is set to 2 weeks.
  • On a monthly timeframe the expiration is set to 2 months.

Alerts are displayed as red arrows on the right side of the chart of the corresponding instrument:

Managing alerts on chart

The price level of an alert can be modified directly on the chart. Just drag the alert arrow using a mouse.

The alert modification feature on the chart is unavailable if the option "Disable dragging of trade levels" is enabled in the platform settings.


One Click Trading

Trading Operations / One Click Trading

One Click Trading

Trade execution speed is very important in financial trading. Traders strive to enter the market on time to catch the opportunity to profit. Trading robots can be used for high-frequency trading. However some traders still prefer to trade manually. The platform features special tools for carrying out various trading operations with just one mouse click.

How to Perform a Deal with One Click on a Chart

A special panel allows performing instant trade operations directly on a chart. To activate it, click " One Click Trading One Click Trading" in the chart context menu.

You can show/hide the panel by clicking One Click Trading to the left of OHLC.

One Click Trading

Using this panel you can instantly send buy or sell market orders with specified volumes.

How to Protect a Market Position by Take Profit and Stop Loss with a Single Mouse Action

You can quickly set Stop Loss and Take Profit for a position on a chart. Click on the position level and drag it up or down. Depending on the direction of the position and dragging direction, a user is prompted to set either Stop Loss or Take Profit.

When you move a level, a tooltip appears displaying potential profit (or loss) in the deposit currency and pips that can be obtained if the level triggers.

Setting Stop Loss and Take Profit on a chart

To modify the level on a chart, left-click on it and drag the level up or down to the required value holding the mouse button (Drag'n'Drop):

Modification on the chart

  • Modification of Stop Loss and Take Profit on a chart is only available if the "Show trade levels" option is enabled in the platform settings.
  • Modification of Stop Loss and Take profit on a chart is disabled if you enable the "Disable dragging of trade levels" option in the platform settings.

How to Quickly Lock the Profit/Loss of a Position

To quickly close a position and take its current profit/loss, use the "Trade" tab in the Toolbox window.

One Click Closure

The "Profit" column of each open position has the button Close position/Delete order. If you click the button for a position, it will be immediately closed without additional confirmation.

How To Quickly Set a Pending Order at the Desired Level on the Chart

Pending orders can be placed from the chart using the Trading submenu of the chart context menu:

Trading menu on a chart

Place the mouse cursor on the necessary price level on the chart and execute the appropriate context menu command to set a pending order.

Depending on the cursor position, available order types are displayed in the menu. If the menu is activated above the current price, a user can place Sell Limit and Buy Stop orders. If the menu is activated below the current price, Buy Limit and Sell Stop orders can be placed.

Available distance between the selected and current price for the symbol is additionally checked ("Stop level").

The order volume to set is selected on the quick trading panel on the chart.

After executing the command, the Order window appears allowing the user to adjust its parameters more precisely. If "One Click Trading" option is enabled in the platform settings, orders are placed at a specified price instantly without displaying the trading dialog.

How to Quickly Change the Price of a Pending Order on the Chart

Modification of pending orders on a chart is only available if the "Show trade levels" option is enabled in the platform settings.

For pending orders, it is possible to modify Stop Loss and Take Profit levels separately, as well as modify the order price along with stop levels:

  • For the separate modification of stop levels on a chart, left-click the necessary level and drag it to the desired value (Drag'n'Drop).
  • Drag the price line to modify the entire order. In this case, both the price and the stop level are moved.

Pending order modification on a chart

When you move an order, a tooltip appears displaying the distance from the current price in the deposit currency and pips.

Once a level is set, the order modification appears allowing users to adjust the level more precisely. If One Click Trading is enabled in the platform settings, modification is performed instantly without displaying the trading dialog.

Changing pending orders on the chart can be disabled by enabling "Disable dragging of trade levels" option in the platform settings.

How to Remove a Pending Order in One Click

To quickly delete a pending order, use the "Trade" tab in the Toolbox window.

Deleting a pending order with one click

The state column of each order has the button Close position/Delete order. When pressed on the order line, the order is deleted without additional confirmation.

How to Remove Stop Loss or Take Profit with One Click

To quickly delete Stop Loss or Take Profit of a position, use the "Trade" tab of the Toolbox window.

Deleting Stop Loss and Take Profit with One Click

In the S/L or T/P column click Close position/Delete order. The appropriate level is deleted without any further confirmation.

One Click Trading in the Depth of Market and Market Watch

The One Click Trading options are also available in the depth of market and the Market Watch. For details, refer to the appropriate sections:

  • Quick Trading from the Depth of Market
  • One Click Trading in Market Watch

Features of One Click Trading

A window of the agreement appears when you first try to make a deal with one click.

One Click Trading Terms and Conditions

If you accept the conditions, tick "I Accept these Terms and Conditions" option and click "OK". If you do not accept the conditions, click "Cancel" and do not use the "One Click Trading" function.

You can pre-allow the one-click trading option in the platform settings.

When performing operations with one click, you should be aware of some of its features:

  • One Click Trading is available in all execution modes except for "Request" execution. In the latter case, a standard trade dialog appears.
  • In the Instant Execution mode, the allowable price deviation in orders is set in accordance with the "Use deviation" option.
  • The Fill Policy is selected based on the trading instrument execution mode: for exchange execution it is always "Return", for market execution it is either "Fill or Kill" or "Immediate or Cancel" (depending on what policy is allowed for the symbol), for instant and request execution it is always "Fill or Kill".
  • When a requote is received, an appropriate message is added to the platform journal and a requote sound is played.

The quotes are displayed on the one-click trading panel buttons the following way:

  • The decimal point between the numbers of different size is not displayed to save space. The font size is used as a separator instead.
  • In three-digit quotes, the first and second digits are highlighted, while in five-digit quotes — the third and fourth ones. The last two digits are highlighted in other cases.


For Advanced Users

Trading Operations / For Advanced Users

For Advanced Users

This section is intended for experienced users. It describes some specific trading features available in the platform:

  • Price data — general information about quotes, peculiarities of creating price charts and forming market depth depending on the market type.
  • Margin Calculation: Retail Forex, Futures — margin calculation features for all types the over-the-counter instruments, rules of conversion into the deposit currency and margin discounts for spreading instruments.
  • Margin Calculation: Exchange Model — terminology and margin calculation specifics for exchange instruments on a discount basis set by a broker.
  • Collateral Instruments — the platform supports a special type of non-tradable instruments, which can be used as client's assets to provide the required margin for open positions of other instruments.
  • Custom Financial Instruments — the trading platform allows creating custom financial symbols. You can view charts of such symbols and perform technical analysis, as well as use them for testing trading robots and indicators in the Strategy Tester.
  • Spreads — margin can be charged on preferential basis in case trading positions are in spread relative to each other. The spread trading is defined as the presence of the oppositely directed positions of correlated symbols.
  • Futures — specifics of futures contracts and calculation of variation margin at the end of each trading day.
  • Trading Report — the trading platform allows users to automatically save and publish account statement reports. The reports help users to analyze their trading results and share them with other traders.


Price Data

Trading Operations / For Advanced Users / Price Data

Price Data in the Trading Platform

Three basic prices of a financial instrument are used in the trading platform:

  • Bid is the highest price at which a trader can sell a financial instrument. It is the best price at which a financial symbol can be sold.
  • Ask is the lowest price at which a trader can buy a financial instrument. It is the best price at which a financial symbol can be bought.
  • Last is the price of the last deal executed on a financial instrument.

A financial symbol can be traded on the exchange and over-the-counter (OTC) market. Different approaches to symbol quote and charting are used depending on the market.

Exchange Market with the Market Depth

The only source of quotes in the exchange market is the Exchange itself. Buyers and sellers meet on the exchange, which keeps records of all executed deals. Orders of all market participants comprise a single Market Depth.

A Market Depth option featuring real orders of market participants is available in the trading platform for exchange traded symbol. Based on the best orders, the Bid and Ask prices are formed in the Market Depth (these prices are shown in the Market Watch window). Also, the exchange provides prices and volumes of last executed deals (Last and Volume). Last prices are used for creating price charts and for displaying the Time & Sales tape:

The Market Depth on the Exchange Market

Although symbol charts are based on Last prices, traders execute deals at Bid and Ask prices (actual prices available in the market).

Over-The-Counter Market

Participants of the OTC market are big market players, such as banks and prime brokerages. They form networks to trade with each other. Medium market participants, such as banks, management companies and hedge funds connect to large participants. Market participants aggregate prices of their counterparties or they set their own prices based on counterparties' prices, and provide these prices to their clients.

Only Bid and Ask stream quotes are used in OTC market trading, without data on actual executed deals. Charts are based on Bid prices.

Market Watch with Bid and Ask prices of OTC financial instruments

Over-The-Counter Market with the Market Depth

Unlike the previous variant, the broker provides traders information on volumes in addition to Bid and Ask prices, which allows displaying the Market Depth. The exchange Market Depth consists of limit orders of market participants, while OTC Market Depth is formed based on the broker's quotes. The broker provides different prices depending on the buying and selling volume.

The Market Depth on the OTC Market

The exchange does not participate in trading and does not keep record of performed trades, therefore no Last prices are available in this mode. Charts are based on Bid prices.

How Price Charts Are Formed

One-minute bars are formed based on symbol quotes (or ticks). This bar represents a set of price characteristics of one minute:

  • 4 prices: Low and High price during this minute, as well as the beginning and the end of the bar, i.e. the Open and Close prices
  • Spread, which is the minimum difference between Bid and Ask recorded during one minute
  • Tick volume, which shows the number of ticks received during bar formation
  • Volume, i.e. the real volume of deals performed during bar formation (may be not available for OTC markets)
  • Date and time, i.e. the minute to which this bar corresponds

One-minute bars are based on Bid prices for OTC symbols, and are based on Last prices for exchange instruments.

In addition to one-minute bars, price charts in the trading platform can be displayed as larger time intervals. The time included in one bar or candlestick on the chart, is called a timeframe. The platform supports 21 timeframes from 1 minute to a 1-month period.

The trading platform only stores 1-minute bars. All higher timeframes are created based on these bars. This approach ensures compliance of data at all periods, as well as allows to significantly save traffic and disk space.

Five 1-minute bars and one 5-minute bar on their basis


Margin Calculation: Retail Forex, Futures

Trading Operations / For Advanced Users / Margin Calculation: Retail Forex, Futures

Margin Calculation for Retail Forex, Futures

The trading platform provides different risk management models, which define the type of pre-trade control. At the moment, the following models are used:

  • For Retail Forex, Futures — used for the OTC market. Margin calculation is based on the type of instrument.
  • For Stock Exchange, based on margin discount rates — used for the exchange market. Margin calculation is based on the discounts for instruments. Discounts are set by the broker, however they cannot be lower than the exchange set values.

The margin is charged for securing traders' open positions and orders.

The first stage of the margin calculation is defining if an account has positions or pending orders for the symbol, for which a trade is performed.

  • If the account has no positions and orders for the symbol, the margin is calculated using the formulas below.
  • If the account has an open position, and an order of any type with the volume being less or equal to the current position is placed in the opposite direction, the total margin is equal to the current position's one. Example: we have a 1 lot EURUSD Buy position and place an order to Sell 1 lot EURUSD (similarly for Sell Limit, Sell Stop and Sell Stop Limit).
  • If the account has an open position, and an order of any type is placed in the same direction, the total margin is equal to the sum of the current position's and placed order's margins.
  • If the account has an open position, and an order of any type with the volume exceeding the current position is placed in the opposite direction, two margin values are calculated - for the current position and for the placed order. The final margin is taken according to the highest of the two calculated values.
  • If the account has two or more oppositely directed market and limit orders, the margin is calculated for each direction (Buy and Sell). The final margin is taken according to the highest of the two calculated values. For all other order types (Stop and Stop Limit), the margin is summed up (charged for each order).

Below are the symbol margin calculation formulas according to their type and settings. The final margin is calculated in three stages:

  • Basic calculation for a certain symbol;
  • Conversion of the margin currency into the deposit one
  • Multiplication by factor
  • Considering trading symbols that are in spread
  • Accounting multiple positions/orders of the same symbol

Basic Calculation for a Symbol

If "Initial margin" parameter value is set in the symbol specification, this value is used. The formulas described in this section are not applied.

The trading platform provides several margin requirement calculation types depending on the financial instrument. Calculation type is displayed in the "Calculation" field of the symbol specification:

Forex

The margin for the Forex instruments is calculated by the following formula:

Volume in lots * Contract size / Leverage

For example, let's calculate the margin requirements for buying one lot of EURUSD, while the size of one contract is 100,000 and the leverage is 1:100.

Margin calculation for Forex symbols

After placing the appropriate values to the equation, we will obtain the following result:

1 * 100 000 / 100 = 1 000 EUR

So, now we have the margin requirements value in base currency (or margin currency) of the symbol.

  • Generally, margin requirements currency and symbol's base currency are the same. If the margin currency is different, calculation results are displayed in that currency instead of the symbol's base one.
  • In this mode, a trader leverage is taken into account even if a fixed margin is set.

Forex No Leverage

This type of calculation is also used for Forex symbols. But unlike the previous one, it does not take into account the trader's leverage:

Volume in lots * Contract size

For example, let's calculate the margin requirements for buying one lot of EURUSD, while the size of one contract is 100 000 and the leverage is 1:100. After placing the appropriate values to the equation, we will obtain the following result:

1 * 100 000 = 100 000 EUR

So, now we have the margin requirements value in base currency (or margin currency) of the symbol.

Generally, margin requirements currency and symbol's base currency are the same. If the margin currency is different, calculation results are displayed in that currency instead of the symbol's base one.

CFD, Exchange Stocks

The margin requirements for CFDs and stocks are calculated using the following equation:

Volume in lots * Contract size * Open market price

The current market Ask price is used for buy deals, while the current Bid price is used for sell ones.

For example, let's calculate the margin requirements for buying one lot of #AA, the size of the contract is 100 units, the current Ask price is 33.00 USD.

Margin calculation for Exchange Stocks

After placing the appropriate values to the equation, we will obtain the following result:

1 * 100 * 33.00 = 3 300 USD

So, now we have the margin value in base currency (or margin currency) of the symbol.

CFD Leverage

The leverage is also considered in this type of margin requirement calculation for CFDs:

Volume in lots * Contract size * Open market price / Leverage

CFD Index

For index CFDs, the margin requirements are calculated according to the following equation:

Volume in lots * Contract size * Open market price * Tick price / Tick size

In this formula, the ratio of price and tick size is considered in addition to common CFD calculation.

Margin calculation for CFD Index

Futures, Exchange Futures

There are two types of the margin requirements for futures contracts:

  • Initial margin is the amount that must be available on the account at the moment of attempting to enter the market. Further maintenance of the same sum may not be obligatory.
  • Maintenance margin is the minimum amount that must be available on the account for maintaining an open position.

Both values are specified in the symbol specification.

Margin calculation for Futures and Exchange Futures

The final size of the margin depends on the volume:

Volume in lots * Initial margin

Volume in lots * Maintenance margin

If the amount of the maintenance margin is not specified, the initial margin value is used instead.

FORTS Futures

The margin for the futures contracts of the Moscow Exchange derivative section is calculated separately for each symbol: First, the margin is calculated for the open position and all Buy orders. Then the margin for the same position and all Sell orders is calculated.

MarginBuy = MarginPos + Sum(MarginBuyOrder)

MarginSell = MarginPos + Sum(MarginSellOrder))

The largest one of the calculated values is used as the final margin value for the symbol.

Thus, the same position is used in the calculation of both values. In the first formula (which includes Buy orders), the position margin is calculated as follows:

MarginPos = Volume * (InitialMarginBuy + (Open Price - SettlementPrice) * Tick Price / Tick Size * (1 + 0.01 * Margin Currency Rate))

The volume is used with a positive sign for long positions and with a negative sign for short positions.

In the second formula (which includes Sell orders), the position margin is calculated as follows:

MarginPos = Volume * (InitialMarginSell + (SettlementPrice - Open Price) * Tick Price / Tick Size * (1 + 0.01 * Margin Currency Rate))

The volume is used with a positive sign for short positions and with a negative sign for long positions.

This approach provides the trader a discount on margin, when there is an open position in the opposite direction with respect to the orders placed (the position acts as collateral for orders).

Margin on orders is calculated by the following formulas:

MarginBuyOrder = Volume * (InitialMarginBuy + (Price - SettlementPrice) * Tick price / Tick size * (1 + 0.01 * Margin currency rate))

MarginSellOrder = Volume * (InitialMarginSell + (SettlementPrice - Price) * Tick price / Tick size * (1 + 0.01 * Margin currency rate))

'Price' here depends on the order time and can be equal to:

  • The Highest and the Lowest price of the contract for the current session is used for not yet executed market or stop Buy and Sell orders, respectively. Since the price is not specified in market orders, the trader is charged the maximum possible margin. Once triggered, stop orders behave similar to market orders.
  • The order price is used for limit orders.
  • The Stop Limit price is used for stop limit orders.

Other parameters in the formulas:

  • InitialMarginBuy — the initial margin for the Buy operation.
  • InitialMarginSell — the initial margin for the Sell operation.
  • Currency margin rate is the rate change radius of the currency, a futures contract is denominated in, relative to the Russian ruble
  • SettlementPrice — settlement price of an instrument for the current session.

All these parameters for calculation are provided by the Moscow Exchange.

InitialMarginBuy is written to the "Initial margin" field, InitialMarginSell is written to the "Maintenance Margin" field in symbol properties.

Calculation example

The below example shows the calculation of margin requirements for the following trading account state:

  • Position Buy 3.00 Si-6.18 at 73640
  • Order Buy Limit 2.00 Si-6.18 at 73000
  • Order Sell Limit 10.00 Si-6.18 at 74500

Current session parameters

  • Clearing price = 73638
  • InitialMarginBuy = 7665.41
  • InitialMarginSell = 7739.59
  • Tick price = 1
  • Tick size = 1
  • Margin currency rate = 0

We substitute the values ​​in the formulas

MarginBuy = 3 * (7665.41 + (73640 - 73638) * 1/1) + 2 * (7665.41 + (73000-73638) * 1/1) = 37057.05

MarginSell = -3 * (7739.59 + (73638-73640) * 1/1) +10.0 * (7739.59 + (73638-74500) * 1/1) = 45563.13

Margin = Max(37057.05, 45563.13) = 45563.13

The resulting margin for the Si-6.18 symbol is 45563.13.

Collateral

Non-tradable instruments of this type are used as trader's assets to provide the required margin for open positions of other instruments. For these instruments the margin is not calculated.

Fixed Margin

If the "Initial margin" field of the symbol specification contains any non-zero value, the margin calculation formulas specified above are not applied (except for the calculation of futures, as everything remains the same there). In this case, for all types of calculations (except for Forex and CFD Leverage), the margin is calculated like for the "Futures" calculation type:

Volume in lots * Initial margin

Volume in lots * Maintenance margin

Calculations of the Forex and CFD Leverage types additionally allow for leverage:

Volume in lots * Initial margin / Leverage

Volume in lots * Maintenance margin / Leverage

If the amount of the maintenance margin is not specified, the initial margin value is used instead.

Converting into Deposit Currency

This stage is common for all calculation types. Conversion of the margin requirements calculated using one of the above-mentioned methods is performed in case their currency is different from the account deposit one.

The current exchange rate of a margin currency to a deposit one is used for conversion. The Ask price is used for buy deals, and the Bid price is used for sell deals.

For example, the basic size of the margin previously calculated for buying one lot of EURUSD is 1000 EUR. If the account deposit currency is USD, the current Ask price of EURUSD pair is used for conversion. For example, if the current rate is 1.2790, the total margin size is 1279 USD.

Margin Rate

The symbol specification allows setting additional multipliers (rates) for the margin requirements depending on the position/order type.

The final margin requirements value calculated taking into account the conversion into the deposit currency, is additionally multiplied by the appropriate rate.

For example, the previously calculated margin for buying one lot of EURUSD is 1279 USD. This sum is additionally multiplied by the long margin rate. For example, if it is equal to 1.15, the final margin is 1279 * 1.15 = 1470.85 USD.

Calculations for Spread Trading

The margin can be charged on preferential basis in case trading positions are in spread relative to each other. The spread trading is defined as the presence of the oppositely directed positions of correlated symbols. Reduced margin requirements provide more trading opportunities for traders. Configuration of spreads is described in a separate section.

Spreads are only used in the netting system for position accounting.

Calculation in the hedging system of position accounting

If the hedging position accounting system is used, the margin is calculated using the same formulas and principles as described above. However, there are some additional features for multiple positions of the same symbol.

Positions/orders open in the same direction

Their volumes are summed up and the weighted average open price is calculated for them. The resulting values are used for calculating margin by the formula corresponding to the symbol type.

For pending orders (if the margin ratio is non-zero) margin is calculated separately.

Opposite Positions/Orders

Oppositely directed open positions of the same symbol are considered hedged or covered. Two margin calculation methods are possible for such positions. The calculation method is determined by the broker.

Basic calculation

Using the larger leg

Used if "calculate using larger leg" is not specified in the "Hedged margin" field of contract specification.

The calculation consists of several steps:

  • For uncovered volume
  • For covered volume (if hedged margin size is specified)
  • For pending orders

The resulting margin value is calculated as the sum of margins calculated at each step.

Calculation for uncovered volume

  • Calculation of the total volume of all positions and market orders for each of the legs — buy and sell.
  • Calculation of the weighted average position and market order open price for each leg: (open price of position or order 1 * volume of position or order 1 + ... + open price of position or order N * volume of position or order N) / (volume of position or order 1 + ... + volume of position or order N).
  • Calculation of uncovered volume (smaller leg volume is subtracted from the larger one).
  • The calculated volume and weighted average price are used then to calculate margin by the appropriate formula corresponding to the symbol type.
  • When considering a margin ratio, the larger leg ratio (buy or sell) is used.
  • The weighted average rate value is used when converting from a margin currency to a deposit one.

Calculation for covered volume

Used if the "Hedged margin" value is specified in a contract specification. In this case margin is charged for hedged, as well as uncovered volume.

If the initial margin is specified for a symbol, the hedged margin is specified as an absolute value (in monetary terms).

If the initial margin is not specified (equal to 0), the contract size is specified in the "Hedged" field. The margin is calculated by the appropriate formula in accordance with the type of the financial instrument, using the specified contract size. For example, we have two positions Buy EURUSD 1 lot and Sell EURUSD 1 lot, the contract size is 100,000. If the value of 100,000 is specified in the "Hedged field", the margin for the two positions will be calculated as per 1 lot. If you specify 0, no margin is charged for the hedged (covered) volume.

Per each hedged lot of a position, the margin is charged in accordance with the value specified in the "Hedged Margin" field in the contract specification:

  • Calculation of hedged volume for all open positions and market orders (uncovered volume is subtracted from the larger leg).
  • Calculation of the weighted average position and market order open price: (open price of position or order 1 * volume of position or order 1 + ... + open price of position or order N * volume of position or order N) / (volume of position or order 1 + ... + volume of position or order N).
  • The calculated volume, weighted average price and the hedged margin value are used then to calculate margin by the appropriate formula corresponding to the symbol type.
  • When considering a margin ratio, the average value of the buy and sell order ratios is used: (Buy rate + Sell rate)/2.
  • The weighted average rate value is used when converting from a margin currency to a deposit one.

Calculation for pending orders

  • Calculation of margin for each pending order type separately (Buy Limit, Sell Limit, etc.).
  • The weighted average value of the ratio and rate for each pending order type is used when taking into account the margin ratio and converting margin currency to deposit currency.

Calculation specifics for hedging orders when using fixed margin

When an order opposite to an existing position is placed, the margin on the hedged volume is always calculated using the "Hedge margin" value. For the non-hedged volume, the "Initial margin" value is used when placing an order, and "Maintenance margin" is applied after the appropriate position is opened.

These calculation specifics only apply for symbols, for which the initial and maintenance margin values are specified (calculation type "Fixed margin" or "Futures").

For example, the following parameters are used for EURUSD:

  • Initial margin = 1000
  • Maintenance margin = 500
  • Hedge margin = 500

A trader has a position Buy 1.00 BR-12.18 on a USD account. A margin of 500 USD (as per the "Maintenance margin") is reserved on the trader's account for this position.

  • To open Sell 2.00 BR-12.18, the trader needs the margin of 2000 USD: 500 USD for the existing position, 500 for 1 hedged lot of the new position (in accordance with the "Hedged margin" parameter) and 1000 for 1 non-hedged lot of the new position (as set in the "Initial margin" parameter).
  • Once the position is opened, a margin of 1000 USD will remain reserved on the trader's account: 500 USD for 1 hedged lot (in accordance with "Hedged margin") and 500 USD for 1 non-hedged lot (as specified in the "Maintenance margin").

Used if "calculate using larger leg" is specified in the "Hedged margin" field of contract specification.

  • Calculation of margin for shorter and longer legs for all open positions and market orders.
  • Calculation of margin for each pending order type separately (Buy Limit, Sell Limit, etc.).
  • Summing up a longer leg margin: long positions and market orders + long pending orders.
  • Summing up a shorter leg margin: short positions and market orders + short pending orders.
  • The largest one of all calculated values is used as the final margin value.

Example

The following positions are present:

  • Sell 1 lot at 1.11943
  • Buy 1 lot at 1.11953
  • Sell 1 lot at 1.11943
  • Buy 1 lot at 1.11953
  • Sell 1 lot at 1.11943

Hedged margin size = 100 000. Buy margin rate = 2, for Sell = 4.

Calculate hedged volume: Sell volume (3) - Buy volume (2) = 1

Calculate the weighted average Open price for the hedged volume by all positions: (1.11943 * 1+1.11953 * 1+1.11943 * 1+1.11953 * 1+1.11943 * 1)/5 = 5.59735/5= 1.11947

Calculate the weighted average Open price for the non-hedged volume by all positions: (1.11943 * 1 + 1.11943 * 1 + 1.11943 * 1)/3 = 1.11943

Calculate the margin ratio for the hedged volume: (buy ratio + sell ratio)/2 = (2 + 4)/2 = 3

The larger leg (sell) margin ratio is used for the non-hedged volume: 4.

Calculate the hedged volume margin using the equation: (2.00 lots * 100000 EUR * 1.11947 * 3) / 500 = 1343.36

Calculate the non-hedged volume margin using the equation: (1.00 lot * 100000 EUR * 1.11943 * 4) / 500 = 895.54

The final margin size: 1343.364 + 895.544 = 2238.90


Margin Calculation: Exchange Model

Trading Operations / For Advanced Users / Margin Calculation: Exchange Model

Exchange Risk Management Model

The trading platform provides different risk management models, which define the type of pre-trade control. At the moment, the following models are used:

  • For Retail Forex, Futures — used for the OTC market. Margin calculation is based on the type of instrument.
  • For Stock Exchange, based on margin discount rates — used for the exchange market. Margin calculation is based on the discounts for instruments. Discounts are set by the broker, however they cannot be lower than the exchange set values.

Basic Terminology

Exposure

Assets — the current value of purchased financial instruments (of long positions) defined in a trader's deposit currency. The value is determined dynamically based on the price of the latest deal of the financial instrument, taking into account the liquidity margin rate. In fact, the amount of assets is equivalent to the amount of money that the trader would receive in case of immediate closure of long positions.

Assets = Size1 * Price1 * L1 + Size2 * Price2 * L2 + ... +SizeN * PriceN * LN

Where:

  • Size — the size of the Nth position calculated as the product of the volume in lots and the contract size.
  • Price — the current market price of the financial instrument.
  • L — the liquidity rate of the instrument.

Only liquid instruments can be used as collateral.

Liabilities

Liabilities are obligations on current short positions calculated as the value of these positions at the current market price. In fact, the amount of liabilities is equivalent to the amount of money that the trader would pay in case of immediate closure of short positions.

Liabilities = Size1 * Price1 + Size2 * Price2 + ... +SizeN * PriceN

Where:

  • Size — the size of the Nth position calculated as the product of the volume in lots and the contract size.
  • Price — the current price of the instrument of the trader's open Nth position.

Balance (own funds)

Balance — the trader's own funds on the account.

Equity (portfolio value)

Equity is calculated by the following formula:

Equity = Own Funds + Assets - Liabilities - Commission

Margin

  • Initial margin is the minimum value of trader's own funds with which the trader is allowed to enter the market.
  • Adjusted initial margin is the minimum value of trader's own funds with which the trader is allowed to enter the market, including current market positions and limit orders.
  • Maintenance margin is the minimum amount of funds that must be available on the account for maintaining an open position. If the equity level falls below the maintenance margin, the broker starts closing trader's positions. The position closing procedure is determined by the broker's regulations.

Calculation Features

On the spot market, as opposed to the futures and forward markets (characterized by margin movement), payment and receipt of assets (or liabilities in the event of repurchase) occur immediately at the moment of deal conclusion. Accordingly, the transaction value is immediately reflected on the trader's balance.

Since the payment for the instrument purchase or sale is always made in full, the margin is only used as an indication of the trading account state, which determines the possibility of opening new positions or necessity to close out existing positions.

Margin Calculation

The margin is the capitalized assessment of trader's positions:

Margin = Size1 * Price1 * MarginRate1 + Size2 * Price2 * MarginRate2 + ... + SizeN * PriceN * MarginRateN

Where:

  • Size — the size of the Nth position calculated as the product of the volume in lots and the contract size.
  • Price — the current price of the instrument of the trader's open Nth position.
  • MarginRate — the rate of margin or discount of the instrument, for which a position is opened. Individual margin rates can be used for the initial and maintenance margin, as well as for short and long positions.

Example of Opening a Long Position

For example, the trader's initial balance is 1,000,000 RUR. The initial and maintenance margin rates are equal to 0.1 and 0.05. For simplicity, we do not take into account the commission size.

Trade operations and price fluctuations

Trader's account state

Buying 1000 shares of LKOH 150 RUR each
  • Balance: 1,000,000 RUR - 1000 * 150 RUR = 850,000 RUR
  • Assets: 1000 * 150 = 150,000 RUR
  • Liabilities: 0 RUR
  • Equity: 850,000 RUR + 150,000 RUR = 1,000,000 RUR
  • Initial margin: 15,000 RUR
  • Maintenance margin: 7,500 RUR

Price drop to 50 RUR per share
  • Balance: 850,000 RUR
  • Assets: 1000 * 50 = 50,000 RUR
  • Liabilities: 0 RUR
  • Equity: 850,000 RUR + 50,000 RUR = 900,000 RUR
  • Initial margin: 5,000 RUR
  • Maintenance margin: 2,500 RUR

Buying 20,000 shares 50 RUR each
  • Balance: 850 000 RUR - 20 000 * 50 RUR = -150 000 RUR (uses borrowed money)
  • Assets: (1,000 + 20,000) * 50 RUR = 1,050,000 RUR
  • Liabilities: 0 RUR
  • Equity: 1,050,000 RUR - 150,000 RUR = 900,000 RUR
  • Initial margin: 105,000 RUR
  • Maintenance margin: 52,500 RUR

Price drop to 10 RUR per share
  • Balance: -150 000 RUR
  • Assets: 21,000 * 10 RUR = 210,000 RUR
  • Liabilities: 0 RUR
  • Equity: 210,000 RUR - 150,000 RUR = 60,000 RUR
  • Initial margin: 21,000 RUR
  • Maintenance margin: 10,500 RUR

Price drop to 8 RUR per share
  • Balance: -150 000 RUR
  • Assets: 21,000 * 8 RUR = 168,000 RUR
  • Liabilities: 0 RUR
  • Equity: 168,000 RUR - 150,000 RUR = 18,000 RUR
  • Initial margin: 16 800 RUR
  • Maintenance margin: 8 400 RUR

Note: equity below the initial margin. A trader cannot open new positions, only close existing ones.

Price drop to 5 RUR per share
  • Balance: -150 000 RUR
  • Assets: 21,000 * 5 RUR = 110,000 RUR
  • Liabilities: 0 RUR
  • Equity: 110,000 RUR - 150,000 RUR = -40,000 RUR
  • Initial margin: 11 000 RUR
  • Maintenance margin: 5 500 RUR

Note: equity below the maintenance margin. Broker forcibly closes the trader's position.

Example of Opening a Short Position

For example, the trader's initial balance is 1,000,000 RUR. The initial and maintenance margin rates are equal to 0.1 and 0.05. For simplicity, we do not take into account the commission size.

Trade operations and price fluctuations

Trader's account state

Selling 1000 shares of LKOH 150 RUR each
  • Balance: 1,000,000 RUR + 1,000 * 150 RUR = 1,150,000 RUR
  • Assets: 0 RUR
  • Liabilities: -1,000 * 150 RUR = -150,000 RUR
  • Equity: 1,150,000 RUR - 150,000 RUR = 1,000,000 RUR
  • Initial margin: 15,000 RUR
  • Maintenance margin: 7,500 RUR

Price grows to 300 RUR per share
  • Balance: 1,150,000 RUR
  • Assets: 0 RUR
  • Liabilities: -1000 * 300 RUR = -300,000 RUR
  • Equity: 1,150,000 RUR - 300,000 RUR = 850,000 RUR
  • Initial margin: 30,000 RUR
  • Maintenance margin: 15,000 RUR

Price grows to 1000 RUR per share
  • Balance: 1,150,000 RUR
  • Assets: 0 RUR
  • Liabilities: -1000 * 1000 RUR = -1,000,000 RUR
  • Equity: 1,150,000 RUR - 1,000,000 RUR = 150,000 RUR
  • Initial margin: 100,000 RUR
  • Maintenance margin: 50,000 RUR

Price grows to 1100 RUR per share
  • Balance: 1,150,000 RUR
  • Assets: 0 RUR
  • Liabilities: -1000 * 1100 RUR = -1,100,000 RUR
  • Equity: 1,150,000 RUR - 1,100,000 RUR = 50,000 RUR
  • Initial margin: 110,000 RUR
  • Maintenance margin: 55,000 RUR

Note: equity below the initial margin. A trader cannot open new positions, only close existing ones.

Price grows to 1200 RUR per share
  • Balance: 1,150,000 RUR
  • Assets: 0 RUR
  • Liabilities: -1000 * 1200 RUR = -1,200,000 RUR
  • Equity: 1,150,000 RUR - 1,200,000 RUR = -50,000 RUR
  • Initial margin: 120,000 RUR
  • Maintenance margin: 60,000 RUR

Note: equity below the maintenance margin. Broker forcibly closes the trader's position.

Adjusted Initial Margin Calculation

If a trader has limit orders, then the following formula is used for calculating the initial margin when opening a position.

The adjusted margin is always calculated on the larger side — the aggregate amount of Buy or Sell positions and orders.

Corrected Margin = Max(Margin Buy;Margin Sell)

Long side calculation:

Margin Buy = PositionSize * (PriceMarket - PriceMin) + (PositionSize + OrdersBuySize) * PriceMin * MarginRate + (OrdersBuyValue - OrdersBuySize * PriceMin)

Where:

  • PositionSize — position size calculated as the product of the volume in lots and the contract size.
  • PriceMarket — the current market price of the financial instrument (last deal price).
  • PriceMin — the minimum price among all current buy limit orders of the trader.
  • OrdersBuySize — the size of the trader's buy limit orders calculated as the product of the total volume of orders in lots and the contract size.
  • OrdersBuyValue — the value of the buy limit orders if they were executed at the prices specified in them. It is calculated as the sum of the products of order sizes and their limit price.
  • MarginRate — the amount of the symbol discount.

If the trader's current position is short, and its size is greater than or equal to OrdersBuySize, then Margin Buy is not calculated and is assumed to be 0. In fact, this is a situation where, even if all the trader's buy limit orders are filled, the trader will still have a short position or the position will be completely eliminated.

Short side calculation:

Margin Sell = -PositionSize * (PriceMax - PriceMarket) - (PositionSize - OrdersSellSize) * PriceMax * MarginRate + (OrdersSellSize * PriceMax - OrdersSellValue)

Where:

  • PositionSize — position size calculated as the product of the volume in lots and the contract size.
  • PriceMarket — the current market price of the financial instrument (last deal price).
  • PriceMax — the maximum price among all current sell limit orders of the trader.
  • OrdersSellSize — the size of the trader's sell limit orders calculated as the product of the total volume of orders in lots and the contract size.
  • OrdersSellValue — the value of the sell limit orders if they were executed at the prices specified in them. It is calculated as the sum of the products of order sizes and their limit price.
  • MarginRate — the amount of the symbol discount.

If the trader's current position is long, and its size is greater than or equal to OrdersSellSize, then Margin Sell is not calculated and is assumed to be 0. In fact, this is a situation where, even if all the trader's sell limit orders are filled, the trader will still have a long position or the position will be completely eliminated.

Let's consider the following example. The trader has:

  • Position Buy 1 lot LKOH, contract size is 1000 shares, the current price is 100 RUR, initial margin rate is 0.1
  • Order Buy Limit 0.5 lot LKOH (500 shares), order price is 80 RUR
  • Order Buy Limit 0.3 lot LKOH (300 shares), order price is 60 RUR
  • Order Buy Limit 0.1 lot LKOH (100 shares), order price is 40 RUR

Calculation:

PriceMin = 40
Price Market = 100
OrdersBuySize = 500 + 300 + 100 = 900
OrdersBuyValue = 500 * 80 + 300 * 60 + 100 * 40 = 62 000
Margin Buy = 1000 * (100 - 40) + (1000 + 900) * 40 * 0.1 + (62 000 - 900 * 40) = 87 900

The total amount of the adjusted initial margin is equal to 87,900.


Collateral Symbols

Trading Operations / For Advanced Users / Collateral Symbols

Collateral Symbols

The trading platform supports a special type of non-tradable assets, which can be used as client's assets to provide the required margin for open positions of other instruments. For example, a certain amount of gold in physical form can be available on a trader's account, which can be used as a margin (collateral) for open positions.

In the contract specification, these instruments have calculation type "Collateral".

Collateral calculation type

Such assets are displayed as open positions. Their value is calculated by the formula: Contract size * Lots * Market Price * Liquidity Rate. Liquidity Rate here means the share of the asset that a broker allows to use for the margin.

The Assets are added to the client's Equity and increase Free Margin, thus increasing the volumes of allowable trade operations on the account.

In the example above, a trader has 1 ounce of gold having the current market value of 1,210.56 USD. This value is added to the equity and the free margin.

Brokers may allow closing such positions. In this case a trader is able to convert the asset into the deposit currency at the current market rate and use that money for trading.


Custom Financial Instruments

Trading Operations / For Advanced Users / Custom Financial Instruments

Custom Financial Instruments

The trading platform allows creating custom financial symbols. You can view charts of such symbols and perform technical analysis, as well as use them for testing trading robots and indicators in the Strategy Tester.

If your broker does not provide the instrument, on which you want to test your strategy, or the provided history depth and the quality of price history is not enough, you can create a custom symbol and upload required data to it.

How to Create and Configure a Custom Symbol

Open the symbol management window using the context menu of the "Market Watch" window and click on "Create Custom Symbol":

Creating a custom financial instrument

For a custom symbol, you can configure some parameters from the specification of trading instruments, as well as some additional parameters:

  • Basis — the name of the underlying asset for the custom symbol. For example, gold is the underlying asset for futures contracts.
  • Page — the web page containing symbol information. It will be displayed as a link when viewing symbol properties in the Market Watch window.
  • Chart mode — the price used for creating the symbol chart, Bid or Last.
  • Background — the background color for the symbol in the Market Watch window.
  • Calculate hedged margin using larger leg — this mode is only used on hedging accounts, where opposite positions of the same symbol can exist simultaneously. Symbol margin can be calculated using the margin of a short side (all sell positions and pending orders) and of a long side (all buy positions and sending orders). The largest one of the calculated values is used as the final margin value.
  • Time limits use — by setting "Yes", you can specify the first and the last day of the symbol trading period (circulation period).

In addition to the above parameters, you can configure trading and quoting sessions for the symbol. Sessions are configured separately for each day. Double-click on a day to edit it.

Trading and Quoting Sessions of a Custom Symbol

Set the desired sessions using sliders. Expert Advisors will not be able to trade in the Strategy Tester in non-session hours.

Trading sessions are not specified by default, and coincide with quoting sessions. If you need to configure the time of quoting and trading sessions separately, enable the option "Enable separate trading sessions". Each trading session must be within a quoting session.

  • You can quickly configure your custom symbol by copying parameters of any similar instrument and modifying them. Select an existing symbol in the "Copy from" field.
  • The name of the custom symbol must not match the names of symbols provided by the brokers. If you connect to the server, on which a symbol with the same name exists, the custom symbol will be deleted.
  • The symbol name may only contain Latin letters without punctuation, spaces or special characters (may only contain ".", "_", "&" and "#"). It is not recommended to use characters <, >, :, ", /, |, ?, *.
  • The minute and tick history of the custom financial instrument is automatically deleted when the following parameters in the symbol specifications are changed: the formula (for synthetic symbols), the tick size and value, the charting mode, the point value and accuracy. When the above parameters are changed from MQL5 programs, price data is also deleted. Be careful and properly configure all the symbol parameters before importing history.

Import and Export of Custom Symbols

You can easily share custom symbols or transfer symbols between your platforms. Parameters of a specific custom symbol can be exported or imported from its settings editing window shown above.

It is also possible to export and import entire groups of symbols:

Exporting and Importing Settings of a Group of Custom Symbols

Settings are exported to JSON text files:

{
"ConfigSymbols" : [
{
"Symbol" : "EURUSD_cust",
"Path" : "Custom\\Forex\\EURUSD_cust",
"ISIN" : "",
"Description" : "Euro vs US Dollar",
....

Managing Custom Symbols

All symbols are displayed in a separate Custom group. If you need to modify or delete a symbol, use the context menu of the list:

Creating, Editing and Deleting Custom Symbols

Importing the Price History

You can import price data to your custom symbol from any text file, as well as from MetaTrader history files (HST). Choose a symbol and go to the "Bars" or "Ticks" tab.

Importing the Price History to a Custom Symbol

In the import dialog, specify the path to the file and set the required parameters:

  • Separator — separator of items in a text file.
  • Skip columns and rows — amount of columns (from left to right) and rows (from top to bottom) to be skipped during an import.
  • Shift — time shift by hours. The option is used when importing data saved in a different time zone.
  • Use selected only — import only rows highlighted in the row view area. You can highlight rows with your mouse while holding Ctrl or Shift.

A file with 1-minute bars should have the following format: Date Time Open High Low Close TickVolume Volume Spread. For example:

<DATE> <TIME> <OPEN> <HIGH> <LOW> <CLOSE> <TICKVOL><VOL> <SPREAD>
2016.06.27 00:01:00 1.10024 1.10136 1.10024 1.10070 18 54000000 44
2016.06.27 00:02:00 1.10070 1.10165 1.10070 1.10165 32 55575000 46
2016.06.27 00:03:00 1.10166 1.10166 1.10136 1.10163 13 13000000 46
2016.06.27 00:04:00 1.10163 1.10204 1.10155 1.10160 23 51000000 41

A file with ticks should have the following format: Date Time Bid Ask Last Volume. For example:

<DATE> <TIME> <BID> <ASK> <LAST> <VOLUME>
2017.07.03 00:03:47.212 1.14175 1.14210 0.00000 0
2017.07.03 00:03:47.212 1.14168 1.14206 0.00000 0
2017.07.03 00:03:47.717 1.14175 1.14206 0.00000 0
2017.07.03 00:03:54.241 1.14175 1.14205 0.00000 0
2017.07.03 00:03:57.982 1.14165 1.14201 0.00000 0
2017.07.03 00:04:07.795 1.14175 1.14201 0.00000 0
2017.07.03 00:04:55.432 1.14164 1.14200 0.00000 0
2017.07.03 00:14:33.743 1.14173 1.14203 0.00000 0
2017.07.03 00:14:33.743 1.14173 1.14201 0.00000 0
2017.07.03 00:16:44.901 1.14174 1.14195 0.00000 0

You can use data from any existing instrument for your custom symbol. Export data, modify it if necessary, and import the data back.

  • The price history is stored in the form of one-minute bars. All other timeframes are created based on these bars. You can also import data of higher timeframes, but charts on lower timeframes will have gaps in this case. For example, if you import one-hour data, one bar per hour will be shown on the M1 chart.
  • During import, the time interval is completely replaced by data from the specified file. For example, if the file contains data from 2016.01.01 00:00:00 to 2016.06.01 00:00:00, and the custom symbol history already has some data in this interval, these data will be completely replaced with new ones (even if the amount of imported data is less than data in the history).
  • When importing bars, the presence of duplicate entries in the imported file (bars with the same time) is considered to be an error. In the platform, only one bar can correspond to one minute. When importing ticks, several ticks can have fully identical parameters.
  • Values set to less than or equal to zero are not imported.
  • During import, the user must provide the correct order of ticks in the file, i.e. from earlier ticks to more recent ones.

Price data of custom symbols are saved in a separate Custom directory (not in the directories where data of trade servers are stored):

C:\Users\[windows account]\AppData\Roaming\MetaQuotes\Terminal\[instance id]\bases\Custom

Editing the Price History

You can edit the history of bars and ticks of custom symbols manually. To do this, request the required data interval in the "Bars" or "Ticks" tab.

  • Double-tap to change the value.
  • Use the context menu to add or delete entries
  • If you need to delete multiple bars/ticks at once, select them with the mouse, holding down Shift or Ctrl+Shift.

When editing bars, it is highly recommended to request data of the M1 timeframe. The price history is stored in the form of one-minute bars in the platform. All other timeframes are created based on these bars. Even if you initially request bars of another timeframe, all changes will be applied to the corresponding 1-minute bars. For example, if you request data of the M5 timeframe and edit a bar, five 1-minute bars will be replaced by one 1-minute bar (corresponding to the beginning of the M5 bar). It means that the edited interval will be completely replaced.

Manual editing of 1-minute bars and tick data

For convenience, modified entries are highlighted as follows:

  • Red background means that the entry is incorrect (for example, the high price is less than the low price)
  • Green background indicates a correct modified entry
  • Gray background means a deleted entry
  • Yellow background shows an added entry
  • When adding a new bar, the first unoccupied date/time from the current data selection is automatically inserted in the "Date" column.
  • The platform does not allow creating bars with the same date/time. Only one bar can correspond to one minute.

To save the changes, click "Apply Changes" at the bottom of the window.

Use of Custom Financial Instruments

Use of custom symbols is similar to the use of instruments provided by the broker. Custom symbols are displayed in the Market Watch window; you can open charts of such symbols and apply indicators and analytical objects on them.

A custom symbol price chart with technical indicators

Testing Using Custom Financial Instruments

Real trades cannot be executed on custom symbols, but they can be used for testing trading robots and indicators in the Strategy Tester. Select a custom symbol and launch testing:

Testing a Trading Robot on a Custom Symbol

When calculating the margin and profit of trades executed during testing, the Strategy Tester can automatically use cross rates available on the account. For example, if the profit currency is EUR and the account currency is USD, the tester will convert it according to the corresponding EURUSD rates.

Most often, custom symbol names include various suffixes, such as EURUSD.1 or EURUSD.f. Therefore, the strategy tester uses a special mechanism to search for suitable cross rates for recalculation.

For example, we have created a custom symbol AUDCAD.custom with the margin calculation type Forex, and the currency of our account is USD. Based on the name of the Forex instrument, the tester searches for the required symbols in the following order:

  1. First, the tester searches for symbols such as AUDUSD.custom (for margin calculation) and USDCAD.custom (for profit calculation).
  2. If any of these symbols is not found, the tester searches for the first symbol, whose name corresponds to the required currency pairs, i.e. AUDUSD and USDCAD. If it finds for example AUDUSD.b and USDCAD.b, the rates of these symbols will be used for margin and profit calculation.

For financial instruments with other margin calculation types (Futures, Stock Exchange), a currency pair is needed for converting the instrument currency into deposit currency. For example, we have created a custom symbol with the British pound (GBP) set for the profit and margin currency, and the Swiss franc (CHF) used as the deposit currency. In this case, symbols for testing are searched in the following order:

  1. The availability of a trading instrument corresponding to GBPCHF (GBP vs CHF) is checked.
  2. If this symbol is not available, the tester will search for the first trading instrument corresponding to the GBPCHF currency pair, such as GBPCHF.b or GBPCHF.def.
  • When testing applications using custom instruments, make sure that the account has all the necessary currency pairs. Otherwise, the calculation of financial results and margin requirements during testing will not be possible.
  • The use of MQL5 Cloud Network for optimization using custom symbols is not allowed. This is due to the fact that custom symbols with the same names, but different price histories can exist on computers of different traders. In addition to the discrepancy of test results between network agents, this may cause mass reloading and synchronization of history data, which leads to excessive internet usage. Using local network agents and remote agents is allowed.

Synthetic Symbols with Real-Time Quotes

The trading platform allows creating synthetic financial instruments, i.e. symbols based on one or more existing instruments. The user should set the formula for calculating quotes, after which the platform will generate ticks of the synthetic instrument in real time, and also will create its minute history.

How It Works

  • You create a synthetic instrument and set formula for price calculation.
  • The platform calculates ticks at a frequency of 10 times per second, provided that the price of at least one of the instruments used in the formula has changed.
  • The platform also calculates the history of 1-minute bars (for the last two months) based on 1-minute bars of instruments used in its formula. All new bars (current and subsequent ones) will be drawn in real time based on the generated ticks of the synthetic instrument.

For example, you can create an instrument showing the dollar index (USDX). It uses the below formula:

50.14348112*pow(ask(EURUSD),-0.576)*pow(USDJPY,0.136)*pow(ask(GBPUSD),-0.119)*pow(USDCAD,0.091)*pow(USDSEK,0.042)*pow(USDCHF,0.036)

The platform will calculate in real time the price of the new instrument based on the quotes of the other six symbols provided by your broker. The price changes will be visualized in the Market Watch window and on the chart:

A synthetic instrument in Market Watch and its chart

Create a new custom symbol, open its specification and specify the formula:

Instrument specification with a formula

Calculation of ticks and 1-minute bars of a synthetic instrument starts when this instrument is added to the Market Watch. Also, all symbols required for the synthetic price calculation are automatically added to the Market Watch. An entry about the calculation start will be added to the platform log: Synthetic Symbol USDX: processing started.

  • Calculation of a synthetic instrument is stopped after it is removed from the Market Watch.
  • Symbols that are currently used for calculating synthetic symbol prices cannot be hidden from the Market Watch.

Real-Time Calculation of Quotes

Every 100 ms (i.e. ten times per second) the prices of the symbols used in calculation are checked. If at least one of them has changed, the price of the synthetic symbol is calculated and a new tick is generated. Calculation is performed in parallel in three threads for Bid, Ask and Last prices. For example, if the calculation formula is EURUSD*GBPUSD, the price of the synthetic symbol will be calculated as follows:

  • Bid = bid(EURUSD)*bid(GBPUSD)
  • Ask = ask(EURUSD)*ask(GBPUSD)
  • Last = last(EURUSD)*last(GBPUSD)

The availability of changes is checked separately for each price. For example, if only the Bid price of a source instrument has changed, only the appropriate price of a synthetic instrument will be calculated.

Creating a History of 1-Minute Bars

In addition to collecting ticks in real time, the platform creates a minute history of the synthetic instrument. It enables traders to view synthetic symbol charts similar to normal ones, as well as to conduct technical analysis using objects and indicators.

When a trader adds a synthetic instrument to the Market Watch, the platform checks whether its calculated minute history exists. If it does not exist, the history for the last 60 days will be created, which includes about 50,000 bars. If a lower value is specified in the Max. bars in chart parameter in platform settings, the appropriate limitation will apply.

If some of bars within this period were create earlier, the platform will additionally generate new bars. A deeper history is created if the user tries to view an older time period on the chart (by scrolling it back or accessing it from an MQL5 program).

The history of one-minute bars of a synthetic instrument is calculated based one one-minute bars (not ticks) of instruments used in its formula. For example, to calculate the Open price of a 1-minute bar of a synthetic symbol, the platform uses the Open prices of symbols used in its formula. High, Low and Close prices are calculated in a similar way.

If the required bar is not available for any of the instruments, the platform will use the Close price of the previous bar. For example, three instruments are used: EURUSD, USDJPY and GBPUSD. If in the calculation of a bar corresponding to 12:00 the required bar of USDJPY is not available, the following prices will be used for calculation:

  • Open: EURUSD Open 12:00, USDJPY Close 11:59, GBPUSD Open 12:00
  • High: EURUSD High 12:00, USDJPY Close 11:59, GBPUSD High 12:00
  • Low: EURUSD Low 12:00, USDJPY Close 11:59, GBPUSD Low 12:00
  • Close: EURUSD Close 12:00, USDJPY Close 11:59, GBPUSD Close 12:00

If the minute bar is not available for all instruments used in the formula, the appropriate minute bar of the synthetic instrument will not be calculated.

Creating Minute Bars

All new bars (current and subsequent ones) of the synthetic instrument are created based on the generated ticks. The price used for building the bars depends on the "Chart mode" parameter in the specification:

Chart mode of a synthetic instrument

What Operations Are Allowed in the Symbol Formula?

Price data and some properties of existing symbols provided by the broker can be used for calculating synthetic prices. Specify the following:

  • Symbol name — depending on the synthetic price to be calculated, the Bid, Ask or Last of the specified instrument will be used. For example, if EURUSD*GBPUSD is specified, Bid is calculated as bid(EURUSD)*bid(GBPUSD), and Ask = ask(EURUSD)*ask(GBPUSD).
  • bid(symbol name) — the bid price of the specified symbol will be forcedly used for calculating the Bid price of the synthetic instrument. This option is similar to the previous one (where the price type is not specified).
  • ask(symbol name) — the Ask price of the specified symbol will be used for calculating the Bid price of the synthetic instrument. Bid price of the specified instrument will be used for calculating Ask. The Last price of the specified symbol will be used for calculating Last. If ask(EURUSD)*GBPUSD is specified, the following calculation will be used:
  • Bid = ask(EURUSD)*bid(GBPUSD)
  • Ask = bid(EURUSD)*ask(GBPUSD)
  • Last = last(EURUSD)*last(GBPUSD)
  • last(symbol name) — the Last price of the specified symbol will be used in the calculation of all prices of the synthetic instrument (Bid, Ask and Last). If last(EURUSD)*GBPUSD is specified, the following calculation will be used:
  • Bid = last(EURUSD)*bid(GBPUSD)
  • Ask = last(EURUSD)*ask(GBPUSD)
  • Last = last(EURUSD)*last(GBPUSD)
  • volume(symbol name) — the tick volume of the specified instrument will be used in the formula. Make sure that volume information is provided by the broker for this symbol.
  • point(symbol name) — the minimum price change of the specified instrument will be used in calculations.
  • digits(symbol name) — the number of decimal places in the specified symbol price will be used in the formula.

If a symbol has a complex name (contains hyphens, dots, etc.), it must be written in quotation marks. Example: "RTS-6.17".

The following arithmetic operations can be used in the formula: addition (+), subtraction (-), multiplication (*), division (/) and remainder of division (%). For example, EURUSD+GBPUSD means that the price is calculated as the sum of EURUSD and GBPUSD prices. Also you can use the unary minus to change the sign, for example: -10*EURUSD.

Mind the calculation priority of arithmetic operations:

  • The operations of multiplication, division and remainder are performed first, then addition and subtraction operations are performed.
  • The operations are performed from left to right. If the formula uses several operations that have the same priority (for example, multiplication and division), the operation on the left will be performed first.
  • You can use brackets ( and ) to change the priority of operations. Operations in brackets have the highest priority in the calculation. The left-to-right principle also applies for them: operations in brackets on the left are calculated first.

You can use constants in the formula:

  • Numerical (integer and float). Example: EURUSD*2+GBPUSD*0.7.
  • Symbol properties _Digits and _Point. They add to the formula appropriate properties of the custom symbol from the specification. _Digits means the number of decimal places in the instrument price; _Point means the smallest change in the symbol price.

You can also use in the formula all mathematical functions supported in MQL5, except for MathSrand, MathRand and MathIsValidNuber:

Function | Description
fabs(number) | Returns an absolute value (modulo value) of the number passed to the function.
acos(number) | Returns the arc cosine of the number in radians
asin(number) | Returns the arcsine of the number in radians
atan(number) | Returns the arc tangent of the number in radians
ceil(number) | Returns the nearest upper integer
cos(number) | Returns the cosine of the number
exp(number) | Returns the exponent of the number
floor(number) | Returns the nearest lower integer
log(number) | Returns the natural logarithm
log10(number) | Returns the logarithm of a number by base 10
fmax(number1, number2) | Returns the highest of two numeric values
fmin(number1, number2) | Returns the lowest of two numeric values
fmod(dividend, divisor) | Returns the real remainder of the division of two numbers
pow(base, power) | Raises the base to the specified power
round(number) | Rounds the number to the nearest integer
sin(number) | Returns the sine of the number
sqrt(number) | Returns the square root
tan(number) | Returns the tangent of the number
expm1(number) | Returns the value of the expression exp(number)-1
log1p(number) | Returns the value of the expression log(1+number)
acosh(number) | Returns the value of the hyperbolic arc cosine
asinh(number) | Returns the value of the hyperbolic arcsine
atanh(number) | Returns the value of the hyperbolic arc tangent
cosh(number) | Returns the value of the hyperbolic cosine
sinh(number) | Returns the value of the hyperbolic sine
tanh(number) | Returns the value of the hyperbolic tangent


Spreads

Trading Operations / For Advanced Users / Spreads

Spreads

The margin can be charged on preferential basis in case trading positions are in spread relative to each other. The spread trading is defined as the presence of the oppositely directed positions of correlated symbols. Reduced margin requirements provide more trading opportunities for traders.

All possible options of entering the spread are specified at the bottom of the symbol specification window:

Spread Legs

The spread has two legs - A and B. The legs are the oppositely directed positions in a spread - buy or sell. The leg type is not connected with some definite position direction (buy or sell). It is important that trader's positions at all leg's symbols are either long or short.

Several symbols with their own volume rates can be set for each spread leg. These rates are shown in parentheses, for example, LKOH-3.13 (1). For example:

  • leg A consists of GAZR-9.12 and GAZR-3.13 symbols having the ratios of 1 and 2 respectively;
  • leg B consists of GAZR-6.13 having the ratio of 1.

To keep positions in the spread, a trader should open positions of 1 and 2 lots for GAZR-9.12 and GAZR-3.13 respectively in one direction and a position of 1 lot for GAZR-6.13 in another.

Trading instruments for the leg can be specified both as a certain symbol, and an underlying asset, for example, if there are quite a lot of symbols in spread.

Underlying asset spread

If an underlying asset is specified for the spread leg, all symbols with that asset are considered in the spread. Besides, the symbols are additionally filtered by their lifetime (specified next to an underlying asset's name).

Margin Calculation Type

Margin charge type by spread is specified in Margin column.

Value

Specific values mean that margin for a spread is fixed and is equal to the specified volume. The first value specifies the volume of the initial margin, while the second one specifies the volume of the maintenance one.

Example:

  • initial and maintenance margins are set to 2000;
  • the spread contains two symbols — RTS-3.13 with the ratio of 2 and RTS-9.12 with the ratio of 1.

The margin is taken in accordance with the specified values

If the client has oppositely directed positions of RTS-9.12 and RTS-3.13 with the ratios of 1 and 2 lot respectively, the margin of 2000 units is charged. In case the volumes are equal to 2 and 4 lots, the margin of 4000 units is charged.

Maximal

In this mode, the values of initial and maintenance margins will be calculated for each spread leg. The calculation is performed by summing up the margin requirements for all leg symbols. The margin requirements of the leg having a greater value will be used for the spread.

In this mode the total volume of positions on each side is considered, not only covered volume. Ratio for symbols in the spread legs is not considered in this mode.

Example:

  • the spread contains the symbol RTS-9.12 and RTS-3.13;
  • for RTS-9.12, the initial and maintenance margins are equal to 2000;
  • for RTS-3.13, the initial and maintenance margins are equal to 2100.

If the client has oppositely directed positions at RTS-9.12 and RTS-3.13 with the volume of 2 and 1 lot respectively, the margin of 4000 units is charged.

CME Inter Spread

In this mode, rates (in percentage value) for the margin are specified: the first one is for the initial margin, while the second is for the maintenance one. The total margin value will be defined by summing up the margin requirements for all symbols of the spread and multiplying the total value by the specified rate.

Example:

  • the spread contains the symbol RTS-3.13 (leg A with the ratio of 1) and RTS-9.12 (leg B with the ratio of 2);
  • for RTS-9.12, the initial and maintenance margins are equal to 2000;
  • for RTS-3.13, the initial and maintenance margins are equal to 2100;
  • rates of 50% are set in Margin field for the initial and maintenance margins.

CME Inter Spread

The final value of the initial and maintenance margins is calculated the following way: (2000 * 2 + 2100) * 0.5 = 3050.

CME Intra Spread

In this mode, two values for margin increase are specified: the first value is for the initial margin, while the second is for the maintenance one. During the calculation, the difference between the total margin of A leg symbols and the total margin of B leg symbols is calculated (the difference in absolute magnitude is used, so that it does not matter what leg is a deductible one). According to the type of the calculated margin, the first (for the initial margin) or the second (for the maintenance one) value is added to the obtained difference.

Example:

  • the spread contains the symbol RTS-3.13 (leg A with the ratio of 1) and RTS-9.12 (leg B with the ratio of 2);
  • for RTS-9.12, the initial and maintenance margins are equal to 2000;
  • for RTS-3.13, the initial and maintenance margins are equal to 2100;
  • the values of 500 are set in Margin field for the initial and maintenance margins.

CME Intra Spread

The maintenance and initial margins are calculated the following way: (2000 * 2 - 2100) + 500 = 2400.

  • The specified margin is charged per spread unit - for the specified combination of positions. If any part of the position does not fit into the spread, it will be charged an additional margin according to the symbol settings. If the client's current positions have the volume the specified combination fits in several times, the charged margin is increased appropriately. For example, suppose that A and B symbols with the ratios of 1 and 2 are in spread. If a client has positions for these symbols with the volumes of 3 and 4 respectively, the total margin size is equal to the doubled value from the spread settings (two spreads: 1 lot of A and 2 lots of B, 1 lot of A and 2 lots of B) plus the margin for the single remaining A symbol lot.
  • The values are specified in the margin currency (except for CME Inter Spread where rates are set). It is assumed that the margin currency of all symbols is the same.


Futures

Trading Operations / For Advanced Users / Futures

Futures

Futures is a derivative product. It is a financial contract between two parties obligating one party to deliver a commodity or a financial instrument at a predetermined future date, and the other party to pay a predetermined price for it at a future point. Commodity or a financial asset that is the subject of the contract is called an underlying asset.

The futures contracts do not always aim at buying or selling an asset. In most cases, market participants make a consistent purchase and sale (or vice versa) of futures to profit from the price difference. In this case, the contracts are detached from the transaction subject becoming independent financial instruments.

The name of the underlying asset and delivery date are indicated in the futures name in the trading symbol properties:

Underlying asset and delivery date

Here you can see Gazprom equity futures contract with the delivery date set to March 2015.

Futures contracts' underlying asset delivery dates are standardized on the stock market. For example, contracts with delivery in the second, third and fourth quarters of the year may be offered during the first quarter, while contracts with delivery in the third and fourth quarters of the current year and the first quarter of the next year may be offered during the second quarter of the current year.

The exchange provides data on settlement prices of the contracts with different delivery dates, volumes of performed transactions and number of open positions on a daily basis. To review these data, select the required instrument in Market Watch and go to the Details tab.

Detailed contract data

Contract Settlements

Unlike a spot market where assets are traded for immediate delivery and payment, on the futures market all final settlements are made only on the underlying asset delivery day. Until then, if the contract price goes up, a buyer may sell it and receive profit from the price difference (the same works for short positions).

In order to protect against a default on the contract, the exchange defines the amount of funds that should be present on the trader's account. These funds are called performance bond or margin. There are two types of margin:

  • Initial — the funds necessary to open a position (enter the market).
  • Maintenance — the funds that should be maintained on the account as long as the position is open.

For more information about margin calculations, please read the appropriate description.

Following the results of each trading day, the exchange determines the calculation (clearing) price during the clearing session. This price is then used to close all open positions. According to the difference between the position open price and close (clearing) price, profit/loss obtained in the last trading day is deposited to/withdrawn from the trader's balance. That process is called variation margin charging. Variation margin charge transactions are displayed in the History tab. They have "variation margin close" comment.

Charging variation margin

After variation margin is charged, positions are re-opened. Now, their open price corresponds to the clearing price of the previous session. Position re-open transactions have "variation margin open" comment.


Trading Report

Trading Operations / For Advanced Users / Trading Report

Trading Report

The trading platform allows you to automatically save and publish account statement reports. To save the report, select "Report" in the context menu of the History tab.

HTML reports are generated from a template ReportHistory.htm, located in the /Templates folder of the platform.

The report is divided into several blocks:

Header

The header contains:

  • The name of a brokerage company
  • Account number
  • The name of the account owner
  • Deposit currency
  • Report generation date

Orders

This block contains all orders from the account history in the form of a table. The table features all the information fields available for orders in the corresponding tab.

Deals

All the trades ever executed on the account are displayed here. The table features all the information fields available for trades in the corresponding tab. An additional parameter is shown at the bottom of the block:

  • Recorder profit/loss (Closed P/L) — the total profit or loss of all trades.

Positions

This block shows all the open positions on the account. The table features all the information fields available for positions in the "Trade" tab. An additional parameter is displayed at the bottom of the positions block:

  • Floating profit/loss (Floating P/L) — the current profit/loss of all open positions.

Working Orders

The block features all active orders (pending orders and yet unfilled market orders). The table features all the information fields available for positions in the "Trade" tab.

Summary

Summary values of the account are shown here:

  • Deposit/Withdrawal — information about deposits to and withdrawals from the account;
  • Credit Facility — information about credit funds on the account;
  • Closed Trade P/L — total profit/loss of all closed trades;
  • Floating P/L — the current profit/loss of all open positions;
  • Balance — balance of the account not including results of currently open positions;
  • Equity — the account equity including results of currently open positions;
  • Margin — the amount of funds required to maintain open positions;
  • Free Margin — account's free margin amount.

Details

The upper part of this block shows the chart of the account balance by months. Account statistics are displayed next:

  • Gross Profit — the sum of all profitable trades in terms of money;
  • Gross Loss — the sum of all losing trades in terms of money;
  • Total Net profit — the financial result of all trades;
  • Profit Factor — the ratio of gross profit and gross loss in percents. 1 means that these parameters are equal;
  • Expected Payoff — this is a statistically calculated value showing the average return of one deal. Also, it is considered to display the expected return of the next trade;
  • Balance Drawdown Absolute — difference between the initial deposit and the minimal level below initial deposit throughout the whole history of the account. AbsoluteDrawDown = InitialDeposit - MinimalBalance See the drawdown calculation example.
  • Balance Drawdown Maximal — difference in deposit currency between the highest local balance value and the next lowest account balance value. The maximal drawdown value in percentage is given in brackets. MaximumDrawDown = Max[Local High - Next Local Low] See the drawdown calculation example.
  • Balance Drawdown Relative — difference in percentage terms between the highest local balance value and the next lowest account balance value. The maximal drawdown value in monetary terms is given in brackets. RelativeDrawdown = Max[(Local High - Next Local Low)/Local High * 100)] See the drawdown calculation example.
  • Total trades — the total amount of executed trades (the trades that resulted in a profit or loss);
  • Short Trades (won %) — number of trades that resulted in profit obtained from selling a financial instrument, and percentage of profitable short trades;
  • Long Trades (won %) — number of trades that resulted in profit obtained from purchasing a financial instrument, and percentage of profitable long trades;
  • Profit Trades (% of total) — the amount of profitable trades and their percentage in the total trades;
  • Loss trades (% of total) — the amount of losing trades and their percentage in the total trades;
  • Largest profit trade — the largest profit of all profitable trades;
  • Largest loss trade — the largest loss of all loss-making trades;
  • Average profit trade — the average profit value per a trade (the total of profits divided by the number of winning trades);
  • Average loss trade — the average loss value per a trade (the total of losses divided by the number of losing trades);
  • Maximum consecutive wins ($) — the longest series of winning trades and their total profit;
  • Maximum consecutive losses ($) — the longest series of losing trades and their total loss;
  • Maximal consecutive profit (count) — the maximum profit of a series of profitable trades and the amount of profitable trades in this series;
  • Maximal consecutive loss (count) — the maximum loss of a series of losing trades and the amount of losing trades in this series;
  • Average consecutive wins — the average number of winning trades in profitable series;
  • Average consecutive losses — the average number of losing trades in losing series.

Drawdown Calculation Example

The below chart shows the Balance change curve. The Initial Deposit is 5000.

  • The largest Balance drop below the Initial Deposit was at point three — 4000. Absolute Drawdown = 5000 - 4000 = 1000.
  • The largest Balance drop in percentage terms was between points two and three. Relative Drawdown = (6000 - 4000)/6000 * 100 = 33.3%. This difference was equal to 2000 in monetary terms.
  • The largest drop in monetary terms was between the last point and the previous one. Maximum Drawdown = 8000 - 5500 = 2500. This difference was equal to 31.25% in percentage terms.

Drawdown Calculation Example


Price Charts, Technical and Fundamental Analysis

Price Charts, Technical and Fundamental Analysis

The most important aspect in financial market trading is making correct decisions about market entries and exits. When to trade and when to wait for more favorable conditions? The analytical tools available in the trading platform will help answer this question.

There are countless methods of market analysis and trading strategies based on the analytical tools. All of them can be divided into two broad categories: technical and fundamental analysis.

Price Charts and Technical Analysis

The essence of technical analysis is studying price charts of financial instruments using technical indicators and analytical objects. Charts in the platform have a variety of settings, so that traders can customize them and adapt to their personal needs. Every chart can display 21 timeframes from one minute (M1) to one month (MN1).

Customize charts: enable bars, candlesticks or the broken line, change colors or elements.

Every chart can display 21 timeframes.

Open up to 100 charts simultaneously.

Use 38 built-in technical indicators and an unlimited number of custom indicators available in the Market and Code Base.

44 analytical objects are available in the platform, including Fibonacci and Gann objects, channels, and much more.

The trading platform provides various analytical tools for price analysis: 38 technical indicators and 44 graphical objects. Moreover, in addition to the built-in analysis tools you can download source codes of various free applications from the Code Base. Thousands of ready-to use applications for technical analysis and automated trading are also available on the Market.

Fundamental Analysis

The meaning of fundamental analysis is in the constant monitoring and studying of various economic and industrial indicators, which may affect the quotes of a financial instrument.

For example, annual report releases, news about a new contract or a regulatory law can seriously affect the price of company shares. To keep abreast, you need to constantly analyze this information.

Straight in the platform you can receive financial news from international news agencies. This helps you stay updated and take appropriate trading decisions.

Read financial news from international news agencies straight in the trading platform. This helps you stay updated and take appropriate trading decisions.

Analyze macroeconomic events using the Economic Calendar. Evaluate the economic development to forecast price movements.

In addition to the news, the platform contains the Economic Calendar. It provides publications of macroeconomic indicators — some parameters describing the state of the country they are calculated for. They characterize the level of economic development and indicate either economic growth or decline. They are used for forecasting price trends.


View and Configure Charts

Price Charts, Technical and Fundamental Analysis / View and Configure Charts

View and Configure Charts

Charts in the trading platform visualize changes of financial symbol quotes over time. Charts are used for technical analysis and operation of Expert Advisors. They allow traders to visually monitor the prices of currencies and shares in real time and instantly respond to any changes in the market situation.

In the trading platform, you can open up to 100 charts at a time, customize their appearance and displayed information, apply and remove various objects and indicators, and much more.

Chart: How to Open, View, Set Timeframe and Scale

Chart: how to open, view, set timeframe and scale

Chart opening

You can quickly open a chart by selecting a financial symbol in the Market Watch window and clicking on the "Chart Window" item of the context menu. You can also open a chart by dragging a symbol from the Market Watch window to any area of the trading platform.

Another way is to execute the "New Chart" command from the File menu or click the appropriate button on the toolbar.

Chart types: broken line, bars and candlesticks

Price charts can be presented as a sequence of bars, Japanese candlesticks, and as a broken line. You can switch between presentation types using commands on the toolbar.

The figure shows the three price types.

The chart type can be changed using the Charts menu, the context menu of the chart or from the chart properties.

Changing the chart timeframe

A timeframe is a time interval of quotes on the chart of a financial instrument. This is the time of one bar or candlestick. There are 21 chart timeframes from one minute to one month available in the trading platform.

The timeframe is selected depending on the trends studied. As a rule, the timeframes from M1 to M15 are used for short-term scalping. Mid-term timeframes are from M30 to H4, they are usually used for intraday trading. Higher timeframes allow you to analyze longer-term trends.

You can switch between the timeframes using a special toolbar "Timeframes".

A timeframe can also be changed using the "Charts" menu and the context menu of a chart.

Chart zoom

To zoom the chart in or out, use buttons on the toolbar.

Chart scale can be changed by rolling the mouse wheel while holding down Ctrl.

A chart can be opened by dragging an instrument from the Market Watch window. If the instrument is dragged to the window of an open chart, the new symbol is opened in the same window while the previous one is deleted from it. In this case all settings of the previous chart are applied to the new one. If you hold down Ctrl while dragging a financial instrument, the new chart is opened in a separate window using the DEFAULT.TPL template, which is created during platform installation process. This template cannot be deleted, but it can be changed.

How to Change the Color of the Chart

The chart appearance is highly customizable: you can hide or show any element, as well as change its color. For convenience, three color schemes of charts are available in the platform. In the chart properties, you can select a color scheme or set up colors of individual elements of the chart:

Changing the chart color

To open chart properties, click " Properties Properties" in the context menu or the Charts menu.

How to Arrange Charts

If multiple charts are open in your trading platform, you can easily organize them. Use the Window menu and select one of the available chart arrangement types:

Arrangement of charts

What are the Templates and Profiles

Templates and profiles allow saving settings of charts and easily apply them when necessary. For example, to analyze a currency pair you have added horizontal lines to mark up the levels. Save a separate chart template in order to preserve the levels. In this case, you can always restore the levels on a new chart by applying the template.

Templates are used for saving parameters of an individual chart: chart type and color, color scheme, scale, running Expert Advisors, applied indicators and analytical objects, as well as other settings.

In profiles you can save the settings and arrangement of all open charts, that is of the entire workspace for technical analysis.

You can conveniently work with profiles and templates using the toolbar:

Chart templates and profiles

They can also be accessed using the Charts menu, the context menu of the chart and the status bar of the platform.

See Templates and Profiles for further details.

How to View Precise Values on the Chart

You can view the precise price, time or indicator values using the Crosshair and the Data Window.

Turn on the crosshair on the "Line Studies" toolbar, and the exact values of a chart point will be shown on the price and time scales. More details about the current cursor position on the chart are available in the Data Window: date and time, bar parameters, volumes, spread (maximum value on a selected bar), as well as indicator values.

Viewing precise values on the chart

Any indicator can be configured (Visualization tab in the indicator properties window) so that its values are displayed in this window.

Chart Construction Features

The history data, based on which charts are constructed, are stored on the hard disk. When you open a chart, the data are loaded from the disk, and the last missing data are downloaded from the trading server. If there are no history data for the symbol on the hard disk, the latest 512 bars of history are downloaded.

To download earlier data, move the chart to the desired area. Once a chart is opened, the platform starts receiving information about the current quotes. Thus, further price changes are shown in the real-time mode. This information is automatically saved in the history file and used later when you reopen this chart.

  • In the platform settings, you can set up the "Max. bars on chart" parameter. This parameter allows you to control the amount of history data displayed on the chart.
  • Bid prices are used for constructing charts. If the depth of market is available for a symbol, its chart is based on the Last prices (the price of the last executed trade).


Publish Online

Price Charts, Technical and Fundamental Analysis / Publish Online

Publishing Charts Online

The trading platform is tightly integrated with the MQL5.community website to provide access to its powerful services. One of these services is the MQL5 Charts. It allows to publish screenshots of the trading platform online. In just a few clicks you can publish a screenshot, receive a link to share it with your fellow traders or post it in one of the popular social networks (Facebook, Twitter, Google+, etc.)

MQL5.community account is not required for publishing screenshots. If your account is not specified in the platform settings, a screenshot will be published anonymously and you will receive a link.

However, publication with reference to an MQL5.community account provides a number of obvious advantages: you can create your own gallery of images and manage it via the "Charts" tab of your MQL5.community profile.

How to Make a Screenshot Using Trading Platform Tools

To take a screenshot of a chart, click " Save As Picture Save As Picture" in its context menu.

Save As Picture

The following options are available:

  • Active workspace — save the entire window of the trading platform.
  • Active chart (as is) — save the active chart with its current size.
  • Active chart — save the active chart with the specified size (in pixels).
  • Post image online in MQL5 Charts service and get the link — if this option is disabled, the chart is saved on a user's PC. A click on OK opens the standard file saving window. If this option is enabled, the chart is saved online in the MQL5 Charts service. In the empty field below you can add a comment for the chart you want to publish.

Publishing Charts Online in the MQL5 Charts

To post a screenshot of the trading platform online, enable "Post image online in MQL5 Charts service and get the link" option. Text comments can be added to the published image. A new browser window with the published image is opened upon clicking "OK":

Published screenshot of the client terminal

The following data is added at the top of the chart display window:

  • Automatically generated header — current chart symbol and period, date of publication and trade server name.
  • Views — number of screenshot views.
  • Commands for publishing screenshots in social networks — VK, Facebook, Twitter, Google+, Evernote, Pinterest, LinkedIn, LiveJournal. Clicking one of these buttons opens the appropriate web resource. If you are already authorized in a social network, a screenshot is published immediately via your profile.

Next the screenshot is displayed. The comment text is shown below. If a comment is not added during the publication, an automatically generated caption containing the current chart symbol and period is added.

Various links to the screenshot are displayed at the bottom:

  • Link to this page — a link to the screenshot view page.
  • Image — a direct link to the image.
  • HTML — a link for insertion in HTML page source code.
  • bbCode — a link for insertion in an editor supporting bbCode markup language (used by many web resources, forums, etc.)

The screenshot creation date is displayed at the bottom of the window. When you point the mouse cursor to the line, the delete button appears. You can use it to remove a published screenshot.

Screenshot Gallery in the MQL5.community Profile

If a user has specified MQL5.community account in the platform settings, a published screenshot is bound to this account. Every MQL5.community profile has the "Charts" section, where all the user's posted images are stored:

"Charts" section in the MQL5.community user profile

Click on the image thumbnail to view it. In the "Charts" tab, you can easily manage your image gallery and share screenshots with other community members and friends in social networks.

MQL5.community account is not required for publishing screenshots. If your account information is not specified, the screenshots are published anonymously.


Technical Indicators

Price Charts, Technical and Fundamental Analysis / Technical Indicators

Technical Indicators

An indicator is the most important tool for technical analysis. Decisions about how and when to trade can be made on the basis of technical indicator signals. The essence of technical indicators is a mathematical transformation of a financial symbol price aimed at forecasting future price changes. This provides an opportunity to identify various characteristics and patterns in price dynamics which are invisible to the naked eye.

Types of Indicators

In accordance with the functional properties, indicators can be divided into two types: trend indicators and oscillators. Trend indicators help to identify the price direction and find trend reversal moments synchronously or with a delay. Oscillators allow to define market reversal points in advance or simultaneously.

A separate category includes indicators calculated based on volumes. For the Forex market, 'volume' means the number of ticks (price changes) within a time interval. For stock securities volume means the volume of executed trades (in contracts or money terms).

Another category is Bill Williams' indicators. They are included into a separate group because they are part of the trading system described in his books.

The above categories include built-in indicators of the trading platform. 38 indicators are available in the platform. A large number of custom technical indicators can also be used in the platform. You can download source codes of various free applications from the Code Base. Thousands of ready-to use applications for technical analysis and automated trading are also available on the Market.

For convenience, all the indicators are divided into groups in the Navigator window.

Groups of Indicators

How to Run an Indicator on the Chart

The most convenient way to apply an indicator is to drag it from the Navigator window. You can also use the Indicators command from the Insert menu or button Indicators on the Standard toolbar.

Applying an indicator on a chart

A technical indicator can be drawn in a separate indicator window with its own vertical scale (for example, MACD) or applied directly onto a price chart (like Moving Average).

How to Change Settings of an Applied Indicator

The settings of a running indicator can be changed. Select the required indicator in the Indicator List and click "Properties" or use the indicator context menu on the chart.

Use the context menu to manage indicators:

  • Indicator Properties Properties — open indicator properties;
  • Delete Indicator Delete Indicator — remove the selected indicator from the chart;
  • Delete Indicators Window Delete Indicator Window — delete the indicator subwindow. This command is only available in the context menu of indicators running in a separate subwindow;
  • List of indicators Indicator List — open the Indicator List window.

Moving a mouse cursor to a line, symbol or a histogram border of an indicator, you can precisely define the value of the indicator at this point.

How to Customize the Indicator Appearance

You can conveniently customize the appearance of indicators in the trading platform. You can set up the indicator parameters when applying it to a chart or modify them later. The indicator appearance is adjusted on the "Properties" tab:

Customizing indicator appearance

Indicator line color, width and style are set up in the "Style" field.

Display of various elements can be individually configured for Ichimoku Kinko Hyo, Alligator and custom indicators. The line color, width and type can be set on the "Colors" tab.

How to Choose Data to Draw an Indicator

Indicators can be plotted based on price data and derivatives thereof (Median Price, Typical Price, Weighted Close), as well as on the basis of other indicators. For example, you can apply Moving Average to Awesome Oscillator and have an additional AO signal line. First you need to draw the AO indicator, and then apply MA to it. In the MA settings select option "Previous Indicator's Data" in the "Apply to" field. If you choose "First Indicator's Data", MA will be applied to the very first added indicator, i.e. it can be any other indicator.

Nine variants of indicator construction are available:

  • Close — based on close prices.
  • Open — based on open prices.
  • High — based on High prices.
  • Low — based on Low prices.
  • Median Price (HL/2) — based on the median price: (High + Low)/2.
  • Typical Price (HLC/3) — based on the typical price: (High + Low + Close)/3.
  • Weighted Close (HLCC/4) — based on the average weighted close price: (High + Low + 2*Close)/4.
  • First indicator's data — based on the values of the first applied indicator. The option of using the data of the first indicator is only available for indicators in a separate window, because in the main chart window the first indicator is the price.
  • Previous indicator's data — based on the values of the previous indicator.

How to Set Up Additional Indicator Levels

For some indicators, additional levels can be enabled. Open the "Levels" tab, click "Add" and enter the level value in the table. You can also optionally add the level description.

The line color, width and style for the levels can be set up below. To edit a level, click "Edit" or double-click on the appropriate field.

For indicators applied to a price chart, levels are drawn by summing the indicator values and the specified level. For indicators drawn in a separate subwindow, levels are drawn as horizontal lines through the specified value on the vertical scale.

Indicator Display Settings

The indicator display for different timeframes (period) can be set up on the "Visualization" tab. The indicator will only be displayed for the selected timeframes. This can be useful when the indicator is designed for use on specific timeframes.

Indicator Display Settings

Option "Show in the Data Window" allows to manage indicator information displayed in the Data Window.

Some indicators have additional scale settings. Indicator properties window has an additional "Scale" tab:

  • Inherit Scale — enable/disable scale inheritance from the first indicator in the window. If this option is enabled, the indicator has the same scale as the one applied prior to this one;
  • Scale by Line — enable/disable fixation of a certain indicator value in its subwindow using a drag-and-drop line. If this option is enabled, "scale percent" and "scale value" fields become active; the value of the indicator to be fixed can be specified there. Once the value is set, a line is added to the indicator window, using which you can set a fixed level of indicator values on the vertical scale;
  • Fixed Minimum — enable/disable fixation of a minimum value of the vertical scale of an indicator subwindow. If enabled, the option activates the field for entering the corresponding value;
  • Fixed Maximum — enable/disable fixation of a maximum value of the vertical scale of an indicator subwindow. If enabled, the option activates the field for entering the corresponding value.


Trend Indicators

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Trend Indicators

Trend Indicators

Trend indicators are used for detecting trends in financial markets. Indicators of these group are inefficient in periods of flat. Trend indicators point to the price movement direction.

The following trend indicators are available in the trading platform:

  • Adaptive Moving Average
  • Average Directional Movement Index
  • Average Directional Movement Index Wilder
  • Bollinger Bands®
  • Double Exponential Moving Average
  • Envelopes
  • Fractal Adaptive Moving Average
  • Ichimoku Kinko Hyo
  • Moving Average
  • Parabolic SAR
  • Standard Deviation
  • Triple Exponential Moving Average
  • Variable Index Dynamic Average


Adaptive Moving Average

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Trend Indicators / Adaptive Moving Average

Adaptive Moving Average

Adaptive Moving Average (AMA) Technical Indicator is used for constructing a moving average with low sensitivity to price series noises and is characterized by the minimal lag for trend detection. This indicator was developed and described by Perry Kaufman in his book "Smarter Trading".

One of disadvantages of different smoothing algorithms for price series is that accidental price leaps can result in the appearance of false trend signals. On the other hand, smoothing leads to the unavoidable lag of a signal about trend stop or change. This indicator was developed for eliminating these two disadvantages.

You can test the trade signals of this indicator by creating an Expert Advisor in MQL5 Wizard.

Adaptive Moving Average

Calculation

To define the current market state Kaufman introduced the notion of Efficiency Ratio (ER), which is calculated by the below formula:

ER(i) = Signal(i)/Noise(i)

Where:

ER(i) — current value of the Efficiency Ratio;
Signal(i) = ABS(Price(i) - Price(i - N)) — current signal value, absolute value of difference between the current price and price N period ago;
Noise(i) = Sum(ABS(Price(i) - Price(i-1)),N) — current noise value, sum of absolute values of the difference between the price of the current period and price of the previous period for N periods.

At a strong trend the Efficiency Ratio (ER) will tend to 1; if there is no directed movement, it will be a little more than 0. The obtained value of ER is used in the exponential smoothing formula:

EMA(i) = Price(i) * SC + EMA(i-1) * (1 - SC)

Where:

SC = 2/(n+1) — EMA smoothing constant, n — period of the exponential moving;
EMA(i-1) — previous value of EMA.

The smoothing ratio for the fast market must be as for EMA with period 2 (fast SC = 2/(2+1) = 0.6667), and for the period of no trend EMA period must be equal to 30 (slow SC = 2/(30+1) = 0.06452). Thus the new changing smoothing constant is introduced (scaled smoothing constant) SSC:

SSC(i) = (ER(i) * ( fast SC - slow SC) + slow SC

or

SSC(i) = ER(i) * 0.60215 + 0.06425

For a more efficient influence of the obtained smoothing constant on the averaging period Kaufman recommends squaring it.

Final calculation formula:

AMA(i) = Price(i) * (SSC(i)^2) + AMA(i-1)*(1-SSC(i)^2)

or (after rearrangement):

AMA(i) = AMA(i-1) + (SSC(i)^2) * (Price(i) - AMA(i-1))

Where:

AMA(i) — current value of AMA;
AMA(i—1) — previous value of AMA;
SSC(i) — current value of the scaled smoothing constant.


Average Directional Movement Index

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Trend Indicators / Average Directional Movement Index

Average Directional Movement Index

Average Directional Movement Index Technical Indicator (ADX) helps to determine if there is a price trend. It was developed and described in detail by Welles Wilder in his book "New concepts in technical trading systems".

The simplest trading method based on the system of directional movement implies comparison of two direction indicators: the 14-period +DI one and the 14-period -DI. To do this, one either puts the charts of indicators one on top of the other, or +DI is subtracted from -DI. W. Wilder recommends buying when +DI is higher than -DI, and selling when +DI sinks lower than -DI.

To these simple commercial rules Welles Wilder added "a rule of points of extremum". It is used to eliminate false signals and decrease the number of deals. According to the principle of points of extremum, the "point of extremum" is the point when +DI and -DI cross each other. If +DI raises higher than -DI, this point will be the maximum price of the day when they cross. If +DI is lower than -DI, this point will be the minimum price of the day they cross.

The point of extremum is used then as the market entry level. Thus, after the signal to buy (+DI is higher than -DI) one must wait till the price has exceeded the point of extremum, and only then buy. However, if the price fails to exceed the level of the point of extremum, one should retain the short position.

Average Directional Movement Index

Calculation

ADX = SUM ((+DI - (-DI)) / (+DI + (-DI)), N) / N

Where:

N — the number of periods used in the calculation;
SUM (..., N) — sum for N periods;
+DI — value of the indicator of the positive price movement (positive directional index);
-DI — value of the indicator of the negative price movement (negative directional index).


Average Directional Movement Index Wilder

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Trend Indicators / Average Directional Movement Index Wilder

Average Directional Movement Index Wilder

Average Directional Movement Index Wilder (ADX Wilder) helps to determine if there is a price trend. This technical indicator is constructed as a strict correspondence with the algorithm described by Welles Wilder in his book "New concepts in technical trading systems".

Trading rules of this indicator are described in the section "Average Directional Movement Index".

Average Directional Movement Index Wilder

Calculation

First positive (dm_plus) and negative (dm_minus) changes at each bar are calculated, as well as the true range tr:

If High(i) - High(i-1) > 0 dm_plus(i) = High[(i) - High(i-1), otherwise dm_plus(i) = 0.
If Low(i-1) - Low(i) > 0 dm_minus(i) = Low(i-1) - Low(i), otherwise dm_minus(i) = 0.

tr(i) = Max(ABS(High(i) - High(i-1)), ABS(High(i) - Close(i-1)), ABS(Low(i) - Close(i-1)))

Where:

High(i) — maximal price of the current bar;
Low(i) — minimal price of the current bar;
High(i-1) — maximal price of the previous bar;
Low(i-1) — minimal price of the previous bar;
Close(i-1) — close price of the previous bar;
Max (a, b , c) — maximal value out of three numbers: a, b and c;
ABS(X) — value of the number X absolute in its module.

After that smoothed values are calculated: Plus_D(i), Minus_D(i) and ATR():

ATR(i) = SMMA(tr, Period_ADX,i)

Plus_D(i) = SMMA(dm_plus, Period_ADX,i)/ATR(i)*100

Minus_D(i) = SMMA(dm_minus, Period_ADX,i)/ATR(i)*100

Where:

SMMA(X, N, i) — Smoothed Moving Average by values of X series on the current bar;
Period_ADX — number of periods used for calculation.

Now Directional Movement Index - DX(i) - is calculated:

DX(i) = ABS(Plus_D(i) - Minus_D(i))/(Plus_D(i) + Minus_D(i)) * 100

After preliminary calculations we obtain the value of the ADX(i) indicator on the current bar by smoothing DX index values:

ADX(i) = SMMA(DX, Period_ADX, i)


Bollinger Bands

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Trend Indicators / Bollinger Bands

Bollinger Bands®

Bollinger Bands (BB) are similar to Envelopes. The only difference is that the bands of Envelopes are plotted a fixed distance (%) away from the moving average, while the Bollinger Bands are plotted a certain number of standard deviations away from it. Standard deviation is a measure of volatility, therefore Bollinger Bands adjust themselves to the market conditions. When the markets become more volatile, the bands widen and they contract during less volatile periods.

Bollinger Bands are usually drawn on the price chart, but they can be also added to the indicator chart. Just like in case of the Envelopes, the interpretation of the Bollinger Bands is based on the fact that the prices tend to remain in between the top and the bottom line of the bands. A distinctive feature of the Bollinger Band indicator is its variable width due to the volatility of prices. In periods of considerable price changes (i.e. of high volatility) the bands widen leaving a lot of room to the prices to move in. During standstill periods, or the periods of low volatility the band contracts keeping the prices within their limits.

The following traits are particular to the Bollinger Band:

  1. abrupt changes in prices tend to happen after the band has contracted due to decrease of volatility;
  2. if prices break through one of the bands, a continuation of the current trend is to be expected;
  3. if the pikes and hollows outside the band are followed by pikes and hollows inside the band, a reverse of trend may occur;
  4. the price movement that has started from one of the band’s lines usually reaches the opposite one.

The last observation is useful for forecasting price guideposts.

Calculation

Bollinger bands are formed by three lines. The middle line (ML) is a usual Moving Average.

ML = SUM (CLOSE, N) / N = SMA (CLOSE, N)

The top line (TL) is the same as the middle line shifted up by a certain number of standard deviations (D).

TL = ML + (D * StdDev)

The bottom line (BL) is the middle line shifted down by the same number of standard deviations.

BL = ML - (D * StdDev)

Where:

SUM (..., N) is the sum for N periods;
CLOSE is the close price;
N is the number of period used for calculations;
SMA is a simple moving average;
SQRT is a square root;
StdDev means standard deviation:

StdDev = SQRT (SUM ((CLOSE — SMA (CLOSE, N))^2, N)/N)

It is recommended to use 20-period Simple Moving Average as the middle line, and plot top and bottom lines two standard deviations away from it. Besides, moving averages of less than 10 periods are of little effect.


Double Exponential Moving Average

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Trend Indicators / Double Exponential Moving Average

Double Exponential Moving Average

Double Exponential Moving Average Technical Indicator (DEMA) was developed by Patrick Mulloy and published in February 1994 in the "Technical Analysis of Stocks & Commodities" magazine. It is used for smoothing price series and is applied directly on a price chart of a financial security. Besides, it can be used for smoothing values of other indicators.

The advantage of this indicator is that it eliminates false signals at the saw-toothed price movement and allows saving a position at a strong trend.

You can test the trade signals of this indicator by creating an Expert Advisor in MQL5 Wizard.

Double Exponential Moving Average

Calculation

This indicator is based on the Exponential Moving Average (EMA). Let's view the error of price deviation from EMA value:

err(i) = Price(i) - EMA(Price, N, i)

Where:

err(i) — current EMA error;
Price(i) — current price;
EMA(Price, N, i) — current EMA value of Price series with N period.

Let's add the value of the exponential average error to the value of the exponential moving average of a price and we will receive DEMA:

DEMA(i) = EMA(Price, N, i) + EMA(err, N, i) = EMA(Price, N, i) + EMA(Price - EMA(Price, N, i), N, i) =

= 2 * EMA(Price, N, i) - EMA(Price - EMA(Price, N, i), N, i) = 2 * EMA(Price, N, i) - EMA2(Price, N, i)

Where:

EMA(err, N, i) — current value of the exponential average of error err;
EMA2(Price, N, i) — current value of the double consequential smoothing of prices.


Envelopes

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Trend Indicators / Envelopes

Envelopes

Envelopes Technical Indicator is formed with two Moving Averages, one of which is shifted upward and another one is shifted downward. The selection of optimum relative number of band margins shifting is determined with the market volatility: the higher the latter is, the stronger the shift is.

Envelopes define the upper and the lower margins of the price range. Signal to sell appears when the price reaches the upper margin of the band; signal to buy appears when the price reaches the lower margin.

The logic behind envelopes is that overzealous buyers and sellers push the price to the extremes (i.e., the upper and lower bands), at which point the prices often stabilize by moving to more realistic levels. This is similar to the interpretation of Bollinger Bands® (BB).

You can test the trade signals of this indicator by creating an Expert Advisor in MQL5 Wizard.

Calculation

UPPER BAND = SMA (CLOSE, N) * [1 + K / 1000]

LOWER BAND = SMA (CLOSE, N) * [1 - K / 1000]

Where:

UPPER BAND — upper line of the indicator;
LOWER BAND — lower line of the indicator;
SMA — Simple Moving Average;
CLOSE — close price;
N — period of averaging;
K / 1000 — the value of shifting from the average (measured in basis points).


Fractal Adaptive Moving Average

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Trend Indicators / Fractal Adaptive Moving Average

Fractal Adaptive Moving Average

Fractal Adaptive Moving Average Technical Indicator (FRAMA) was developed by John Ehlers. This indicator is constructed based on the algorithm of the Exponential Moving Average, in which the smoothing factor is calculated based on the current fractal dimension of the price series. The advantage of FRAMA is the possibility to follow strong trend movements and to sufficiently slow down at the moments of price consolidation.

All types of analysis used for Moving Averages can be applied to this indicator.

You can test the trade signals of this indicator by creating an Expert Advisor in MQL5 Wizard.

Fractal Adaptive Moving Average

Calculation

FRAMA(i) = A(i) * Price(i) + (1 - A(i)) * FRAMA(i-1)

Where:

FRAMA(i) — current value of FRAMA;
Price(i) — current price;
FRAMA(i-1) — previous value of FRAMA;
A(i) — current factor of exponential smoothing.

Exponential smoothing factor is calculated according to the below formula:

A(i) = EXP(-4.6 * (D(i) - 1))

Where:

D(i) — current fractal dimension;
EXP() — mathematical function of exponent.

Fractal dimension of a straight line is equal to one. It is seen from the formula that if D = 1, then A = EXP(-4.6 *(1-1)) = EXP(0) = 1. Thus if price changes in straight lines, exponential smoothing is not used, because in such a case the formula looks like this::

FRAMA(i) = 1 * Price(i) + (1 — 1) * FRAMA(i—1) = Price(i)

I.e. the indicator exactly follows the price.

The fractal dimension of a plane is equal to two. From the formula we get that if D = 2, then the smoothing factor A = EXP(-4.6*(2-1)) = EXP(-4.6) = 0.01. Such a small value of the exponential smoothing factor is obtained at moments when price makes a strong saw-toothed movement. Such a strong slow-down corresponds to approximately 200-period simple moving average.

Formula of fractal dimension:

D = (LOG(N1 + N2) - LOG(N3))/LOG(2)

It is calculated based on the additional formula:

N(Length,i) = (HighestPrice(i) - LowestPrice(i))/Length

Where:

HighestPrice(i) — current maximal value for Length periods;
LowestPrice(i) — current minimal value for Length periods;

Values N1, N2 and N3 are respectively equal to:

N1(i) = N(Length,i)

N2(i) = N(Length,i + Length)

N3(i) = N(2 * Length,i)


Ichimoku Kinko Hyo

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Trend Indicators / Ichimoku Kinko Hyo

Ichimoku Kinko Hyo

Ichimoku Kinko Hyo Technical Indicator is predefined to characterize the market Trend, Support and Resistance Levels, and to generate signals of buying and selling. This indicator works best at weekly and daily charts.

When defining the dimension of parameters, four time intervals of different length are used. The values of individual lines composing this indicator are based on these intervals:

  • Tenkan-sen shows the average price value during the first time interval defined as the sum of maximum and minimum within this time, divided by two;
  • Kijun-sen shows the average price value during the second time interval;
  • Senkou Span A shows the middle of the distance between two previous lines shifted forwards by the value of the second time interval;
  • Senkou Span B shows the average price value during the third time interval shifted forwards by the value of the second time interval.

Chikou Span shows the closing price of the current candle shifted backwards by the value of the second time interval. The distance between the Senkou lines is hatched with another color and called "cloud". If the price is between these lines, the market should be considered as non-trend, and then the cloud margins form the support and resistance levels.

  • If the price is above the cloud, its upper line forms the first support level, and the second line forms the second support level;
  • If the price is below cloud, the lower line forms the first resistance level, and the upper one forms the second level;
  • If the Chikou Span line traverses the price chart in the bottom-up direction it is signal to buy. If the Chikou Span line traverses the price chart in the top-down direction it is signal to sell.

Kijun-sen is used as an indicator of the market movement. If the price is higher than this indicator, the prices will probably continue to increase. When the price traverses this line the further trend changing is possible. Another kind of using the Kijun-sen is giving signals. Signal to buy is generated when the Tenkan-sen line traverses the Kijun-sen in the bottom-up direction. Top-down direction is the signal to sell. Tenkan-sen is used as an indicator of the market trend. If this line increases or decreases, the trend exists. When it goes horizontally, it means that the market has come into the channel.

Ichimoku Kinko Hyo


Moving Average

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Trend Indicators / Moving Average

Moving Average

The Moving Average Technical Indicator shows the mean instrument price value for a certain period of time. When one calculates the moving average, one averages out the instrument price for this time period. As the price changes, its moving average either increases, or decreases.

There are four different types of moving averages: Simple (also referred to as Arithmetic), Exponential, Smoothed and Weighted. Moving Average may be calculated for any sequential data set, including opening and closing prices, highest and lowest prices, trading volume or any other indicators. It is often the case when double moving averages are used.

The only thing where moving averages of different types diverge considerably from each other, is when weight coefficients, which are assigned to the latest data, are different. In case we are talking of Simple Moving Average, all prices of the time period in question are equal in value. Exponential Moving Average and Linear Weighted Moving Average attach more value to the latest prices.

The most common way to interpreting the price moving average is to compare its dynamics to the price action. When the instrument price rises above its moving average, a buy signal appears, if the price falls below its moving average, what we have is a sell signal.

This trading system, which is based on the moving average, is not designed to provide entrance into the market right in its lowest point, and its exit right on the peak. It allows to act according to the following trend: to buy soon after the prices reach the bottom, and to sell soon after the prices have reached their peak.

Moving averages may also be applied to indicators. That is where the interpretation of indicator moving averages is similar to the interpretation of price moving averages: if the indicator rises above its moving average, that means that the ascending indicator movement is likely to continue: if the indicator falls below its moving average, this means that it is likely to continue going downward.

Here are the types of moving averages on the chart:

  • Simple Moving Average (SMA)
  • Exponential Moving Average (EMA)
  • Smoothed Moving Average (SMMA)
  • Linear Weighted Moving Average (LWMA)

You can test the trade signals of this indicator by creating an Expert Advisor in MQL5 Wizard.

Calculation

Simple Moving Average (SMA)

Simple, in other words, arithmetical moving average is calculated by summing up the prices of instrument closure over a certain number of single periods (for instance, 12 hours). This value is then divided by the number of such periods.

SMA = SUM (CLOSE (i), N) / N

Where:

SUM — sum;
CLOSE (i) — current period close price;
N — number of calculation periods.

Exponential Moving Average (EMA)

Exponentially smoothed moving average is calculated by adding of a certain share of the current closing price to the previous value of the moving average. With exponentially smoothed moving averages, the latest close prices are of more value. P-percent exponential moving average will look like:

EMA = (CLOSE (i) * P) + (EMA (i - 1) * (1 - P))

Where:

CLOSE (i) — current period close price;
EMA (i - 1) — value of the Moving Average of a preceding period;
P — the percentage of using the price value.

Smoothed Moving Average (SMMA)

The first value of this smoothed moving average is calculated as the simple moving average (SMA):

SUM1 = SUM (CLOSE (i), N)

SMMA1 = SUM1 / N

The second moving average is calculated according to this formula:

SMMA (i) = (SMMA1*(N-1) + CLOSE (i)) / N

Succeeding moving averages are calculated according to the below formula:

PREVSUM = SMMA (i - 1) * N

SMMA (i) = (PREVSUM - SMMA (i - 1) + CLOSE (i)) / N

Where:

SUM — sum;
SUM1 — total sum of closing prices for N periods; it is counted from the previous bar;
PREVSUM — smoothed sum of the previous bar;
SMMA (i-1) — smoothed moving average of the previous bar;
SMMA (i) — smoothed moving average of the current bar (except for the first one);
CLOSE (i) — current close price;
N — smoothing period.

After arithmetic conversions the formula can be simplified:

SMMA (i) = (SMMA (i - 1) * (N - 1) + CLOSE (i)) / N

Linear Weighted Moving Average (LWMA)

In the case of weighted moving average, the latest data is of more value than more early data. Weighted moving average is calculated by multiplying each one of the closing prices within the considered series, by a certain weight coefficient:

LWMA = SUM (CLOSE (i) * i, N) / SUM (i, N)

Where:

SUM — sum;
CLOSE(i) — current close price;
SUM (i, N) — total sum of weight coefficients;
N — smoothing period.


Parabolic SAR

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Trend Indicators / Parabolic SAR

Parabolic SAR

Parabolic SAR Technical Indicator was developed for analyzing the trending markets. The indicator is constructed on the price chart. This indicator is similar to Moving Average with the only difference that Parabolic SAR moves with higher acceleration and may change its position in terms of the price. The indicator is below the prices on the bull market (Up Trend), when the market is bearish (Down Trend), it is above the prices.

If the price crosses Parabolic SAR lines, the indicator turns, and its further values are situated on the other side of the price. When such an indicator turn does take place, the maximum or the minimum price for the previous period would serve as the starting point. When the indicator makes a turn, it gives a signal of the trend end (correction stage or flat), or of its turn.

The Parabolic SAR is an outstanding indicator for providing exit points. Long positions should be closed when the price sinks below the SAR line, short positions should be closed when the price rises above the SAR line. It means one should trace the movement of Parabolic SAR and hold open positions only in the direction of this movement. It is often the case that the indicator serves as a trailing stop line.

If the long position is open (i.e., the price is above the SAR line), the Parabolic SAR line will go up, regardless of what direction the prices take. The length of the SAR line movement depends on the scale of the price movement.

You can test the trade signals of this indicator by creating an Expert Advisor in MQL5 Wizard.

Calculation

For long positions:

SAR (i) = SAR (i - 1) + ACCELERATION * (HIGH (i - 1) - SAR (i - 1))

For short positions:

SAR (i) = SAR (i - 1) + ACCELERATION * (LOW (i - 1) - SAR (i - 1))

Where:

SAR (i - 1) — value of Parabolic SAR on the previous bar;
ACCELERATION — acceleration factor;
HIGH (i - 1) — maximal price for the previous period;
LOW (i - 1) — minimal price for the previous period.

The indicator value increases if the price of the current bar is higher than previous bullish and vice versa. The acceleration factor (ACCELERATION) will double at the same time, which would cause Parabolic SAR and the price to come together. In other words, the faster the price grows or sinks, the faster the indicator approaches the price.


Standard Deviation

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Trend Indicators / Standard Deviation

Standard Deviation

Standard Deviation — value of the market volatility measurement. This indicator describes the range of price fluctuations relative to Moving Average. So, if the value of this indicator is high, the market is volatile, and prices of bars are rather spread relative to the moving average. If the indicator value is low, the market can described as having a low volatility, and prices of bars are rather close to the moving average.

Normally, this indicator is used as a constituent of other indicators. Thus, when calculating Bollinger Bands® one has to add the symbol standard deviation value to its moving average.

The market behavior represents the interchange of high trading activity and languid market. So, the indicator can be interpreted easily:

  • if its value is too low, i.e., the market is absolutely inactive, it makes sense to expect a spike soon;
  • otherwise, if it is extremely high, it most probably means that activity will decline soon.

Calculation

StdDev (i) = SQRT (AMOUNT (j = i - N, i) / N)

AMOUNT (j = i - N, i) = SUM ((ApPRICE (j) - MA (ApPRICE , N, i)) ^ 2)

Where:

StdDev (i) — Standard Deviation of the current bar;
SQRT — square root;
AMOUNT(j = i - N, i) — sum of squares from j = i - N to i;
N — smoothing period;
ApPRICE (j) — applied price of the j bar;
MA (ApPRICE , N, i) — moving average value with the N period on the current bar;
ApPRICE (i) — applied price of the current bar.


Triple Exponential Moving Average

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Trend Indicators / Triple Exponential Moving Average

Triple Exponential Moving Average

Triple Exponential Moving Average Technical Indicator (TEMA) was developed by Patrick Mulloy and published in the "Technical Analysis of Stocks & Commodities" magazine. The principle of its calculation is similar to DEMA (Double Exponential Moving Average). The name "Triple Exponential Moving Average" does not very correctly reflect its algorithm. This is a unique blend of the single, double and triple exponential moving average providing the smaller lag than each of them separately.

TEMA can be used instead of traditional moving averages. It can be used for smoothing price data, as well as for smoothing other indicators.

You can test the trade signals of this indicator by creating an Expert Advisor in MQL5 Wizard.

Triple Exponential Moving Average

Calculation

First DEMA is calculated, then the error of price deviation from DEMA is calculated:

err(i) = Price(i) — DEMA(Price, N, ii)

Where:

err(i) — current DEMA error;
Price(i) — current price;
DEMA(Price, N, i) — current DEMA value from Price series with N period.

Then add value of the exponential average of the error and get TEMA:

TEMA(i) = DEMA(Price, N, i) + EMA(err, N, i) = DEMA(Price, N, i) + EMA(Price - EMA(Price, N, i), N, i) =

= DEMA(Price, N, i) + EMA(Price - DEMA(Price, N, i), N, i) = 3 * EMA(Price, N, i) - 3 * EMA2(Price, N, i) + EMA3(Price, N, i)

Where:

EMA(err, N, i) — current value of the exponential average of the err error;
EMA2(Price, N, i) — current value of the double sequential price smoothing;
EMA3(Price, N, i) — current value of the triple sequential price smoothing.


Variable Index Dynamic Average

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Trend Indicators / Variable Index Dynamic Average

Variable Index Dynamic Average

Variable Index Dynamic Average Technical Indicator (VIDYA) was developed by Tushar Chande. It is an original method of calculating the Exponential Moving Average (EMA) with the dynamically changing period of averaging. Period of averaging depends on the market volatility; as the measure of volatility Chande Momentum Oscillator (CMO) was chosen. This oscillator measures the ratio between the sum of positive increments and sum of negative increments for a certain period (CMO period). CMO value is used as the ratio to the smoothing factor EMA. Thus VIDYA has to setup parameters: period of CMO and period of EMA.

Application

Usually not VIDYA itself is used in trading systems, but its upper and lower borders (Upper band & Lower band), that are by N% above and below VIDYA. Interpretation of the indicator for receiving trade signals in this form is performed similar to Bollinger Bands®.

Variable Index Dynamic Average

Calculation

The standard Exponential Moving Average is calculated according to the below formula:

EMA(i) = Price(i) * F + EMA(i-1)*(1-F)

Where:

F = 2/(Period_EMA+1) — smoothing factor;
Period_EMA — EMA averaging period;
Price(i) — current price;
EMA(i-1) — previous value of EMA.

The value of Variable Index Dynamic Average is calculated in the analogous way using CMO:

VIDYA(i) = Price(i) * F * ABS(CMO(i)) + VIDYA(i-1) * (1 - F* ABS(CMO(i)))

Where:

ABS(CMO(i)) — absolute current value Chande Momentum Oscillator;
VIDYA(i-1) — previous value of VIDYA.

The value of CMO is calculated according to the below formula:

CMO(i) = (UpSum(i) - DnSum(i))/(UpSum(i) + DnSum(i))

Where:

UpSum(i) = current sum of positive price increments for the period;
DnSum(i) = current sum of negative price increments for the period.


Oscillators

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Oscillators

Oscillators

Oscillators show price deviation from its average value. Oscillators help to predict the approaching correction or the direction of price oscillation phase. Oscillators best suit the purpose of decision making when there is no vivid trend in the market.

The following oscillators are available in the trading platform:

  • Average True Range
  • Bears Power
  • Bulls Power
  • Chaikin Oscillator
  • Commodity Channel Index
  • DeMarker
  • Force Index
  • MACD
  • Momentum
  • Moving Average of Oscillator
  • Relative Strength Index
  • Relative Vigor Index
  • Stochastic Oscillator
  • Triple Exponential Average
  • Williams' Percent Range


Average True Range

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Oscillators / Average True Range

Average True Range

Average True Range Technical Indicator (ATR) is an indicator that shows volatility of the market. It was introduced by Welles Wilder in his book "New concepts in technical trading systems". This indicator has been used as a component of numerous other indicators and trading systems ever since.

Average True Range can often reach a high value at the bottom of the market after a sheer fall in prices occasioned by panic selling. Low values of the indicator are typical for the periods of sideways movement of long duration which happen at the top of the market and during consolidation. Average True Range can be interpreted according to the same principles as other volatility indicators. The principle of forecasting based on this indicator can be worded the following way: the higher the value of the indicator, the higher the probability of a trend change; the lower the indicator’s value, the weaker the trend’s movement is.

Average True Range

Calculation

True Range is the greatest of the following three values:

  • difference between the current maximum and minimum (high and low);
  • difference between the previous closing price and the current maximum;
  • difference between the previous closing price and the current minimum.

The indicator of Average True Range is a moving average of values of the true range.


Bears Power

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Oscillators / Bears Power

Bears Power

Everyday trading represents a battle of buyers ("Bulls") pushing prices up and sellers ("Bears") pushing prices down. Depending on what party scores off, the day will end with a price that is higher or lower than that of the previous day. Intermediate results, first of all the highest and lowest price, allow to judge about how the battle was developing during the day.

It is very important to be able to estimate the Bears Power balance since changes in this balance initially signalize about possible trend reversal. This task can be solved using the Bears Power oscillator developed by Alexander Elder and and described in his book titled Trading for a Living. Elder based on the following premises when deducing this oscillator:

  • moving average is a price agreement between sellers and buyers for a certain period of time,
  • the lowest price displays the maximum sellers' power within the day.

On these premises, Elder developed Bears Power as the difference between the lowest price and 13-period exponential moving average (LOW - EMA).

Application

This indicator is better to use together with a trend indicator (most frequently Moving Average):

  • if trend indicator is up-directed and the Bears Power index is below zero, but growing, it is a signal to buy;
  • it is desirable that, in this case, the divergence of bases were being formed in the indicator chart.

You can test the trade signals of this indicator by creating an Expert Advisor in MQL5 Wizard.

Calculation

The first stage of this indicator calculation is calculation of the exponential moving average (as a rule, it is recommended to use the 13-period EMA).

BEARS = LOW - EMA

Where:

BEARS — Bears' Power;
LOW — the lowest price of the current bar;
EMA — Exponential Moving Average.

In the down-trend, LOW is lower than EMA, so the Bears Power is below zero and histogram is located below zero line. If LOW rises above EMA when prices grow, the Bears Power becomes above zero and its histogram rises above zero line.


Bulls Power

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Oscillators / Bulls Power

Bulls Power

Everyday trading represents a battle of buyers ("Bulls") pushing prices up and sellers ("Bears") pushing prices down. Depending on what party scores off, the day will end with a price that is higher or lower than that of the previous day. Intermediate results, first of all the highest and lowest price, allow to judge about how the battle was developing during the day.

It is very important to be able to estimate the Bulls Power balance since changes in this balance initially signalize about possible trend reversal. This task can be solved using the Bulls Power oscillator developed by Alexander Elder and and described in his book titled Trading for a Living. Elder based on the following premises when deducing this oscillator:

  • moving average is a price agreement between sellers and buyers for a certain period of time,
  • the highest price displays the maximum buyers' power within the day.

On these premises, Elder developed Bulls Power as the difference between the highest price and 13-period exponential moving average (HIGH - EMA).

Application

This indicator is better to use together with a trend indicator (most frequently Moving Average):

  • if trend indicator is down-directed and the Bulls Power index is above zero, but falling, it is a signal to sell;
  • it is desirable that, in this case, the divergence of peaks were being formed in the indicator chart.

You can test the trade signals of this indicator by creating an Expert Advisor in MQL5 Wizard.

Calculation

The first stage of this indicator calculation is calculation of the exponential moving average (as a rule, it is recommended to use the 13-period EMA).

BULLS = HIGH - EMA

Where:

BULLS — Bulls' Power;
HIGH — the highest price of the current bar;
EMA — Exponential Moving Average.

In the up-trend, HIGH is higher than EMA, so the Bulls Power is above zero and histogram is located above zero line. If HIGH falls under EMA when prices fall, the Bulls Power becomes below zero and its histogram falls under zero line.


Chaikin Oscillator

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Oscillators / Chaikin Oscillator

Chaikin Oscillator

Chaikin's Oscillator (CHO) is the difference of moving averages of Accumulation/Distribution.

"The concept of this oscillator is based on three main theses. First: if a share or an index is higher when it closes than it was during the day (you can calculate the average value as [max+min]/2), it means that it was a day of accumulation. The closer the closing index of a share or an index gets to the maximum, the more active the accumulation is. Vice versa, if a share's closing price is lower than the average level of the day, it means that distribution took place. The closer to the minimum the share gets, the more active is the distribution.

Second: stable price growth is accompanied by increase in trade volume and strong accumulation of the volume. As the volume is like fuel that feeds market growth, the lag of volume along with the growth of prices shows that there isn't enough fuel to continue the rise.

Vice versa, a slump in prices is usually accompanied by low amount and ends up in panic liquidation of positions by institutional investors. Therefore, first of all we see a growth of volume, then a slump in prices accompanied by reduced volume and finally, when the market is close to foundation, some accumulation takes place.

Third: with a Chaikin's oscillator you can trace back the volume of money resources coming in to the market and leaving it. Comparing the dynamics of volume and prices allows finding out peaks and foundations of the market, both short- and medium-term.

As there are no correct methods of technical analysis, I would recommend you using this oscillator along with other technical indicators. The reliability of short-term and medium-term trade signals will be higher if you use a Chaikin's oscillator together with, for example, Envelopes based on a 21-day moving average and some oscillator of outbidding/resale.

The most important signal arises when the prices reach a maximum or a minimum level (especially on the level of outbidding/resale), but the Chaikin's oscillator can't overcome its previous extremum and so it turns around.

  • Signals moving in the direction of the medium-term trend are more reliable than those moving against it.
  • The fact that an oscillator confirms a new maximum or minimum doesn't mean that the prices will move on in that direction. I regard this event as unimportant.

Another way of using Chaikin's oscillator implies the following: a change in its direction is a signal for purchase or a sale, but only if it coincides with the price trend direction. For example, if a share is on the rise and its price is higher than a 90-day moving average, then an up-turn of the oscillator curve in the area of negative values can be regarded as a signal for purchase (but the share price must be higher than a 90-day moving average - not less).

A down-turn of the oscillator curve in the area of positive values (above zero) can be regarded as a signal for sale, but the share price must be lower than the 90-day moving average of closing prices."

Calculation

To calculate the Chaikin's oscillator, you must subtract a 10-period exponential moving average of Accumulation/Distribution indicator from a 3-period exponential moving average of the same indicator.

CHO = EMA (A/D, 3) - EMA (A/D, 10)

Where:

EMA — exponential moving average;
A/D — value of the Accumulation/Distribution indicator.


Commodity Channel Index

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Oscillators / Commodity Channel Index

Commodity Channel Index

Commodity Channel Index Technical Indicator (CCI) measures the deviation of the commodity price from its average statistical price. High values of the index point out that the price is unusually high being compared with the average one, and low values show that the price is too low. In spite of its name, the Commodity Channel Index can be applied for any financial instrument, and not only for the wares.

There are two basic techniques of using Commodity Channel Index:

  1. Finding the divergences
    The divergence appears when the price reaches a new maximum, and Commodity Channel Index can not grow above the previous maximums. This classical divergence is normally followed by the price correction.
  2. As an indicator of overbuying/overselling
    Commodity Channel Index usually varies in the range of ±100. Values above +100 inform about overbuying state (and about a probability of correcting decay), and the values below 100 inform about the overselling state (and about a probability of correcting increase).

You can test the trade signals of this indicator by creating an Expert Advisor in MQL5 Wizard.

Commodity Channel Index

Calculation

  1. To find a Typical Price. You need to add the HIGH, the LOW, and the CLOSE prices of each bar and then divide the result by 3:

    TP = (HIGH + LOW + CLOSE) / 3
  2. To calculate the n-period Simple Moving Average of Typical Prices:

    SMA (TP, N) = SUM (TP, N) / N
  3. To subtract the received SMA(TP, N) from Typical Prices of each of preceding n periods:

    D = TP - SMA (TP, N)
  4. To calculate the n-period Simple Moving Average of absolute D values:

    SMA (D, N) = SUM (D, N) / N
  5. To multiply the received SMA(D, N) by 0,015:

    M = SMA (D, N) * 0,015
  6. To divide M by D:

    CCI = M / D

Where:

HIGH — maximal bar price;
LOW — minimal bar price;
CLOSE — close price;
SMA — Simple Moving Average;
SUM — sum;
N — number of periods used for calculation.


DeMarker

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Oscillators / DeMarker

DeMarker

Demarker Technical Indicator (DeM) is based on the comparison of the period maximum with the previous period maximum. If the current period (bar) maximum is higher, the respective difference between the two will be registered. If the current maximum is lower or equaling the maximum of the previous period, the naught value will be registered. The differences received for N periods are then summed. The received value is used as the numerator of the DeMarker and will be divided by the same value plus the sum of differences between the price minima of the previous and the current periods (bars). If the current price minimum is greater than that of the previous bar, the naught value will be registered.

When the indicator falls below 30, the bullish price reversal should be expected. When the indicator rises above 70, the bearish price reversal should be expected.

If you use periods of longer duration, when calculating the indicator, you’ll be able to catch the long term market tendency. Indicators based on short periods let you enter the market at the point of the least risk and plan the time of transaction so that it falls in with the major trend.

You can test the trade signals of this indicator by creating an Expert Advisor in MQL5 Wizard.

Calculation

The value of the DeMarker for the "i" interval is calculated as follows:

DeMax (i) is calculated. If HIGH (i) > HIGH (i - 1), then:

DeMax (i) = HIGH (i) - HIGH (i - 1)

otherwise

DeMax (i) = 0

DeMin (i) is calculated. If LOW (i) < LOW (i - 1), then:

DeMin (i) = LOW (i - 1) - LOW (i)

otherwise

DeMin (i) = 0

The value of the DeMarker is calculated as:

DMark (i) = SMA (DeMax, N) / (SMA (DeMax, N) + SMA (DeMin, N))

Where:

HIGH (i) — the highest price of the current bar;
LOW (i) — the lowest price of the current bar;
HIGH (i - 1) — the highest price of the previous bar;
LOW (i - 1) — the lowest price of the previous bar;
SMA — Simple Moving Average;
N — number of periods used for calculation.


Force Index

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Oscillators / Force Index

Force Index

Force Index Technical Indicator was developed by Alexander Elder. This index measures the Bulls Power at each increase, and the Bears Power at each decrease. It connects the basic elements of market information: price trend, its drops, and volumes of transactions. This index can be used as it is, but it is better to approximate it with the help of Moving Average. Approximation with the help a short moving average (the author proposes to use 2 intervals) contributes to finding the best opportunity to open and close positions. If the approximations is made with long moving average (period 13), the index shows the trends and their changes.

  • It is better to buy when the forces become minus (fall below zero) in the period of indicator increasing tendency;
  • The force index signalizes the continuation of the increasing tendency when it increases to the new peak;
  • The signal to sell comes when the index becomes positive during the decreasing tendency;
  • The force index signalizes the Bears' Power and continuation of the decreasing tendency when the index falls to the new depth;
  • If price changes do not correlate to the corresponding changes in volume, the force indicator stays on one level, which tells you the trend is going to change soon.

Calculation

The force of every market movement is characterized by its direction, scale and volume. If the closing price of the current bar is higher than the preceding bar, the force is positive. If the current closing price is lower than the preceding one, the force is negative. The greater the difference in prices is the greater the force is. The greater the transaction volume is the greater the force is.

FORCE INDEX (i) = VOLUME (i) * ((MA (ApPRICE, N, i) - MA (ApPRICE, N, i-1))

Where:

FORCE INDEX (i) — Force Index of the current bar;
VOLUME (i) — volume of the current bar;
MA (ApPRICE, N, i) — any Moving Average of the current bar for N periods:
Simple, Exponential, Weighted or Smoothed;
ApPRICE — applied price;
N — period of smoothing;
MA (ApPRICE, N, i-1) — any Moving Average of the previous bar.


MACD

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Oscillators / MACD

MACD

Moving Average Convergence/Divergence (MACD) is a trend-following dynamic indicator. It indicates the correlation between two Moving Averages of a price.

The Moving Average Convergence/Divergence (MACD) Technical Indicator is the difference between a 26-period and 12-period Exponential moving averages (EMA). In order to clearly show buy/sell opportunities, a so-called signal line (9-period moving average of the indicator) is plotted on the MACD chart.

The MACD proves most effective in wide-swinging trading markets. There are three popular ways to use the Moving Average Convergence/Divergence: crossovers, overbought/oversold conditions, and divergences.

Crossovers

The basic MACD trading rule is to sell when the MACD falls below its signal line. Similarly, a buy signal occurs when the Moving Average Convergence/Divergence rises above its signal line. It is also popular to buy/sell when the MACD goes above/below zero.

Overbought/Oversold Conditions

The MACD is also useful as an overbought/oversold indicator. When the shorter moving average pulls away dramatically from the longer moving average (i.e., the MACD rises), it is likely that the symbol price is overextending and will soon return to more realistic levels.

Divergence

An indication that an end to the current trend may be near occurs when the MACD diverges from the symbol. A bullish divergence occurs when the Moving Average Convergence/Divergence indicator is making new highs while prices fail to reach new highs. A bearish divergence occurs when the MACD is making new lows while prices fail to reach new lows. Both of these divergences are most significant when they occur at relatively overbought/oversold levels.

You can test the trade signals of this indicator by creating an Expert Advisor in MQL5 Wizard.

Moving Average Convergence/Divergence

Calculation

The MACD is calculated by subtracting the value of a 26-period exponential moving average from a 12-period exponential moving average. A 9-period dotted simple moving average of the MACD (the signal line) is then plotted on top of the MACD.

MACD = EMA(CLOSE, 12) - EMA(CLOSE, 26)

SIGNAL = SMA(MACD, 9)

Where:

EMA — Exponential Moving Average;
SMA — Simple Moving Average;
SIGNAL — the signal line of the indicator.


Momentum

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Oscillators / Momentum

Momentum

The Momentum Technical Indicator measures the change of price of a financial instrument over a given time span. There are basically two ways to use the Momentum indicator:

  • As a trend-following indicator analogous to Moving Average Convergence/Divergence (MACD). In this case a signal to buy occurs if the Momentum indicator makes up a trough and starts rising; a signal to sell occurs when it reaches peak and turns down. You may want to plot a short-term moving average of the indicator to determine when it is bottoming or peaking.
    Extremely high or low values of Momentum imply continuation of the current trend. Thus if the indicator reaches extremely high values and then turns down, the further price growth should be expected. In any case, a position should be opened or closed only after prices confirm the signal generated by the indicator.
  • As a leading indicator. This method assumes that the final phase of an up-trend is usually accompanied by a rapid price increase (when everyone expects prices to go higher), and that the end of bears' market is characterized by rapid price declines (when everyone wants to get out). This is often the case, but it is also a broad generalization.
    When market approaches a peak there is a sharp leap of the Momentum indicator. After that it starts to fall while prices keep on growing or move horizontally. Analogous to that, at the market bottom Momentum sharply falls and then turns up long before prices start growing. Both of these situations result in divergences between the indicator and prices.

Calculation

Momentum is calculated as a ratio of today’s price to the price n periods ago:

MOMENTUM = CLOSE (i) / CLOSE (i - n) * 100

Where:

CLOSE (i) — close price of the current bar;
CLOSE (i - n) — close price n bars ago.


Moving Average of Oscillator

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Oscillators / Moving Average of Oscillator

Moving Average of Oscillator

Moving Average of Oscillator (OsMA) is the difference between the oscillator and oscillator smoothing. In this case, Moving Average Convergence/Divergence base-line is used as the oscillator, and the signal line is used as the smoothing.

Moving Average of Oscillator

Calculation

OSMA = MACD - SIGNAL


Relative Strength Index

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Oscillators / Relative Strength Index

Relative Strength Index

The Relative Strength Index Technical Indicator (RSI) is a price-following oscillator that ranges between 0 and 100. When Wilder introduced the Relative Strength Index, he recommended using a 14-period RSI. Since then, the 9-period and 25-period Relative Strength Index indicators have also gained popularity. A popular method of analyzing the RSI is to look for a divergence in which the security is making a new high, but the RSI is failing to surpass its previous high. This divergence is an indication of an impending reversal. When the Relative Strength Index then turns down and falls below its most recent trough, it is said to have completed a "failure swing". The failure swing is considered a confirmation of the impending reversal.

The following signals of Relative Strength Index are used in chart analyzing:

  • Tops and Bottoms
    The Relative Strength Index usually tops above 70 and bottoms below 30. It usually forms these tops and bottoms before the underlying price chart.
  • Chart Formations
    The RSI often forms chart patterns such as head and shoulders or triangles that may be or may not be visible on the price chart.
  • Failure Swing (Support or Resistance breakout)
    This is where the Relative Strength Index surpasses a previous high (peak) or falls below a recent low (trough).
  • Support and Resistance levels
    The Relative Strength Index shows, sometimes more clearly than price themselves, levels of support and resistance.
  • Divergences
    As discussed above, divergences occur when the price makes a new high (or low) that is not confirmed by a new high (or low) in the Relative Strength Index. Prices usually correct and move in the direction of the RSI.

You can test the trade signals of this indicator by creating an Expert Advisor in MQL5 Wizard.

Relative Strength Index

Calculation

This is the main formula of Relative Strength Index calculation:

RSI = 100 - (100 / (1 + U / D))

Where:

U — average number of positive price changes;
D — average number of negative price changes.


Relative Vigor Index

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Oscillators / Relative Vigor Index

Relative Vigor Index

The main point of Relative Vigor Index Technical Indicator (RVI) is that on the bull market the closing price is, as a rule, higher, than the opening price. It is the other way round on the bear market. So the idea behind Relative Vigor Index is that the vigor, or energy, of the move is thus established by where the prices end up at the close. To normalize the index to the daily trading range, divide the change of price by the maximum range of prices for the day. To make a more smooth calculation, one uses Simple Moving Average. 10 is considered the best period. To avoid probable ambiguity one needs to construct a signal line, which is a 4-period symmetrically weighted moving average of Relative Vigor Index values. The concurrence of lines serves as a signal to buy or to sell.

You can test the trade signals of this indicator by creating an Expert Advisor in MQL5 Wizard.

Relative Vigor Index

Calculation

RVI is calculated similarly to Stochastic Oscillator. However, the Vigor Index compares close levels relative to opening levels, and not the minimal price as is done by Stochastic. The indicator is calculated as the value equal to the actual price change for the period, normalized to the maximal range of price change for this period, for example a day or hour.

RVI = (CLOSE - OPEN) / (HIGH - LOW)

Where:

OPEN — opening price;
HIGH — highest price;
LOW — lowest price;
CLOSE — closing price.

Usually RVI is displayed as two lines:

1. The first one is build the same as RVI, but instead of Close and Open price difference and High and Low price difference sums of 4-period symmetrically weighted moving averages are used. I.e. the 4-period symmetrically weighted average of a numerator is calculated:

MovAverage = (CLOSE-OPEN) + 2 * (CLOSE-1 - OPEN-1) + 2 * (CLOSE-2 - OPEN-2) + (CLOSE-3 - OPEN-3)

Where:

CLOSE — current close price;
CLOSE-1, CLOSE-2, CLOSE-3 — close prices 1, 2 and 3 periods ago;
OPEN — current open price;
OPEN-1, OPEN-2, OPEN-3 — open prices 1, 2 and 3 periods ago.

Then the 4-period symmetrically weighted moving average of a denominator is found:

RangeAverage = (HIGH-LOW) + 2 x (HIGH-1 - LOW-1) + 2 x (HIGH-2 - LOW-2) + (HIGH-3 - LOW-3),

Where:

HIGH — maximal price of the last bar;
HIGH, HIGH-2, HIGH-3 — maximal prices 1, 2 and 3 periods ago;
LOW — minimal price of the last bar;
LOW-1, LOW-2, LOW-3 — minimal prices 1, 2 and 3 periods ago.

After that we calculate the sum of these moving averages for the last 4 periods, for example hours or days:

2. The second line is the 4-period symmetrically weighted moving average of the first line:

RVIsignal = (RVIaverage + 2 * RVIaverage-1 + 2 * RVIaverage-2 + RVIaverage-3)/6


Stochastic Oscillator

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Oscillators / Stochastic Oscillator

Stochastic Oscillator

The Stochastic Oscillator Technical Indicator compares where a security’s price closed relative to its price range over a given time period. The Stochastic Oscillator is displayed as two lines. The main line is called %K. The second line, called %D, is a Moving Average of %K. The %K line is usually displayed as a solid line and the %D line is usually displayed as a dotted line. There are several ways to interpret a Stochastic Oscillator. Three popular methods include:

  • Buy when the Oscillator (either %K or %D) falls below a specific level (for example, 20) and then rises above that level. Sell when the Oscillator rises above a specific level (for example, 80) and then falls below that level.
  • Buy when the %K line rises above the %D line and sell when the %K line falls below the %D line.
  • Look for divergences. For instance: where prices are making a series of new highs and the Stochastic Oscillator is failing to surpass its previous highs.

You can test the trade signals of this indicator by creating an Expert Advisor in MQL5 Wizard.

Calculation

Four variables are used for the calculation of the Stochastic Oscillator:

  • %K periods. This is the number of time periods used in the stochastic calculation.
  • %K Slowing Periods. This value controls the internal smoothing of %K. A value of 1 is considered a fast stochastic; a value of 3 is considered a slow stochastic.
  • %D periods. This is the number of time periods used when calculating a moving average of %K.
  • %D method. The method (i.e., Exponential, Simple, Smoothed, or Weighted) that is used to calculate %D.

The formula for %K is:

%K = (CLOSE - MIN (LOW (%K))) / (MAX (HIGH (%K)) - MIN (LOW (%K))) * 100

Where:

CLOSE — today’s closing price;
MIN (LOW (%K)) — the lowest minimum in %K periods;
MAX (HIGH (%K)) — the highest maximum in %K periods.

The %D moving average is calculated according to the formula:

%D = SMA (%K, N)

Where:

N — smoothing period;
SMA — Simple Moving Average.


Triple Exponential Average

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Oscillators / Triple Exponential Average

Triple Exponential Average

Triple Exponential Average (TRIX) was developed by Jack Hutson as an oscillator of the overbought/oversold market conditions. It can also be used as the Momentum indicator. Triple smoothing is used for removing the cyclic components in price movements with the period less than that of TRIX.

The zone is used as the indicator of overbought or oversold state (positive and negative respectively). The signal to buy is crossing of the zero line from below, or "bulls'" divergence; the signal to sell is the indicator's crossing the zero line from above, or "bears'" divergence with prices. The distinctive feature of the indicator is the perfect filtration of price noises and absence of lag that is so typical of most moving averages.

You can test the trade signals of this indicator by creating an Expert Advisor in MQL5 Wizard.

Triple Exponential Average

Calculation

First the Exponential Moving Average of a price is calculated:

EMA1(i) = EMA(Price, N, i)

Where:

Price(i) — current price;
N — EMA period;
EMA1(i) — current value of the Exponential Moving Average.

Then the second smoothing of the obtained average is performed - double exponential smoothing:

EMA2(i) = EMA(EMA1, N, i).

The double Exponential Moving Average is smoothed exponentially once again - we get the Triple Exponential Moving Average:

EMA3(i) = EMA(EMA2, N, i);

Now the indicator itself is calculated:

TRIX(i) = (EMA3(i) - EMA3(i - 1))/ EMA3(i-1)


Williams' Percent Range

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Oscillators / Williams' Percent Range

Williams’ Percent Range

Williams’ Percent Range Technical Indicator (%R) is a dynamic technical indicator, which determines whether the market is overbought/oversold. Williams’ %R is very similar to the Stochastic Oscillator. The only difference is that %R has an upside down scale and the Stochastic Oscillator has internal smoothing.

Indicator values ranging between -80% and -100% indicate that the market is oversold. Indicator values ranging between -0% and -20% indicate that the market is overbought. To show the indicator in this upside down fashion, one places a minus symbol before the Williams' Percent Range values (for example -30%). One should ignore the minus symbol when conducting the analysis.

As with all overbought/oversold indicators, it is best to wait for the symbol price to change direction before placing your trades. For example, if an overbought/oversold indicator is showing an overbought condition, it is wise to wait for the security’s price to turn down before selling the security.

An interesting phenomenon of the Williams' Percent Range indicator is its uncanny ability to anticipate a reversal in the underlying security’s price. The indicator almost always forms a peak and turns down a few days before the security’s price peaks and turns down. Likewise, Williams Percent Range usually creates a trough and turns up a few days before the security’s price turns up.

You can test the trade signals of this indicator by creating an Expert Advisor in MQL5 Wizard.

Williams' Percent Range

Calculation

Below is the formula of the %R indicator calculation, which is very similar to the Stochastic Oscillator formula:

%R = -(MAX (HIGH (i - n)) - CLOSE (i)) / (MAX (HIGH (i - n)) - MIN (LOW (i - n))) * 100

Where:

CLOSE (i) — today's closing price;
MAX (HIGH (i - n)) — the highest maximum over a number (n) of previous periods;
MIN (LOW (i - n)) — the lowest minimum over a number (n) of previous periods.


Volume Indicators

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Volume Indicators

Volume Indicators

Volume indicators are those that account for the volume. For the Forex market 'volume' means number of ticks (price changes) that appeared in the time interval. For stock securities volume means the volume of executed trades (in contracts or money terms).

The following volume indicators are available in the trading platform:

  • Accumulation/Distribution
  • Money Flow Index
  • On Balance Volume
  • Volumes


Accumulation/Distribution

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Volume Indicators / Accumulation/Distribution

Accumulation/Distribution

Accumulation/Distribution Technical Indicator is determined by the changes in price and volume. The volume acts as a weighting coefficient at the change of price — the higher the coefficient (the volume) is the greater the contribution of the price change (for this period of time) will be in the value of the indicator.

In fact, this indicator is a variant of the more commonly used indicator On Balance Volume. They are both used to confirm price changes by means of measuring the respective volume of sales.

When the Accumulation/Distribution indicator grows, it means accumulation (buying) of a particular security, as the overwhelming share of the sales volume is related to an upward trend of prices. When the indicator drops, it means distribution (selling) of the security, as most of sales take place during the downward price movement.

Divergences between the Accumulation/Distribution indicator and the price of the security indicate the upcoming change of prices. As a rule, in case of such divergences, the price tendency moves in the direction in which the indicator moves. Thus, if the indicator is growing, and the price of the security is dropping, a turnaround of price should be expected.

Calculation

A certain share of the daily volume is added to or subtracted from the current accumulated value of the indicator. The nearer the closing price to the maximum price of the day is, the higher the added share will be. The nearer the closing price to the minimum price of the day is the greater the subtracted share will be. If the closing price is exactly in between the maximum and minimum of the day, the indicator value remains unchanged.

A/D(i) =((CLOSE(i) - LOW(i)) - (HIGH(i) - CLOSE(i)) * VOLUME(i) / (HIGH(i) - LOW(i)) + A/D(i-1)

Where:

A/D(i) — value of the Accumulation/Distribution indicator for the current bar;
CLOSE(i) — close price of the bar;
LOW(i) — the lowest price of the bar;
HIGH(i) — the highest price of the bar;
VOLUME(i) — volume;
A/D(i-1) — value of the Accumulation/Distribution indicator for the previous bar.


Money Flow Index

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Volume Indicators / Money Flow Index

Money Flow Index

Money Flow Index (MFI) is the technical indicator, which indicates the rate at which money is invested into a security and then withdrawn from it. Construction and interpretation of the indicator is similar to Relative Strength Index with the only difference that volume is important to MFI.

When analyzing the money flow index one needs to take into consideration the following points:

  • divergences between the indicator and price movement. If prices grow while MFI falls (or vice versa), there is a great probability of a price turn;
  • Money Flow Index value, which is over 80 or under 20, signals correspondingly of a potential peak or bottom of the market.

Money Flow Index

Calculation

The calculation of Money Flow Index includes several stages. At first one defines the typical price (TP) of the period in question:

TP = (HIGH + LOW + CLOSE) / 3

Then one calculates the amount of the Money Flow (MF):

MF = TP * VOLUME

If today’s typical price is larger than yesterday’s TP, then the money flow is considered positive. If today’s typical price is lower than that of yesterday, the money flow is considered negative.

POSITIVE MONEY FLOW is a sum of positive money flows for a selected period of time. NEGATIVE MONEY FLOW is the sum of negative money flows for a selected period of time.

Then one calculates the money ratio (MR) by dividing the positive money flow by the negative money flow:

MR = POSITIVE MONEY FLOW / NEGATIVE MONEY FLOW

And finally, one calculates the money flow index using the money ratio:

MFI = 100 - (100 / (1 + MR)

Where:

HIGH — the highest price of the current bar;
LOW — the lowest price of the current bar;
CLOSE — close price of the current bar;
VOLUME — volume of the current bar.


On Balance Volume

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Volume Indicators / On Balance Volume

On Balance Volume

On Balance Volume Technical Indicator (OBV) is a momentum technical indicator that relates volume to price change. The indicator, which Joseph Granville came up with, is pretty simple. If the close price of the current bar is higher than that of the previous bar, the volume of the current bar is added to the previous OBV. If the current bar close price is lower than of the previous one, the current volume is subtracted from the previous OBV.

The basic assumption, regarding On Balance Volume analysis, is that OBV changes precede price changes. The theory is that smart money can be seen flowing into the security by a rising OBV. When the public then moves into the security, both the security and the On Balance Volume will surge ahead.

If the security’s price movement precedes OBV movement, a "non-confirmation" has occurred. Non-confirmations can occur at bull market tops (when the security rises without, or before, the OBV) or at bear market bottoms (when the security falls without, or before, the On Balance Volume Technical Indicator).

The OBV is in a rising trend when each new peak is higher than the previous peak and each new trough is higher than the previous trough. Likewise, the On Balance Volume is in a falling trend when each successive peak is lower than the previous peak and each successive trough is lower than the previous trough. When the OBV is moving sideways and is not making successive highs and lows, it is in a doubtful trend.

Once a trend is established, it remains in force until it is broken. There are two ways in which the On Balance Volume trend can be broken. The first occurs when the trend changes from a rising trend to a falling trend, or from a falling trend to a rising trend.

The second way the OBV trend can be broken is if the trend changes to a doubtful trend and remains doubtful for more than three days. Thus, if the security changes from a rising trend to a doubtful trend and remains doubtful for only two days before changing back to a rising trend, the On Balance Volume is considered to have always been in a rising trend.

When the OBV changes to a rising or falling trend, a "breakout" has occurred. Since OBV breakouts normally precede price breakouts, investors should buy long on On Balance Volume upside breakouts. Likewise, investors should sell short when the OBV makes a downside breakout. Positions should be held until the trend changes.

On Balance Volume

Calculation

If the current close price is higher than the previous one, then:

OBV (i) = OBV (i - 1) + VOLUME (i).

If the current close price is lower than the previous one, then:

OBV (i) = OBV (i - 1) - VOLUME (i)

If the current close price is equal to the previous one, then:

OBV (i) = OBV (i - 1)

Where:

OBV (i) — value of the On Balance Volume indicator in the current period;
OBV (i - 1) — value of the On Balance Volume indicator in the previous period;
VOLUME (i) — volume of the current bar.


Volumes

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Volume Indicators / Volumes

Volumes

For the Forex market, Volumes is the indicator of the number of price changes within each period of a selected timeframe. For stock symbols this is an indicator of actually traded volumes (contracts, money, units, etc.)

Bars of the indicator have two colors. The green color means that the volume of the current bar is larger than that of the previous one. The red color means that the volume of the current bar is smaller than the volume of the previous bar. The indicator colors, as well as its application to tick or real volumes are set in the indicator parameters.


Bill Williams' Indicators

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Bill Williams' Indicators

Bill Williams' Indicators

Bill Williams' Indicators are included into a separate group, because they are part of the trading system described in his books.

The following Bill Williams' indicators are available in the trading platform:

  • Accelerator Oscillator
  • Alligator
  • Awesome Oscillator
  • Fractals
  • Gator Oscillator
  • Market Facilitation Index


Accelerator Oscillator

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Bill Williams' Indicators / Accelerator Oscillator

Accelerator Oscillator

Price is the latest element to change. Prior to price changes, the market driving force changes its direction, the driving force acceleration must slow down and reach nought. After that it starts accelerating in the opposite direction until price starts changing its direction.

Acceleration/Deceleration Technical Indicator (AC) measures acceleration and deceleration of the current driving force. This indicator will change direction before any changes in the driving force, which, it its turn, will change its direction before the price. If you realize that Acceleration/Deceleration is a signal of an earlier warning, it gives you evident advantages.

The nought line is basically the spot where the driving force is at balance with the acceleration. If Acceleration/Deceleration is higher than nought, then it is usually easier for the acceleration to continue the upward movement (and vice versa in cases when it is below nought). Unlike in case with Awesome Oscillator, it is not regarded as a signal when the nought line is crossed. The only thing that needs to be done to control the market and make decisions is to watch for changes in color. To save yourself serious reflections, you must remember: you can not buy with the help of Acceleration/Deceleration, when the current column is colored red, and you can not sell, when the current column is colored green.

If you enter the market in the direction of the driving force (the indicator is higher than nought, when buying, or it is lower than nought, when selling), then you need only two green columns to buy (two red columns to sell). If the driving force is directed against the position to be opened (indicator below nought for buying, or higher than nought for selling), a confirmation is needed, hence, an additional column is required. In this case the indicator is to show three red columns over the nought line for a short position and three green columns below the nought line for a long position.

You can test the trade signals of this indicator by creating an Expert Advisor in MQL5 Wizard.

Calculation

AC bar chart is the difference between the value of 5/34 of the driving force bar chart and 5-period simple moving average, taken from that bar chart.

MEDIAN PRICE = (HIGH + LOW) / 2

AO = SMA (MEDIAN PRICE, 5) - SMA (MEDIAN PRICE, 34)

AC = AO - SMA (AO, 5)

Where:

MEDIAN PRICE — median price;
HIGH — the highest price of the bar;
LOW — the lowest price of the bar;
SMA — Simple Moving Average;
AO — Awesome Oscillator.


Alligator

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Bill Williams' Indicators / Alligator

Alligator

Most of the time the market remains stationary. Only for some 15–30% of time the market generates trends, and traders who are not located in the exchange itself derive most of their profits from the trends. My Grandfather used to repeat: "Even a blind chicken will find its corns, if it is always fed at the same time". We call the trade on the trend "a blind chicken market". It took us years, but we have produced an indicator, that lets us always keep our powder dry until we reach the "blind chicken market".

Bill Williams

Alligator Technical Indicator is a combination of Balance Lines (Moving Averages) that use fractal geometry and nonlinear dynamics.

  • The blue line (Alligator's Jaw) is the Balance Line for the timeframe that was used to build the chart (13-period Smoothed Moving Average, moved into the future by 8 bars);
  • Red Line (Alligator's Teeth) is the Balance Line for the value timeframe of one level lower (8-period Smoothed Moving Average, moved by 5 bars into the future);
  • Green Line (Alligator's Lips) is the Balance Line for the value timeframe, one more level lower (5-period Smoothed Moving Average, moved by 3 bars into the future).

Lips, Teeth and Jaw of the Alligator show the interaction of different time periods. As clear trends can be seen only 15 to 30 per cent of the time, it is essential to follow them and refrain from working on markets that fluctuate only within certain price periods.

When the Jaw, the Teeth and the Lips are closed or intertwined, it means the Alligator is going to sleep or is asleep already. As it sleeps, it gets hungrier and hungrier — the longer it will sleep, the hungrier it will wake up. The first thing it does after it wakes up is to open its mouth and yawn. Then the smell of food comes to its nostrils: flesh of a bull or flesh of a bear, and the Alligator starts to hunt it. Having eaten enough to feel quite full, the Alligator starts to lose the interest to the food/price (Balance Lines join together) — this is the time to fix the profit.

Calculation

MEDIAN PRICE = (HIGH + LOW) / 2

ALLIGATORS JAW = SMMA (MEDIAN PRICE, 13, 8)

ALLIGATORS TEETH = SMMA (MEDIAN PRICE, 8, 5)

ALLIGATORS LIPS = SMMA (MEDIAN PRICE, 5, 3)

Where:

MEDIAN PRICE — median price;
HIGH — the highest price of the bar;
LOW — the lowest price of the bar;
SMMA (A, B, C) — Smoothed Moving Average. A parameter is for data to be smoothed, B is the smoothing period, C is shift to future. For example, SMMA (MEDIAN PRICE, 5, 3) means that the smoothed moving average will be calculated on the median price, smoothing period being equal to 5 bars and shift being 3;
ALLIGATORS JAW — Alligator's jaws (blue line);
ALLIGATORS TEETH — Alligator's teeth (red line);
ALLIGATORS LIPS — Alligator's lips (green line).


Awesome Oscillator

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Bill Williams' Indicators / Awesome Oscillator

Awesome Oscillator

Bill Williams's Awesome Oscillator Technical Indicator (AO) is a 34-period simple moving average, plotted through the bars midpoints (H+L)/2, which is subtracted from the 5-period simple moving average, built across the bars midpoints (H+L)/2. It shows us quite clearly what’s happening to the market driving force at the present moment.

Signals to Buy

"Saucer" is the only signal to buy that comes when the bar chart is higher than the zero line. One must bear in mind:

  • the saucer signal is generated when the bar chart reversed its direction from the downward to upward. The second column is lower than the first one and is colored red. The third column is higher than the second and is colored green;
  • for the saucer signal to be generated the bar chart should have at least three columns.

Keep in mind, that all Awesome Oscillator columns should be over the zero line for the saucer signal to be used.

"Zero line crossing" is the signal to buy generated when the bar chart passes from the area of negative values to that of positive. It comes when the bar chart crosses the zero line. As regards this signal:

  • for this signal to be generated, only two columns are necessary;
  • the first column is to be below the zero line, the second one is to cross it (transition from a negative value to a positive one);
  • simultaneous generation of signals to buy and to sell is impossible.

"Twin peaks" is the only signal to buy that can be generated when the bar chart values are below the zero line. As regards this signal, please, bear in mind:

  • the signal is generated, when you have a peak pointing down (the lowest minimum) which is below the zero line and is followed by another down-pointing peak which is somewhat higher (a negative figure with a lesser absolute value, which is therefore closer to the zero line), than the previous down-looking peak;
  • the bar chart is to be below the zero line between the twin peaks. If the bar chart crosses the zero line in the section between the peaks, the signal to buy doesn’t function. However, a different signal to buy will be generated — zero line crossing;
  • each new peak of the bar chart is to be higher (a negative number of a lesser absolute value that is closer to the zero line) than the previous peak;
  • if an additional higher peak is formed (that is closer to the zero line) and the bar chart has not crossed the zero line, an additional signal to buy will be generated.

Signals to Sell

Awesome Oscillator signals to sell are identical to the signals to buy. The saucer signal is reversed and is below zero. Zero line crossing is on the decrease — the first column of it is over the zero, the second one is under it. The twin peaks signal is higher than the zero line and is reversed too.

You can test the trade signals of this indicator by creating an Expert Advisor in MQL5 Wizard.

Calculation

AO is a 34-period simple moving average, plotted through the central points of the bars (H+L)/2, and subtracted from the 5-period simple moving average, graphed across the central points of the bars (H+L)/2.

MEDIAN PRICE = (HIGH + LOW) / 2

AO = SMA (MEDIAN PRICE, 5) - SMA (MEDIAN PRICE, 34)

Where:

MEDIAN PRICE — median price;
HIGH — the highest price of the bar;
LOW — the lowest price of the bar;
SMA — Simple Moving Average.


Fractals

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Bill Williams' Indicators / Fractals

Fractals

All markets are characterized by the fact that on the most part the prices do not change too much, and only short periods of time (15–30 percent) account for trend changes. Most lucrative periods are usually the case when market prices change according to a certain trend.

A Fractal is one of five indicators of Bill Williams’ trading system, which allows to detect the bottom or the top. Technical definition of the upwards fractal is a series of at least five successive bars, with the highest HIGH in the middle, and two lower HIGHs on both sides. The reversing set is a series of at least five successive bars, with the lowest LOW in the middle, and two higher LOWs on both sides, which correlates to the sell fractal. The fractals have High and Low values and are indicated with the up and down arrows in a chart.

The Fractal signals need to be filtrated with the use of Alligator. In other words, you should not close a buy transaction, if the fractal is lower than the Alligator’s Teeth, and you should not close a sell transaction, if the fractal is higher than the Alligator’s Teeth. After the fractal signal has been created and is in force, which is determined by its position beyond the Alligator’s Mouth, it remains a signal until it gets attacked, or until a more recent fractal signal emerges.


Gator Oscillator

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Bill Williams' Indicators / Gator Oscillator

Gator Oscillator

Gator Oscillator is based on the Alligator and shows the degree of convergence/divergence of the Balance Lines (Smoothed Moving Average). The upper histogram is the absolute difference between the values of the blue and the red lines. The lower histogram is the absolute difference between the values of the red line and the green line, but with the minus sign, as the histogram chart is drawn top-down.

Calculation

MEDIAN PRICE = (HIGH + LOW) / 2

ALLIGATORS JAW = SMMA (MEDIAN PRICE, 13, 8)

ALLIGATORS TEETH = SMMA (MEDIAN PRICE, 8, 5)

ALLIGATORS LIPS = SMMA (MEDIAN PRICE, 5, 3)

Where:

MEDIAN PRICE — median price;
HIGH — the highest price of the bar;
LOW — the lowest price of the bar;
SMMA (A, B, C) — Smoothed Moving Average. Parameter A — smoothed data, B — smoothing period, C — shift to future. For example, SMMA (MEDIAN PRICE, 5, 3) means that the smoothed moving average is taken from the median price, while the smoothing period is equal to 5 bars, and the shift is equal to 3 bars;
ALLIGATORS JAW — Alligator's jaws (blue line);
ALLIGATORS TEETH — Alligator's teeth (red line);
ALLIGATORS LIPS — Alligator's lips (green line).


Market Facilitation Index

Price Charts, Technical and Fundamental Analysis / Technical Indicators / Bill Williams' Indicators / Market Facilitation Index

Market Facilitation Index

Market Facilitation Index Technical Indicator (BW MFI) is the indicator which shows the change of price for one tick. Absolute values of the indicator do not mean anything as they are, only indicator changes have sense. Bill Williams emphasizes the interchanging of MFI and volume:

  • Market Facilitation Index increases and volume increases — this points out that: a) the number of players coming into the market increases (volume increases) b) the new coming players open positions in the direction of bar development, i.e., the movement has begun and picks up speed.
  • Market Facilitation Index falls and volume falls. It means the market participants are not interested anymore.
  • Market Facilitation Index increases, but the volume falls. It is most likely, that the market is not supported with the volume from traders, and the price is changing due to speculations of the floor traders (broker agents and dealers).
  • Market Facilitation Index falls, but the volume increases. There is a battle between bulls and bears, characterized by a large sell and buy volume, but the price is not changing significantly since the forces are equal. One of the contending parties (buyers vs. sellers) will eventually win the battle. Usually, the break of such a bar lets you know if this bar determines the continuation of the trend or annuls the trend. Bill Williams calls such bar "curtsying".

Market Facilitation Index

Calculation

To calculate Market Facilitation Index you need to subtract the lowest bar price from the highest bar price and divide it by the volume.

BW MFI = (HIGH - LOW) / VOLUME

Where:

HIGH — the highest price of the bar;
LOW — the lowest price of the bar;
VOLUME — volume of the current bar.


Analytical Objects

Price Charts, Technical and Fundamental Analysis / Analytical Objects

Analytical Objects

Identifying trends, plotting channels, defining cycles and support/resistance levels — all these and many other tasks can be solved using analytical objects. The trading platform provides 46 analytical tools. They include geometric shapes, channels, Gann, Fibonacci and Elliott tools, and more. Unlike technical indicators, graphical objects are plotted manually.

Types of Analytical Objects

46 analytical objects are available in the trading platform. They are grouped into the following categories:

  • Lines — various lines (trend lines, horizontal, cyclic lines, etc.) added to price charts and indicators;
  • Channels — various channels (equidistant, regression channel, etc.) added to price charts and indicators;
  • Gann Tools — a set of technical analysis tools developed by W. D. Gann;
  • Fibonacci Tools — a set of technical analysis tools created on the basis of the numerical sequence by L. Fibonacci;
  • Elliott Tools — a set of tools technical analysis based on the wave theory of R. N. Elliott;
  • Shapes — geometric shapes (square, triangle, and ellipse) that allow to mark various areas in the price chart;
  • Arrows — symbols (arrows, check and stop signs) allowing to mark the most significant points in the chart;
  • Graphical objects — various graphical objects (text, text labels, button, etc.)

For convenience, all objects are grouped by categories in the Insert menu and the Line Studies toolbar.

Analytical objects in the trading platform

How to Add an Object to a Chart

To add an object, select it from the Insert menu or on the Line Studies toolbar.

Simple objects such as horizontal and vertical lines, arrows, labels, and others are plotted using one point. Select an object, click on the chart, and the object will be immediately added.

More complex objects that are built along the trend, such as channels, Gann and Fibonacci tools, etc. have multiple control points. They are added as follows: click on a chart to add the starting point, then hold down the mouse button and set the object direction and its second point. Below is an example of adding an equidistant channel.

Adding an equidistant channel

Some objects require setting more than one point. The object appears on the chart only after setting all the required points.

Managing Object on the Chart

A created object can be moved and modified. Click on an object to select it. Square markers or frames appear for a selected object. The markers are used for moving objects and changing their drawing parameters.

For example, to change the Fibonacci Fan location, grab its central marker with the left mouse button and move the cursor. Moving of any of its extreme markers changes the object drawing parameters.

The object moving points is its central point as a rule.

Any object can be removed from the chart using the context menu commands. Using the Backspace key, you can remove objects sequentially. Any removed object can be restored. To restore an object, click "Object — Undo Delete" in the Charts menu or press Ctrl+Z.

Some features of working with objects:

  • The platform allows you to quickly create copies of various objects. Select an object, hold down Ctrl and move the object using its central marker.
  • To move a group of objects, select them and drag the point of one of them while holding down Alt.
  • You can use a single click to select objects instead of the double click by enabling option "Select objects by single mouse click" in the platform settings.
  • Magnet sensitivity of objects can be set in the platform settings. When you move a point to the area within the distance specified in "Magnet sensitivity" from one of the bar prices ("Open", "High", "Low" or "Close"), the point is automatically moved to this price level. This feature enables convenient positioning of objects on the chart.

How to Modify Object Properties

Parameters of an added object can be modified. Select the required object in the Object List window and click "Edit" or select " Properties Properties" in the context menu of the object on the chart.

Use the context menu to manage objects:

  • Properties Properties — open the properties of a selected object.
  • List of objects Object List — open the Object List to manage objects on the chart.
  • Delete — delete the selected object.
  • Delete All Arrows Delete All Arrows — delete all arrows belonging to the Arrows group.
  • Delete All Selected Delete All Selected — delete all selected objects.
  • Cancel selection of all objects Unselect All — unselect all objects on the chart.
  • Unselect — unselect the selected object.
  • Undo Delete Undo Delete — restore the last deleted object.

How to Customize the Object Appearance

You can conveniently customize the appearance of analytical objects in the trading platform. You can set up the object parameters when adding it to a chart or modify them later. The object appearance is adjusted on the "Common" tab:

Line color, width and style are set up in the "Style" field. Other general object parameters can be set up here:

  • Name — the unique name of an object within one chart, it is set automatically. It can be changed by entering another name in this field. Such names make it easy to find an object among many other objects of the same type;
  • Description — a text description of an object which also helps to identify objects. The description can be shown on the chart if the "Show object descriptions" option is enabled in the chart settings;

Object Display Settings

The object display on different timeframes (periods) can be changed in the "Visualization" tab.

Object display settings

The object only appears on the selected timeframes. This can be useful when an object has different settings on different timeframes. If the field "All timeframes" is selected, the object is visible on all timeframes.

The "Levels" tab is specifically used only for Fibonacci tools and Andrews' Pitchfork. The list of the object levels is available in the form of a table here.

The values of the levels can be changed or deleted (the "Delete" button). A new level can be added by clicking the "Add" button. The "Defaults" button sets the initial values. The color, width and style of the object levels are set up in the "Style" field.

Object Drawing Parameters

Object drawing parameters are available on the "Common" tab.

Object drawing Parameters

Parameters include:

  • Draw object as background — draw object in the background, behind the chart. This option also sets color filling of objects like shapes or channels (excluding Fibonacci Channel).
  • Disable selection — disable the possibility of object selection. This possibility is intended for control objects ("Button", "Entry field", "Graphic label"). This option allows to change the state of buttons and graphic labels, as well enter values in the entry fields.

Coordinates of the object control points can be changed on the "Parameters" tab. Time coordinates are set in the "Date" fields. Values of coordinates along the vertical axis are entered in the "Value" fields. An object can have from one to three coordinates.

For some objects, additional options are available in the "Parameters" tab:

  • Angle in degrees — angle of the object slope counter-clockwise in degrees;
  • Scale — ratio between units of vertical (pips) and horizontal (bars) axes of the object. Normally, the number of pixels in a unit of the horizontal (time) axis differs from that of the vertical (prices) axis. Scale 1:1 sets them to the same value. Changing this setting for individual objects changes the ratio;
  • Arrow code — code of the object;
  • Ray right/left — displaying trend lines as rays in specified directions;
  • Anchor — one of the chart corners or sides where its anchor point is located;
  • X-distance: — horizontal distance between the anchor corner of the window and the text label in pixels;
  • Y-distance: — vertical distance between the anchor corner of the window and the text label in pixels;

The complete list of object parameters is available in object description sections.

What Platform Settings Affect Object Drawing

The trading platform has common object drawing settings, which are available in the Chart section.

  • Show object properties after creation — all objects have certain properties. For example, thickness and color of the trend line, period of the indicator's signal line, etc. Most traders use standard settings of all graphical objects, but in some cases you may need to set them up individually. Option "Show object properties after creation" allows to automatically open the window of properties of graphical objects and indicators after they are applied to a chart.
  • Select objects by single mouse click — graphical objects in the platform can be selected by a single or double click. This option allows to switch between the object selection methods. If it is enabled, all objects are selected by a single click. If this option is disabled, all objects are selected by a double click.
  • Precise time scale — if this option is disabled, objects are bound to bars along the horizontal scale of a chart. If you enable it, then it is possible to position an object at any point between bars.
  • Select objects after creation — objects are positioned on charts manually. After creating an object you may need to move it, for example to accurately position a trend line. To do that, it is necessary to select the object first. This option allows to do that automatically right after placing an object on a chart.
  • Magnet sensitivity — the platform allows to "dock" anchor points (except for the central moving points) of graphical objects to different bar prices to locate them more precisely. In the "Magnet sensitivity" field, the sensitivity of this option in pixels can be defined. For example, if the value of 10 is specified, the object is automatically docked to a bar if the object's anchor point is located within a distance of 10 pips from the nearest bar price (OHLC). The point should also be within the bar width. To disable the option, set the parameter to 0.

When you add an object to a chart with the timeframe other than M1, the following magnet features are active:

  • When anchoring a point of an object to one of the extreme price (OHLC), the specific minute is determined, where the extremum was recorded. Point of the object is bound to that minute, and it is reflected in the object properties. This kind of behavior allows keeping proper positioning of objects when switching between timeframes.
  • If the "Precise time scale" option is additionally enabled, then you may observe an effect when the anchor point moves away from an extreme point. This behavior appears if the actual extreme point does not correspond to the extreme point of a bar.


Lines

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Lines

Lines

Various lines can be applied to a price or indicator chart using the "Objects — Lines" items of the "Insert" menu or the "Line Studies" toolbar. The following line types are available in the platform:

 | Type | Description
Horizontal Line | Horizontal Line | Horizontal line can be used to mark various levels, particularly, those of support/resistance. One point must be set for this object to be imposed. Read more...
Vertical Line | Vertical Line | Vertical line can be used to mark various borders in the time axis and to compare signals of indicators to price changes. One point must be set for this object to be imposed. Read more...
Trendline | Trendline | Trendline helps to explore trends in price changes. Two points must be set through which a trendline will be drawn. Read more...
Trendline by Angle | Trendline by Angle | Trendline by angle helps to explore trends in price changes. Unlike for a simple trendline, an angle must be set for this line to be drawn. Two points must be set through which a trendline will be drawn. Read more...
Cycle Lines | Cycle Lines | This tool represents a row of vertical lines placed at equal intervals. Normally, a unit interval corresponds with one cycle. At that, completed lines are considered to describe future cycles. The tool is drawn on two points that define the unit interval. Read more...
Arrowed Line | Arrowed Line | This object is a straight line with an arrow at its end. It is intended for drawing explanatory schemes in charts. Two points must be set for this tool to be drawn. Read more...


Horizontal Line

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Lines / Horizontal Line

Horizontal Line

To plot a horizontal line, one should select this object and click once with your left mouse-button on a necessary point in the chart.

Parameters

A horizontal line has only one parameter - value on the price scale:

The necessary price level can be specified in the "Value" field. Common parameters of object are described in a separate section.


Vertical Line

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Lines / Vertical Line

Vertical Line

To plot a vertical line, one should select this object and click once with your left mouse-button on a necessary point in the chart. A separate vertical line can be displayed on each window (chart and indicator subwindows) or one vertical line can be drawn for all the windows, depending on the specified parameters.

Parameters

There are the following parameters of a vertical line:

  • Date — position of the vertical line along the time axis;
  • Ray — if this option is enabled, one vertical line will be drawn for the chart window and indicator subwindows. If the option is disabled, the vertical line will be displayed only in the window it is created in.

Common parameters of object are described in a separate section.


Trendline

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Lines / Trendline

Trendline

A trendline is a straight line that joins two important minimal or maximal price lines in a chart. Within a main trend there can be any number of secondary or minor trends. The length of each of them differs within wide ranges. It should be remembered that a trendline must not intersect with other prices between the two selected points. A trendline is a support/resistance pass-through where price changes within the range of the pass-through.

Drawing

To draw a trendline, one should select this object and then click with the left mouse button in the chart. After that holding the mouse button one should draw a line in the necessary direction. Additional parameters will be shown near the end point: distance from the initial point along the time axis, distance from the initial point along the price axis, slope line from the horizontal line drawn through the initial point.

Controls

Three points are located on a trendline. Extreme points are points for changing size and slope. The central one is used for moving the object.

Parameters

There are the following parameters of a trendline:

  • Date/Value — coordinates of the initial point (date/value of the price scale);
  • Date/Value — coordinates of the end point (date/value of the price scale);
  • Ray Right — infinite duration of a trendline to the right;
  • Ray Left — infinite duration of a trendline to the left.

Common parameters of object are described in a separate section.


Trendline by Angle

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Lines / Trendline by Angle

Trendline by Angle

To draw a trendline by angle, one should select this object and then click with the left mouse button in the chart to choose the initial point of the line. After that holding the mouse button one should draw a line in the necessary direction. Additional parameters will be shown near the end point: distance from the initial point along the time axis, distance from the initial point along the price axis, slope line from the horizontal line drawn through the initial point.

Trendline by Angle

Parameters

There are the following parameters of a trendline by angle:

  • Date/Value — coordinates of the initial point (date/value of the price scale);
  • Date/Value — coordinates of the end point (date/value of the price scale);
  • Angle in degrees — slope angle of the trendline from a horizontal line drawn through the initial point;
  • Ray Right — infinite duration of a trendline to the right;
  • Ray Left — infinite duration of a trendline to the left.

Common parameters of object are described in a separate section.


Cycle Lines

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Lines / Cycle Lines

Cycle Lines

To draw cycle lines, one should select this object and then click with the left mouse button in the chart to choose the initial point of the lines. After that holding the mouse button one should move the mouse to the right for setting the period to draw lines. There is a trendline between the first and second vertical lines; it helps to draw grounded cycles upon price variations.

Parameters

There are the following parameters of cycle lines:

  • Date/Value — coordinates of the initial point (date/value of the price scale) on the first line;
  • Date/Value — coordinates of the second point (date/value of the price scale) on the second line.

Common parameters of object are described in a separate section.


Arrowed Line

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Lines / Arrowed Line

Arrowed Line

This object is a straight line with an arrow at its end. It is intended for drawing explanatory schemes in charts.

Drawing

To draw an arrowed line, one should select this object and then click with the left mouse button in the chart. After that holding the mouse button one should draw a line in the necessary direction. Additional parameters will be shown near the end point: distance from the initial point along the time axis, distance from the initial point along the price axis, slope line from the horizontal line drawn through the initial point.

Controls

Three points are located on an arrowed line. Extreme points are points for changing size and slope. The central one is used for moving the object.

Parameters

There are the following parameters of an arrowed line:

  • Date/Value — coordinates of the initial point (date/value of the price scale);
  • Date/Value — coordinates of the end point (date/value of the price scale).

Common parameters of object are described in a separate section.


Channels

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Channels

Channels

Various channels can be applied to a price or indicator chart using the "Objects — Channels" items of the "Insert" menu or the "Line Studies" toolbar. The following channel types are available in the platform:

 | Type | Description
Equidistant Channel | Equidistant Channel | Lines of the equidistant (trend) channel are always parallel. Two points must be set for this tool to be drawn. Read more...
Standard Deviation Channel | Standard Deviation Channel | Standard deviation is the way of volatility measuring based on statistical methods. Standard deviation influences the width of this channel. Two points must be set for this tool to be drawn. Read more...
Regression Channel | Regression Channel | Regression channel is a statistical analysis tool used for forecasting of future values on basis of available data. If the trend is ascending, one can logically suppose that the next bar will be a bit higher than the preceding one. The linear regression method allows to have a statistical demonstration of such logical conclusions. Two points must be set for this tool to be drawn. Read more...
Andrews' Pitchfork | Andrews' Pitchfork | This tool is drawn on three points and represents the parallel trendlines. The first trendline starts at the selected leftmost point (it is an important peak or trough) and is drawn precisely between two rightmost points. This line is the pitchfork «helve». Then, the second and the third trendlines outgoing from the above-mentioned rightmost points (significant peak and trough) are drawn in parallel to the first trendline. These lines are the pitchfork «teeth». Interpretation of Andrews’ Pitchfork is based on standard rules of interpretation of support and resistance. Read more...


Equidistant Channel

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Channels / Equidistant Channel

Equidistant Channel

Equidistant Channel represents two parallel trendlines connecting extreme maximum and minimum close prices. Market price jumps, draws peaks and troughs forming the channel in the trend direction. Early identification of the channel can give valuable information including that about changes in the trend direction what allows to estimate possible profits and losses.

Drawing

To draw the equidistant channel, one should select this object and then click with the left mouse button in the chart. After that holding the mouse button one should draw the channel in the necessary direction and set its width. Additional parameters will be shown near the end point of the lower border of the channel: distance from the initial point along the time axis, distance from the initial point along the price axis.

Controls

On the main channel line there are three points that can be moved with the mouse. Moving of the first point changes the channel width and the length of the upper and lower borders (length of borders is changed proportionally but in different directions). Moving of the central point of the main line will move the channel without changing its dimensions. Manipulations with the third point allow changing the length and direction of the whole channel. Moving of the point of the second channel line allows moving this border independently from the main line.

Parameters

There are the following parameters of the equidistant channel:

  • Date/Value — coordinates of the first point (anchor) on the main line (date/value of the price scale);
  • Date/Value — coordinates of the last point (moving point) on the main line (date/value of the price scale);
  • Date/Value — point coordinates of the second line (date/value of the price scale);
  • Ray Right — infinite duration of the channel to the right;
  • Ray Left — infinite duration of the channel to the left;
  • Fill — enable/disable color filling inside the channel.

Common parameters of object are described in a separate section.


Standard Deviation Channel

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Channels / Standard Deviation Channel

Standard Deviation Channel

Standard Deviation Channel is built on base of Linear Regression Trend representing a usual trendline built between two points on the price chart using the method of least squares. As a result, this line proves to be the exact median line of the changing price. It can be considered as an equilibrium price line, and any deflection up or down indicates the superactivity of buyers or sellers respectively.

Standard Deviation Channel consists of two parallel lines, equidistant up and down from the Linear Regression Trend. The distance between frame of the channel and regression line equals to the value of the standard deviation of the close price from the regression line. All price changes take place within Standard Deviation Channel, where the lower frame works as support line, and the upper one does as resistance line. Prices usually exceed the channel frames for a short time. If they keep outside of the channel frames for a longer time than usually, it forecasts the possibility of trend turn.

Drawing

To draw the channel, one should select this object and then click with the left mouse button in the chart. After that holding the mouse button one should draw the channel in the necessary direction and set its length. Additional parameters will be shown near the end point of the trendline of the channel: distance from the initial point along the time axis, distance from the initial point along the price axis.

Standard Deviation Channel

Controls

On the trend line of the channel linear regression there are three points that can be moved with the mouse. The first and the last points are used to change the channel length in different directions. The central point (moving point) is used to move a channel in the chart without changing its dimensions.

Parameters

There are the following parameters of the standard deviation channel:

  • Date — coordinate on the time scale of the first point of the trend of the channel linear regression.
  • Date — coordinate on the time scale of the last point of the trend of the channel linear regression.
  • Ray Right — infinite duration of the channel to the right;
  • Ray Left — infinite duration of the channel to the left;
  • Fill — enable/disable color filling inside the channel;
  • Deviations — number of standard deviation values for building the channel borders.

Common parameters of object are described in a separate section.


Regression Channel

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Channels / Regression Channel

Regression Channel

Regression Channel is built on base of Linear Regression Trend representing a usual trendline drawn between two points on a price chart using the method of least squares. As a result, this line proves to be the exact median line of the changing price. It can be considered as an equilibrium price line, and any deflection up or down indicates the superactivity of buyers or sellers respectively.

Linear Regression Channel consists of two parallel lines, equidistant up and down from the line of linear regression trend. The distance between frame of the channel and regression line equals to the value of maximum close price deviation from the regression line.

Drawing

To draw the channel, one should select this object and then click with the left mouse button in the chart. After that holding the mouse button one should draw the channel in the necessary direction and set its length. Additional parameters will be shown near the end point of the trendline of the channel: distance from the initial point along the time axis, distance from the initial point along the price axis.

Controls

On the trend line of the channel linear regression there are three points that can be moved with the mouse. The first and the last points are used to change the channel length in different directions. The central point (moving point) is used to move a channel in the chart without changing its dimensions.

Parameters

There are the following parameters of the regression channel:

  • Date — coordinate on the time scale of the first point of the trend of the channel linear regression.
  • Date — coordinate on the time scale of the last point of the trend of the channel linear regression.
  • Ray Right — infinite duration of the channel to the right;
  • Ray Left — infinite duration of the channel to the left;
  • Fill — enable/disable color filling inside the channel.

Common parameters of object are described in a separate section.


Andrews' Pitchfork

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Channels / Andrews' Pitchfork

Andrews' Pitchfork

Andrews’ Pitchfork is an instrument consisting of three parallel trendlines. This instrument was developed by Dr. Alan Andrews. Interpretation of Andrews’ Pitchfork is based on standard rules of interpretation of support and resistance. The first trend line starts in a selected extreme left point (it is an important peak or trough) and is drawn exactly between two extreme right points. This line is the pitchfork «helve». Then, the second and the third trendlines outgoing from the above-mentioned rightmost points (significant peak and trough) are drawn in parallel to the first trendline. These lines are the pitchfork «teeth». Signal lines are drawn parallel to "tines" of the pitchfork. They are drawn at distances proportional to Fibonacci numbers. The distance between the median line (continuation of a "handle") and "teeth" of the pitchfork.

Drawing

To draw Andrews' Pitchfork, one should select this object and then click with the left mouse button in the chart plotting the first point (beginning of the "handle"). After that one should plot the second point of the "handle" in a chart and holding the mouse button move the cursor thus setting "teeth" of the pitchfork and signal lines at the necessary distance. Additional parameters will be shown near the cursor - three pairs of numbers. The first pair indicates the "handle" beginning, the first value is always equal to zero (because it is the initial point of the object); the second number indicates the distance between "teeth". The second and third pairs of numbers show distance along the time axis and price axis from the "teeth" to the "handle" beginning point.

Controls

Moving of the "handle" beginning point will change the direction of "teeth" only. The second point of the "handle" allows moving Andrews' Pitchfork in the chart without changing its dimensions. Points of "teeth" beginning allow changing the position of teeth separately; when one point is moved, the second stays in its place.

Parameters

For Andrews' Pitchfork level settings (of signal lines). Besides there are the following parameters of the pitchfork:

  • Date/Value — coordinates of the beginning point of Andrews' Pitchfork "handle" (date/value of the price scale);
  • Date/Value — coordinates of the point of the lower "tooth" (lower pivot point) of Andrews' Pitchfork (date/value of the price scale);
  • Date/Value — coordinates of the point of the upper "tooth" (upper pivot point) of Andrews' Pitchfork (date/value of the price scale);
  • Ray Right — infinite duration of the pitchfork to the right;
  • Ray Left — infinite duration of the pitchfork to the left.

Common parameters of object are described in a separate section.


Fibonacci Tools

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Fibonacci Tools

Fibonacci Tools

Fibonacci tools can be applied to a price or indicator chart using the "Objects — Fibonacci" items of the "Insert" menu or the "Line Studies" toolbar. The following types of Fibonacci tools are available in the platform:

 | Type | Description
Fibonacci Retracement | Fibonacci Retracement | Leonardo Fibonacci is considered to have discovered a number sequence where each successive number represents a sum of two preceding ones: 1, 1, 2, 3, 5, 8, 13, 21, 34, 55, 89, 144, etc. Each number is approximately 1.618 times more than the preceding one, and each number makes approximately 0.618 of the successive one. The tool can be drawn on two points that determine the trendline. At that, horizontal lines that meet the trendline at Fibonacci levels (retracement) as 0.0%, 23.6%, 38.2%, 50%, 61.8%, 100%, 161.8%, 261.8%, and 423.6% are drawn automatically. Read more...
Fibonacci Time Zones | Fibonacci Time Zones | Fibonacci Time Zones is a sequence of vertical lines having Fibonacci intervals of 1, 2, 3, 5, 8, 13, 21, 34, etc. Significant price changes are considered to be expected near these lines. The tool is drawn on two points that define the unit interval. Read more...
Fibonacci Fan | Fibonacci Fan | Fibonacci Fan is drawn on two points that define the trendline. Then an «invisible» vertical line is drawn through the second point. Then three trendlines are drawn from the first point, these trendlines meeting the invisible vertical line at Fibonacci levels of 38.2%, 50%, and 61.8%. Significant price changes are considered to be expected near these lines. Read more...
Fibonacci Arcs | Fibonacci Arcs | The tool named Fibonacci Arcs is drawn on two points that define the trendline. Then three arcs having the centers in the second point are drawn, these arcs meeting the trendline at Fibonacci levels of 38.2%, 50%, and 61.8%. It is considered that significant price changes should be expected near these arcs. Read more...
Fibonacci Channel | Fibonacci Channel | To draw this tool, a channel is used the width of which is taken as one. Then, at the distances defined by the Fibonacci sequence, parallels are drawn starting with the distance of 0.618 of the channel width, then 1.000, 1.618, 2.618, 4.236, etc. Two points and the basic channel width must be set for this tool to be drawn. Read more...
Fibonacci Expansion | Fibonacci Expansion | Fibonacci Expansion is drawn on three points that circumscribe two waves. Then three lines meeting the third, "presumptive", wave at Fibonacci levels of 61.8%, 100%, and 161.8%, are drawn. Significant price changes are considered to be expected near these lines. Read more...


Fibonacci Retracement

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Fibonacci Tools / Fibonacci Retracement

Fibonacci Retracement

Fibonacci Retracement is built as follows: first, a trendline is built between two extreme points, for example, from the trough to the opposing peak. Then, nine horizontal lines intersecting the trend line at Fibonacci levels of 0.0, 23.6, 38.2, 50, 61.8, 100, 161.8, 261.8, and 423.6 percent are drawn. After a significant rise or decline, prices often return to their previous levels correcting an essential part (and sometimes completely) of their initial movement. Prices often face support/resistance at the level of Fibonacci Retracements or near them in the course of such a reciprocal movement.

Drawing

To draw Fibonacci Retracement, one should select this object and indicate an initial point in the chart. After that holding the mouse button one should draw a trendline setting the necessary length and slope. Additional parameters will be shown near the end point of the trendline: distance from the initial point along the time axis and distance from the initial point along the price axis, as well as the slope angle relative to a horizontal line drawn through the initial point at the scale 1:1.

Controls

On the trendline there are three points that can be moved using a mouse. The first and the last points allow changing the trendline length and direction. The central point (moving point) is used for moving the object without changing its dimensions.

Levels

This tab is intended for managing levels of the tool. The Fibonacci Retracement has additional feature of displaying price value of each level. To do it, specify the (%$) symbols in the "Description" field.

Parameters

For Fibonacci Retracement construction settings can be changed. Besides, there are the following parameters for this object:

  • Date/Value — coordinates of the initial point of the trend line (date/value of the price scale);
  • Date/Value — coordinates of the end point of the trend line (date/value of the price scale);
  • Ray Right — infinite duration of Fibonacci Retracement to the right;
  • Ray Left — infinite duration of Fibonacci Retracement to the left.

Common parameters of object are described in a separate section.


Fibonacci Time Zones

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Fibonacci Tools / Fibonacci Time Zones

Fibonacci Time Zones

Fibonacci Time Zones is a sequence of vertical lines having Fibonacci intervals of 1, 2, 3, 5, 8, 13, 21, 34, etc. Significant price changes are considered to be expected near these lines.

Drawing

To draw this tool, one should select this object and using the mouse define two points on the chart that will set the length of the unit interval. Additional parameters will be shown near the end point: distance from the initial point along the time axis and distance from the initial point along the price axis, as well as the slope angle relative to a horizontal line drawn through the initial point at the scale 1:1. All other lines are constructed on the basis of this unit interval in accordance with Fibonacci numbers.

Fibonacci Time Zones

Controls

On the unit interval line there are three points that can be moved by a mouse. The first and the last points are used for changing the length and direction of lines. The central point (moving point) is used for moving the object without changing its dimensions.

Parameters

For Fibonacci Time Zones construction setting can be changed. Besides, there are the following parameters for this object:

  • Date/Value — coordinates of the initial point of the trend line (date/value of the price scale);
  • Date/Value — coordinates of the end point of the trend line (date/value of the price scale);

Common parameters of object are described in a separate section.


Fibonacci Fan

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Fibonacci Tools / Fibonacci Fan

Fibonacci Fan

Fibonacci Fan as a line instrument is built as follows: a trendline — for example from a trough to the opposing peak is drawn between two extreme points. Then, an "invisible" vertical line is automatically drawn through the second extreme point. After that, three trend lines intersecting this invisible vertical line at Fibonacci levels of 38.2, 50, and 61.8 percent are drawn from the first extreme point.

These lines are considered to represent support and resistance levels. For getting a more precise forecast, it is recommended to use other Fibonacci tools along with the Fan.

Drawing

To draw Fibonacci Fan, one should select this object and indicate an initial point in the chart. After that holding the mouse button one should draw a trendline setting the necessary length and slope. Additional parameters will be shown near the end point of the trendline: distance from the initial point along the time axis and distance from the initial point along the price axis, as well as the slope angle relative to a horizontal line drawn through the initial point at the scale 1:1.

Controls

On the main trendline there are three points that can be moved by a mouse. The first and the last points are used for changing the length and direction of lines. The central point (moving point) is used for moving Fibonacci Fan without changing its dimensions and direction.

Parameters

For Fibonacci Fan trendline construction settings can be changed. Besides, there are the following parameters for this object:

  • Date/Value — coordinates of the initial point of the trend line (date/value of the price scale);
  • Date/Value — coordinates of the end point of the trend line (date/value of the price scale);

Common parameters of object are described in a separate section.


Fibonacci Arcs

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Fibonacci Tools / Fibonacci Arcs

Fibonacci Arcs

Fibonacci Arcs are built as follows: first, the trend line is drawn between two extreme points, for example, from the trough to the opposing peak. Then three arcs are built having their centers in the second extreme point and intersecting the trend line at Fibonacci levels of 38.2, 50, and 61.8 percent.

Fibonacci arcs are considered to be potential support and resistance levels. Fibonacci Arcs and Fibonacci Fan are usually plotted together on the chart, and support and resistance levels are determined by the points of intersection of these lines.

It should be noted that the points of intersection of Arcs and the price curve can change depending on the chart scale since an arc is a part of a circumference, and its form is always the same.

Drawing

To draw Fibonacci Arcs, one should select this object and indicate an initial point in the chart and, holding the mouse button, one should draw a trendline till the second extreme point. Additional parameters will be shown near the end point of the trendline: distance from the initial point along the time axis and distance from the initial point along the price axis, as well as the slope angle relative to a horizontal line drawn through the initial point at the scale 1:1.

Controls

On the trendline there are three points that can be moved by a mouse. The first and the last points are used for changing the length and direction of lines. The central point (moving point) is used for moving Fibonacci Arcs without changing their dimensions and direction.

Parameters

For Fibonacci Arcs construction settings can be changed. Besides, there are the following parameters for this object:

  • Date/Value — coordinates of the initial point of the trend line (date/value of the price scale);
  • Date/Value — coordinates of the end point of the trend line (date/value of the price scale);
  • Scale — ratio of the minor and larger radii of arcs. The minor radius is measured along the price scale, the larger one - along the time scale. This parameter sets the ratio of pips number to one bar;
  • Ellipse — if this field is checked, Fibonacci Arcs will be specularly closed by identical arcs thus building the shape of an ellipse.

Common parameters of object are described in a separate section.


Fibonacci Channel

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Fibonacci Tools / Fibonacci Channel

Fibonacci Channel

Fibonacci Channels are built using several parallel trendlines. To build this instrument, the channel having the width taken as a unit measure is used. Then, parallel lines are drawn at the values equal to the Fibonacci Numbers, beginning with 0.618-fold size of the channel, then 1.000-fold, 1.618-fold, 2.618-fold, 4.236-fold, etc. As soon as the fifth wave finishes, correction in the direction opposite to the trend can be expected.

It is necessary to remember for a correct Fibonacci Channel building: base line limits the upper part of the channel when trend is ascending, and the lower part of it when trend is descending.

Drawing

To draw Fibonacci Channel, one should select this object and indicate an initial point of the main trendline in the chart. After that holding the mouse button one should draw a trendline in the necessary direction. Additional parameters will be shown near the end point of the trendline: distance from the initial point along the time axis and distance from the initial point along the price axis. Other lines will be automatically drawn parallel to the main one.

Controls

On the main trendline there are three points that can be moved by a mouse. The first and the last points are used for changing the length and direction of lines. The central point (moving point) is used for moving Fibonacci Channel without changing its dimensions and direction. On the second border of the channel there is a point used for changing the width of the channel. The second border of the channel is moved independently from the first one.

Parameters

For Fibonacci Channel trendline construction settings can be changed. Besides, there are the following parameters for this object:

  • Date/Value — coordinates of the first point on the main line of Fibonacci Channel (date/value of the price scale);
  • Date/Value — coordinates of the last point on the main line of Fibonacci Channel (date/value of the price scale);
  • Date/Value — coordinates of the point on the second line of Fibonacci Channel (date/value of the price scale);
  • Ray Right — infinite duration of Fibonacci Channel to the right;
  • Ray Left — infinite duration of Fibonacci Channel to the left.

Common parameters of object are described in a separate section.


Fibonacci Expansion

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Fibonacci Tools / Fibonacci Expansion

Fibonacci Expansion

Fibonacci Expansion is largely similar to Fibonacci Retracement and intended for determining of the end of the third wave. Unlike Fibonacci Retracement, this instrument is built not on the only one trendline, but on two waves.

First, the line of the first wave is drawn, its height will be considered as a unit interval later on. The end of the second wave serves as a reference point for building an invisible vertical line. The corresponding lines are drawn from the reference point on the interval equal to 61.8, 100%, and 161.8 per cent of the unit interval. The third wave is considered to finish near these levels.

Drawing

To draw Fibonacci extension, one should select this object and indicate the first point of the first wave in the chart. After that one should define the second point of the first wave. To plot the second wave one should click on the second point of the first wave and holding the mouse button draw it. When selecting each point additional parameters will be shown near it: distance from the initial point along the time axis and distance from the initial point along the price axis.

Controls

On the first wave there are three points that can be moved by a mouse. Using the first point and the last point (which is the first point of the second wave) length and slope are defined. The last point of the second wave is used for changing its length and slope. The central point (moving point) is used for moving the whole object without changing its size and shape.

Levels

This tab is intended for managing levels of the tool. The Fibonacci Expansion has additional feature of displaying price value of each level. To do it, specify the (%$) symbols in the "Description" field.

Parameters

There are the following parameters of the object:

  • Date/Value — coordinates of the first point of the first wave (date/value of the price scale);
  • Date/Value — coordinates of the last point of the first wave (date/value of the price scale);
  • Date/Value — coordinates of the last point of the second wave (date/value of the price scale);
  • Ray Right — infinite duration of levels to the right;
  • Ray Left — infinite duration of levels to the left.

Common parameters of object are described in a separate section.


Gann Tools

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Gann Tools

Gann Tools

Gann tools can be applied to a price or indicator chart using the "Objects — Gann" items of the "Insert" menu or the "Line Studies" toolbar. The following types of Gann tools are available in the platform:

 | Type | Description
Gann Line | Gann Line | Gann Line represents a trendline drawn at an angle of 45 degrees. Two points must be set for this tool to be drawn. Read more...
Gann Fan | Gann Fan | Gann Fan represents a set of trendlines drawn from one point at different angles. Gann considered the trendline of 1x1 (45 degrees) as a very important one. If the price curve is located above this line, it is the indication of the bull market, if it is below this line it is that of the bear market. Gann thought that the ray of 1x1 is a powerful support line when the trend is ascending, and he considered the breaking this line as an important turn signal. One point must be set for Gann Fan to be drawn. Read more...
Gann Grid | Gann Grid | Lines of the Gann Grid are drawn at an angle of 45 degrees. Two points must be set for this tool to be drawn. Read more...


Gann Line

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Gann Tools / Gann Line

Gann Line

Gann Line represents a line drawn at the angle of 45 degrees. This line is also called "one to one" (1x1) what means one change of the price within one unit of time.

According to Gann’s concept, the line having the slope of forty-five degrees represents a long-term trendline (ascending or descending). While prices are above the ascending line, the market holds bull directions. If prices hold below the descending line, the market is characterized as a bear one. Intersection of the Gann Line usually signals of breaking the basic trend. When prices go down to this line during an ascending trend, time and price become fully balanced. The further intersection of Gann Line is the evidence of breaking of this balance and possible changing the trend.

Drawing

To draw the Gann line, one should select this object and then select an initial point in the chart. After that holding the mouse button one should draw a line in the necessary direction. Additional parameters will be shown near the cursor: distance from the initial point along the time axis, distance from the initial point along the price axis. Besides, during line construction additional vertical lines are shown for the accurate positioning of the initial and end point of the line.

Controls

On the line there are three points that can be moved by a mouse. By moving the first and the last points one can change the slope of a line, as well as its length (if "Ray Right" and "Ray Left" parameters are disabled in the object parameters). The central point (moving point) is used for moving the line in the chart without changing its length or slope.

Parameters

There are the following parameters of the Gann Line:

  • Date/Value — coordinates of the initial point (date/value of the price scale);
  • Date — coordinates of the last point along the time axis;
  • Gann Angle — slope angle of the Gann line relative to a horizontal line drawn through the initial point at the scale 1:1 (one price change to one time unit);
  • Pips Per Bar — scale for plotting the Gann Line in a chart. Ratio of pips number to one bar;
  • Ray Right — infinite duration of a trendline to the right;
  • Ray Left — infinite duration of a trendline to the left.

Common parameters of object are described in a separate section.


Gann Fan

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Gann Tools / Gann Fan

Gann Fan

Lines of Gann Fan are built at different angles from an important base or peak at the price chart. The trendline of 1x1 was considered by Gann the most important. If the price curve is located above this line, it is the indication of the bull market, if it is below this line it is that of the bear market. Gann thought that the ray of 1x1 is a powerful support line when the trend is ascending, and he considered the breaking this line as an important turn signal. Gann emphasized the following nine basic angles, the angle of 1x1 being the most important of all:

  • 1x8 — 82,5 degrees
  • 1x4 — 75 degrees
  • 1x3 — 71,25 degrees
  • 1x2 — 63,75 degrees
  • 1x1 — 45 degrees
  • 2x1 — 26,25 degrees
  • 3x1 — 18,75 degrees
  • 4x1 — 15 degrees
  • 8x1 — 7,5 degrees

For the considered ratios of price and time increments to have corresponding angles of slope in degrees, X and Y axes must have the same scales. It means that a unit interval on X axis (i.e., hour, day, week, month) must correspond with the unit interval on Y axis. The simplest method of chart calibration consists in checking the slope of the ray of 1x1: it must make 45 degrees.

Gann noted that each of the above-listed rays can serve as support or resistance depending on the price trend direction. For example, ray of 1x1 is usually the most important support line when the trend is ascending. If prices fall below 1x1 line, it means the trend turns. According to Gann, prices should then sink down to the next trend line (in this case, it is the ray of 2x1). In other words, if one of rays is broken, the price consolidation should be expected to occur near the next ray.

Drawing

To draw Gann Fan, one should select this object and indicate an initial point in the chart. After that holding the mouse button one should draw the tool at the necessary length. An additional parameter will be shown near the end point — distance along the time axis from the initial point.

Controls

Gann Fan can be managed using two points located on the trendline 1x1; the points can be moved using a mouse. These points are used for positioning Gann Fan in a chart. The line slope angle can be changed in the "Pips Per Bar" parameter described below.

Parameters

There are the following parameters of the Gann Fan:

  • Date/Value — coordinates of the initial point (date/value of the price scale);
  • Date — coordinates of the last point along the time axis;
  • Pips Per Bar — scale for plotting the Gann Fan in a chart. Ratio of pips number to one bar;
  • Downtrend — if this field is checked, the Gann Fan will be inclined downwards. This parameter is used for building the Gann Fan at downtrends.

Common parameters of object are described in a separate section.


Gann Grid

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Gann Tools / Gann Grid

Gann Grid

Gann Grid represents trends built at the angle of 45 degrees (Gann Lines). According to Gann’s concepts, a line having a slope of forty-five degrees represents a long-term trendline (ascending or descending). While prices are above the ascending line, the market holds bull directions. If prices hold below the descending line, the market is characterized as a bear one. Intersection of the Gann Line usually signals of breaking the basic trend. When prices go down to this line during an ascending trend, time and price become fully balanced. The further intersection of Gann Lines is an evidence of breaking of this balance and possible change of the trend.

Drawing

To draw Gann Grid, one should select this object and indicate an initial point in the chart. After that holding the mouse button one should define the second point setting thus the size of cells. An additional parameter will be shown near this point — distance along the time axis from the initial point.

Controls

On the main line of Gann Grid there are three points that can be moved by a mouse. The first and last points are used for setting the grid cell size. The central point (moving point) is used for moving Gann Grid in the chart without changing its dimensions. The slope of lines is defined by the "Pips Per Bar" parameter described below.

Parameters

There are the following parameters of Gann Grid:

  • Date/Value — coordinates of the initial point (date/value of the price scale);
  • Date — coordinates of the last point along the time axis;
  • Pips Per Bar — scale for plotting the Gann Grid in a chart. Ratio of pips number to one bar;
  • Downtrend — if this field is checked, the Gann Grid will be directed downwards. This parameter is used for building the Gann Fan at downtrends.

Common parameters of object are described in a separate section.


Elliott Tools

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Elliott Tools

Elliott Tools

Elliott tools can be applied to a price or indicator chart using the "Objects — Elliott" items of the "Insert" menu or the "Line Studies" toolbar.

Two types of Elliott tools for displaying waves are available in the platform:

 | Type | Description
Impulse Wave | Impulse Wave | According to Elliott's theory, impulse waves create a directed trend (bull or bear) and cause the market to move very actively. Five points are necessary to draw this tool.
Elliott Correction Wave | Elliott Correction Wave | Corrective waves (rollbacks) are characterized by moving against the trend.

Section "Elliott Wave Theory" features theoretical aspect of working with these objects. Practical details are described in section "Construction of waves".


Elliott Wave Theory

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Elliott Tools / Elliott Wave Theory

Elliott Wave Theory

The Elliot Wave Theory represents a development of the well-known Dow theory. It applies to any freely traded assets, liabilities, or goods (shares, obligations, oil, gold, etc.). The Wave Theory was proposed by accountant and business expert Ralph Nelson Elliott in his study titled "The Wave Principle" published in 1938.

After he had retired and a serious illness had been discovered in his organism, Elliott started to observe stock markets and their charts in the hope of understanding the market behavior. After he had performed a large work, he concluded that the market, being a product of predominant psychology of the masses, followed some laws.

The Elliott Wave Theory is based on a certain cyclic laws in human behavior psychology. According to Elliott, the market price behavior can be clearly estimated and shown in the chart as waves (wave is here an explicit price move). The Elliott Wave Theory says that the market can be in two large phases: Bull Market and Bear Market.

Elliott proposes, as well, that all price moves on the market are divided into:

  • five waves in the direction of the main trend (waves 1 to 5 in Fig. 1);
  • three corrective waves (waves A, B, C in Fig. 1).

The waves are divided into:

  • impulses that create a directed trend (bull or bear) and cause the market to move very actively (waves 1, 3, 5, A, C in Fig. 1);
  • corrections (rollbacks) that are characterized by moving against the trend (waves 2, 4, B in Fig. 1).

Figure 1.

In his Wave Theory, Elliott was based on the waves subdivision principle. This means that every wave is a part of a longer wave and is subdivided into shorter waves itself (Fig. 2). Every wave is subdivided into 3 or 5 waves. This subdivision depends on the direction of the longer wave.

The main principle in the Elliott's theory is that every impulse wave consists of five shorter waves and every corrective wave (against the trend) is composed of three waves, which can be well seen in Fig. 2. For example, Wave 1 in Fig. 2 is composed of 5 shorter waves since it is an impulse wave that creates the trend.

The longest cycle, according to Elliott, is called Grand Supercycle that is compose of 8 Supercycle waves. The latter ones are each composed of 8 Cycles, etc. For example, Fig. 2 shows 3 basic cycles. It can easily be seen that impulse waves and the subsequent corrective waves are proportional. The stronger impulse is, the stronger correction is, and vice versa.

The Elliott Wave Theory is criticized for there is not always a clear definition of when a wave starts or ends. Corrections are especially difficult in this regard.

Elliott Wave Theory and Fibonacci Numbers

Fibonacci Numbers provide the mathematical foundation for the Elliott Wave Theory. Fibonacci numbers play an important role in the construction of the complete market cycle described with the Elliott's waves. Each of the cycles Elliott defined are comprised of a total wave count that falls within the Fibonacci number sequence.

Under closer examination of Fig. 2, one can notice that the complete market cycle is composed of two large waves, eight middle waves, and 34 small waves. Similarly, at a bear market, we can see that a bear Grand Supercycle is composed of one large wave, five middle waves, and 21 small waves. If we continue this subdivision, we will be able to observe the consequent 89 even smaller waves, etc.

Respectively, a bull Grand Supercycle is composed of one large wave, three middle waves, and 13 small waves. At the next sublevel, there are 55 very small waves, etc.

Figure 2.

This principle is normally used in the Elliott Wave Theory as follows: movement in a certain direction should continue until it reaches some point in concordance with the summational Fibonacci number sequence.

For example, if the time, during which the trend does not change, exceeds 3 days, this direction should not reverse until the 5th day begins. Similarly, the trend should continue up to 8 days if it has not changed the direction within 5 days. 9-day trend should not be completed until the 13th day begins, etc. This basic pattern of how the trend movements can be calculated equally applies for both hourly, daily, weekly, or monthly data. However, this is just an "ideal model", and nobody can expect that prices' behavior will be so definite and predictable. Elliott noted that deviations could happen both in time and in amplitude and individual waves would hardly develop exactly in these regular forms.

Characteristics of Waves

Calculations within the Elliott Wave Theory resemble a road-map. Every wave has a set of characteristics. These characteristics are based on market behaviour arrays.

In the Elliott Wave Theory, a special attention is paid to individual description of each wave. Besides, there are certain laws used for proportional formations of Elliott waves (table below). These laws enable proper definition of where the wave starts and how long it is. The wave lengths are measured from high to low of the corresponding wave.

Wave | Classical Relations between Waves
1 | -
2 | 0.382, 0.5 or 0.618 of Wave 1 length
3 | 1.618 or 2.618 of Wave 1 length
4 | 0.382 or 0.5 of Wave 1 length
5 | 0.382, 0.5 or 0,618 of Wave 1 length
A | 0.382, 0.5 or 0,618 of Wave 1 length
B | 0.382 or 0.5 of Wave A length
C | 1.618, 0.618 or 0.5 of Wave A length

The above classical relations between waves are confirmed by actual ones with a 10%-error. Such error can be explained through short-term influences of some technical or fundamental factors. In whole, the data are rather relative. Important is that all relations between all waves can take values of 0.382, 0.50, 0.618, 1.618. Using this, we can calculate relations between both wave heights and wave lengths. Let us consider characteristics of each wave:

  • Wave 1
    Happens when the "market psychology" is practically bearish. News are still negative. As a rule, it is very strong if it represents a leap (change from bear trend to the bull trend, penetration into the might resistance level, etc.). In a state of tranquility, it usually demonstrates insignificant price moves in the background of general wavering.
  • Wave 2
    Happens when the market rapidly rolls back from the recent, hard-won profitable positions. It can roll back to almost 100% of Wave 1, but not below its starting level. It usually makes 60% of Wave 1 and develops in the background of prevailing amount of investors preferring to fix their profits.
  • Wave 3
    Is what the Elliott's followers live for. Rapid increase of investors' optimism is observed. It is the mightiest and the longest wave of rise (it can never be the shortest) where prices are accelerated and the volumes are increased. A typical Wave 3 exceeds Wave 1 by, at least, 1.618 times, or even more.
  • Wave 4
    Often difficult to identify. It usually rolls back by no more than 38% of Wave 3. Its depth and length are normally not very significant. Optimistic moods are still prevailing in the market. Wave 4 may not overlap Wave 2 until the five-wave cycle is a part of the end triangle.
  • Wave 5
    Is often identified using momentum divergences. The prices increases at middle-sized trade volumes. The wave is formed in the background of mass agiotage. At the end of the wave, the trade volumes often rise sharply.
  • Wave A
    Many traders still consider the rise to make a sharp come-back. But there appear some traders sure of the contrary. Characteristics of this wave are often very much the same as those of Wave 1.
  • Wave B
    Often resembles Wave 4 very much and is very difficult to identify. Shows insignificant movements upwards on the rests of optimism.
  • Wave C
    A strong decreasing wave in the background of general persuasion that a new, decreasing trend has started. In the meantime, some investors start buying cautiously. This wave is characterized by high momentum (five waves) and lengthiness up to 1.618-fold Wave 3.

Unfortunately, Elliott's waves are well observed in the "old" market, but they are rather dimmed for the future. This is why practical use of the Elliott Wave Theory is often difficult and requires special knowledge.


Construction of Waves

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Elliott Tools / Construction of Waves

Construction of Waves

Two objects are available in the platform - Impulse and Corrective waves. To apply waves on a chart, five points should be defined for an impulse wave and three - for a corrective wave. Settings are identical for both objects, but they should be specified separately:

Impulse Wave Parameters

  • Anchor Point — select one of points for plotting an impulse or corrective waves;
  • Date/Value — coordinates of the selected anchor point (date/value of the price scale);
  • Degree — select the cycle level influencing also the displaying of point markings;
  • Lines — if this field is selected, all points of an impulse or corrective wave will be sequentially joined.

Common parameters of object are described in a separate section.


Shapes

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Shapes

Shapes

Various shapes can be applied to a price or indicator chart using the "Objects — Shapes" items of the "Insert" menu or the "Line Studies" toolbar. Shapes serve to highlight important areas in a chart. The following shapes are available in the platform:

 | Type | Description
Rectangle | Rectangle | To draw the figure two points must be defined. Read more...
Triangle | Triangle | To draw the figure three points must be defined. Read more...
Ellipse | Ellipse | To draw the figure three points must be defined. Read more...


Rectangle

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Shapes / Rectangle

Rectangle

To draw a rectangle, one should select the object and define an initial point in a chart. After that, holding a mouse one should drag a rectangle till the necessary size. Additional parameters will be shown near the end point: distance from the initial point along the time axis and distance from the initial point along the price axis.

Controls

This object has three control points that can be moved by a mouse. Points located on faces are used for changing the size of the rectangle. The point located in the center is used for moving the object without changing its shape.

Parameters

There are the following parameters of a rectangle:

  • Date/Value — coordinates of the first point of the rectangle (date/value of the price scale);
  • Date/Value — coordinates of the second point of the rectangle (date/value of the price scale);
  • Fill — enable/disable color filling inside the shape.

Common parameters of object are described in a separate section.

To fill the object with the color of its lines, you should enable option the "Draw object as background" at the "Common" tab.


Triangle

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Shapes / Triangle

Triangle

To draw a triangle, one should select the object and define an initial point in a chart. After that one should define the second point and holding a mouse drag a triangle till the necessary size and shape. Additional parameters will be shown near the cursor in the form of three pairs of numbers, one of which will remain unchanged. The two other pairs will show the distance from two other points along the time axis and along the price axis.

Controls

This object has four control points that can be moved with the mouse. Points located on faces are used for changing the size and shape of the triangle. The point located in the center is used for moving the object without changing its shape.

Parameters

There are the following parameters of a triangle:

  • Date/Value — coordinates of the first point of the triangle (date/value of the price scale);
  • Date/Value — coordinates of the second point of the triangle (date/value of the price scale);
  • Date/Value — coordinates of the third point of the triangle (date/value of the price scale);
  • Fill — enable/disable color filling inside the shape.

Common parameters of object are described in a separate section.

To fill the object with the color of its lines, you should enable option the "Draw object as background" at the "Common" tab.


Ellipse

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Shapes / Ellipse

Ellipse

To draw an ellipse, one should select the object and define an initial point in a chart. After that one should define the second point and holding the mouse drag the ellipse till the necessary size and shape.

Controls

This object has four control points that can be moved with the mouse. Points located on faces are used for changing the size and shape of the ellipse. The point located in the center is used for moving the object without changing its shape.

Parameters

There are the following parameters of an ellipse:

  • Date/Value — coordinates of the first point of the ellipse (date/value of the price scale);
  • Date/Value — coordinates of the second point of the ellipse (date/value of the price scale);
  • Date/Value — coordinates of the third point of the ellipse (date/value of the price scale);
  • Fill — enable/disable color filling inside the shape.

Common parameters of object are described in a separate section.

To fill the object with the color of its lines, you should enable option the "Draw object as background" at the "Common" tab.


Arrows

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Arrows

Arrows

Various shapes can be applied to a price or indicator chart using the "Objects — Arrows" items of the Insert menu or the button Arrows in the Line Studies toolbar. The following objects are described in this section:

 | Type | Description
Thumbs Up | Thumbs Up | The "Thumbs Up" sign anchored to a certain point in a chart.
Thumbs Down | Thumbs Down | The "Thumbs Down" sign anchored to a certain point in a chart.
Up Arrow | Up Arrow | The "Arrow Up" sign anchored to a certain point in a chart.
Down Arrow | Down Arrow | The "Arrow Down" sign anchored to a certain point in a chart.
Stop Sign | Stop Sign | The "Stop Sign" anchored to a certain point in a chart.
Check Sign | Check Sign | The "Check Sign" anchored to a certain point in a chart.
Left Price Label | Left Price Label | The "Left Price Label" shows the price value left to the point selected in the chart.
Right Price Label | Right Price Label | The "Right Price Label" shows the price value right to the point selected in the chart.
Buy Sign | Buy Sign | The "Buy sign" is intended for marking Buy deals, it is anchored to a certain point in a chart.
Sell Sign | Sell Sign | The "Sell sign" is intended for marking Sell deals, it is anchored to a certain point in a chart.
Arrow | Arrow | Placing of any available sign according to a user's choice.

To draw these objects, one should select one of them and click on the necessary place of a chart.

Parameters

All objects of this group have identical parameters, except for price labels that do not have the anchor angle.

  • Date/Value — coordinates of the anchor point of the object (date/value of the price scale);
  • Arrow Type — one of object types specified in the table above. When selecting "Other", an additional "Symbol" field appears to the right of this field;
  • Anchor — one of object sides (top or bottom) on which the point of anchoring the object to a chart or window is located. This parameter is not used for price labels..
  • Symbol — this field appears only when "Other" is selected as the arrow type. A click on Browse opens a window with available symbols. To select one a double-click on an icon is used.

Common parameters of object are described in a separate section.


Graphical Objects

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Graphical Objects

Graphical Objects

Various graphical objects can be applied to a price or indicator chart using the "Objects — Graphical" items of the "Insert" menu or the "Line Studies" toolbar. The following graphical objects are available in the platform:

 | Type | Description
Text | Text | Text intended for adding of comments to the chart. Read more...
Text Label | Text Label | Text intended for adding of comments and anchored to the chart window coordinates. Text label does not move when the chart is scrolled. Read more...
Button | Button | Button intended for processing events from custom indicators, Expert Advisors and scripts. Button is bound to the window and does not move when the chart is scrolled. Read more...
Graph | Graph | A chart window inside the current chart with the possibility to set up the displayed symbol and timeframe. Read more...
 | Bitmap | Placing of any "Bitmap" image in the chart window. This object is anchored to a chart and moves together with the chart. Read more...
Bitmap Label | Bitmap Label | Placing of any "Bitmap" image in the chart window. This object is bound to a chart window and does not move when the chart is scrolled. Read more...
Edit | Edit | Placing of an editable field in a chart window. This object is bound to a chart window and does not move when the chart is scrolled. Read more...
Event | Event | Placing the "Event" object on the horizontal chart scale. Read more...
Rectangle Label | Rectangle Label | Placing a "Rectangle Label" used for creating custom graphical interfaces on a chart. Read more...


Text

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Graphical Objects / Text

Text

This object is intended for adding text labels to a chart. The object is bound to a chart and moves together with it. To place the object in a chart, one should select it and define the necessary point in a chart.

Controls

The object is moved using the anchor point located on one of object sides or corners. The text content is changed via the object settings in the "Description" field of the "Common" tab.

Parameters

There are the following parameters of the object:

  • Date/Value — coordinates of the anchor point of the object (date/value of the price scale);
  • Angle in degrees — angle of the object slope from the horizontal line drawn through its anchor point;
  • Font — font type and size for the object text;
  • Anchor — one of object sides or corners, where the anchor point is located.

Common parameters of object are described in a separate section.


Text Label

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Graphical Objects / Text Label

Text Label

This object is intended for adding text labels to a chart. The object is anchored to a chart window and does not move when the chart is scrolled. To place the object in a chart, one should select it and define the necessary point in a chart.

Controls

The object is moved using the anchor point located on one of object sides or corners. The text content is changed via the object settings in the "Description" field of the "Common" tab.

Parameters

There are the following parameters of the object:

  • X-distance — distance in pixels from the anchor corner of the chart window till the control point of the object along the time axis;
  • Y-distance — distance in pixels from the anchor corner of the chart window till the control point of the object along the price axis;
  • Anchor — one of object sides or corners, where the anchor point is located;
  • Corner — one of the corners of the chart window, from which distances along X and Y axes will be set;
  • Font — font type and size for the object text;
  • Width — width of the object in pixels. This is an informational field, it cannot be modified;
  • Height — height of the object in pixels. This is an informational field, it cannot be modified;
  • Angle in degrees — angle of the object slope from the horizontal line drawn through its anchor point.

Common parameters of object are described in a separate section.


Button

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Graphical Objects / Button

Button

This object is used for placing of functional buttons in a chart; processing of buttons is performed via programs written in MQL5. The object is anchored to a chart window and does not move when the chart is scrolled. To place the object in a chart, one should select it and define the necessary point in a chart.

Controls

The object is moved using the anchor point located on one of object sides or corners. The text content is changed via the object settings in the "Description" field of the "Common" tab.

Parameters

There are the following parameters of the object:

  • X-distance — distance in pixels from the anchor corner of the chart window till the control point of the object along the time axis;
  • Y-distance — distance in pixels from the anchor corner of the chart window till the control point of the object along the price axis;
  • Width — width of the button in pixels;
  • Height — height of the button in pixels;
  • Corner — one of the corners of the chart window, from which distances along X and Y axes will be set;
  • State — selecting the button state: on or off. This parameter allows implementing the connection with an MQL5 program. The program can read the change of the button state and a certain program code will be implemented;
  • Background — background color of the button;
  • Font — font type and size for the object text.

In order to have the possibility to change the button state in a chart, it is necessary to enable the option "Disable selection" in object properties.

Common parameters of object are described in a separate section.


Graph

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Graphical Objects / Graph

Graph

This object is used for adding a chart of any security into the chart window, which allows tracing the price dynamics of several symbols at the same time. The object is anchored to a chart window and does not move when the chart is scrolled.

When applied, this object inherits the current properties of a chart, to which it is applied.

Controls

The object is moved using the anchor point located on one of object sides or corners.

Parameters

There are the following parameters of the "Chart" object:

  • X-distance — distance in pixels from the anchor corner of the chart window till the control point of the object along the time axis;
  • Y-distance — distance in pixels from the anchor corner of the chart window till the control point of the object along the price axis;
  • Width — width of the chart window;
  • Height — height of the chart window;
  • Corner — one of the corners of the chart window, from which distances along X and Y axes will be set;
  • Scale — chart scale adjusted using lever;
  • Dates scale — display or not to display the time scale in the chart;
  • Prices scale — display or not to display the price scale in the chart;
  • Symbol — selecting a symbol for the chart;
  • Period — selecting the chart period.

Common parameters of object are described in a separate section.


Bitmap

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Graphical Objects / Bitmap

Bitmap

The object is used for attaching various images to a chart in the "bitmap" (*.bmp) format. The object is bound to a chart and moves together with it.

Controls

The object is moved using the anchor point located on its upper left corner.

Parameters

There are the following parameters of the "Bitmap" object:

  • Date/Value — coordinates of the anchor point of the upper left corner of the object (date/value of the price scale);
  • Bitmap File — the image file is indicated in this field. The bitmap files should be located in the /MQL5/Images folder of the trading platform. If the object is created by an MQL5 program, the image file cannot be changed;
  • Width — width of the object in pixels. This is an informational field, it cannot be modified;
  • Height — height of the object in pixels. This is an informational field, it cannot be modified.

Common parameters of object are described in a separate section.


Bitmap Label

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Graphical Objects / Bitmap Label

Bitmap Label

This object, as well as "Bitmap" is used for adding various images to a chart in the "bitmap" (*.bmp) format. However the bitmap label is anchored to a chart window and does not move when the chart is scrolled. Bitmap label can also be used as a button processed by MQL5 programs.

Controls

The object is moved using the anchor point located on its upper left corner.

Parameters

There are the following parameters of the "Bitmap Label" object:

  • X-distance — distance in pixels from the anchor corner of the chart window till the control point of the object along the time axis;
  • Y-distance — distance in pixels from the anchor corner of the chart window till the control point of the object along the price axis;
  • Anchor — one of object sides or corners, where the anchor point is located;
  • Corner — one of the corners of the chart window, from which distances along X and Y axes will be set;
  • Bitmap File (On) — selecting a file to be displayed when the label is on. The bitmap files should be located in the /MQL5/Images folder of the trading platform. If the object is created by an MQL5 program, the image file cannot be changed;
  • Bitmap File (Off) — selecting a file to be displayed when the label is off. The bitmap files should be located in the /MQL5/Images folder of the trading platform. If the object is created by an MQL5 program, the image file cannot be changed;
  • Width — width of the object in pixels. This is an informational field, it cannot be modified;
  • Height — height of the object in pixels. This is an informational field, it cannot be modified.
  • State — selecting the label state: on or off. This parameter allows implementing the interaction with an MQL5 program. The program can read the change of the label state and a certain program code will be implemented.

In order to have the possibility to change the label state in a chart, it is necessary to enable the option "Disable selection" in object properties.

Common parameters of object are described in a separate section.


Edit

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Graphical Objects / Edit

Edit

This object is used for adding an editable text field in a chart. Values of the field can be changed directly in the chart. Entered valued can be read by a program written in MQL5 language. The object is anchored to a chart window and does not move when the chart is scrolled.

Controls

The object is moved using the anchor point located on its upper left corner.

Parameters

There are the following parameters of the "Edit" object:

  • X-distance — distance in pixels from the anchor corner of the chart window till the control point of the object along the time axis;
  • Y-distance — distance in pixels from the anchor corner of the chart window till the control point of the object along the price axis;
  • Width — width of the editable field in pixels;
  • Height — height of the editable field in pixels;
  • Corner — one of the corners of the chart window, from which distances along X and Y axes will be set;
  • Read Only — enable/disable the "read only" mode. If this mode is enabled, then entering and editing of a text in this field is prohibited;
  • Background — background color for the editable field;
  • Font — font type and size for the object text.

In order to have the possibility to enter values in a field on a chart, it is necessary to enable the option "Disable selection" in object properties.

Common parameters of object are described in a separate section.


Event

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Graphical Objects / Event

Event

This object is designed for displaying various events on a chart, like the events of the economic calendar. An object is anchored to the time scale and is moved together with the chart scroll. The object is shown on the time scale and is does not move vertically.

The "Event" object

Controls

An object can be moved using an anchor point located on the time scale.

Parameters

The object only has common parameters.


Rectangle Label

Price Charts, Technical and Fundamental Analysis / Analytical Objects / Graphical Objects / Rectangle Label

Rectangle Label

This object is intended for creation of custom graphic interfaces. It can have different states that can be processed by an MQL5 program. For example, a program can execute an operation as a reaction to user interaction with this object.

The "Rectangle Label" object

Controls

An object can be moved using an anchor point located in its upper left corner.

Parameters

There are the following parameters of the object:

  • X-distance — distance in pixels from the anchor corner of the chart window till the control point of the object along the time axis;
  • Y-distance — distance in pixels from the anchor corner of the chart window till the control point of the object along the price axis;
  • Width — width of the object in pixels;
  • Height — height of the object in pixels;
  • Corner — one of the corners of the chart window, from which distances along X and Y axes will be set;
  • Background — the object fill color;
  • Border — select the type of the object Border: Flat, Raised, Sunken.


Fundamental Analysis

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis

Fundamental Analysis

The purpose of fundamental analysis is in the constant monitoring and studying of various economic and industrial indicators, which may affect the quotes of a financial instrument.

For example, annual report releases, news about a new contract or a regulatory law can seriously affect the price of company shares. To keep abreast, you need to constantly analyze this information.

Where can I read the financial news

Straight in the platform you can receive financial news from international news agencies. This helps you stay updated and take appropriate trading decisions.

News items appear on the News tab of Toolbox window. To read the news, double click on its title.

Why do brokers provide different news?

Any financial newsletters can be received in the trading platform. Every broker selects the news types and providers.

How to configure the news language?

Newsletters in various languages can be received in the trading platform. To configure the list of languages, open the platform settings by clicking " Options Options" in the Tools menu.

Setting the language of news

Click "Edit" in the "News Language" field and select the desired languages. The default is automatic selection, i.e. newsletters are filtered by the platform interface language. If you do not want to receive newsletters, uncheck "Enable news".

For your convenience, the newsletters are divided into categories. Open the context menu in the news tab. Click "Customize" in the submenu of news categories to open their setup window:

In the tree-like list, select the news categories you want to display in the trading platform.

The types of available categories are defined by the data provider chosen by your broker.

How to follow macroeconomic indicators?

In addition to the news, the platform contains the Economic Calendar. It provides publications of macroeconomic indicators — some parameters describing the state of the country they are calculated for. They characterize the level of economic development and indicate either economic growth or decline. They are used for forecasting price trends.

Macroeconomic indicators can be views on the "Calendar" tab of the "Toolbox" window.

The calendar features current week events, including past and upcoming events. Every indicator is provided with the release time, priority, as well as its current, forecast and previous values. The current value appears as soon as the indicator is released. If this value is less than the predicted one, the indicator is highlighted in red. If the current value is larger, the indicator is shown in blue.

Types of Macroeconomic Indicators

Macroeconomic indicators are categorized based on the countries for which they are published. Read the detailed description of the most popular indicators in further topics:

  • US macroeconomic indicators
  • EU macroeconomic indicators
  • UK macroeconomic indicators
  • Macroeconomic indicators of Japan
  • Macroeconomic indicators of Germany
  • Macroeconomic indicators of Switzerland
  • Macroeconomic indicators of Australia
  • Macroeconomic indicators of Canada
  • Macroeconomic indicators of China
  • Macroeconomic indicators of New Zealand

How to display the macroeconomic indicators on a chart?

Information about macroeconomic events can be displayed on the charts of corresponds currency pairs. You can visually assess the impact of various events on the currencies.

Add macroeconomic indicators to the chart

To add the indicators to the chart, click on " Add All Events Add All Events" in the context menu of the calendar.


USA

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA

US macroeconomic indicators

Operations with US dollar make up the balk of all transactions in the market, therefore the list of macroeconomic indicators is very large:

  • Atlanta Fed Index
  • Average Hourly Earnings
  • Average Workweek
  • Beige Book
  • Building Permits
  • Business Inventories
  • Capacity Utilization
  • Chicago PMI Index
  • Construction Spending
  • Consumer Confidence (CCI)
  • Consumer Credit
  • Consumer Price Index (CPI)
  • Current Account
  • Durable Goods Orders
  • Employment Cost Index
  • Existing Home Sales
  • Export Prices
  • Factory Orders
  • Federal Budget
  • Federal Funds Rate
  • GDP Deflator
  • Gross Domestic Product (GDP)
  • Help-Wanted Index
  • Housing Starts
  • Import Prices
  • Industrial Production
  • ISM Index
  • Jobless Claims (Initial claims)
  • Leading Indicators Index
  • Money Supply
  • New Home Sales
  • Non-farm Payrolls
  • Personal Income
  • Personal Spending
  • Philadelphia Fed Index
  • Producer Price Index (PPI)
  • Productivity
  • Real Earnings (Real Average Weekly Earnings)
  • Redbook
  • Retail Sales
  • Trade Balance
  • Unemployment Rate
  • Unit Labour Cost
  • University of Michigan Consumer Confidence Index
  • Wholesale Inventories


Atlanta Fed Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Atlanta Fed Index

Atlanta Fed Index/Index of manufacturing in states under jurisdiction of the Atlanta Federal Reserve

This index represents the results of a survey of manufacturers in Atlanta for their attitudes towards the current economic situation. The figures below "0" are an indication of a slowing economy. The index has a limited impact on the market, because it is published after the release of an indicator of business activity at the national level (ISM index). The growing figures of this index is a favorable factor for the growth of the dollar.

  • Release Frequency: monthly.
  • Release Schedule: 09:00 EST, after the 10th of the month.
  • Source: Federal Reserve Bank of Atlanta.


Average Hourly Earnings

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Average Hourly Earnings

Average Hourly Earnings

Average Hourly Earnings are expressed as absolute values and as an index relative to the previous period. It is an indicator of potential inflation related with the increase in labor costs.

It has a significant impact on the market. With expectations of an increase in basic interest rates, the increase of the index leads to an increase in the rate of dollar.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST, the first Friday of the month, together with "Non-farm payrolls".
  • Source: Bureau of Labor Statistics.


Average Workweek

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Average Workweek

Average Workweek

This indicator shows the average workweek of the month. It has practically no effect on the market. It is used for long-term analysis of employment in the country. It is a "good" indicator of the labor market situation at various stages of the economic cycle. It is considered one of the key indicators for index like Industrial Production and Personal Income whose values are published later.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST, the first Friday of the month, together with "Non-farm payrolls".
  • Source: Bureau of Labor Statistics


Beige Book

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Beige Book

Beige Book

Beige Book is the economic review of the Federal Reserve System. It is prepared by twelve U.S. Federal Reserve Banks. The review covers the sphere of industrial production, services, agriculture, financial institutions, labor market and real estate market.

It has a limited impact on the market. When rumors about possible change of interest rates appear on the market, attention is paid to the review part connected with the state of wages and prices. The review is useful from the viewpoint of confirmation of the trend that has already established in the economy.

  • Release Frequency: eight times a year.
  • Release Schedule: 14:00 EST, on Wednesdays, two weeks before the next meeting of the Federal Open Market Committee (FOMC)
  • Source: Federal Reserve.


Building Permits

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Building Permits

Building Permits

The indicator shows the number of issued permits for the construction of new homes. The indicator is very sensitive to changes in key interest rates, since the construction require bank loans. These data are subject to seasonal fluctuations due to the character of the real estate market. Building is directly connected with the income of the population. Therefore, the increase in construction characterizes the improved well-being and healthy development of the economy.

It has a limited impact on the market. Growth of this value has a positive impact on the currency.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST, third week of the month, together with "Housing starts".
  • Source: U.S. Census Bureau, U.S. Department of Housing and Urban Development (HUD).


Business Inventories

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Business Inventories

Business Inventories

There is the following regularity: an increase in business inventories for several months may indicate stagnation in the economy. It rarely affects the market. However, a steady trend in its dynamics has a great impact on the market. Growth of the index has a negative impact on the dollar.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST, in the middle of the month.
  • Source: U.S. Census Bureau


Capacity Utilization

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Capacity Utilization

Capacity Utilization

This indicator determines the degree of utilization of productive capacity of the country's economy. The level of 85% indicates a good balance between economic growth and inflation. Figures above this level cause inflation in the economy.

It has a limited impact on the market. The growth of this index leads to growth of the national currency.

  • Release Frequency: monthly.
  • Release Schedule: 09:15 EST, in the middle of the month, together with Industrial Production Index.
  • Source: Federal Reserve.


Chicago PMI Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Chicago PMI Index

Chicago PMI Index

Chicago PMI Index is based on surveys of purchasing managers in Chicago. This index includes the status of production orders, the prices of manufactured products and inventories in warehouses. Figures below the 45-50 indicate a slowing economy.

The indicator is carefully watched, because it is published shortly before the release of ISM Index. It has a significant impact on the market because it can give an idea of what the ISM Index will be. Growth of the index leads to the growth of the dollar.

  • Release Frequency: monthly.
  • Release Schedule: 10:00 EST, the last business day of the month.
  • Source: the Purchasing Managers Association of Chicago.


Construction Spending

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Construction Spending

Construction Spending

The Construction Spending indicator is expressed as an index relative to the previous period as an absolute value of costs. The indicator is very sensitive to changes in key interest rates, since the construction require bank loans. These data are subject to seasonal fluctuations due to the character of the real estate market. Building is directly connected with the income of the population. Therefore, the increase in construction characterizes the improved well-being and healthy development of the economy.

It has a limited impact on the market. Growth of this value has a positive impact on the currency.

  • Release Frequency: monthly.
  • Release Schedule: 10:00 EST, the first business day of the month.
  • Source: The Census Bureau of the Department of Commerce.


Consumer Confidence

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Consumer Confidence

Consumer Confidence (CCI)

This index is an attempt to measure consumer optimism. It is calculated since 1967. Its base value is 100. The index is calculated based on the monthly survey of 5,000 families for a number of questions:

  • family's financial situation as compared to the previous period;
  • The expected financial situation of the family during the year;
  • assessment of business conditions in the economy during the year;
  • estimate of the expected unemployment and economic recession;
  • assessment of home shopping (clothes, furniture, etc.);

The consumer confidence index has a moderate impact on the market because it can fail to reflect the real state of the economy. However, it is traditionally used for predicting trends in employment and the general state of the economy. Growth of the index is a good factor for the national economy and leads to the growth of the dollar.

  • Release Frequency: monthly.
  • Release Schedule: 10:00 EST, after the 20th of each month.
  • Source: the NY-based Conference Board.


Consumer Credit

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Consumer Credit

Consumer Credit

The Consumer Credit indicator reflects the extent of American system of credits through credit cards, personal loans and hire purchase. It is an indicator of consumer demand. High value of this indicator suggests that consumers are not afraid of taking loans to meet their material needs. However, the figures are often revised, and have significant seasonal variations. For example, consumer credit is growing in anticipation of Christmas and New Year.

It has a limited impact on the market. Growth of the index is a good factor for the national economy and leads to the growth of the dollar.

  • Release Frequency: monthly.
  • Release Schedule: 15:00 EST, 7th of the month.
  • Source: Federal Reserve.


Consumer Price Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Consumer Price Index

Consumer Price Index (CPI)

Consumer Price Index defines the change in retail prices for a basket of goods and services. CPI is considered more reliable if it does not take into account food and energy industries. When calculating this index prices for imported goods and services are taken into account. Consumer Price Index is the main indicator of inflation in the country.

This index should be analyzed together with PPI (Producer Price Index). If the economy develops in normal conditions, the increase in CPI and PPI can lead to an increase in key interest rates in the country. This, in turn, leads to growth of the dollar because of the increasing attractiveness of investing in currencies with higher interest rates.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST, in the middle of the month.
  • Source: Bureau of Labor Statistics, U.S. Department of Labor.


Current Account

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Current Account

Current Account

The Current Account Balance is the ratio between the amount of payments into and out of the country. If payments into the country exceed payments to other countries and international organizations, the balance of payments is positive , if on the contrary, it is negative. The surplus (or decrease in the deficit) is a favorable factor for the growth of the national currency. It has a limited impact on the market.

  • Release Frequency: quarterly.
  • Release Schedule: 10:00 EST, the middle of the month.
  • Source: Federal Reserve.


Durable Goods Orders

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Durable Goods Orders

Durable Goods Orders

Durable Goods Orders (DGO) is an indicator of orders placed for relatively long lasting goods. Durable goods are expected to last more than three years, e.g.: cars, furniture, appliances, etc.

This indicator is important for the market because it gives an idea of the consumers' confidence in the current economic situation. Since durable goods are expensive, the increase in the number of orders for them shows the willingness of consumers to spend their money on them. Thus, the growth of this indicator is a positive factor for economic development and leads to growth of the national currency.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST, the fourth week.
  • Source: U.S. Census Bureau of the Department of Commerce.


Employment Cost Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Employment Cost Index

Employment Cost Index

Employment Cost Index consists of wages and unemployment benefits. It can serve as an indicator of the presence of inflationary processes in the economy. Employment Cost Index is one of the indicators which is closely observed by the Federal Reserve when determining its monetary policy (which is saying a lot).

With expectations of an increase in basic interest rates, the increase of the index leads to an increase in the rate of dollar. It is used for medium-and long-term forecasts.

  • Release Frequency: quarterly.
  • Release Schedule: 08:30 EST, after the 20th of the month of release.
  • Source: Bureau of Labor Statistics.


Existing Home Sales

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Existing Home Sales

Existing Home Sales

It measures sales of previously owned homes. May give an idea about the optimism of consumers (consumer confidence) and their ability to buy expensive things. These data are subject to seasonal fluctuations due to the character of the real estate market. Building is directly connected with the income of the population. Therefore, the increase in construction characterizes the improved well-being and healthy development of the economy.

It has a limited impact on the market. Growth of this value has a positive impact on the currency.

  • Release Frequency: monthly.
  • Release Schedule: 10:00 EST, after the 20th of the month.
  • Source: National Association of Realtors.


Export Prices

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Export Prices

Export Prices

The indicator reflects the change in export prices for a month. It is an indicator of inflation. It has a limited impact on the market. With expectations of an increase in basic interest rates, the increase of the index leads to an increase in the rate of dollar.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST, about the 10th of each month, along with "Import prices".
  • Source: Bureau of Labor Statistics.


Factory Orders

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Factory Orders

Factory Orders

This indicator shows the industry's need for durable goods and non-durables. Factory orders include orders for durable goods (more than 50% of all orders) and non-durables. Nondurable goods include food, clothing, light industry goods and products designed to operate with durable goods. Durable goods are expected to last more than three years. They include cars, furniture, etc.

It has a limited impact on the market. Growth of the index is a good factor for the national economy and leads to the growth of the dollar.

  • Release Frequency: monthly.
  • Release Schedule: 10:00 EST, first days of a month.
  • Source: The Census Bureau of the Department of Commerce.


Federal Budget

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Federal Budget

Federal Budget

This indicator describes the ratio between income and expenditures of the US. When income exceeds expenditures a surplus occurs. When expenditures exceed income a negative balance (deficit) occurs.

It has little impact on the market. Usually it is used for long-term economic analysis. Budget deficit is considered in the context of other indicators: Producer Price Index (PPI), Consumer Price Index (CPI), Money Supply (M1, M2, M3), etc.

  • Release Frequency: monthly.
  • Release Schedule: 14:00 EST, 20th of the month.
  • Source: Congressional Budget Office.


Federal Funds Rate

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Federal Funds Rate

Federal Funds Rate

Federal Funds Rate is the interest rate, which is used in transactions between banks - members of the Federal Reserve System. The Federal Funds Rate is regulated by the Committee on Open Market.

High interest rates reduce the growth of consumer lending and stimulate the growth of savings, which leads to slower economic growth. The growth of rates usually leads to an increase in capital inflows and the growth of the national currency in the medium term, however, if growth rates are not based on high rates of economic growth, it could lead to economic stagnation and negative impact on the currency markets in the long term.

  • Release Frequency: eight times a year.
  • Release Schedule: 14:15 EST, usually on Tuesdays.
  • Source: Federal Reserve.


GDP Deflator

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / GDP Deflator

GDP Deflator

This is the ratio of the current value of GDP (in current prices) to its base value (in the prices of the base period). It reflects the inflationary component in the value of GDP. It is published simultaneously with the GDP. It has a significant impact on the market. With expectations of an increase in basic interest rates, the increase of the index leads to an increase in the rate of dollar.


Gross Domestic Product

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Gross Domestic Product

Gross Domestic Product (GDP)

Gross domestic product (GDP) is the market cost of goods and services produced within a certain period, regardless of the national origin of applied factors of production. Income of U.S. citizens and corporations received from abroad are not taken into account for index calculation.

GDP is a key indicator of the country's economic activity. Its main components are consumer spending, investment, net exports of goods and services, and government spendings.

GDP growth is accompanied by the rise of the economy and the dollar tends to strengthen.

  • Release Frequency: quarterly, divided into three values — advance, revised and final.
  • Release Schedule: 8:30 EST, the third or fourth week of the month following the reporting period.
  • Source: The Census Bureau of the Department of Commerce.


Help-Wanted Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Help-Wanted Index

Help-Wanted Index

Help-Wanted Index characterizes the volume of published advertisements in newspapers on hiring employees. 1987 is considered as the base, it's value is "100". Moving Averages are used for index analysis. If the moving average shows the index trend change over several months, it can be a sign of the changing situation on the labor market. Also, the index can give an idea about a possible change of the economic situation in different regions of the country.

It has almost no effect on the market. The influence of the index is limited, because only a limited number of major regional newspapers is taken into account.

  • Release Frequency: monthly.
  • Release Schedule: 10:00 EST, the last Thursday of the month.
  • Source: Conference Board.


Housing Starts

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Housing Starts

Housing Starts

The Housing Starts indicator gauges the number of new houses. The indicator is very sensitive to changes in key interest rates, since the construction require bank loans. These data are subject to seasonal fluctuations due to the character of the real estate market. Building is directly connected with the income of the population. Therefore, the increase in construction characterizes the improved well-being and healthy development of the economy.

It has a limited impact on the market. Growth of this value has a positive impact on the currency.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST, the third week of the month, along with "Building permits".
  • Source: U.S. Census Bureau, U.S. Department of Housing and Urban Development (HUD).


Import Prices

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Import Prices

Import Prices

The index reflects the change in import prices for a month. It is an indicator of inflation. Since for calculating Consumer Price Index (CPI) prices for imported goods and services are taken into account, this indicator describes the contribution of import prices in the overall picture of changes in retail prices of the consumer basket.

It has a limited impact on the market. With expectations of an increase in basic interest rates, the increase of the index leads to an increase in the rate of dollar.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST, about the 10th of each month, along with "Export Prices".
  • Source: Bureau of Labor Statistics.


Industrial Production

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Industrial Production

Industrial Production

The index of Industrial Production is one of the main indicators reflecting the state of the national economy. This index measures the change in industrial production and public services in the country.

It has a significant impact on the market. Production growth leads to growth of the national currency.

  • Release Frequency: monthly.
  • Release Schedule: 09:15 EST, in the middle of the month.
  • Source: Federal Reserve.


ISM Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / ISM Index

ISM Index

ISM Index (Institute of Supply Management's index, former NAPM — National Association of Purchasing Managers) is the index of business activity.

ISM figures above 50 are usually considered as an indicator of expansion, while values below 50 indicate contraction. Typically, when ISM approaches 60 investors begin to worry about possible economic overheating, inflation increase and the corresponding measures (raising rates) by the Federal Reserve Bank. Figures below 40 entail talks about recession.

ISM is released just before unemployment data are announced, and is often used to refine data by Bureau of Labor Statistics.

  • Release Frequency: monthly.
  • Release Schedule: 10:00 EST, the first business day of the month.
  • Source: Institute for Supply Management.


Jobless Claims (Initial Claims)

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Jobless Claims (Initial Claims)

Jobless Claims (Initial Claims)

There are two types of Jobless Claims - Initial Claims, when a person applies for a benefit for the first time in five years, and the total number (Jobless Claims). Initial claims are more important. Both figures show weekly changes in the number of jobless claims.

These figures do not always reflect the real state of events. They are sometimes distorted by short-term factors, such as federal or local holidays. This indicator can give an idea of what Non-farm payrolls will be next time. For example, if during a month the value of Jobless Claims consistently decreases, then it is likely that the value of Non-farm payrolls will be large. It has a limited impact on the market. Reducing of the number of jobless claims is a favorable factor for the growth of the dollar.

  • Release Frequency: weekly.
  • Release Schedule: 08:30 EST, every Thursday.
  • Source: U.S. Department of Labor.


Leading Indicators Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Leading Indicators Index

Leading Indicators Index

Leading Indicators Index is a weighted average of the following measures: Production Orders, Jobless Claims, Money Supply, average workweek, Building Permits, prices of main stocks, Durable Goods Orders, Consumer Choice. It is believed that this measure characterizes the development of the economy over the next 6 months.

There is also a rule of thumb: value of the indicator in the negative region for three consecutive months is an indicator of a slowdown of the economy. It has a limited impact on the market. Its limited impact is due to the fact that the value of the index is released a month after the reporting period, when virtually all the major indexes have been published. Growth of the index leads to the growth of the dollar.

  • Release Frequency: monthly.
  • Release Schedule: 10:00 EST, at the beginning of the month.
  • Source: the NY-based Conference Board.


Money Supply

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Money Supply

Money Supply

Money Supply is the measure of the country's money stock. M1 includes the most liquid resources: cash money in circulation, demand deposits, traveler's checks. M2 includes M1, time deposits (up to $100,000) and other high-liquidity savings. M3 includes M2 and large time deposits.

Figures of M1, M2 and M3 are informative. They show the weekly change in the money supply. The most significant of them is M2. They have practically no effect on the market.

  • Release Frequency: weekly.
  • Release Schedule: 16:30 EST, on Thursdays.
  • Source: Federal Reserve.


New Home Sales

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / New Home Sales

New Home Sales

The New Home Sales indicator provides data of new single-family houses sold and for sale. This number tends to grow when the rate on loans secured by real estate, which is associated with the basic interest rates in the country, is growing. These data are subject to seasonal fluctuations due to the character of the real estate market. Moving Averages are used for New Home Sales index analysis.

It has a limited impact on the market. Growth of this value has a positive impact on the currency.

  • Release Frequency: monthly.
  • Release Schedule: 10:00 EST, first days of a month.
  • Source: U.S. Census Bureau.


Non-farm Payrolls

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Non-farm Payrolls

Non-farm Payrolls

Non-farm Payrolls is the assessment of the total number of employees recorded in payrolls.

This is a very strong indicator that shows the change in employment in the country. The growth of this indicator characterizes the increase in employment and leads to the growth of the dollar. It is considered an indicator tending to move the market. There is a rule of thumb that an increase in its value by 200,000 per month equates to an increase in GDP by 3.0%.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST, the first Friday of the month.
  • Source: Bureau of Labor Statistics, U.S. Department of Labor.


Personal Income

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Personal Income

Personal Income

This Personal Income indicator contains employees' wages, rental income, dividends, social security payments, etc. It is reviewed together with Personal Spending.

It has a limited impact on the market. Change of this index characterizes the state of people's purchasing power. Growth of the index with a normal level of spendings may lead to increase of retail sales, which is a good factor for the national economy and leads to the growth of the dollar.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST, 20th of the month.
  • Source: Bureau of Economic Analysis.


Personal Spending

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Personal Spending

Personal Spending

The Personal Spending indicator reflects the change in spending for meeting personal needs. The index includes three components: spendings on durable goods, on nondurables and services. Retail Sales Index shows the consumption of durable and nondurable goods. The process of service consumption, in turn, changes with a relatively constant rate, so the value of this indicator is often predictable. Thus, only the significant deviation of this index from predicted values may influence the rate of national currency.

It has a limited impact on the market. Growth of the index is a good factor for the national economy and leads to the growth of the dollar.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST, 20th of the month, along with Personal Income.
  • Source: Bureau of Economic Analysis.


Philadelphia Fed Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Philadelphia Fed Index

Philadelphia Fed Index

Philadelphia Fed Index is based on the results of survey questioning manufacturers in Philadelphia on their attitude towards the current economic situation. The figures below "0" are an indication of a slowing economy.

This index has a limited impact on the market. This index is being carefully watched, because it is published prior to ISM Index and can give an idea of what it will be. Growth of the index leads to the growth of the dollar.

  • Release Frequency: monthly.
  • Release Schedule: 10:00 EST, the third Thursday of the month.
  • Source: Federal Reserve Bank of Philadelphia.


Producer Price Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Producer Price Index

Producer Price Index

Producer Price Index measures changes in the price of the consumer basket produced in the industry. This index consists of two parts: the input prices (semi-finished products, components, etc.) and output prices (finished goods). The output price includes labor costs and gives an insight into inflation associated with changes in labor cost. PPI is considered more reliable if it does not take into account food and energy industries. When calculating this index prices for imported goods and services are not taken into account.

It has a significant impact on the market. With expectations of an increase in basic interest rates, the increase of the index leads to an increase in the rate of dollar.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST, the following week after the release of Non-farm payrolls.
  • Source: Bureau of Labor Statistics.


Productivity

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Productivity

Productivity

The productivity index measures the output produced for each hour of labor worked. This indicator is useful for predicting inflation and output growth. If the cost of labor increases respective to the increase of productivity, and, moreover, if the increase in production costs is unlikely, then it will not cause inflation.

It has a significant impact on the market. However it should be watched carefully because it may be misleading from time to time. For example, a reduction in the number of people employed in manufacturing during the economy stagnation leads to increased productivity. This may also occur due to strikes. Growth of the index is a good factor for the national economy and leads to the growth of the dollar.

  • Release Frequency: quarterly.
  • Release Schedule: 08:30 EST, 10th of the month.
  • Source: Bureau of Labor Statistics, U.S. Department of Labor.


Real Earnings

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Real Earnings

Real Earnings (Real average weekly earnings)

The Real Earnings index is calculated taking into account inflation. To eliminate its influence calculation is made with respect to the base year 1982. It is expressed as absolute values and as an index relative to the previous period. It can serve as an indicator of inflationary pressures arising from increased labor costs.

It has a limited impact on the market. With expectations of an increase in basic interest rates, the increase of the index leads to an increase in the rate of dollar.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST, in the middle of the month, along with Consumer Price Index.
  • Source: Bureau of Labor Statistics.


Redbook

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Redbook

Redbook

Redbook review is the result of study of retail sales of large supermarkets. Published weekly on Tuesdays. The first review of the month (the first Tuesday of the month) compares the first week of this month with the first week of the previous month, the second review compares the first two weeks of this month with the first two weeks of the previous month, etc. Thus, a complete picture of the review is formed only in the last review of the month (last Tuesday).

It has almost no effect on the market. This is because the figures show considerable variability of values and the review concerns a limited number of stores.

Release Frequency: weekly.

Release Schedule: 10:30 EST, on Tuesdays.

Source: Redbook Research.


Retail Sales

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Retail Sales

Retail Sales

The index shows the change in volume of sales in the retail trade. It characterizes consumer spending and demand. In the results of retail sales, the share of durable goods (from cars to household goods) is about 1/3 of consumer spending, and about 2/3 is the share of nondurables.

Growth of retail sales is a good factor for the national economy and leads to the growth of the dollar. It has a limited impact on the market (mainly in the medium and long term).

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST, in the middle of the month.
  • Source: The Census Bureau of the Department of Commerce.


Trade Balance

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Trade Balance

Trade Balance

Trade Balance is the difference between the total value of exports and the total value of imports. This indicator is a part of the Current Account. A positive trade balance shows the demand of goods of the country on the international market, as well as the fact that the country does not consume all that it produces. A negative trade balance suggests that the country consumes foreign goods together with it own goods.

When the U.S. trade deficit decreases due to increase of exports, the demand of U.S. dollars increases which stimulates the growth of the American currency.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST, Tuesday/Thursday of the third week of the month.
  • Source: The Census Bureau of the Department of Commerce.


Unemployment Rate

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Unemployment Rate

Unemployment Rate

Unemployment rate is the number of unemployed persons in relation to the working-age population. It is released simultaneously with Non-farm payrolls. Typically, analysis of unemployment is carried out in the context of the figures reflecting the value of Non-farm payrolls. For example, the growth of Non-farm payrolls with an increase in the unemployment rate indicates an increase in unemployment in the agricultural sectors of the economy, etc.

It has a significant impact on the market. With expectations of an increase in basic interest rates, the decrease of the index leads to an increase in the rate of dollar.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST, the first Friday of the month.
  • Source: Bureau of Labor Statistics, U.S. Department of Labor.


Unit Labor Cost

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Unit Labor Cost

Unit Labor Cost

The index characterizes costs associated with the manufacturing of a production unit. It is an important indicator of the efficiency of the economy. It is a good indicator of inflationary pressures associated with increasing wages. Typically, the analysis of this index is carried out in the context of the figures reflecting the value of Productivity.

It has a significant impact on the market. The growth of the Unit Labor Cost together with rising Productivity can lead to the need to raise key interest rates, which is a positive factor for growth of the dollar.

  • Release Frequency: quarterly.
  • Release Schedule: 08:30 EST, 10th of the month along with Productivity.
  • Source: Bureau of Labor Statistics, U.S. Department of Labor.


University of Michigan Consumer Confidence Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / University of Michigan Consumer Confidence Index

University of Michigan Consumer Confidence Index

University of Michigan Consumer Confidence Index is the survey of consumers' confidence in the current economic situation. The survey is conducted by the University of Michigan USA. It analyzes the desire of consumers to spend their money. The index is a leading indicator of consumer sentiment.

It has a limited impact on the market. Growth of the index leads to the growth of the dollar.

  • Release Frequency: twice a month.
  • Release Schedule: 10:00 EST, the second week of the month (preliminary) and in two weeks (final).
  • Source: University of Michigan.


Wholesale Inventories

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / USA / Wholesale Inventories

Wholesale Inventories

The Wholesale Inventories index characterizes the relationships between wholesalers and retailers. It has a limited impact on the market, but gives an idea of trends in these sectors, which can be projected on the economy as a whole. Large amounts of goods in warehouses may indicate the presence of stagnation in the economy. A steady trend in its dynamics has a great impact on the market. Growth of the index has a negative impact on the dollar.

  • Release Frequency: monthly.
  • Release Schedule: 10:00 EST, around the 10th of each month.
  • Source: U.S. Census Bureau.


European Union

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / European Union

Macroeconomic Indicators of European Union

To assess the situation in the European Union, the following macroeconomic indicators are used:

  • Balance of Payments
  • Capital and Financial Account
  • Consumer Confidence Indicator (CCI)
  • Current Account
  • Economic Sentiment Indicator
  • Gross Domestic Product (GDP)
  • Harmonized Index of Consumer Price (HICP)
  • IFO Business Climate
  • Industrial Confidence Indicator
  • Labor Cost Index
  • Money Supply Growth
  • PMI Manufacturing
  • PMI Services
  • Purchasing Managers Index (PMI)
  • Refinancing Tender Rate
  • Retail Trade Confidence Indicator
  • Unemployment Rate
  • ZEW Survey


Balance of Payments

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / European Union / Balance of Payments

Balance of Payments

This important indicator used to describe the financial state of the country represents the sum of all incoming and outgoing payments of the country during a specified period. In the case of the EU, also a separate balance for the Eurozone is calculated, which is approved by the European Central Bank. The ECB also collects data, and its balance of payments for the Eurozone may be different from the balance of Eurostat, as data from the countries - members of the Union are collected by the Bank and Eurostat at different times. The Balance of Payments is divided into two sub-accounts:

  • Current Account;
  • Capital and Financial Account.

Both for the entire balance and for its separate parts the negative balance and its increase have a bad impact on the national currency.

  • Release Frequency: monthly.
  • Release Schedule: 9:00 GMT, about 50 days after the reporting month.
  • Source: Eurostat.


Capital and Financial Account

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / European Union / Capital and Financial Account

Capital and Financial Account

This indicator is a part of Balance of Payments. The Capital and Financial Account is the ratio of the movement of public and private funds into and out of a country, received and issued credits and results of transactions on government reserves.

  • Release Frequency: monthly.
  • Release Schedule: 9:00 GMT, about 50 days after the reporting month.
  • Source: Eurostat.


Consumer Confidence Indicator

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / European Union / Consumer Confidence Indicator

Consumer Confidence Indicator (CCI)

Consumer Confidence Index is the average of the balance of answers to four questions: evaluating the financial state of the family household, evaluating the general economic situation in the country in the past and opinion about its future, the acceptability of making large purchases at the moment.

The survey is carried out in all segments of the population. Only unambiguous answers are allowed: "yes — no", "bad — good". The final figure is the difference between positive and negative responses. Thus, the value above zero indicates a greater number of positive responses.

Release of this index should be watched, but as a rule it rarely affects markets.

  • Release Frequency: monthly.
  • Release Schedule: 09:00 GMT, the last week of the month.
  • Source: European Commission, Directorate General for Economic and Financial Affairs.


Current Account

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / European Union / Current Account

Current Account

This indicator is a part of Balance of Payments. Current account balance is the export of goods and services by business entities of the country minus import of goods and services plus net investment income plus balance of transfer payments (payments not related to the movement of capital, i. e. loans, purchases of securities, salaries, etc.) In other words, the balance of payments is the ratio between the amount of payments received from abroad, and the amount of payments moving abroad. The balance can be either positive or negative.

The indicator is similar to the English PSNCR. It has little impact on the market.

  • Release Frequency: monthly.
  • Release Schedule: 9:00 GMT, about 50 days after the reporting month.
  • Source: Eurostat.


Economic Sentiment Indicator

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / European Union / Economic Sentiment Indicator

Economic Sentiment Indicator

The Economic Sentiment indicator is the most important one in terms of assessing the prospects for economic growth. It is a composite indicator with complicated calculations. Its value is equally influenced by the Industrial Confidence Indicator and Consumer Confidence Indicator. In addition, construction confidence index and stock prices index are used for calculating; their influence is reduced due to the use of reduction factors.

As an integral indicator for the majority of survey of indexes, it has a big impact on financial markets, and from this point of view it is the main survey index. High or rising values of the index indicates a healthy level of purchases, business expenses and investments which positively affects the economic situation and leads to strengthening of the euro.

  • Release Frequency: monthly.
  • Release Schedule: 09:00 GMT, the last week of the month.
  • Source: European Commission, Directorate General for Economic and Financial Affairs.


Gross Domestic Product

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / European Union / Gross Domestic Product

Gross Domestic Product (GDP)

Gross Domestic Product is considered in the three independent components:

  • GDP as the sum in money for all goods and services produced by business entities, plus taxes, minus subsidies on production of certain goods and services.
  • GDP as the amount of funds spent on consumption of goods and services produced, plus export, minus import of goods and services.
  • GDP as the amount of the revenue the economy as a whole (i. e. salaries, taxes, balance profit of businesses, etc.)

After obtaining the data on these parameters and checking their balance, the value of GDP is obtained, which is included in the official documents.

It is important to track GDP. Its growth relates to the factors that contribute to strengthening of the national currency, but despite its importance, they rarely have a strong impact on foreign exchange markets.

  • Release Frequency: quarterly.
  • Release Schedule: 9:00 GMT, about two months after the reporting quarter.
  • Source: Eurostat.


Harmonized Index of Consumer Price

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / European Union / Harmonized Index of Consumer Price

Harmonized Index of Consumer Price (HICP)

The indicator is taken into account by the market. During the cycle of interest rates growth, the index gains more importance, since its growth entails further tightening of monetary policy in the country, and therefore entails the growth of the national currency. Indices of consumer price inflation are more important than the index of industrial inflation.

To compare the values of indexes for different periods, the index value for the base year 1996 equal to 100 is used.

  • Release Frequency: monthly.
  • Release Schedule: 09:00 GMT, about three weeks after the end of the reporting period.
  • Source: Eurostat.


IFO Business Climate

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / European Union / IFO Business Climate

IFO Business Climate

This survey is one of the key indicators of country's business sentiment. The survey is conducted monthly, querying German firms on the current German business climate as well as their expectations for the next six months. As the largest economy in the Euro-zone, Germany is responsible for approximately a quarter of the total Euro-Zone GDP. Consequently, the German IFO is a significant economic health indicator for the Euro-zone as a whole.

The figures below 100 are an indicator of a slowing down economy, and is clearly regarded by the market as a negative factor. Values above 100 indicate growing optimism, which in turn causes the strengthening of the Euro.

The survey presents two equally weighted sub-indices: Current Assessment and Business Expectations.

  • Release Frequency: monthly.
  • Release Schedule: 08:00 GMT, the last week of the month.
  • Source: CESifo Group.


Industrial Confidence Indicator

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / European Union / Industrial Confidence Indicator

Industrial Confidence Indicator

The Industrial Confidence index is calculated similarly to Consumer Confidence Index. Management of industrial enterprises evaluates the production prospects in general, as well as the prospects of orders growth and industrial stocks growth.

  • Release Frequency: monthly.
  • Release Schedule: 09:00 GMT, the last week of the month.
  • Source: European Commission, Directorate General for Economic and Financial Affairs.


Labor Cost Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / European Union / Labor Cost Index

Labor Cost Index

The Labor Cost index is the sum of all payments made to the working population, divided by the number of employees and hours worked. It is calculated without taking into account employees in agriculture, health and education.

In addition to reflecting the income situation of employees, the index reflects the prospects for inflation. Increased labor costs are considered as an indicator of impending inflation, which could raise interest rates. Index changes have little effect on the euro.

  • Release Frequency: quarterly.
  • Release Schedule: 09:00 GMT, in the middle of the third month after the reporting quarter.
  • Source: Eurostat.


Money Supply Growth

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / European Union / Money Supply Growth

Money Supply Growth

In European statistics agencies, money supply is divided into aggregates M1, M2 and M3, each of them is measured on a monthly basis.

  • M1 consists of cash in circulation and deposits with very little urgency from which the money can almost instantly be used as a means of payment. These are overnight deposits.
  • M2 consists of all the components of M1 together with deposits up to two years and revocable deposits up to three months.
  • M3 consists of all the components of M2 together with repo trades, securities and debt securities of up to two years.

The biggest attention when deciding on monetary policy is given to aggregate M3 based on which the European Central Bank sets the inflation target.

  • Release Frequency: monthly.
  • Release Schedule: 9:00 GMT.
  • Source: Eurostat, The European Central Bank.


PMI Manufacturing

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / European Union / PMI Manufacturing

PMI Manufacturing

This index assesses business conditions in the manufacturing sector. Because the manufacturing sector represents nearly a quarter of the total Eurozone GDP, the Eurozone PMI Manufacturing is a significant and timely indicator of business conditions and the general health of the economy.

The indicator values about 50 points indicate that during the reporting period there was neither extension no reduction of the manufacturing sector. Values above 50 indicate growth in this sector. Figures below 50 may indicate deterioration in the manufacturing sector.

  • Release Frequency: monthly.
  • Release Schedule: 09:00 GMT, the first working day of the month.
  • Source: NTC Research.


PMI Services

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / European Union / PMI Services

PMI Services

This index reflects the business optimism in the service sector. The indicator is calculated based on interviewing of executives in Germany, France, Ireland, Italy and Spain. Together, these countries account for about 4/5 of all activity in the service sector of Eurozone.

The indicator values about 50 points indicate that during the reporting period there was neither extension no reduction of the service sector. Values above 50 indicate growth in this sector. Figures below 50 may indicate deterioration in the service sector.

Because 2/3 of GDP is created in the service sector, PMI Services is an important and timely indicator of health of economy. The index has a significant impact on the market.

  • Release Frequency: monthly.
  • Release Schedule: 09:00 GMT, the third working day of the month.
  • Source: NTC Research.


Purchasing Managers Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / European Union / Purchasing Managers Index

Purchasing Managers Index (PMI)

Purchasing Managers Index is based on a survey of a large number of participants who answer questions like "Have the conditions improved for your business in terms of new orders, prices, labor market, the timing of orders, etc.?", while the respondent selects one of the three types of response: "No", "Yes" or "Not changed". Such indexes very effectively monitor the dynamics of the economic cycle being leading indicators.

When the index starts to fall after a period of growth, this predicts the transition of the business cycle from the growth stage to decline, while its turn upwards after the fall predicts the beginning of recovery.

The indicator values about 50 points indicate that during the reporting period there was neither extension no reduction of the manufacturing sector. Values above 50 indicate growth in this sector. Figures below 50 may indicate deterioration in the industry.

The index has a significant impact on the market.

  • Release Frequency: monthly.
  • Release Schedule: 09:00 GMT.
  • Source: NTC Research.


Refinancing Tender Rate

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / European Union / Refinancing Tender Rate

Refinancing Tender Rate

Refinancing Tender Rate is the possibly least interest rate for funds attracting claims in the tender of the European Central Bank. Every two weeks the ECB holds a tender for funds investment, which is necessary for liquidity support in money system.

High interest rates reduce the growth of consumer lending and stimulate the growth of savings, which leads to slower economic growth. The growth of rates usually leads to an increase in capital inflows and the growth of the national currency in the medium term, however, if growth rates are not based on high rates of economic growth, it could lead to economic stagnation and negative impact on the currency markets in the long term.

  • Release Frequency: monthly.
  • Release Schedule: 11:45 GMT, usually on the first Thursday of the month.
  • Source: The European Central Bank.


Retail Trade Confidence Indicator

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / European Union / Retail Trade Confidence Indicator

Retail Trade Confidence Indicator

This index is calculated similarly to Consumer Confidence Index. Owners of retail businesses answer questions about the trading situation at the moment and estimate prospects for the future.

  • Release Frequency: monthly.
  • Release Schedule: 09:00 GMT, the last week of the month.
  • Source: European Commission, Directorate General for Economic and Financial Affairs.


Unemployment Rate

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / European Union / Unemployment Rate

Unemployment Rate

The unemployment rate is the percentage of working-age population who are actively looking for a job but can't find it. A low or falling unemployment rate is associated with increased expenditure, given that more people are employed and have incoming wages.

This is a significant indicator of economic activity in a region, particularly because it is released earlier than the GDP. However, it receives less attention, because the corresponding figures for member countries are released before the aggregate rate for the Eurozone.

  • Release Frequency: monthly.
  • Release Schedule: 09:00 GMT, two months after the reporting period, the first week of the month.
  • Source: Eurostat.


ZEW Survey

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / European Union / ZEW Survey

ZEW Survey

A German firm, the Center for European Economic Research (ZEW), queries financial experts throughout Europe every month in order to make a medium-term forecast about Eurozone's economic situation. The results are calculation of the difference between positive and negative reviews.

There are two types of the indicator:

  • ZEW Economic Expectations Index — this indicator is made up of assessments of expected events— the direction of inflation, interest rates and exchange rates over the next six months.
  • Zew Current Situation — in contrast to the previous indicator, it assesses the current economic situation. Experts are invited to select one of the variants: "better", "worse" or "unchanged." The final figure is the difference between positive and negative rates.

High figures indicate a positive economic environment and good business climate in the Eurozone.

  • Release Frequency: monthly.
  • Release Schedule: 09:00 GMT, the first half of the month.
  • Source: Center for European Economic Research.


United Kingdom

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / United Kingdom

UK macroeconomic indicators

To assess the situation in the UK, the following macroeconomic indicators are used:

  • Average Earning Growth
  • Balance of Payments
  • Bank of England Minutes
  • CBI Distributive Trades
  • CBI Industrial Order Expectations
  • CBI Industrial Trends
  • Current Account
  • Gross Domestic Product (GDP)
  • Industrial Output (Industrial Production)
  • M4 Money Supply
  • Major Banks Mortgage Approvals
  • Manufacturing Output
  • Net Consumer Credit
  • Non-Eu Trade Balance
  • Purchasing Managers Index (PMI)
  • Producer Input Prices (PPI Input)
  • Producer Output Prices (PPI Output)
  • Public Sector Net Cash Requirement (PSNCR)
  • Repo Rate
  • Retail Price Index
  • Retail Sales
  • Rightmove HPI
  • Unemployment Rate
  • Unit Wage Costs


Average Earning Growth

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / United Kingdom / Average Earning Growth

Average Earning Growth

The indicator is calculated by taking into account earnings growth over the past three months (taking into account all payments that were actually made). This is a good indicator of future inflation, as rising wages, if they are not offset by productivity growth, are the cause of rising prices. It is one of the defining indicators, according to which the Bank of England determines interest rates. It has a significant impact on the market.

  • Release Frequency: monthly.
  • Release Schedule: 09:30 GMT.
  • Source: U.K. Office of National Statistics.


Balance of Payments

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / United Kingdom / Balance of Payments

Balance of Payments

The Balance of Payments represents an overall picture of financial flows between the UK and the rest of the world. This parameter consists of a large number of components that take into account all types of cash flows to and from the country. In fact, it is the difference between all cash that entered and left it.

Growth of the balance of payments deficits affects the rate of the national currency, because it means the outflow of funds, i.e. reduce of foreign investment, falling confidence in the country, etc.

  • Release Frequency: quarterly.
  • Release Schedule: 09:30 GMT, at the end of the month following the reporting quarter.
  • Source: U.K. Office of National Statistics.


Bank of England Minutes

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / United Kingdom / Bank of England Minutes

Bank of England Minutes

The Bank of England Monetary Policy Committee keeps notes from its rate decision meetings. The detailed minutes from these meetings give an insight into the process of monetary policy decision making and the opinion of the Bank of England on economic developments inside and outside the country.

The markets tend to focus most of their attention on the key points discussed that can affect future interest rate changes.

Because minutes come out two weeks after the Bank of England meets, the market does not take into account some information from the report. Market participants tend to track the overall mood of the Bank of England during the meeting. If the Bank is cautious about the inflationary outlook (the mood is called "Hawkish"), then the market expects future rate increases. If the Bank is optimistic ("Dovish") it suggests to markets that inflation is in check and that future rate increases are less likely.

  • Release Frequency: monthly.
  • Release Schedule: 2 weeks after the announcement of rates, usually on Wednesday.
  • Source: The Bank of England.


CBI Distributive Trades

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / United Kingdom / CBI Distributive Trades

CBI Distributive Trades

The review (in the form of figures) reflects business sentiment on trade areas. The review does not have direct connection with the real prospects of economic development. The indicator is taken into account by the market.

  • Release Frequency: monthly.
  • Release Schedule: 11:00 GMT, 28-30th of the reporting month.
  • Source: Confederation of British Industry (CBI).


CBI Industrial Order Expectations

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / United Kingdom / CBI Industrial Order Expectations

CBI Industrial Order Expectations

This index characterizes the volume of new orders in the industrial sector. The growth of industrial orders is a sign that the economy expands. Increase in orders leads to higher employment in the industry.

Increase in orders will lead to further growth in manufacturing, and hence lead to growth of the national currency and domestic stock market. In the bond market, this leads to an increase in profitability of government securities. The index is certainly important for the market. Sometimes a strong deviation from the forecast values of the index can cause a strong change of the pound sterling rate. Certainly, the indicator is not able to deploy the prevailing trend.

  • Release Frequency: monthly.
  • Release Schedule: 09:00 GMT.
  • Source: Confederation of British Industry (CBI).


CBI Industrial Trends

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / United Kingdom / CBI Industrial Trends

CBI Industrial Trends

The review (in the form of figures) reflects business sentiment on the production sector of the economy. The review does not have direct connection with the real prospects of economic development. It is released monthly. The indicator is taken into account by the market.

  • Release Frequency: monthly.
  • Release Schedule: 11:00 GMT, 22-27th of the reporting month.
  • Source: Confederation of British Industry (CBI).


Current Account

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / United Kingdom / Current Account

Current Account

Current Account is the most important part of the Balance of Payments. It consists of:

  • trade balance for goods and services (the sum of export and import flows);
  • balance of income of compensatory payments to employees;
  • balance of income from direct investment abroad and investment from abroad;
  • balance of income from portfolio investment in securities and debt obligations;
  • balance of payments of the government for taxes from non-residents operating in England, pension and social benefits to its citizens living abroad, and payments to international organizations.

Changes of this indicator have impact on financial markets. Increase in the deficit on Current Account Balance is negative news for the currency.

  • Release Frequency: quarterly.
  • Release Schedule: 09:30 GMT, at the end of the month following the reporting quarter.
  • Source: U.K. Office of National Statistics.


Gross Domestic Product

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / United Kingdom / Gross Domestic Product

Gross Domestic Product (GDP)

Gross domestic product (GDP) is the sum of domestically produced goods and services expressed in prices. It is a major indicator reflecting the state of the national economy. GDP is calculated in the following way: GDP = C + I + S + E - M, where C — consumption, I — investment, S — state government expenditures, E — export, M — import. GDP is expressed as an index relative to the previous period, and as an absolute value of the sum of prices for manufactured goods and services. Despite the importance of the indicator, its impact on the market is decreasing, because its value is usually predicted by the market based on other data, and also due to repeated revisions of the value of GDP after its first release.

  • Release Frequency: quarterly, divided into three values — advance, revised and final.
  • Release Schedule: 09:30 GMT, during three months after accounting quarter.
  • Source: U.K. Office of National Statistics.


Industrial Output

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / United Kingdom / Industrial Output

Industrial Output (Industrial Production)

The Industrial Output includes the output of the manufacturing sector (manufacturing output), and also takes into account manufacturing in sectors such like mining and processing of minerals, and utilities. It is an indicator of economic growth.

High or rising figures indicate the economic development and strengthening of the Pound. However, the uncontrolled level of production and consumption can lead to inflation. In the case of inflation, the Bank of England can raise interest rates to control growth.

The indicator is not decisive for the direction of economic development, as more than 60% of the gross domestic product is currently provided by the service sector. It is taken into account by the market.

  • Release Frequency: monthly.
  • Release Schedule: 09:30 GMT, 4-9th of the month following the reporting period.
  • Source: U.K. Office of National Statistics.


M4 Money Supply

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / United Kingdom / M4 Money Supply

M4 Money Supply

Indicator of M4 Money Supply. More often Money Supply Growth is used. It includes all currency in circulation, the total amount of loans issued by banks, as well as the amount of borrowing by the government. M4 is considered a good indicator for inflation.

  • Release Frequency: monthly.
  • Release Schedule: 09:30 GMT, next month after the reporting period, 19-21 provisional data are published, in a week - final figures are released.
  • Source: The Bank of England.


Major Banks Mortgage Approvals

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / United Kingdom / Major Banks Mortgage Approvals

Major Banks Mortgage Approvals

Taking into account that the state of the UK property market is always in the focus of traders of British currency, the importance of this index is very high. Large amount of mortgage approvals will result in the growth of loans and homes sold. Therefore, the indicator can be regarded as a leading indicator of the housing market, in addition the index also characterizes the lending sector.

  • Release Frequency: monthly.
  • Release Schedule: 09:30 GMT.
  • Source: The Bank of England.


Manufacturing Output

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / United Kingdom / Manufacturing Output

Manufacturing Output

This indicator shows the volume of products produced by the manufacturing industry as expressed in prices. It is an indicator of economic growth. The indicator is not very important for the market, because the contribution of manufacturing in gross domestic product is less than 20%. It is released monthly.


Net Consumer Credit

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / United Kingdom / Net Consumer Credit

Net Consumer Credit

The amount of loans granted to individuals over the last month. A large value of the indicator can talk about "overheating" of the economy, when consumers take more credits than it is necessary for normal living. A too high level of credits can lead to a recession in the long term if the consumer is too burdened by the loan and will have to reduce consumption or to leave the debt to a financier in case of bankruptcy.

It has a limited impact on the market.

  • Release Frequency: monthly.
  • Source: The Bank of England.


Non-EU Trade Balance

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / United Kingdom / Non-EU Trade Balance

Non-Eu Trade Balance

The trade balance with countries outside the Euro-zone. The difference between exports and imports, expressed in prices. The index is gradually losing its influence on the market because of the the growing importance of capital flows, rather than goods. At the same time, import growth indicates an increase in consumption in the country, and export growth is a sign of an increased level of production. The Non-EU Trade Balance is calculated separately for the UK. Reducing trade deficit (an increase in the surplus of exports over imports) leads to higher prices of the credit market instruments, appreciating currencies and rising prices of shares.

  • Release Frequency: monthly.
  • Release Schedule: 09:30 GMT, 18-20th of the month following the reporting period.
  • Source: U.K. Office of National Statistics.


Purchasing Managers Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / United Kingdom / Purchasing Managers Index

Purchasing Managers Index (PMI)

Purchasing Managers Index reflects the change in the rate of industrial production. Figures above 50% reflect growth of rates of industrial production, below 50% - slowing down. The indicator is taken into account by the market.

  • Release Frequency: monthly.
  • Release Schedule: 09:30 GMT, the first business week of the month following the reporting period.
  • Source: Chartered Institute of Purchasing and Supply.


Producer Input Prices

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / United Kingdom / Producer Input Prices

Producer Input Prices (PPI Input)

The Producer Input Prices indicator is defined as the change in the prices of components and semifinished products in the industry (the growing "input" prices may have no influence on the inflation index, as there can be reduction of costs in the production process). It is a string indicator of inflation. From the total value of the indicator, usually a part is singled out which does not take into account the price of food, alcohol, tobacco and fuel (prices for these commodities are highly volatile). The indicator is taken into account by the market.

  • Release Frequency: monthly.
  • Release Schedule: 09:30 GMT, 8-13th of the month following the reporting period.
  • Source: U.K. Office of National Statistics.


Producer Output Prices

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / United Kingdom / Producer Output Prices

Producer Output Prices (PPI Output)

The Producer Output Prices indicator is defined as the change in the level of manufacturer's selling prices in the industry. It is a string indicator of inflation. It reflects the inflationary pressures on the economy from producers (increase of output prices may have no influence on the inflation index, as it can reduce costs in trading). From the total value of the indicator, usually a part is singled out which does not take into account the price of food, alcohol, tobacco and fuel (prices for these commodities are highly volatile). It has a significant impact on the market.

  • Release Frequency: monthly.
  • Release Schedule: 09:30 GMT, 8-13th of the month following the reporting period.
  • Source: U.K. Office of National Statistics.


Public Sector Net Cash Requirement

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / United Kingdom / Public Sector Net Cash Requirement

Public Sector Net Cash Requirement (PSNCR)

The need of the public (including governmental) sector of economy in cash. PSNCR is used for determining the overall situation with the finances in England and is a sum of money that need to be borrowed by the public sector from other sectors of the economy and foreign sources to cover the gap between incomes and expenses, resulting from the activities of the public sector.

It includes a budget deficit, i.e. the difference between the budget income and expenditure. Large budget deficit leads to an increase in public debt and can act as a catalyst for accelerating inflation. It results either from large spendings or from low income of the budget.

  • Release Frequency: monthly.
  • Release Schedule: 09:30 GMT, 18-20th of the month following the reporting period.
  • Source: U.K. Office of National Statistics.


Repo Rate

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / United Kingdom / Repo Rate

Repo Rate

Repo Rate is the interest rate for short-term loans secured by securities issued by the Bank of England. This is the major rate in the UK. The Bank of England has set an upper threshold of inflation at 2%; if consumer prices are rising faster than 2%, then increase of rates is high probable.

High interest rates reduce the growth of consumer lending and stimulate the growth of savings, which leads to slower economic growth. The growth of rates usually leads to an increase in capital inflows and the growth of the national currency in the medium term, however, if growth rates are not based on high rates of economic growth, it could lead to economic stagnation and negative impact on the currency markets in the long term.

  • Release Frequency: monthly.
  • Release Schedule: 11:00 GMT, 4-10th of the month, on Thursday.
  • Source: The Bank of England.


Retail Price Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / United Kingdom / Retail Price Index

Retail Price Index

The report tracks changes in the price of a basket of goods and services. The measure of inflation is the retail price index excluding interest payments on loans to purchase real estate (RPI-X). The Retail Price Index calculated by a uniform formula for comparison with similar indices in other countries, is called harmonized (HICP). If the index growth exceeded the planned value, the Bank of England usually raises interest rates. It has a significant impact on the market.

  • Release Frequency: monthly.
  • Release Schedule: 09:30 GMT, 8-13th of the month following the reporting period.
  • Source: U.K. Office of National Statistics.


Retail Sales

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / United Kingdom / Retail Sales

Retail Sales

It is an indicator of the level of consumption. If the level of consumption is above the level of production, this usually leads to inflation. It should be noted that the index of Retail Sales for a month is very volatile. The index value averaged for three months describes the situation better. The Retail Sales indicator is taken into account by the market.

  • Release Frequency: monthly.
  • Release Schedule: 09:30 GMT, 17th-21st of the month following the reporting period.
  • Source: U.K. Office of National Statistics.


Rightmove HPI

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / United Kingdom / Rightmove HPI

Rightmove House Price Index (HPI)

The price change for a month requested by sellers from Rightmove - the largest Internet real estate portal in the UK. This figure comes out the first, but it has very limited impact on the market as it characterizes the state of demand prices. In reality the prices of supply and demand do not always correlate.

  • Release Frequency: monthly.
  • Source: Rightmove.


Unemployment Rate

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / United Kingdom / Unemployment Rate

Unemployment Rate

Unemployment rate is the number of unemployed persons in relation to the working-age population. Claimant count is the most regular unemployment rate, it means the number of applications of unemployed persons in employment centers. The lower unemployment rate is, the greater is the number of people that are paid a salary, this causes inflation. The indicator is taken into account by the market.

  • Release Frequency: monthly.
  • Release Schedule: 09:30 GMT, 11-17th of the month following the reporting period.
  • Source: U.K. Office of National Statistics.


Unit Wage Costs

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / United Kingdom / Unit Wage Costs

Unit Wage Costs

The index characterizes costs associated with the manufacturing of a production unit. This indicator reflects worker productivity and the prevailing wage rate for companies in the UK.

If the growth rate of labor costs exceed the rate of productivity growth, it causes inflationary pressures in the economy. It is released monthly. It has a limited impact on the market.

  • Release Frequency: monthly.
  • Release Schedule: 09:30 GMT.
  • Source: U.K. Office of National Statistics.


Japan

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Japan

Macroeconomic indicators of Japan

To assess the situation in the Japan, the following macroeconomic indicators are used:

  • All Industry Activity Index
  • Balance of Payments
  • Consumer Price Index (CPI)
  • Corporate Goods Price Index (CGPI)
  • Gross Domestic Product (GDP)
  • Industrial Production Index
  • Leading and Coincident Indices of Business Conditions
  • Machinery Orders
  • Retail Sales
  • Tankan Survey
  • Tertiary Industry Index
  • Trade Balance
  • Unemployment Rate
  • Wholesale Price Index (WPI)


All Industry Activity Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Japan / All Industry Activity Index

All Industry Activity Index

The index shows the level of activity in the industrial sector taking into account all areas of this segment of the economy. It is a leading indicator taken into account by bidders, predicting the future dynamics of the production index Tankan.

  • Release Frequency: monthly.
  • Release Schedule: 23:50 GMT, 7-8 weeks after the reporting period.
  • Source: Ministry of Economy, Trade and Industry.


Balance of Payments

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Japan / Balance of Payments

Balance of Payments

The balance of payments systematically summarizes all economic transactions between residents and nonresidents of the country or geographical area. The balance of payments is information on international transactions; it includes the country's or territory's current account balance (goods, services, income, current transfers). It is the difference between the amount of payments received from abroad, and the amount of payments moving abroad.

  • Release Frequency: monthly.
  • Release Schedule: 23:50 GMT, in the middle of the month following the reporting month, together with the Trade Balance.
  • Source: Japanese Ministry of Finance.


Consumer Price Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Japan / Consumer Price Index

Consumer Price Index (CPI)

Consumer Price Index is the main indicator of inflation in the country. In other words, inflation reflects a decline in purchasing power of the yen, so for every yen you can buy fewer goods and services. In terms of measuring inflation, CPI is the most obvious way to quantify changes in purchasing power.

The report tracks changes in the price of a basket of goods and services. An increase in the index indicates that it takes more yen to purchase this same set of basic consumer items.

The indicator is taken into account by the market.

  • Release Frequency: monthly.
  • Release Schedule: 23:30 GMT.
  • Source: Ministry of Internal Affairs and Communications.


Corporate Goods Price Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Japan / Corporate Goods Price Index

Corporate Goods Price Index (CGPI)

The Corporate Goods Price Index measures prices for goods purchased by Japanese corporations. Calculated as a weighted average of three components: domestic wholesale prices, export wholesale prices and import wholesale prices. The index's base year is the year 2000. The index is designed for a more accurate calculation of the price index by taking into account the structural changes in the Japanese economy. A rising trend has a positive impact on the national currency, because when trade companies pay more for goods, they are likely to reflect higher costs to consumers.

  • Release Frequency: monthly.
  • Release Schedule: 23:50 GMT, on the eighth business day of the following month.
  • Source: Bank of Japan.


Gross Domestic Product

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Japan / Gross Domestic Product

Gross Domestic Product (GDP)

It is the sum of domestically produced goods and services expressed in prices. The indicator value, at the time of its release, is usually well-predicted by the market based on other data, so it rarely affects the market. It is released quarterly. The index value is repeatedly revised.

Gross Domestic Product is considered in the three independent components:

  • GDP as the sum in money for all goods and services produced by business entities, plus taxes, minus subsidies on production of certain goods and services.
  • GDP as the amount of funds spent on consumption of goods and services produced, plus export, minus import of goods and services.
  • GDP as the amount of the revenue the economy as a whole (i. e. salaries, taxes, balance profit of businesses, etc.)

The index has a significant impact on the market.

  • Release Frequency: quarterly.
  • Release Schedule: 23:50 GMT, the second month after the reporting period.
  • Source: Economic and Social Research Institute.


Industrial Production Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Japan / Industrial Production Index

Industrial Production Index

The index of industrial production. It shows changes in industrial production in the country. The growth of this index leads to growth of the national currency. It has a significant impact on the market.

  • Release Frequency: monthly.
  • Release Schedule: 23:50 GMT, preliminary index is released at the end of each month, in two weeks revised figures come out.
  • Source: Ministry of Economy, Trade and Industry.


Leading and Coincident Indices

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Japan / Leading and Coincident Indices

Leading and Coincident Indices of Business Conditions

The index of leading indicators is a weighted average of 13 major indicators. It is used for determining the future state of the economy. The index of coincident indicators is composed of 11 indicators and is used for assessing the current state of the economy (the 50% level of the indicator is "zero"). They have little effect on the market.

  • Release Frequency: monthly.
  • Release Schedule: 05:00 GMT, two months after the reporting period.
  • Source: Economic and Social Research Institute.


Machinery Orders

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Japan / Machinery Orders

Machinery Orders

The Machinery Orders indicator reflects the level of business capital spending and business activity. It is calculated based on evaluations of more than 300 industrial manufacturers. It has a significant impact on the market.

  • Release Frequency: monthly.
  • Release Schedule: 05:00 GMT, in the middle of the second month following the reporting period.
  • Source: Economic and Social Research Institute.


Retail Sales

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Japan / Retail Sales

Retail Sales

The indicator reflects changes in the level of retail sales. The statistics includes department stores and supermarkets. Retail Sales Index is one of the indicators of consumer spendings. Therefore being an indicator of consumer demand and confidence it can serve as a benchmark for the currency market at the turning points of the economic cycle. It has little impact on the market.

  • Release Frequency: monthly.
  • Release Schedule: 23:50 GMT, a month after the reporting period.
  • Source: Ministry of Economy, Trade and Industry.


Tankan Survey

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Japan / Tankan Survey

Tankan Survey

Tankan Survey is a quarterly economic review published by the Research and Statistics Department of the Bank of Japan. Review is based on estimates of more than 8000 companies, firms and institutions on the following economic parameters:

  • business conditions;
  • production and marketing;
  • supply and demand, the price level;
  • income;
  • direct investment;
  • employment;
  • tax conditions.

Tankan is the most important Japanese indicator. The growth of the index indicates improvement in economic conditions and promotes the growth of the Japanese yen.

  • Release Frequency: quarterly.
  • Release Schedule: 23:50 GMT, beginning of the month following the reporting period.
  • Source: Bank of Japan.


Tertiary Industry Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Japan / Tertiary Industry Index

Tertiary Industry Index

The index shows the level of activity in the service sector taking into account all areas of this segment of the economy. It is a leading indicator taken into account by bidders, predicting the future dynamics of the non-production index Tankan.

  • Release Frequency: monthly.
  • Release Schedule: 23:50 GMT, 2nd-3rd week after the reporting period.
  • Source: Ministry of Economy, Trade and Industry.


Trade Balance

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Japan / Trade Balance

Trade Balance

Trade Balance is the difference between the total value of exports and the total value of imports. A positive trade balance shows the demand of goods of the country on the international market, as well as the fact that the country does not consume all that it produces. A negative trade balance suggests that the country consumes foreign goods together with it own goods.

Because Japan is an export-oriented country, this information gives a critical insight into the development of the country's economy and changes in foreign exchange rates.

A positive trade balance acts as an appreciating weight on the yen.

  • Release Frequency: monthly.
  • Release Schedule: 23:50 GMT, the second week after the reporting period.
  • Source: Ministry of Finance, Customs Office


Unemployment Rate

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Japan / Unemployment Rate

Unemployment Rate

A higher unemployment rate reflects the high efficiency of workforce application, but also can jeopardize economic recovery as it promises accumulation, not consumption. The indicator is taken into account by the market.

  • Release Frequency: monthly.
  • Release Schedule: 23:30 GMT, the next month after the reporting period.
  • Source: Japanese Ministry of Health, Labour and Welfare.


Wholesale Price Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Japan / Wholesale Price Index

Wholesale Price Index (WPI)

WPI measures changes in wholesale prices of goods. Calculated as a weighted average of three components: domestic wholesale prices, export wholesale prices and import wholesale prices. WPI is considered a better inflation indicator than CPI, because it directly reflects the state of the business sector. The indicator is taken into account by the market.

  • Release Frequency: monthly.
  • Source: Bank of Japan.


Germany

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Germany

Macroeconomic indicators of Germany

To assess the situation in Germany, the following macroeconomic indicators are used:

  • Balance of Trade
  • Current Account
  • Gross Domestic Product (GDP)
  • IFO Survey
  • Import Prices
  • Industrial Production
  • M3 Money Supply
  • Manufacturing Orders
  • Manufacturing Production
  • Producer Price Index (PPI)
  • Retail Sales
  • Unemployment
  • Wholesale Index
  • ZEW Indicator of Economic Sentiment


Balance of Trade

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Germany / Balance of Trade

Balance of Trade

This is the aggregate of all the trade operations in Germany, including seasonal factors, i.e. those that can make corrections to the net trade balance. The trade balance represents the difference between the products manufactured and exported from the country of production and the volume of products imported into the country. If the trade balance is positive, it means that the economy is doing well and the trade balance is in a state of surplus. If on the contrary the trade balance is negative, it is the sign of deficit which affects badly on the economic processes, on the exchange rate of the national currency, on trust and creditworthiness of the country.

Trade balance is measured directly in monetary units of the country in which this indicator is released. Accordingly, the German trade balance is measured in euros. It has little impact on the market.

  • Release Frequency: monthly.
  • Release Schedule: 07:15 GMT, preliminary reports are published about 40 days after the reporting period.
  • Source: Federal Statistical Office of Germany.


Current Account

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Germany / Current Account

Current Account

Current Account Balance is an indicator of how the German economy interacts with the rest of the world. Current Account balance is one of the three components of the country's balance of payments (Financial Account, Capital Account and Current Account).

The indicator is an accounting record of all monetary transactions between a country and the rest world. It is the most common type of balance of international payments. If the earnings exceed the payments, the current account is considered to have a surplus; if the country pays more than it earns, its current account has a deficit. The balance of payments reflects all the country's foreign economic operations in monetary terms.

  • Release Frequency: monthly.
  • Release Schedule: 07:00 GMT, the second week of the month.
  • Source: Deutsche Bundesbank


Gross Domestic Product

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Germany / Gross Domestic Product

Gross Domestic Product(GDP)

GDP is a measure of a country's overall economic output. GDP is the aggregate value of all goods and services produced within a year in the country without dividing the resources used for their production into imported and domestic. Most often two methods for calculating GDP are used: first, by adding total incomes in the economy (wages, interest on capital, profits and rents), secondly, by summing up all the expenses incurred (consumption, investment, government procurement of goods and services and net exports).

GDP is the main characteristic of the economic success of countries that measures its economic growth or recovery. GDP growth is an important indicator for the euro. The strongest reaction of the currency usually happens for quarterly data of the indicator.

  • Release Frequency: quarterly.
  • Release Schedule: 07:00 GMT.
  • Source: Federal Statistical Office of Germany.


IFO Survey

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Germany / IFO Survey

IFO Survey

This survey is one of the key indicators of country's business sentiment. The survey is conducted monthly, querying German firms on the current German business climate as well as their expectations for the next six months. As the largest economy in the Euro-zone, Germany is responsible for approximately a quarter of the total Euro-Zone GDP. Consequently, the German IFO is a significant economic health indicator for the Euro-zone as a whole.

The figures below 100 are an indicator of a slowing down economy, and is clearly regarded by the market as a negative factor. Values above 100 indicate growing optimism, which in turn causes the strengthening of the Euro.

The survey presents two equally weighted sub-indices: Current Assessment and Business Expectations.

  • Release Frequency: monthly.
  • Release Schedule: 08:00 GMT, the last week of the month.
  • Source: CESifo Group.


Import Prices

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Germany / Import Prices

Import Prices

The indicator tracks changes in the prices paid for imported goods and services. Since for calculating CPI prices for imported goods and services are taken into account, this indicator describes the contribution of import prices in the overall picture of changes in retail prices of the consumer basket. Data on import prices are often used to study the pressure exerted by changes of foreign exchange rates to the market. Import prices decrease primarily when the national currency is strong. Economists generally pay attention to the import prices excluding energy prices, since this component is highly volatile. The indicator reflects the change in import prices for a month. It is an indicator of inflation.

  • Release Frequency: monthly.
  • Release Schedule: 07:00 GMT, at the end of the month.
  • Source: Federal Statistical Office of Germany.


Industrial Production

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Germany / Industrial Production

Industrial Production

This indicator shows the level of change in industrial production in the country. The indicator takes into account the manufacturing and mining industry, forestry and electricity generation.

  • Release Frequency: monthly.
  • Release Schedule: 11:00 GMT, 4-7th of the month following the reporting period.


M3 Money Supply

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Germany / M3 Money Supply

M3 Money Supply

It includes all currency in circulation, bank deposits and debt securities up to 4 years. Deutsche Bundesbank and the European Central Bank treat it as one of the most important indicators of inflation. Usually the maximum acceptable value of the indicator is set (acceptable level of inflation defined), and if the indicator exceeds this value, usually interest rates are increased. The indicator is taken into account by the market.

  • Release Frequency: monthly.
  • Source: Deutsche Bundesbank.


Manufacturing Orders

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Germany / Manufacturing Orders

Manufacturing Orders

The indicator shows the change in the number of orders for products manufactured by German companies. It reflects the country's economic prospects. The indicator is taken into account by the market.

  • Release Frequency: monthly.
  • Release Schedule: 11:00 GMT, 4-7th of the month following the reporting period.


Manufacturing Production

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Germany / Manufacturing Production

Manufacturing Production

This indicator shows the volume of products produced by the manufacturing industry. The index is expressed in prices and is an indicator of economic growth. The data do not have much importance, because the contribution of manufacturing in gross domestic product is less than 20%.

  • Release Frequency: monthly.
  • Release Schedule: 11:00 GMT, 4-7th of the month following the reporting period.


Producer Price Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Germany / Producer Price Index

Producer Price Index (PPI)

The indicator measures the average change in prices for raw materials and goods of intermediate consumption relative to the basis period. The indicator is used for calculating the detailed components of the gross national product into the comparable prices. It is the key indicator of inflationary pressures. The indicator is taken into account by the market.

  • Release Frequency: monthly.
  • Source: Federal Statistical Office of Germany.


Retail Sales

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Germany / Retail Sales

Retail Sales

The index shows the change in volume of sales in the retail trade. Retail Sales Index is one of the indicators of consumer spendings. Therefore being an indicator of consumer demand and confidence it can serve as a benchmark for the currency market at the turning points of the economic cycle.

  • Release Frequency: monthly.
  • Release Schedule: 07:00 GMT, 1-5th of the month following the reporting period.
  • Source: Federal Statistical Office of Germany.


Unemployment

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Germany / Unemployment

Unemployment

It is one of the key indicators of German unemployment. The unemployment rate shows percentage of individuals in the labor force who are without a job but are seeking one. The indicator is calculated based on data for the last three months. The index is calculated on the basis of statistics on the number of applications for employment of unemployed persons in employment centers, and reflects the ongoing changes in the level of unemployment in the country. The indicator is very important for Germany and the Eurozone and, therefore, for the euro. It has a strong impact on the decisions made by politicians and the central bank.

  • Release Frequency: monthly.
  • Release Schedule: 08:55 GMT, 30-31th of the reporting period.
  • Source: Federal Institute of Labour, Germany.


Wholesale Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Germany / Wholesale Index

Wholesale Index

It reflects changes in wholesale prices for the month. Usually the growth of wholesale prices precedes the growth of retail prices; thus the Wholesale Index can be used as a leading indicator of inflation. It has little impact on the market.

  • Release Frequency: monthly.
  • Release Schedule: 07:00 GMT, the second week of the month following the reporting period.
  • Source: Federal Statistical Office of Germany.


ZEW Indicator of Economic Sentiment

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Germany / ZEW Indicator of Economic Sentiment

ZEW Indicator of Economic Sentiment

A German firm, the Center for European Economic Research (ZEW), queries financial experts in order to estimate the country's economic situation. The results are calculation of the difference between positive and negative reviews.

There are two types of the indicator:

  • ZEW Economic Expectations Index — this indicator is made up of assessments of expected events— the direction of inflation, interest rates and exchange rates over the next six months.
  • Zew Current Situation — in contrast to the previous indicator, it assesses the current economic situation. Experts are invited to select one of the variants: "better", "worse" or "unchanged." The final figure is the difference between positive and negative rates.

High figures indicate a positive economic environment and good business climate.

  • Release Frequency: monthly.
  • Release Schedule: 09:00 GMT, the first half of the month.
  • Source: Center for European Economic Research.


Switzerland

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Switzerland

Macroeconomic indicators of Switzerland

To assess the situation in Switzerland, the following macroeconomic indicators are used:

  • 3 month LIBOR range
  • Consumer Price Index (CPI)
  • Gross Domestic Product (GDP)
  • Industrial Production
  • Kof Leading Indicator
  • Producer Price Index (PPI)
  • Purchasing Managers Index (PMI)
  • Retail Sales
  • SNB Interest Rate Decision
  • Trade Balance
  • Unemployment Rate
  • ZEW Economic Expectations


3 Month LIBOR Range

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Switzerland / 3 Month LIBOR Range

3 Month LIBOR Range

To control the rates of short-term interest rates, the Swiss National Bank decided to set and maintain a range of 1.00 for the three-month LIBOR rate for CHF. LIBOR — London Interbank Offered Rate — is the interest rate at which large banks are placing loans in the financial market in London. LIBOR rates are set for different periods and different securities. LIBOR is fixed daily 11 am London time and is calculated as the average of the last ten quotes of sellers.

High interest rates reduce the growth of consumer lending and stimulate the growth of savings, which leads to slower economic growth. The growth of rates usually leads to an increase in capital inflows and the growth of the national currency in the medium term, however, if growth rates are not based on high rates of economic growth, it could lead to economic stagnation and negative impact on the currency markets in the long term.

  • Release Frequency: quarterly.
  • Release Schedule: third Thursday of the month (March, June, September, December).
  • Source: Swiss National Bank.


Consumer Price Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Switzerland / Consumer Price Index

Consumer Price Index (CPI)

Consumer Price Index measures changes in retail prices of goods and services purchased by households. The Index includes the price level of food, clothing, education expenses, health, transportation, utilities and leisure. The indicator is calculated monthly and is the main indicator of inflation in a country, including in Switzerland.


Gross Domestic Product

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Switzerland / Gross Domestic Product

Gross Domestic Product (GDP)

Gross Domestic Product is a measure of a country's overall economic output. GDP is the aggregate value of all goods and services produced within a year in the country without dividing the resources used for their production into imported and domestic. Most often two methods for calculating GDP are used: first, by adding total incomes in the economy (wages, interest on capital, profits and rents), secondly, by summing up all the expenses incurred (consumption, investment, government procurement of goods and services and net exports).

GDP is the main characteristic of the economic success of countries that measures its economic growth or recovery. GDP growth is an important indicator for the Swiss franc. The strongest reaction of the currency usually happens for quarterly data of the indicator.

  • Release Frequency: quarterly.
  • Release Schedule: 05:45 GMT.
  • Source: Swiss Federal Statistical Office.


Industrial Production

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Switzerland / Industrial Production

Industrial Production

This is the indicator of dynamics of industrial production defined as a ratio of the current production in monetary terms to the production in the previous period.

Industrial Production index is very sensitive to business cycles, thus it can predict changes in employment, wages and personal income. Consequently, Industrial Production is considered a reliable leading indicator that conveys information about the overall health of the Swiss economy.

  • Release Frequency: quarterly.
  • Release Schedule: 07:15 GMT.
  • Source: Swiss Federal Statistical Office.


Kof Leading Indicator

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Switzerland / Kof Leading Indicator

Kof Leading Indicator

The Kof Leading Indicator measures the overall economic condition combining 25 leading indicators, including consumer expectations, house building permits, stock prices and interest rate spreads.

  • Release Frequency: monthly.
  • Release Schedule: 09:30 GMT, the last week of the month.
  • Source: Konjunkturforschungsstelle Swiss Institute for Business Cycle Research, KOF.


Producer Price Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Switzerland / Producer Price Index

Producer Price Index (PPI)

Producer Price Index measures the average change in prices for raw materials and goods of intermediate consumption relative to the basis period. The indicator is used for calculating the detailed components of the gross national product into the comparable prices. It is the key indicator of inflationary pressures. It has a moderate impact on the Swiss franc.

  • Release Frequency: monthly.
  • Release Schedule: 07:45 GMT, two weeks after the reporting period.
  • Source: Swiss Federal Statistical Office.


Purchasing Managers Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Switzerland / Purchasing Managers Index

Purchasing Managers Index (PMI)

The indicator reflects the level of business activity of the industrial sector. If after a period of strengthening PMI begins to show decline, it anticipates the turn of the business cycle, downward and collapse of industrial activity. If the PMI after reaching a minimum turns upwards, it is a sign of future recovery.

  • Release Frequency: monthly.
  • Release Schedule: 07:30 GMT, the first business week of the month following the reporting period.
  • Source: Swiss Association of Purchasing and Materials Management.


Retail Sales

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Switzerland / Retail Sales

Retail Sales

This is the index of change in retail sales. This is an important indicator of consumer spendings, and is used for calculating the Consumer Price Index. Is measured as a percentage.

  • Release Frequency: monthly.
  • Release Schedule: 07:15 GMT.
  • Source: Swiss Federal Statistical Office.


SNB Interest Rate Decision

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Switzerland / SNB Interest Rate Decision

SNB Interest Rate Decision

This is the rate set by the Swiss National Bank, which serves as a Central Bank, based on which other financial institutions (commercial banks) set their interest rates on loans and deposits. The interest rates are one of the most important mechanisms through which the country's economy is regulated. In particular, issues of economic growth and inflationary pressure are regulated through the rates.

The market reaction to the interest rates is one of the strongest. In fact, the decision of central bankers on how the rate will change is a key moment in the determination of markets in which direction to go. The entire economic policy depends on what interest rate is set at the moment. The base rate in Switzerland has a floating range of one percent.

  • Release Frequency: quarterly.
  • Source: Swiss National Bank.


Trade Balance

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Switzerland / Trade Balance

Trade Balance

The indicator reflects the difference between the total value of Swiss exports and imports. Due to its small population and limited resources, foreign trade is very important for the Swiss economy and trade statistics can have a significant impact on markets.

Switzerland's major trading partners include Germany, France, Italy and the United States. While Switzerland still exports large amounts of traditional products like chocolate and watches, today more than half of Swiss exports are in mechanical and electrical engineering and chemicals.

A positive Trade Balance indicates a trade surplus, and a negative balance represents a trade deficit. Trade surpluses indicate that foreigners are buying Swiss goods, which are typically paid for in Swiss Francs. This translates into greater demand for the currency and upward pressure on the value of the Franc. During a trade deficit, Swiss consumers have a higher demand for foreign currencies and this places downward pressure on the value of the Franc.

  • Release Frequency: monthly.
  • Release Schedule: 06:15 GMT, a month after the reporting period.
  • Source: Swiss National Bank.


Unemployment Rate

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Switzerland / Unemployment Rate

Unemployment Rate

This is the indicator of the percent of unemployed persons in the labor force. The rate is released as both a seasonally adjusted and unadjusted figure. The seasonally adjusted number is a key indicator of Swiss labor market conditions, significant because of its timeliness and overall market impact.

High unemployment rate translates to lower average wages and reduced consumer spending. As consumer spending is the majority of total expenditure, rising unemployment often leads to slow economic growth. In addition, high or rising unemployment puts downward pressure on interest rates and leads to a depreciating Franc.

  • Release Frequency: monthly.
  • Release Schedule: 05:45 GMT, the first week of the month following the reporting period.
  • Source: State Secretariat for Economic Affairs.


ZEW Economic Expectations

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Switzerland / ZEW Economic Expectations

ZEW Economic Expectations

A German firm, the Center for European Economic Research (ZEW), queries financial experts in order to estimate the country's economic situation. The results are calculation of the difference between positive and negative reviews.

This indicator is made up of assessments of expected events— the direction of inflation, interest rates and exchange rates over the next six months.

High figures indicate a positive economic environment and good business climate.

  • Release Frequency: monthly.
  • Release Schedule: 09:00 GMT, the first half of the month.
  • Source: Center for European Economic Research.


Australia

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Australia

Macroeconomic indicators of Australia

To assess the situation in Australia, the following macroeconomic indicators are used:

  • Balance of Payments
  • Building Approvals
  • Construction Work Done
  • Consumer Price Index (CPI)
  • Export Price Index
  • Gross Domestic Product (GDP)
  • Home Loans
  • House Price Index
  • Import Price Index
  • Labour Price Index
  • NAB Business Confidence
  • New Motor Vehicle Sales
  • Private Sector Credit
  • Producer Price Index (PPI)
  • Purchasing Managers Index (PMI)
  • RBA Interest Rate Decision
  • Retail Sales
  • Service PMI
  • Trade Balance
  • Unemployment Rate
  • Westpac-Melbourne Institute Coincident Index
  • Westpac-Melbourne Institute Leading Index
  • Westpac Consumer Confidence


Balance of Payments

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Australia / Balance of Payments

Balance of Payments

The Balance of Payments is an accounting record of all monetary transactions between a country and the rest world. It's the most common form of balance of international payments. If the earnings exceed the payments, the current account is considered to have a surplus; if the country pays more than it earns, its current account has a deficit. The balance of payments reflects all the country's foreign economic operations in monetary terms.

It is the sum of the balance of trade, factor income and cash transfers. Publication of data on balance of payments has a significant impact on the Australian dollar, the market gives high importance to this indicator.

  • Release Frequency: quarterly.
  • Release Schedule: 01:30 GMT.
  • Source: Australian Bureau of Statistics.


Building Approvals

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Australia / Building Approvals

Building Approvals

Indicator showing the total number of Australian homes and apartments approved for construction. The Building Approvals indicator reflects future activity in the construction sector and is an anticipatory indicator of the rise or fall of this segment of the real estate market. It has a moderate impact on the Australian dollar.

  • Release Frequency: monthly.
  • Release Schedule: 01:30 GMT, the first week of the month.
  • Source: Australian Bureau of Statistics.


Construction Work Done

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Australia / Construction Work Done

Construction Work Done

Indicator of aggregate completion of construction works, including new buildings and alterations to existing ones.

The index is derived from the quarterly statistics on data of construction activities. The growth of this indicator has a positive impact on the Australian dollar, because high levels of construction activities positively affect the economy as a whole (the builders buy more supplies and create new jobs to meet the growing demand in real estate).

  • Release Frequency: quarterly.
  • Release Schedule: 01:30 GMT, three months after the reference quarter.
  • Source: Australian Bureau of Statistics.


Consumer Price Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Australia / Consumer Price Index

Consumer Price Index (CPI)

The indicator measures changes in retail prices of goods and services purchased by householders. The Consumer Price Index includes the price level of food, clothing, education expenses, health, transportation, utilities and leisure. The indicator is calculated monthly and is the main indicator of inflation in a country, including in Australia. It is considered the most important indicator of inflation.

  • Release Frequency: quarterly.
  • Release Schedule: 01:30 GMT, a month after the reference quarter.
  • Source: Australian Bureau of Statistics.


Export Price Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Australia / Export Price Index

Export Price Index

This is the indicator that reflects changes in the price of exported goods and services. The Export Price index is one of indicators of inflationary pressures. With expectations of an increase in basic interest rates, the increase of the index leads to an increase in the rate of Australian dollar.

  • Release Frequency: quarterly.
  • Source: Australian Bureau of Statistics.


Gross Domestic Product

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Australia / Gross Domestic Product

Gross Domestic Product (GDP)

Gross Domestic Product is a measure of a country's overall economic output. GDP is the aggregate value of all goods and services produced within a year in the country without dividing the resources used for their production into imported and domestic.

Most often two methods for calculating GDP are used: first, by adding total incomes in the economy (wages, interest on capital, profits and rents), secondly, by summing up all the expenses incurred (consumption, investment, government procurement of goods and services and net exports). GDP is the main characteristic of the economic success of countries that measures its economic growth or recovery. Australia's GDP growth is an important indicator for the Australian dollar. The strongest reaction of the currency usually happens for quarterly data of the indicator.

  • Release Frequency: quarterly.
  • Release Schedule: 01:30 GMT, a quarter after the reference quarter.
  • Source: Australian Bureau of Statistics.


Home Loans

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Australia / Home Loans

Home Loans

This is an indicator showing the rate of growth in the sector of mortgage lending in Australia. The indicator signals a change in the lending activity in the housing market and is therefore an anticipatory indicator of some indicators in the construction and real estate sectors, as well as indexes of consumer confidence and optimism. The reaction of the Australian dollar on the release of the Home Loans indicator is moderate.

  • Release Frequency: monthly.
  • Release Schedule: 01:30 GMT, the first week of the month.
  • Source: Australian Bureau of Statistics.


House Price Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Australia / House Price Index

House Price Index

Tracks changes in housing prices in Australia's eight provincial capital cities: Sydney, Melbourne, Brisbane, Adelaide, Perth, Hobart, Darwin, and Canberra. The headline number is the weighted average percentage change from the previous quarter. Like any price index, the housing price index measures inflationary pressures, in this case specifically from the housing sector.

  • Release Frequency: quarterly.
  • Release Schedule: 01:30 GMT, two months after the reference quarter.
  • Source: Australian Bureau of Statistics.


Import Price Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Australia / Import Price Index

Import Price Index

The indicator tracks changes in the prices paid for imported goods and services. Since CPI calculation includes the prices for imported goods and services, this indicator describes the contribution of import prices in the overall picture of changes in retail prices of the consumer basket. Data on import prices are often used to study the pressure exerted by changes of foreign exchange rates to the market. Import prices decrease primarily when the national currency is strong. Economists generally pay attention to the import prices excluding energy prices, since this component is highly volatile.

  • Release Frequency: quarterly.
  • Source: Australian Bureau of Statistics.


Labour Price Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Australia / Labour Price Index

Labour Price Index

The indicator measures quarterly changes in Australian wages. The Labour Price index includes wages, benefits to employees, health care expenses, pensions and benefits mandated by the government (social security, unemployment benefits and free medical care). When the cost of free medical care increases, LPI is among the first indicators that reflect the rise in inflation (in addition to traditional inflation indicators).

  • Release Frequency: quarterly.
  • Release Schedule: 01:30 GMT.
  • Source: Australian Bureau of Statistics.


NAB Business Confidence

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Australia / NAB Business Confidence

NAB Business Confidence

The indicator measures the current business conditions in Australia. The indicator is concluded from a survey of around 350 companies.

This comprehensive study allows to evaluate the state of the Australian economy. Unexpected results can affect the markets.

National Bank of Australia releases monthly and quarterly reports. The quarterly report is more comprehensive, polling more than 1000 companies of various sizes. The study excludes the agricultural sector due to seasonal fluctuations, as well as the state protection.

  • Release Frequency: monthly and quarterly.
  • Release Schedule: 01:30 GMT.
  • Source: National Australian Bank.


New Motor Vehicle Sales

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Australia / New Motor Vehicle Sales

New Motor Vehicle Sales

The indicator tracks automobile sales in Australia. Though motor vehicle sales are a small component of the overall economy, expenditures of such "big-ticket" items give good insight into consumer's spending ability. Additionally, the figure gauges consumer confidence; consumers and businesses are only likely to make the outlays needed for motor vehicles if they are optimistic about their current and future economic well being.

  • Release Frequency: monthly.
  • Release Schedule: 01:30 GMT, on approximately the 20th of the month following the reference one.
  • Source: Australian Bureau of Statistics.


Private Sector Credit

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Australia / Private Sector Credit

Private Sector Credit

This is an indicator showing the rate of growth in the sector of private crediting in Australia. The indicator is not very significant in terms of influencing the dynamics of the Australian dollar in the international foreign exchange market, however, is an anticipatory indicator which may help to track possible overheating in the banking sector, in particular, the issues of credit activity.

  • Release Frequency: monthly.
  • Release Schedule: 01:30 GMT.
  • Source: Reserve Bank of Australia.


Producer Price Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Australia / Producer Price Index

Producer Price Index (PPI)

The indicator measures the average change in prices for raw materials and goods of intermediate consumption relative to the basis period. Because Producer Price Index analyzes changes in price that occur before the good reaches the retail level, it gives an early indication of inflationary pressures consumers will later face for finished goods.

  • Release Frequency: quarterly.
  • Release Schedule: 01:30 GMT, quarterly, on approximately the 20th of the month following the end of the reference quarter.
  • Source: Australian Bureau of Statistics.


Purchasing Managers Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Australia / Purchasing Managers Index

Purchasing Managers Index (PMI)

Level of business activity of the industrial sector. If after a period of strengthening PMI begins to show decline, it anticipates the turn of the business cycle, downward and collapse of industrial activity. If the PMI after reaching a minimum turns upwards, it is a sign of future recovery.


RBA Interest Rate Decision

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Australia / RBA Interest Rate Decision

RBA Interest Rate Decision

This is the rate set by the Reserve Bank of Australia, based on which other financial institutions (commercial banks) set their interest rates on loans and deposits. The interest rates are one of the most important mechanisms through which the country's economy is regulated. In particular, issues of economic growth and inflationary pressure are regulated through the rates.

The market reaction to the interest rates is one of the strongest. In fact, the decision of central bankers on how the rate will change is a key moment in the determination of markets in which direction to go. The entire economic policy depends on what interest rate is set at the moment. The interest rate is measured in percentage or basis points. The formal change of the rate is possible at 0.01% (1 basis point), but as a rule the real change occurs at 0.25% (25 basis points).

  • Release Frequency: monthly, except January.
  • Release Schedule: 23:30 GMT.
  • Source: Reserve Bank of Australia.


Retail Sales

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Australia / Retail Sales

Retail Sales

Measure of the total monthly sales of goods and services by retail stores in Australia. Retail Sales is an important measure of consumer spending and inflationary pressures in Australia. Steady increases in retail sales apply significant inflationary pressures to consumer prices.

  • Release Frequency: monthly.
  • Release Schedule: 22:45 GMT, monthly, roughly 30 days following the end of the reporting month.
  • Source: Australian Bureau of Statistics.


Service PMI

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Australia / Service PMI

Service PMI

The Service PMI indicator is determined based on monthly surveys of executives in the services sector. The purpose of the survey is to assess changes in the industry.

Index reading below 50 basis points indicate that services activity is generally declining. The formation of the final indicator is influenced not only by objective factors but also by psychological ones (subjective assessment of respondents). This adds weight to Service PMI, and therefore bidders pay attention to this indicator.


Trade Balance

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Australia / Trade Balance

Trade Balance

The trade balance figure is simply the difference between the amount of exported and imported goods and services for the reported month.

If the trade balance is positive, it means that the economy is doing well and the trade balance is in a state of surplus. A negative trade balance (deficit) reflects badly on the economic processes, on the exchange rate of the national currency, on trust and creditworthiness of the country. Trade balance is measured directly in monetary units of the country in which this indicator is released. Accordingly, Australia's trade balance is measured in Australian dollars.

  • Release Frequency: monthly.
  • Release Schedule: 01:30 GMT, near the end of every month.
  • Source: Australian Bureau of Statistics.


Unemployment Rate

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Australia / Unemployment Rate

Unemployment Rate

This is the indicator of the percent of unemployed persons in the labor force. The Unemployment Rate serves as a leading indicator of the health of the labor market. The report is very timely, coming out just a few weeks after the reporting period. Additionally, the indicator has a significant impact on the market because of the overall importance of employment for the economy.

Higher unemployment leads to less income for Australian workers who, in turn, may reduce consumption. As consumer spending contributes to a majority of Australia's GDP, developments in the labor market directly affect prospects for Australian growth.

  • Release Frequency: monthly.
  • Release Schedule: 01:30 GMT, monthly, mid-month following the reporting month's end.
  • Source: Australian Bureau of Statistics.


Westpac-Melbourne Institute Coincident Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Australia / Westpac-Melbourne Institute Coincident Index

Westpac-Melbourne Institute Coincident Index

The indicator reflects the current economic activity in Australia. It is a generalized indicator of the index of leading indicators and a measure of sustainable economic development of the country.

  • Release Frequency: monthly.
  • Source: Westpac-Melbourne Institute Survey of Consumer Sentiment.


Westpac-Melbourne Institute Leading Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Australia / Westpac-Melbourne Institute Leading Index

Westpac-Melbourne Institute Leading Index

The weighted average calculated by the combination of leading indicators to predict the state of the economy. Leading indicators include figures of production orders, applications for unemployment benefits, rates of money supply, average workweek, building permits, the price of the underlying stocks, orders for durable goods, consumer confidence index.

  • Release Frequency: monthly.
  • Source: Westpac-Melbourne Institute Survey of Consumer Sentiment.


Westpac Consumer Confidence

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Australia / Westpac Consumer Confidence

Westpac Consumer Confidence

This indicator measures the level of consumer confidence in the current economic conditions. The indicator is calculated on the basis of monthly survey in which respondents assess the prospects of the economy. It has a moderate impact on the financial market, since it may not reflect the real economic situation in the country. Nevertheless, the consumer confidence index has traditionally been used for the prediction on trends of employment and the general state of the economy. The growth of the indicator is a positive factor for the currency. Its decline, in contrast, leads to a fall of the Australian dollar.

  • Release Frequency: monthly.
  • Release Schedule: 00:30 GMT.
  • Source: Australian Industry Group.


Canada

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Canada

Macroeconomic indicators of Canada

To assess the situation in Canada, the following macroeconomic indicators are used:

  • Average Weekly Earnings
  • BOC Interest Rate Decision
  • Building Permits
  • Capacity Utilization
  • Consumer Price Index (CPI)
  • Core CPI
  • Current Account
  • Gross Domestic Product (GDP)
  • Housing Starts
  • International Transactions in Securities
  • Ivey Purchasing Managers Index
  • Labor Productivity
  • Leading Indicators
  • Manufacturing Survey Shipments
  • New Housing Price Index
  • New Vehicle Sales
  • Overnight Rate Target
  • Payroll Employment
  • Producer Price Index (PPI)
  • Raw Materials Price Index
  • Retail Sales
  • Retail Sales Excluding Motor Vehicles
  • Trade Balance
  • Unemployment Rate
  • Unit Labor Cost
  • Wholesale Inventories
  • Wholesale Sales


Average Weekly Earnings

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Canada / Average Weekly Earnings

Average Weekly Earnings

The indicator shows the dynamics of change in the average salary calculated based on the number of labor hours per week.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST.
  • Source: Statistics Canada.


BOC Interest Rate Decision

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Canada / BOC Interest Rate Decision

BOC Interest Rate Decision

This is the rate set by the Bank of Canada, based on which other financial institutions (commercial banks) set their interest rates on loans and deposits. A decision to lower interest rates can spur economic growth while increasing the inflationary pressure, whereas the increase in rates leads to lower inflation but also slows down the economy growth.

The Bank of Canada's rate decision has significant influence on financial markets. Changes in rates have a direct impact on interest rates for consumer loans, mortgages, and bond rates.

  • Release Frequency: eight times a year.
  • Release Schedule: 09:00 EST.
  • Source: The Bank of Canada.


Building Permits

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Canada / Building Permits

Building Permits

The indicator reflects the number of new building projects authorized for construction. The indicator is widely used to assess real estate market, since receiving a building permit is the first step in the building process. Thus, the growth of the indicator reflects the growth in the construction sector. Also, due to the high outlays needed for construction projects, the indicator reflects the corporate and consumer optimism. Additionally it can act as a leading indicator for the economy as a whole.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST, on the first week of the reporting month.
  • Source: Statistics Canada.


Capacity Utilization

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Canada / Capacity Utilization

Capacity Utilization

Measures the extent to which Canadian manufacturing companies make use of their productive capacity (factories and machinery). It acts as an indicator of overall demand in the economy. High Capacity Utilization Rates reflect that resources are in high demand, and this exerts inflationary pressures. High Capacity Utilization Rates may also lead to new capital investments.

  • Release Frequency: quarterly.
  • Release Schedule: 08:30 EST, roughly two and a half months after the reporting period.
  • Source: Statistics Canada.


Consumer Price Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Canada / Consumer Price Index

Consumer Price Index (CPI)

Consumer Price Index measures changes in retail prices of goods and services purchased by households. The Index includes the price level of food, clothing, education expenses, health, transportation, utilities and leisure. The indicator is calculated monthly and is the main indicator of inflation in the country. It is considered the most important indicator of inflation.

  • Release Frequency: monthly.
  • Release Schedule: around the 20th of each month.
  • Source: Statistics Canada.


Core CPI

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Canada / Core CPI

Core CPI

The Core CPI indicator is a calculation of inflation in the consumer basket, but without particularly mobile inflationary components — electricity, fuel and foodstuffs. Since these three measures can vary in price quickly, depend on a number of situational and seasonal factors, they are cut off to get a clear indicator of inflation. Thus, together with CPI you can immediately see the value in its core that helps to understand how inflation has changed over the reporting period.

  • Release Frequency: monthly.
  • Release Schedule: around the 20th of each month.
  • Source: Statistics Canada.


Current Account

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Canada / Current Account

Current Account

This is an accounting record of all monetary transactions between a country and the rest world. It's the most common form of balance of international payments. If the earnings exceed the payments, the current account is considered to have a surplus; if the country pays more than it earns, its current account has a deficit. The balance of payments reflects all the country's foreign economic operations in monetary terms.

It is the sum of the balance of trade, factor income and cash transfers. Publication of data on balance of payments has a significant impact on the Canadian dollar, the market gives high importance to this indicator.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST.
  • Source: Statistics Canada.


Gross Domestic Product

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Canada / Gross Domestic Product

Gross Domestic Product (GDP)

Gross domestic product (GDP) is the sum of domestically produced goods and services expressed in prices. It is a major indicator reflecting the state of the national economy. GDP is calculated in the following way: GDP = C + I + S + E - M, where C — consumption, I — investment, S — state government expenditures, E — export, M — import. GDP is expressed as an index relative to the previous period, and as an absolute value of the sum of prices for manufactured goods and services.

GDP is the main characteristic of the economic success of countries that measures its economic growth or recovery. GDP growth is an important indicator for the Canadian dollar.

  • Release Frequency: quarterly.
  • Release Schedule: 08:30 EST.
  • Source: Statistics Canada.


Housing Starts

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Canada / Housing Starts

Housing Starts

Indicator showing the number of buildings that appear each month. The start of construction is considered to be laying the foundation for future building. The index is a leading indicator of economic activity in the construction sector.

  • Release Frequency: monthly.
  • Release Schedule: 08:15 EST, a week after the reference month.
  • Source: Statistics Canada.


International Transactions in Securities

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Canada / International Transactions in Securities

International Transactions in Securities

The indicator shows the difference between the inflow of foreign capital and outflows from the country. The indicator helps to evaluate the demand of foreigners for Canadian investments and the Canadian dollar. A positive balance reveals that more capital is entering Canada than leaving. This is a signal of the currency growth. A negative balance reflects the worsening economic trends and the fall of the Canadian dollar rate.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST, two months after the reporting period.
  • Source: Statistics Canada.


Ivey Purchasing Managers Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Canada / Ivey Purchasing Managers Index

Ivey Purchasing Managers Index

The indicator reflects the level of business activity of the industrial sector. More than one and a half hundred managers from different regions and sectors are asked to assess the level of their purchases as compared to the previous month (higher, lower or the same). The value above 50 indicates an increase in purchases, a value below 50 indicates a decrease.

This indicator can be used to measure business optimism and forecast economic growth. Companies increase purchases and spending in response to growing demand for their goods and services.

  • Release Frequency: monthly.
  • Release Schedule: 10:00 EST, on the fourth working day of the month following the reporting period.
  • Source: Purchasing Management Association of Canada, the Richard Ivey School of Business.


Labor Productivity

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Canada / Labor Productivity

Labor Productivity

The indicator measures the average productivity level of workers in Canada. It is calculated by dividing the GDP by the number of hours worked. The availability of high-tech and higher level of education of employees are factors that usually accompany the increase in productivity. Growth in labor productivity is usually seen as a sign of a healthy economy because higher productivity allows higher output for the same population.

The rising value of this indicator can also lead to compensation for inflationary pressure that accompanies economic growth and higher costs. Economic development associated with productivity growth does not lead to inflation because central banks do not need to raise interest rates at the time of strong growth.

  • Release Frequency: quarterly.
  • Release Schedule: 08:30 EST.
  • Source: Statistics Canada.


Leading Indicators

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Canada / Leading Indicators

Leading Indicators

The weighted average calculated by the combination of leading indicators to predict the state of the economy. Leading indicators include figures of production orders, applications for unemployment benefits, rates of money supply, average workweek, building permits, the price of the underlying stocks, orders for durable goods, consumer confidence index.

The basic value (100) for comparison is the initial 1992. Each point above 100 indicates a 1% improvement rate compared with 1992 values.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST, around the 3rd week of the month.
  • Source: Statistics Canada.


Manufacturing Survey Shipments

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Canada / Manufacturing Survey Shipments

Manufacturing Survey Shipments

The indicator tracks the volume of shipments of manufactured goods. This allows us to evaluate whether manufacturing companies satisfy the market demands. The growth of the indicator suggests that economic activity in Canada has increased, its decrease indicates the decline in business activity.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST, in the middle of the month.
  • Source: Statistics Canada.


New Housing Price Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Canada / New Housing Price Index

New Housing Price Index

The index reflects changes in prices for new housing and is part of CPI. Increase in housing prices suggests an increase in consumer demand and growth of the real estate market. At the same time, high real estate prices that accompany economic expansion often lead to inflationary pressures.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST, a week after the reference month.
  • Source: Statistics Canada.


New Vehicle Sales

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Canada / New Vehicle Sales

New Vehicle Sales

The indicator measures the volume of sales of new cars. It is used for assessing the economic outlook: the higher the level of sales is, the stronger the domestic needs of the population are. It has little impact on the Canadian dollar.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST, in the middle of the month.
  • Source: Statistics Canada.


Overnight Rate Target

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Canada / Overnight Rate Target

Overnight Rate Target

This is the rate of interest, which the Bank of Canada wants to see as an average rate in the market of short-term deposits. The overnight rate target from the Bank of Canada is the main interest rate in the country, this is the main rate in the relationship of major financial institutions. To control the level of interest rates in the overnight market Bank of Canada sets the so-called operating range of 0.50, the middle of which is always the Overnight Rate Target.

High interest rates reduce the growth of consumer lending and stimulate the growth of savings, which leads to slower economic growth. The growth of rates usually leads to an increase in capital inflows and the growth of the national currency in the medium term, however, if growth rates are not based on high rates of economic growth, it could lead to economic stagnation and negative impact on the currency markets in the long term.

  • Release Frequency: eight times a year.
  • Source: The Bank of Canada.


Payroll Employment

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Canada / Payroll Employment

Payroll Employment

The indicator shows the number of jobs created and lost during a certain period. The index tracks the dynamics of employment in the labor market, demonstrating either its expansion (increase in labor demand and the creation of new jobs) or restriction (job cuts). Increasing employment is usually accompanied by a large consumption and expenditure of the population. At the same time, high levels of employment, expenditures and consumption can lead to increased inflationary pressures that may affect the monetary policy of the banks. If the Bank of Canada raises the interest rates, the Canadian dollar will rise.

  • Release Frequency: monthly.
  • Release Schedule: 07:00 EST, the first week of the month following the reporting period.
  • Source: Statistics Canada.


Producer Price Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Canada / Producer Price Index

Producer Price Index (PPI)

Producer Price Index measures the average change in prices for raw materials and goods of intermediate consumption relative to the basis period. Because it analyzes changes in price that occur before the good reaches the retail level, it gives an early indication of inflationary pressures consumers will later face for finished goods.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST.
  • Source: Statistics Canada.


Raw Materials Price Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Canada / Raw Materials Price Index

Raw Materials Price Index

This is a composite indicator that measures price changes for raw materials purchased by industries. The indicator monitors the inflation component, and it can be used as a leading indicator of future production costs, as well as to predict the dynamics of growth in the industry and increase/decrease of PPI.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST.
  • Source: Statistics Canada.


Retail Sales

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Canada / Retail Sales

Retail Sales

This is the index of change in retail sales. This is an important indicator of consumer spendings, and is used for calculating the consumer price index. An increasing number of retail sales can signal consumer confidence and growth to come, but higher consumption can also lead to inflationary pressures.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST, in the middle of the month.
  • Source: Statistics Canada.


Retail Sales Excluding Motor Vehicles

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Canada / Retail Sales Excluding Motor Vehicles

Retail Sales Excluding Motor Vehicles

The indicator shows the volume of retail sales excluding car sales, which amounts to about 25% of the total retail sales in the country. This is an important indicator of consumer spendings, and is used for calculating the consumer price index.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST, in the middle of the month.
  • Source: Statistics Canada.


Trade Balance

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Canada / Trade Balance

Trade Balance

The trade balance figure is simply the difference between the amount of exported and imported goods and services for the reported month.

If the trade balance is positive, it means that the economy is doing well and the trade balance is in a state of surplus. A negative trade balance (deficit) reflects badly on the economic processes, on the exchange rate of the national currency, on trust and creditworthiness of the country. Trade balance is measured directly in monetary units of the country in which this indicator is released. Accordingly, Canada's trade balance is measured in Canadian dollars.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST.
  • Source: Statistics Canada.


Unemployment Rate

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Canada / Unemployment Rate

Unemployment Rate

The percentage of people in the total - labor force without jobs but willing to work and are actively seeking employment. Low unemployment rate indicates good economic state, leading to greater personal income and greater consumption. However, such increased expenditure with economic growth may increase inflationary pressures. On the other hand, higher unemployment leads to lower consumption and lower economic growth. The unemployment rate is one of the most watched indicators in the Canada's labor market.

  • Release Frequency: monthly.
  • Release Schedule: 07:00 EST, the first week of the month.
  • Source: Statistics Canada.


Unit Labor Cost

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Canada / Unit Labor Cost

Unit Labor Cost

The indicator shows the dynamics of change of the labor component in the price of goods (adjusted for inflation). Unlike the situation in the Eurozone and the weak impact on the euro, the indicator released for Canada has a large influence on the Canadian dollar and, at the same time, is a strong indicator of the labor market state.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST.
  • Source: Statistics Canada.


Wholesale Inventories

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Canada / Wholesale Inventories

Wholesale Inventories

The indicator reflects the dynamics of changes in inventories at the warehouses. The measure of wholesale inventories is based on the data on wholesale sales.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST.
  • Source: Statistics Canada.


Wholesale Sales

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / Canada / Wholesale Sales

Wholesale Sales

The indicator measures the total sales for the period at the wholesale level. If the index is growing, it has a positive impact on the national currency, since the sales growth is a good leading signal that a high consumer demand at the retail level is expected.

  • Release Frequency: monthly.
  • Release Schedule: 08:30 EST, in the middle of the month.
  • Source: Statistics Canada.


China

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / China

Macroeconomic indicators of China

To assess the situation in China, the following macroeconomic indicators are used:

  • Consumer Price Index (CPI)
  • Gross Domestic Product (GDP)
  • Industrial Production
  • Producer Price Index (PPI)
  • Retail Sales


Consumer Price Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / China / Consumer Price Index

Consumer Price Index (CPI)

The index measures changes in prices of goods and services purchased by consumers. When calculating this index an average price for various goods and services is determined and then compared with the results of the previous year. A large portion of the overall inflation is that on consumer prices. Inflation is important for assessing the value of the currency, as higher prices lead to retaliatory steps of the Central Bank in the form of higher interest rates.

  • Release Frequency: monthly.
  • Release Schedule: 02:00 GMT.
  • Source: National Bureau of Statistics of China.


Gross Domestic Product

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / China / Gross Domestic Product

Gross Domestic Product (GDP)

Gross domestic product (GDP) is the market cost of goods and services produced within a certain period. GDP growth is accompanied by the rise of the economy and leads to an increase in the exchange rate, as well as an increase of stocks in the equity market. For the bond market, GDP growth will be a negative signal. Since GDP growth often leads to an increase in interest rates, the interest in bonds as in instruments with fixed income will fall and their yields will rise accordingly.

GDP is the most important indicator reflecting the state of the national economy.

  • Release Frequency: quarterly.
  • Release Schedule: 02:00 GMT.
  • Source: National Bureau of Statistics of China.


Industrial Production

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / China / Industrial Production

Industrial Production

It is a major indicator of economic health: the production is the main driving force behind the country's economic system and reacts quickly to the ups and downs of the business cycle.

This indicator calculates the change in the total value of products produced in mining and manufacturing, as well as services taking into account inflation.

  • Release Frequency: quarterly.
  • Release Schedule: 02:00 GMT.
  • Source: National Bureau of Statistics of China.


Producer Price Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / China / Producer Price Index

Producer Price Index (PPI)

The index shows changes in the prices of goods purchased and sold by manufacturers. Because it analyzes changes in price that occur before the good reaches the retail level, it gives an early indication of inflationary pressures consumers will later face for finished goods. The indicator is taken into account by the market, but has a limited impact on the it.

  • Release Frequency: monthly.
  • Release Schedule: 02:00 GMT.
  • Source: National Bureau of Statistics of China.


Retail Sales

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / China / Retail Sales

Retail Sales

The indicator shows the change in total sales at the retail level. If the level of consumption is above the level of production, this usually leads to inflation. Retail sales have a moderate impact, since consumer spendings are not the key factor for China's economy. It is an indicator of the level of consumption.

  • Release Frequency: monthly.
  • Release Schedule: 02:00 GMT.
  • Source: National Bureau of Statistics of China.


New Zealand

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / New Zealand

Macroeconomic indicators of New Zealand

To assess the situation in New Zealand, the following macroeconomic indicators are used:

  • Average Hourly Earnings
  • Balance of Payments
  • Building Permits
  • Consumer Price Index (CPI)
  • Food Price Index
  • Gross Domestic Product (GDP)
  • Labour Cost Index
  • Manufacturing Activity
  • NBNZ Business Confidence
  • Producer Input Prices (PPI Input)
  • Producer Output Prices (PPI Output)
  • Purchasing Managers Index (PMI)
  • RBNZ Meeting Announcement
  • Retail Sales
  • Trade Balance
  • Unemployment Rate


Average Hourly Earnings

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / New Zealand / Average Hourly Earnings

Average Hourly Earnings

The indicator shows the labor cost in terms of hourly wages set by government authorities. The indicator has little influence on the national currency.

  • Release Frequency: quarterly.
  • Source: Statistics New Zealand.


Balance of Payments

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / New Zealand / Balance of Payments

Balance of Payments

This is an accounting record of all monetary transactions between a country and the rest world. It's the most common form of balance of international payments. If the earnings exceed the payments, the current account is considered to have a surplus; if the country pays more than it earns, its current account has a deficit. The balance of payments reflects all the country's foreign economic operations in monetary terms.

It is the sum of the balance of trade, factor income and cash transfers. Publication of data on balance of payments has a significant impact on the New Zealand dollar, the market gives high importance to this indicator.

  • Release Frequency: quarterly.
  • Release Schedule: 22:45 GMT.
  • Source: Statistics New Zealand.


Building Permits

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / New Zealand / Building Permits

Building Permits

The indicator reflects the number of new building projects authorized for construction. The indicator is widely used to assess real estate market, since receiving a building permit is the first step in the building process. Thus, the growth of the indicator reflects the growth in the construction sector. Also, due to the high outlays needed for construction projects, the indicator reflects the corporate and consumer optimism. Additionally it can act as a leading indicator for the economy as a whole.

  • Release Frequency: monthly.
  • Release Schedule: 22:45 GMT.
  • Source: Statistics New Zealand.


Consumer Price Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / New Zealand / Consumer Price Index

Consumer Price Index (CPI)

The indicator measures changes in retail prices of goods and services purchased by householders. The Index includes the price level of food, clothing, education expenses, health, transportation, utilities and leisure. The indicator is calculated monthly and is the main indicator of inflation in the country. It is considered the most important indicator of inflation.

  • Release Frequency: quarterly.
  • Release Schedule: 22:45 GMT.
  • Source: Statistics New Zealand.


Food Price Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / New Zealand / Food Price Index

Food Price Index

The indicator reflects changes in food prices. Higher food prices can result in economic slowdown because less disposable income will be used for non-food expenditures. Higher food prices can also result in inflation and signal future monetary action.

The indicator has little influence on the New Zealand dollar and is only important from the perspective of the fact that New Zealand is an agricultural country, and a substantial part of its GDP is export of agricultural products. Thus, the indicator reflects the needs of products of New Zealand and its national currency.

  • Release Frequency: monthly.
  • Release Schedule: 22:45 GMT, 1-2 weeks after the reporting month.
  • Source: Statistics New Zealand.


Gross Domestic Product

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / New Zealand / Gross Domestic Product

Gross Domestic Product (GDP)

Gross domestic product (GDP) is the sum of domestically produced goods and services expressed in prices. It is a major indicator reflecting the state of the national economy. GDP is calculated in the following way: GDP = C + I + S + E - M, where C — consumption, I — investment, S — state government expenditures, E — export, M — import. GDP is expressed as an index relative to the previous period, and as an absolute value of the sum of prices for manufactured goods and services.

GDP is the main characteristic of the economic success of countries that measures its economic growth or recovery. GDP growth is an important indicator for the New Zealand dollar.

  • Release Frequency: quarterly.
  • Release Schedule: 22:45 GMT, two months after the reporting period.
  • Source: Statistics New Zealand.


Labour Cost Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / New Zealand / Labour Cost Index

Labour Cost Index

The indicator reflects the quarterly change in wages and other income received by working population. Rising values have a positive effect on the national currency, because when companies pay more for labor they are likely to transfer their costs to the end consumer, which in turn affects the Consumer Price Index.

  • Release Frequency: quarterly.
  • Release Schedule: 22:45 GMT.
  • Source: Statistics New Zealand.


Manufacturing Activity

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / New Zealand / Manufacturing Activity

Manufacturing Activity

A report released by Business New Zealand commenting on the PMI, the New Zealand manufacturing sector, and noteworthy trends. Increased activity in the manufacturing sector is usually a precursor to economic expansion and inflationary pressures.

This index summarizes key points regarding the data gathered by the monthly business surveys sent to manufacturers and gives a concise breakdown of how optimistic manufacturers feel in the short-term.

  • Release Frequency: monthly.
  • Release Schedule: 22:45 GMT, two weeks after the reporting period.
  • Source: Business New Zealand.


NBNZ Business Confidence

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / New Zealand / NBNZ Business Confidence

NBNZ Business Confidence

This is a monthly measure of New Zealand business confidence. Representatives of New Zealand's businesses are surveyed about their outlook for the next 12 months. Positive sentiment bodes well for the economy, usually associated with higher employment, rising income, and increased investment due to expectations of economic expansion. The index is a good leading indicator of the direction of the economy.

  • Release Frequency: monthly, except January.
  • Release Schedule: 13:00 GMT, the last day of the reporting period.
  • Source: National Bank of New Zealand.


Producer Input Prices

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / New Zealand / Producer Input Prices

Producer Input Prices (PPI Input)

This indicator is defined as the change in the prices of components and semifinished products in the industry (the growing "input" prices may have no influence on the inflation index, as there can be reduction of costs in the production process). The indicator has a strong influence on the market and, in particular, on the New Zealand dollar.

  • Release Frequency: quarterly.
  • Release Schedule: 22:45 GMT.
  • Source: Statistics New Zealand.


Producer Output Prices

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / New Zealand / Producer Output Prices

Producer Output Prices (PPI Output)

This indicator is defined as the change in the level of manufacturer's selling prices in the industry. It is a string indicator of inflation. It reflects inflationary pressures on the economy from the side of manufacturers. It has a significant impact on the market.

  • Release Frequency: quarterly.
  • Release Schedule: 22:45 GMT.
  • Source: Statistics New Zealand.


Purchasing Managers Index

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / New Zealand / Purchasing Managers Index

Purchasing Managers Index (PMI)

The indicator reflects the level of business activity of the industrial sector. PMI is calculated based on the monthly survey conducted in the manufacturing sector and is divided into five sub-indexes: production, employment, new orders, stocks of finished products and delivery. The basic value for the index calculation is 50. Figures above this level indicate expansion of economy. Higher activity in the manufacturing sector generally anticipates economic growth and inflationary pressures.

  • Release Frequency: monthly.
  • Release Schedule: 23:30 GMT.
  • Source: Business New Zealand.


RBNZ Meeting Announcement

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / New Zealand / RBNZ Meeting Announcement

RBNZ Meeting Announcement

This is the rate set by the Reserve Bank of New Zealand, based on which other financial institutions (commercial banks) set their interest rates on loans and deposits. The interest rates are one of the most important mechanisms through which the country's economy is regulated. In particular, issues of economic growth and inflationary pressure are regulated through the rates. The market reaction to the interest rates is one of the strongest.

  • Release Frequency: eight times a year.
  • Source: Reserve Bank of New Zealand


Retail Sales

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / New Zealand / Retail Sales

Retail Sales

This is the index of change in retail sales. Since consumption makes a large contribution to the GDP of New Zealand, a rising Retail Sales figure can be indicative of rising demand and subsequent inflation. Uncontrolled growth and rising inflation may lead to instability and corrective action from the country's central bank. It has a significant influence on the markets.

  • Release Frequency: monthly and quarterly.
  • Release Schedule: 22:45 GMT, two weeks after the reporting period.
  • Source: Statistics New Zealand.


Trade Balance

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / New Zealand / Trade Balance

Trade Balance

The trade balance figure is simply the difference between the amount of exported and imported goods and services for the reported month.

If the trade balance is positive, it means that the economy is doing well and the trade balance is in a state of surplus. A negative trade balance (deficit) reflects badly on the economic processes, on the exchange rate of the national currency, on trust and creditworthiness of the country. Trade balance is measured directly in monetary units of the country in which this indicator is released. Accordingly, New Zealand's trade balance is measured in New Zealand dollars.

  • Release Frequency: monthly.
  • Release Schedule: 22:45 GMT.
  • Source: Statistics New Zealand.


Unemployment Rate

Price Charts, Technical and Fundamental Analysis / Fundamental Analysis / New Zealand / Unemployment Rate

Unemployment Rate

The percentage of people in the total - labor force without jobs but willing to work and are actively seeking employment. Low unemployment rate indicates good economic state, leading to greater personal income and greater consumption. However, such increased expenditure with economic growth may increase inflationary pressures. On the other hand, higher unemployment leads to lower consumption and lower economic growth.

  • Release Frequency: quarterly.
  • Release Schedule: 22:45 GMT.
  • Source: Statistics New Zealand.


Additional Technical Indicators

Price Charts, Technical and Fundamental Analysis / Additional Technical Indicators

Additional Technical Indicators

The trading platform contains a plethora of popular technical indicators used for analysis. However, you can receive even more tools for your trading. A large number of additional custom indicators can be accessed straight from the trading platform.

  • Market — the store of applications for the trading platform
  • Code Base — a free source code library of Expert Advisors and indicators
  • Freelance — an online service for ordering trading applications from professional developers
  • MQL5 — a programming language used for the development of Expert Advisors and indicators

Market — the store of applications for the trading platform

The Market is a secure service for purchasing trading robots, indicators, scripts and other trading programs. It is a store of ready-made applications for working on financial markets. The service is available for all the trading platform users. You can open the Market anytime to purchase or rent a program and run it straight in your platform.

Products in the Market

To purchase a selected product, go to its page and click "Buy". After operation confirmation, the application is activated and downloaded to the appropriate folder depending on whether it is an Expert Advisor, an indicator or a script. The software name is added to the Navigator, from which it can be run on a chart.

Code Base — a free source code library of Expert Advisors and indicators

Straight from the platform you can access a huge code base of free applications for automated trading. All the applications are available in the form of a source code. However, you can easily use them even if you are unfamiliar with programming.

When you download the code, it is automatically compiled, after which a ready-to use application is created and saved in the appropriate directory depending on whether it is an Expert Advisor, an Indicator or a Script. The software name is added to the Navigator, from which it can be run on a chart.

Freelance — an online service for ordering trading applications from professional developers

If you cannot find the desired application in the Code Base or Market, order one from a professional developer in the Freelance service of the MQL5.community website.

The order procedure is secure: the payment is frozen during the development and is only transferred to the developer when the customer accepts the resulting application. Any dispute can be resolved through arbitration.

MQL5 — a programming language used for the development of Expert Advisors and indicators

You can develop your own trading robots or indicators using the MQL5 programming language. This language is based on the concept of the popular C++ programming language. MQL5 is also a high-level object oriented programming language. However, due to its narrow specialization, MQL5 thrives in financial markets challenges.

The specialized MetaEditor is available for program development. It can recognize language structures: suggests tips on how to use functions and highlights various elements of the program source code. Thus, the editor enhances navigation in the source code of trading programs and speeds up the development process.


Additional Features

Price Charts, Technical and Fundamental Analysis / Additional Features

Additional Features

This section is intended for experienced users. It contains descriptions of all the chart settings and specific features.

  • Chart Settings — you can change any chart parameters: colors, displayed information, as well as select the presentation of price information in the form of bars, candlesticks or a broken line.
  • Printing Charts — the chart image with all its indicators and analytical objects can be easily printed. If you have any difficulties, read this section please.
  • Chart Management — the platform provides multiple chart management options; using menus, using a mouse or a keyboard. The section contains a full list of commands, from which you can select the most convenient ones.
  • Lists of Objects Applied — you can easily access the list of added analytical objects, as well as indicators and Expert Advisors running on the charts. In the lists you can conveniently find tools and configure their properties.
  • Deleted Charts — sometimes you may want to delete charts that you do not need anymore. Templates of deleted charts are saved in the platform and can be used later. For example, if a chart has been deleted accidentally, it can be restored by selecting "Open Deleted" in the File menu.
  • Templates and Profiles — chart settings can be saved as templates. For example, you can save all the color settings and used indicators of a financial instrument chart, and then easily apply them to a chart of another financial instrument.


Chart Settings

Price Charts, Technical and Fundamental Analysis / Additional Features / Chart Settings

Chart Settings

Appearance and properties of each chart in the trading platform can be configured individually. Click " Properties Properties" in the Charts menu or in the chart context menu.

  • General Settings
  • Setup of Displayed Information
  • Color Settings

Common

The common properties of a chart can be set up from this tab:

  • Bar chart — show the chart as a sequence of bars.
  • Candlestick — show the chart as a sequence of Japanese candlesticks.
  • Line — show the chart as a broken line that connects close prices of bars.
  • Chart in foreground — place the chart in the foreground. If the function is enabled, all analytical objects appear in the background.
  • Chart shift — shift the chart from the right edge of the window to the shift mark. The chart shift mark (a gray triangle at the top of the window) can be dragged horizontally using a mouse within 10% to 50% of the window size.
  • Chart autoscroll — enable/disable automatic chart shift to the left with the beginning of new bar formation. If the option is enabled, the chart always shows the last bar.
  • Scale — use a scaler to adjust the chart scale. This also changes the chart scale in the preview window located in the left part of the properties window.
  • Scale fix one to one — fix the chart scale as "one to one" (the size of one pip of the vertical axis in pixels is equal to the distance between the bar axes in pixels). In this case the "Scale fix" option is enabled automatically, and a scroll bar appears at the right side of the window that allows to move the chart vertically. This mode allows drawing precise geometrical constructions.
  • Scale fix — fix the chart scale vertically. When this option is selected, additional scaling parameters "Fixed maximum" and "Fixed minimum" for setting the minimum and maximum value of the price scale become active.
  • Scale points per bar — fix the chart scale by the ratio of points on the vertical axis to one bar. Specify the number of bars in the "Points per bar" field.

Show

The tab contains options of information display on the chart:

  • Show OHLC — show/hide the OHLC line. An additional data line appears at the top left of the window. The last bar prices are displayed in addition to the symbol name and chart timeframe. Price are shown in the following format: OPEN, HIGH, LOW and CLOSE (OHLC) — bar open price, the highest bar price, the lowest bar price, and bar close price, respectively. Thus, the exact value of the latest bar is always shown on the screen. This option is also effective for the data line in the indicator sub-windows.
  • Show quick trading buttons — show/hide buttons that open the quick trade panel and the depth of market on the chart.
  • Show Bid price line — show/hide the Bid price level of the latest quote. A horizontal line corresponding to the Bid price of the latest quote appears on the chart.
  • Show Ask price line — show/hide the Ask price level of the latest quote. Bars in the platform are formed based on Bid prices (or Last prices if the depth of market is available for the instrument). However, the Ask price is always used to open long positions and close short ones. The Ask price is not displayed on the chart, so it cannot be seen. To have a more precise control over trading, enable the "Show Ask price line" parameter. An additional horizontal line corresponding to the Ask price of the latest quote appears on the chart.
  • Show Last price line — show/hide the level of the price at which the latest trade was executed. This line can only be displayed if the appropriate symbol price is provided by the server.
  • Show period separators — show/hide period separators. Date and time of each bar are displayed on the horizontal axis of the chart. The scale interval of the horizontal axis is equal to the selected timeframe. The "Show period separators" option draws additional vertical lines corresponding to the larger period (timeframe) borders. Daily separators are drawn for M1 to H1 charts, weekly separators are shown for H4, monthly appear for D1 and year separators are used for W1 and MN1 charts.
  • Show grid — show/hide grid in the chart window.
  • Show tick volumes — show/hide the volume chart calculated based on the number of ticks at the bottom of the window. The option is unavailable with scale fix enabled.
  • Show real volumes — show/hide the volume chart calculated based on the actual number of executed trades. The option is only available for exchange-traded instruments.
  • Show object descriptions — show/hide object descriptions on the chart. If the option is enabled and objects on the chart are provided with descriptions, these descriptions appear straight on the chart.
  • Show trade levels — show/hide the price levels where a position was opened or a pending order was placed, as well as the levels of Stop Loss and Take Profit. The option is only valid if the same option is enabled in the platform settings.

Colors

From this tab, you can set up the color display of the chart and its elements:

  • Scheme — select a predefined chart color scheme. Three color schemes are available: "Yellow on Black", "Green on Black" and "Black on White". Custom color schemes can be saved using templates.
  • Background — the chart background color;
  • Text — the color of axes, scale and OHLC line;
  • Grid — grid color;
  • Bar up — the color of an up bar, tails and edges of a bullish candlestick's body;
  • Bar down — the color of a down bar, tails and edges of a bearish candlestick's body;
  • Bull candle — the color of the bullish candlestick body;
  • Bear candle — the color of the bearish candlestick body;
  • Line chart — the color of the chart line and Doji candlesticks;
  • Volumes — the color of volumes and position opening levels;
  • Bid price line — the color of the Bid price line;
  • Ask price line — the color of the Ask price line;
  • Last price line — the color of the price line of the latest executed trade;
  • Stop levels — the color of stop order (Stop Loss and Take Profit) levels.


Chart Print

Price Charts, Technical and Fundamental Analysis / Additional Features / Chart Print

Chart Print

The trading platform provides chart printing tools. A chart can be printed in black and white or in color. For color print, enable the "Color print" option in the platform settings. In this case charts are printed out in color if the printing device allows it. Otherwise charts are printed in black and white.

Before printing you may sometimes need to set up your printer. Click "Print Setup" in the File menu. To make sure that all the required elements fit into the printable area, click " Print Preview Print Preview" in the same menu or on the Standard toolbar.

To print a chart, click " Print Print" in the File menu or the Standard toolbar, or press "Ctrl+P".


Chart Management

Price Charts, Technical and Fundamental Analysis / Additional Features / Chart Management

Chart Management

This section provides information about how to manage charts in the trading platform.

  • Chart managing using the context menu and the "Charts" menu
  • Chart managing using a mouse
  • Chart managing from keyboard
  • Fixed chart position

Chart Managing Using the Context Menu and the "Chart" Menu

Commands in these menus are identical (except for "Save As Picture" and "Delete Indicators Window" that are available only in the context menu) and allow to manage chart settings:

  • Trading — open the menu of trading operations for the symbol of the chart: placing stop levels or pending orders.
  • Depth of Market Depth Of Market — open the Depth of Market of the current chart's symbol.
  • List of indicators Indicator List — open the "Indicator List" window for managing indicators running on the chart.
  • Objects — open the objects control submenu:
  • List of objects Object List — open the "Object List" to manage objects on the chart.
  • Delete Last — delete the last added object.
  • Delete All Selected Delete All Selected — delete all selected objects.
  • Delete All Arrows Delete All Arrows — delete all arrows belonging to the Arrows group.
  • Delete All — delete all objects from the current chart;
  • Unselect All — unselect all objects on the chart.
  • Unselect — unselect the selected object.
  • Undo Delete Undo Delete — restore the last deleted object.
  • List of Expert Advisors Expert List— open the "Expert List" window to manage Expert Advisors running on the chart.
  • Bar chart Bar chart — show the chart as a sequence of bars.
  • Candlesticks Candlestick — show the chart as a sequence of Japanese candlesticks.
  • Line Chart Line — show the chart as a broken line that connects close prices of bars.
  • Timeframes — select the chart timeframe. A click on this item opens a sub menu, where you can select one of the available timeframes.
  • Templates — managing chart templates.
  • Refresh Refresh — refresh the chart window. When you refresh the chart, the price data displayed on it are also recalculated based on one-minute data stored on the computer.
  • Grid Grid — show/hide grid on the chart.
  • Auto Scroll Auto Scroll — enable/disable automatic chart scrolling to its beginning when new ticks are received.
  • Chart Shift Chart Shift — enable/disable chart shift from the right side of the window.
  • One Click Trading One Click Trading — show/hide the one click trading panel on the chart.
  • Volumes Volumes — show/hide real trade volumes for the charts of exchange instruments.
  • Tick Volumes Tick Volumes — show/hide tick volumes for the charts of Forex instruments.
  • Zoom In Zoom In — zoom in the chart.
  • Zoom Out Zoom Out — zoom out the chart.
  • Delete Indicators Window Delete Indicator Window — delete the indicator subwindow. This command is only available in the context menu when called from the subwindow, in which the indicator is opened.
  • Step by Step Step by Step — move the chart bar by bar from right to left. This function is only available when the autoscroll feature is disabled.
  • Save As Picture Save As Picture — save the chart as a picture in a *.png file. This command also allows to immediately publish a screenshot of the chart online using a special service of the MQL5.community site and share it with other traders. See "Publishing Charts Online" for details.
  • Properties Properties — open the chart properties managing window.

Chart Managing Using a Mouse

A chart can be managed using a mouse:

  • click-and-hold anywhere in the chart window and then move the cursor horizontally to scroll the chart;
  • click-and-hold on the vertical scale of the chart and move the cursor vertically to change the vertical scale of the chart; double-click on the vertical scale of the chart to restore the chart scale;
  • click-and-hold on the horizontal chart scale (anywhere outside the fast navigation bar) and move the cursor horizontally to change the chart scale;
  • right-click anywhere in the chart window to open the context menu of the chart (see below);
  • double-click on the elements of technical indicators (lines, signs, histogram bars, etc.) to call the indicator setup window;
  • right-click on elements of a technical indicator to call the context menu of the indicator;
  • depending on the platform settings, a single or a double click on an object (line studies, text or arrow) selects the object;
  • click-and-hold the selected object and drag to move it;
  • Ctrl + left-clicking on a selected trend line and then moving the cursor allows to draw a parallel trend line (create a channel);
  • hold down Ctrl and scroll the mouse wheel to scale the chart;
  • click with the mouse wheel on a chart tab in the switch panel closes the chart;
  • middle-click on the chart window to switch the cursor to the "crosshair" mode;
  • right-click on a selected object to open its context menu;
  • point your mouse to the Close price of a bar or to an element of an object or indicator to call a prompt.

Chart Managing from Keyboard

Various chart manipulations can be performed using certain keys and key combinations:

  • Home — move the chart to the last bar;
  • End — move the chart to the first bar;
  • Page Up — move the chart at a one-window distance back;
  • Page Down — move the chart at a one-window distance forward;
  • Ctrl+I — open the window containing the list of indicators;
  • Ctrl+B — open the window containing the list of objects;
  • Alt+1 — show the chart as a sequence of bars;
  • Alt+2 — show the chart as a sequence of Japanese candlesticks;
  • Alt+3 — show the chart as a broken line that connects the Close prices of bars;
  • Ctrl+G — show/hide grid in the chart window;
  • "+" — zoom in the chart;
  • "-" — zoom out the chart;
  • F12 — scroll the chart step by step (bar by bar);
  • F8 — open the properties window;
  • Backspace — delete the last added object from the chart;
  • Delete — delete all selected objects;
  • Ctrl+Z — cancel deletion of the last object.

Fixed Chart Position

Every chart has an icon — a gray triangle located in the bottom left corner of the window by default. Move the triangle on any bar to lock its position on the chart:

Fixed chart position

The selected bar stays in this position when you zoom the chart. The position stays fixed until you change the chart timeframe.


Lists of Objects Applied

Price Charts, Technical and Fundamental Analysis / Additional Features / Lists of Objects Applied

Lists of Objects Applied

For each chart you can open a list of all applied objects: indicators, analytical objects and Expert Advisors. From the list you can modify the properties of objects or delete them from the chart.

  • List of indicators
  • List of objects
  • List of Expert Advisors

List of Indicators

To manage indicators applied on the chart click " List of indicators Indicator List" in the context menu or press "Ctrl+I".

List of indicators

Indicators are divided into two groups: those plotted in the main chart window and indicators drawn in separate windows. Select an indicator and click "Properties" to open indicator settings. To remove an indicator from the chart, click "Delete".

List of Objects

To manage analytical objects applied on the chart click " List of objects Object List" in its context menu or press "Ctrl+B".

List of objects

The following information is available in the list of objects:

  • Object — object type. Tick the "Object" field to select the object on the chart;
  • Name — object name. This name is formed of the period of the chart the object is attached to, the object type and the unique ID that is automatically assigned to each object. The name can be changed in the object properties;
  • Description — object description. It can also be changed from the object properties;
  • Window — the number of the window the object is added on. 0 is the main chart window, further numbers mean serial numbers of indicator sub-windows from the top down.

The "Objects" window contains the following commands:

  • Show — move the chart to the selected object;
  • Properties — edit the properties of the selected object;
  • Delete — delete the selected object;
  • List all — any object can be marked as hidden (property OBJPROP_HIDDEN) from a MQL5 application. Such objects are displayed on a chart, but they are not displayed in the object list by default. Click "List all" to show the hidden objects in the list.

Press Ctrl+A to select all objects.

List of Expert Advisors

To manage Expert Advisors and scripts running on a chart click " List of Expert Advisors List of Expert Advisors" in its context menu.

List of Expert Advisors

The list includes Expert Advisors and scripts running on all currently open charts. The Charts column contains the name and timeframe of the chart, on which the Expert Advisor or the script is running.

Select an Expert Advisor or a script and click "Show" to move to the chart, on which the MQL5 application is running. To open settings of the selected Expert Advisor or script click "Properties". The "Delete" button stops the program and removes it from the chart.


Deleted Charts

Price Charts, Technical and Fundamental Analysis / Additional Features / Deleted Charts

Deleted Charts

Sometimes you may want to delete charts that you do not need anymore. Select "Close" in the File menu or press "Ctrl+F4".

Templates of deleted charts are saved and can be used later. For example, if a chart has been deleted accidentally, it can be restored. Click "Open Deleted" in the File menu and select a symbol from the list. The chart window of the selected symbol is fully restored with all its settings and objects after that.

To permanently delete saved charts, click "Delete" in the "Open Deleted" menu.

  • In total, up to 100 deleted charts can be stored in the platform.
  • Charts deleted more than seven days ago are completely removed automatically.
  • Only one last deleted chart is stored for each combination of a symbol and timeframe.


Templates and Profiles

Price Charts, Technical and Fundamental Analysis / Additional Features / Templates and Profiles

Templates and Profiles

A template is a set of chart window parameters that can be applied to other charts. The following data can be stored in a template:

  • chart type and color;
  • color scheme;
  • chart scale;
  • OHLC line shown or hidden;
  • running Expert Advisor and its parameters;
  • applied custom and technical indicators and their settings;
  • graphical objects;
  • separators of days.

When you apply a template to a chart, settings stored in it are applied to the instrument and timeframe. For example, you can create a template that includes indicators MACD, RSI, and Moving Average, and then use it for other charts. In this case, the chart windows look the same for different symbols and periods.

Templates are saved as TPL-files in folder \MQL5\Profiles\Templates. The platform provides several predefined names of templates:

  • default.tpl — the basic template that us automatically applied when you create a new chart;
  • tester.tpl — the template of the chart on which testing results are displayed;
  • debug.tpl — the template of the chart created when you start MQL5 application debugging from MetaEditor.

To create a template with the desired parameters (or modify an existing one), configure the chart and click " Save Template... Save Template..." in its context menu.

To share and synchronize templates and profiles between your platforms, use the MQL5 Storage, which is integrated into MetaEditor. You will be able to access them from any computer using your MQL5.community account.

Actions with Templates

Click "Templates" in the Chart menu or in the context menu of a chart or click on Templates menu on the toolbar.

Templates menu

Actions with templates

Templates menu

  • Creation
    To create a new template click " Save Template... Save Template...". A new template is created based on the information of the active chart window.
  • Modification
    To edit a template, follow the same steps, but instead of a new file name select an existing template.
  • Applying
    To apply a template to a chart, select the required file at the bottom of the menu or click "Load Template" to open a template from any other folder.
  • Deletion
    To remove a template, click "Remove Template" in the Charts menu or the context menu of the chart.

Profiles

Profiles provide a convenient way of working with groups of charts. The following data can be stored in a profile:

  • charts that are open at the moment when you save the profile
  • the location and size of these charts;
  • templates applied to the charts.

When a profile is opened, each chart with all its settings is located exactly in the same position where it was during profile saving. All changes in open chart windows are automatically saved in the current profile. The list of all charts of the current profile is available in the Window menu. The name of the current profile is displayed in the status bar and is marked with a tick in the profile control menu.

A default profile is created during platform installation. Initially, it stores four chart windows of basic currency pairs: EURUSD, USDCHF, GBPUSD and USDJPY. All profiles are stored in a folder \MQL5\Profiles\Charts.

Chart templates with running Expert Advisors are also saved in profiles, therefore the platform settings provide an option for automatic disabling of Expert Advisors when changing the profile.

Managing Profiles

Click "Profiles" in the File menu, button Profiles menu on the toolbar or click on the name of the current profile in the status bar.

Profiles menu

Commands

Profiles menu

  • Next — switch to the next profile in the list. The same action can be performed using hotkeys "Ctrl+F5";
  • Previous — switch to the previous profile in the list. The same action can be performed using "Shift+F5";
  • Save As... Save as — save the current profile with a new name. The new profile is a copy of the current one and becomes active after saving;
  • Remove — delete a profile. Clicking on this command opens the menu of existing profiles. Select one of them to delete it.

The lower part of this menu contains the list of existing profiles. To apply one of them click on it.

A predefined profile can be assigned to a trade account. Create a profile with the same name as the account number. The predefined profile is applied automatically when you switch to this account. If there is no predefined profile, the current profile remains active.

The current profile and the default profile (marked as DEFAULT) cannot be deleted.


Algorithmic Trading, Trading Robots

Algorithmic Trading, Trading Robots

Algorithmic or automated trading is making buy and sell operations in the financial markets using special trading robots. In the trading platform, these programs are also called Expert Advisors or EAs.

Trading robots undertake price analysis based on preset algorithms, decision-making and, as a result, execution of trading operations in the market.

Trading robots are widely used in financial trading, and the share of automated operations relative to manual trading is constantly growing. A computer program has a variety of advantages:

  • It never gets tired
  • It is not susceptible to stress
  • It strictly follows a preselected algorithm
  • It rapidly responds to market changes.

A special branch of algorithmic trading includes high frequency trading (HFT). As the name implies, trade operations are carried out at a high speed and frequency. The trading platform provides all the necessary tools for that:

  • Fast and efficient trading robots programming language MQL5
  • Orders are sent from the platform and processed on the trade server with a minimum delay
  • Renting a virtual platform close to a broker to minimize network delays

Read this section to find out everything about the automated trading:

  • Expert Advisors and Custom Indicators
  • Where to get trading robots and indicators
  • How to create an Expert Advisor or an indicator
  • Strategy Testing
  • Strategy Optimization


Expert Advisors and Custom Indicators

Algorithmic Trading, Trading Robots / Expert Advisors and Custom Indicators

Expert Advisors and Custom Indicators

Two broad categories can be singled out among automated trading applications: trading robots and indicators. Applications of the first type are designed for performing trading operations, and the second type programs are used for analyzing prices and identifying patterns in price changes. Indicators can be used directly in trading robots forming a complete automated trading system.

How to Run a Trading Robot or an Indicator

To start an Expert Advisor, attach it to a chart. The easiest way is to double-click on an Expert Advisor in the Navigator window or drag'n'drop it to a chart.

Starting a trading robot on a chart

This will bring up the Expert Advisor Properties window. Click OK to start the Expert Advisors on the chart. If an Expert Advisor has been successfully started, its name and icon Auto Trading enabled appear in the upper right corner of the chart.

If the icon is Auto Trading disabled, the Expert Advisor is not allowed to perform trading operations. Enable automated trading in the Expert Advisor settings, as well as in the trading platform options.

  • Only one Expert Advisor can run on one chart. If you start another Expert Advisor on the same chart, the first one is removed.
  • The number of indicators applied on one chart is not limited.

Application Setup before Start

A window of application properties opens before it is started on a chart.

The "Common" tab contains information about the application: name, version, copyright, the software developing company name (two last parameters can be represented as links to the corresponding web page) and description.

If a license is required for an Expert Advisor (for example, it is purchased or downloaded from the Market), the appropriate license details (expiration date, demo) are displayed here.

Individual parameters of the Expert Advisor start are set up at the bottom of the window:

  • Allow modification of Signals settings — this option allows an MQL5 application to subscribe and unsubscribe from Signals, as well as edit signal settings. The functions for accessing the database of Signals from an MQL5 application enable you to perform your own analysis of the quality of signals, dynamically manage the subscription and adjust risks. More details about the signal managing functions are available in the MQL5 Reference.
  • Allow Auto Trading — this option limits the trading activities of Expert Advisors. This limitation can be useful when testing analytical capabilities of Expert Advisors in the real-time mode (not to be confused with backtesting). Note that even if this option is enabled, the autotrading for the Expert Advisor may be disabled in the common settings of the platform.

Common parameters for all Expert Advisors are specified in the trading platform settings.

Input Parameters of Trading Robots and Indicators

An application can have input parameters. They allow you to control the behavior of the application making its use more flexible. An application may have no input parameters if a developer has not provided them.

How to modify application parameters

To modify a parameter, double-click on it and enter a new value.

How to use parameter presets

You can use the "Save" button to save the current set of parameters and the "Load" button to load a previously saved set. Sets of input parameters are stored in the /Presets folder of the trading platform.

How to restore default settings

To restore the default settings, click "Reset".

Already attached Expert Advisors can be individually configured. However, the Expert Advisor properties window cannot be opened during the current execution. This can only be done in periods between the Start() function calls. In this case an Expert Advisor will not be started until its parameters window is closed. If input parameters of an Expert Advisors have been changed, the EA is re-initialized with new input parameters after the "OK" button is pressed.

Programs Using External Functions (DLL)

The "Dependencies" tab appears if the Expert Advisor uses the import of functions from other EX5 or DLL files. Use of external DLLs can extend the functionality of the program. However, it is potentially dangerous. These functions should be allowed only for trusted applications.

Files used by the Expert Advisor are displayed as a tree-like list. The green icons indicate calls of functions from MQL5 programs, and the red icons indicate calls of functions within DLLs.

An option for enabling/disabling DLLs is available at the top of the tab:

  • Allow DLL imports — Expert Advisors can use DLLs to extend their functionality. If this option is enabled, such libraries can be used without any restrictions. If an MQL5 application uses a DLL, but its import is prohibited (this option is disabled), then the "OK" button is not displayed in the application start window.

Do not enable the "Allow use DLL imports" option if you are not sure that launching the application is safe. Applications obtained from unknown sources may cause damage through the use of third-party DLLs.

How to Control Expert Advisor Trading

The possibility of automated trading can be controlled at the trading platform level or separately for every trading robot.

Button " Auto Trading Enabled AutoTrading" on the toolbar (and a similar option in Options — Expert Advisors) enables/disables automated trading in the platform. If you turn it off, automated trading is disabled for all Expert Advisors even if you enable automated trading individually in the Expert Advisors settings. If you enable it, the Expert Advisors is allowed to trade, unless automated trading is individually disabled in the Expert Advisor parameters.

Control over Expert Advisor trading

Automated trading permissions can be conveniently managed for individual Expert Advisors from the Navigator window, rather than in their parameters. In the Navigator window, the list of all running Expert Advisors is displayed for a connected account. In addition to the Expert Advisor name, a chart on which the EA is running is specified in the list. An icon indicates whether the EA is allowed to trade.

Expert Advisors running on the current account

The context menu contains commands for enabling or disabling automated trading for any of the Expert Advisors, as well as for viewing its properties or removing it from the chart.

Which Platform Settings Affect Automated Trading?

Settings affecting automated trading are available on the Expert Advisors tab of the platform options.

The following settings are available:

  • Allow Auto Trading — this option allows or prohibits trading using Expert Advisors and scripts. If it is disabled, scripts and Expert Advisors can work, but are not able to trade. This limitation can be useful for testing the analytical capabilities of an Expert Advisor in the real-time mode (not to be confused with testing on history data).
    The option enables/disables automated trading for the entire platform. If you disable it, no Expert Advisor will be allowed to trade, even if you enable automated trading individually in the Expert Advisor settings. If you enable it, the Expert Advisors will be allowed to trade, unless automated trading is individually disabled in the Expert Advisor parameters.
  • Disable automated trading when switching accounts — this option represents a protective mechanism disabling trading by Expert Advisors and scripts when the account is changed. It is useful, for example, when switching from a demo account to a real one.
  • Disable automated trading when switching profiles — a large amount of information about the current settings of all charts in the workspace is stored in profiles. Particularly, profiles contain information about Expert Advisors attached. Expert Advisors included into the profile will start working with the arrival of a new tick. Enable this option to prevent trading by Expert Advisors when changing the profile.
  • Disable automated trading when switching chart symbols or period — if this option is enabled, then when the period or symbol of a chart is changed, the Expert Advisor attached to it is automatically prohibited from trading.
  • Allow DLL imports (potentially dangerous, enable only for trusted applications) — to extend functionality, mql5 applications can use DLLs. This option allows determining a default value for the "Allow DLL imports" parameter used during start of applications. It is recommended to disable import when working with unknown Expert Advisors.
  • Allow WebRequest for listed URL — the WebRequest() function in MQL5 is used for receiving and sending information to websites using GET and POST requests. To allow an MQL5 application to send such requests, enable this option and manually explicitly specify the URLs of trusted websites. For security reasons, the option is disabled by default.
    To delete an address from the trusted list, select it and press "Delete".

Quick Access to Frequently Used Programs

For quick access to frequently used programs, use "Favorites" and hotkeys.

Select a trading robot, an indicator or a script and add it to your Favorites using the context menu. All of your favorite programs are displayed on a separate tab of the Navigator and can be easily accessed.

For a quick start on a chart, any program can be assigned a key shortcut. This can be done through the context menu of the Navigator window.

Adding programs to Favorites and assigning hotkeys

In the above example, keys "Alt+1" are set for a script. Once they are pressed, the script is instantly launched on the current open chart.


Where to get trading robots and indicators

Algorithmic Trading, Trading Robots / Where to Find Trading Robots and Indicators

Where to Find Trading Robots and Indicators

The trading platform contains a plethora of popular technical indicators used for analysis. However, you can receive even more tools for your trading. A large number of additional custom indicators can be accessed straight from the trading platform.

  • Market — the store of applications for the trading platform
  • Code Base — a free source code library of Expert Advisors and indicators
  • Freelance — an online service for ordering trading applications from professional developers
  • MQL5 — a programming language used for the development of Expert Advisors and indicators

Market — the store of applications for the trading platform

The Market is a secure service for purchasing trading robots, indicators, scripts and other trading programs. It is a store of ready-made applications for working on financial markets. The service is available for all the trading platform users. You can open the Market anytime to purchase or rent a program and run it straight in your platform.

Products in the Market

To purchase a selected product, go to its page and click "Buy". After operation confirmation, the application is activated and downloaded to the appropriate folder depending on whether it is an Expert Advisor, an indicator or a script. The software name is added to the Navigator, from which it can be run on a chart.

Code Base — a free source code library of Expert Advisors and indicators

Straight from the platform you can access a huge code base of free applications for automated trading. All the applications are available in the form of a source code. However, you can easily use them even if you are unfamiliar with programming.

When you download the code, it is automatically compiled, after which a ready-to-use application is created and saved in the appropriate directory depending on whether it is an Expert Advisor, an Indicator or a Script. The software name is added to the Navigator, from which it can be run on a chart.

Freelance — an online service for ordering trading applications from professional developers

If you cannot find the desired application in the Code Base or Market, order one from a professional developer in the Freelance service of the MQL5.community website.

The order procedure is secure: the payment is frozen during the development and is only transferred to the developer when the customer accepts the resulting application. Any dispute can be resolved through arbitration.

MQL5 — a programming language used for the development of Expert Advisors and indicators

You can develop your own trading robots or indicators using the MQL5 programming language. This language is based on the concept of the popular C++ programming language. MQL5 is also a high-level object oriented programming language. However, due to its narrow specialization, MQL5 thrives in financial markets challenges.

The specialized MetaEditor is available for program development. It can recognize language structures: it suggests tips on how to use functions and highlights various elements of the program source code. Thus, the editor enhances navigation in the source code of trading programs and speeds up the development process.


How to create an Expert Advisor or an indicator

Algorithmic Trading, Trading Robots / How to Create an Expert Advisor or an Indicator

How to Create an Expert Advisor or an Indicator

The trading platform contains a built in programming language MetaQuotes Language 5 (MQL5), the MetaEditor development environment and strategy testing tools.

Any information about the development of trading strategies in MQL5 can be found on the official MQL5.community site. The website section Code Base contains examples of ready-to-use applications.

The MQL5 Programming Language of Trading Strategies

The trading platform has its own built-in language for programming trading strategies MetaQuotes Language 5. It is the fifth generation of MQL languages. It allows developing Expert Advisors to automate trading processes, as well as implementing your own trading strategies. MQL5 also allows creating custom indicators, scripts and function libraries.

MQL5 Features:

  • The language is object-oriented;
  • MQL5 syntax is similar to that of C++;
  • It contains a large number of functions necessary for analyzing quotes, managing positions, calling technical indicators, etc.;
  • It is a high-performance language;
  • High protection against decompilation: new complex encryption algorithms, file integrity checking, and the complexity of the language;
  • OpenCL support to enable use of video cards for calculations in MQL5 applications;
  • Integrated software development environment MetaEditor including a debugger.

A detailed description of all language constructions and functions is provided in the MQL5 Reference. All the necessary information about MQL5 can also be found on the developer community website at https://www.mql5.com.

MetaEditor

MetaEditor is an integrated MQL5 development environment. It is a component of the trading platform. MetaEditor allows you to create, edit, compile and debug source code written in MQL5.

  • MQL5 Wizard for creating templates and trading robots
    MetaEditor includes the MQL5 Wizard that helps to quickly create MQL5 programs. With the MQL5 Wizard a trader without programming skills can easily create Expert Advisors. You only need to select trading signals for an Expert Advisor, as well as money management and trailing stop algorithms. The Expert Advisor code is generated automatically based on selected parameters.
    In addition, the MQL5 Wizard allows creating MQL5 program templates to simplify the work of a programmer.
  • Helps with the source code
    MetaEditor can recognize language structures: suggests tips on how to use functions and highlights various elements of the program source code. Thus, the editor enhances navigation in the source code of trading programs and speeds up the development process.
  • Debugging
    MetaEditor allows you to debug programs to greatly facilitate troubleshooting. A step-by-step execution of a source code enables monitoring of the variable values.
  • Profiling for code optimization
    The editor also provides tools for software profiling. You can identify the slowest functions in the source code and optimize your program.
  • Articles about programming and a source code library
    Straight from the editor, you can find a plethora of MQL5 programming tutorials. You can additionally access a huge code base of free automated trading programs.
  • Online MQL5 Storage with versioning support
    The storage provides safe storage of files and the possibility to restore lost files, as well as access your code from any computer using a MQL5.community account.

More details about MetaEditor can be found in its built-in help files. The description of MQL5 can be found in the built-in reference and the official MQL5.community website.

Types of MQL5 Applications

Three major types of trading applications are available.

Expert Advisors

Expert Advisors are mechanical trading systems that allow complete automation of analytical and trading activities for the efficient operation in the financial markets. They allow to perform prompt technical analysis of price data and control trading activities on the basis of signals received. They also help to strictly follow a trading strategy eliminating emotions.

All Expert Advisors are stored in the /MQL5/Experts folder of the trading platform.

Custom Indicators

Custom Indicators are custom developed technical indicators intended for analyzing price dynamics. Trading tactics and Expert Advisors are developed based on algorithms of indicators. Custom indicators are only used for analyzing symbol price dynamics. Indicators cannot trade and do not have access to charts.

All indicators are stored in the /MQL5/Indicators folder of the trading platform.

Scripts

A script is an application written in MQL5 designed for a single execution of an action. A script can perform both analytical and trading functions. Unlike Advisors, scripts are executed on request. In other words, if an Expert Advisor works almost continuously, a script executes its function and quits.

All scripts are stored in the /MQL5/Scripts folder of the trading platform.

Inside folders Experts, Indicators and Scripts, applications can be sorted into subfolders. The structure of their location is displayed in the Navigator window.

How to Create and Run a Trading Application

Click " Create in MetaEditor Create in MetaEditor" in the context menu of the Navigator window in section Expert Advisors, Indicators or Scripts. MetaEditor can also be launched by pressing F4.

Start creating a trading application

This launches MetaEditor with an automatically opened MQL5 Wizard. Use it to generate the necessary program template to quickly start software development. Let's create a simple script writing a message "Hello world" into the journal.

The MQL5 Wizard generates a template of the application

In the resulting template, we add the code Print("Hello World"); and compile it by pressing F7 to receive an executable file. The executable file has an extension EX5 and can be run in the trading platform.

Compiling and its results

Compilation results are added to the editor log.

In accordance with the application type, the source code is saved to the folder MQL5\Scripts\. The executable file is created in the same folder. You can now return to the trading platform and run the generated script.

Running a script in the trading platform

Specifics of use of automated trading programs are described in section "Expert Advisors and custom indicators".

How to Edit a Trading Application

To edit a trading robot or a custom indicator, click " Modify Modify" in its context menu in the Navigator window or select it and press Enter. This opens MetaEditor with the source code of the selected indicator. After you have modified the indicator, re-compile it (F7). Otherwise its previous unchanged version will be used in the platform.

How to Shut Down a Trading Application

There are many ways to shut down a trading application in the platform.

Trading robot

Custom technical indicator

Script
  • Click "Remove" in the Expert List window;
  • Change the chart template;
  • Change the profile, provided that the appropriate option is enabled in the platform settings;
  • Turn off the trading platform;
  • Close the chart the Expert Advisor is running on;
  • Run another Expert Advisor on the same chart;
  • Click " Remove Expert Advisor Remove" in the context menu of the Expert Advisor icon on the chart.
  • Click " Remove indicator Delete" or " Delete indicator window Delete Indicator Window" in the context menu of the indicator;
  • Click "Delete" in the Indicator List window;
  • Change the chart template;
  • Re-open the chart.
  • Click "Remove" in the Expert List window. This window also contains a list of running scripts;
  • Change the chart template;
  • Change the profile, provided that the appropriate option is enabled in the platform settings;
  • Change the chart symbol;
  • Change the chart timeframe;
  • Turn off the trading platform;
  • Close the chart the script is running on;
  • Run another script on the same chart;
  • Click " Remove Script Remove" in the context menu of the script icon on the chart.
  • If a trading application is running on a chart, it will not be shut down if you delete the appropriate executable file from the Navigator window.
  • Disabling Expert Advisors in the trading platform settings does not disable them completely. This operation only prohibits Expert Advisors from trading.

How to Run a Downloaded File of the MQ5 Source Code

If you only have a source code file (*.MQ5), save it in a folder corresponding to the application type:

  • For Expert Advisors — /MQL5/Experts
  • For indicators — /MQL5/Indicators
  • For scripts —/MQL5/Scripts

To quickly navigate to the trading platform data folder, click " Open data folder Open data folder" in the File menu.

To run a file in the trading platform, compile it in the MetaEditor:

  • Open MetaEditor by pressing F4.
  • In MetaEditor, open the source code file in the Navigator window by a double left-click on the file name.
  • Press F7 to compile it.

This creates an executable *.EX5 file that can be run in the trading platform.

Source files (*.MQ5) are not displayed in the Navigator window of the trading platform.


Strategy Testing

Algorithmic Trading, Trading Robots / Strategy Testing

Strategy Testing

The Strategy Tester allows you to test and optimize trading strategies (Expert Advisors) before using them for live trading. During testing, an Expert Advisor with initial parameters is once run on history data. During optimization, a trading strategy is run several times with different sets of parameters which allows selecting the most appropriate combination thereof.

The Strategy Tester is a multi-currency tool, which allows you to test and optimize strategies trading multiple financial instruments. The tester automatically processes information of all symbols that are used in the trading strategy, so you do not need to manually specify the list of symbols for testing/optimization.

The Strategy Tester is multi-threaded, thus allowing to use all available computer resources. Testing and optimization are carried out using special computing agents that are installed as services on the user's computer. Agents work independently and allow parallel processing of optimization passes.

An unlimited number of remote agents can be connected to the Strategy Tester. In addition, the Strategy Tester can access the MQL5 Cloud Network. It brings together thousands of agents around the world, and this computational power is available to any user of the trading platform.

In addition to Expert Advisor testing and optimization, you can use the Strategy Tester to test the operation of custom indicators in the visual mode. This feature allows to easily test the operation of demo versions of indicators downloaded from the Market.

How to Test

Testing of an Expert Advisor is its single run with fixed parameters using historical price data. It allows you to test how the strategy works before you use it on a real market.

Watch the video: How to test Expert Advisors and Indicators before purchase

Watch the video: How to test Expert Advisors and Indicators before purchase

Watch the video to learn how to test a trading robot before you purchase it from the Market. Every product on the Market is provided with a free demo version, which can be tested in the Strategy Tester. Watch the video for details.

How to Select a Trading Robot for Testing

Click " Test Test" in the context menu of an Expert Advisor in the Navigator window.

How to select a trading robot for testing

After that the Expert Advisor is selected in the Strategy Tester.

Enable Required Symbols in Market Watch for Multi-Currency Expert Advisors

The Strategy Tester allows backtesting strategies that trade multiple symbols. Such trading robots are conventionally called multicurrency Expert Advisors.

The tester automatically downloads the history of required symbols from the trading platform (not from the trade server!) during the first call of the symbol data. Only the missing price history data are additionally downloaded from the trading server.

Before you start testing a multi-currency Expert Advisor, enable the symbols required for testing in the Market Watch. Open its context menu, click " Symbols Symbols" and enable the required instruments.

Enable required symbols in Market Watch for multi-currency Expert Advisors

Choosing Testing Parameters

Before you start testing, select the financial instrument to test the trading robot operation on, the period and the mode.

Choosing testing parameters

Symbol and period

Select the main chart for testing and optimization. Symbol selection is required to provide the triggering of OnTick() events contained in Expert Advisors. Also, the selected symbol and period affect special functions in the Expert Advisor code that use current chart parameters (for example, Symbol() and Period()). In other words, the chart to which the Expert Advisor is attached should be selected here.

Date

Select the testing and optimization period. You can select one of predefined periods or set a custom time interval. To set a custom period, enter the start and end dates in the appropriate fields to the right.

The specific feature of the tester is that it additionally downloads some data preceding the specified period (to form no less than 100 bars). This is required for a more accurate testing and optimization. For example, if you test on a one-week timeframe, two additional years are downloaded.

If there is not enough history data for forming additional 100 bars (it is especially significant for the monthly and weekly timeframes), for example, when specifying a start of testing close to the start of existing history data, then the start date of testing will be automatically shifted. An appropriate message is added to the Strategy Tester journal.

Forward

This option allows you to check the results of testing in order to avoid fitting to certain time intervals. During forward testing, the period set in the Date field is divided into two parts in accordance with the selected forward period (a half, one third, one fourth or a custom period when you specify the forward testing start date).

The first part is the period of back testing. It is the period of Expert Advisor operation adaptation. The second part is forward testing, during which the selected parameters are checked.

Execution

The strategy tester allows you to emulate network delays during an Expert Advisor operation in order to bring testing closer to real conditions. A certain time delay is inserted between placing a trade request and its execution in the strategy tester. From the moment of sending a request till its execution, the price can change. This allows you to evaluate how trade processing speed affects the trading results.

In case of the instant execution mode, users can additionally check the EA's response to a requote from the trade server. If the difference between requested and execution prices exceeds the deviation value specified in the order, the EA receives a requote.

Please note that delays work only for trades performed by an EA (placing orders, changing stop levels, etc.). For example, if an EA uses pending orders, delays are only applied to placing an order but not to its execution (in real conditions, execution occurs at the server without a network delay).

No delay

In this mode, all orders are executed at requested prices with no requotes. The mode is used to check an EA in "perfect" conditions.

Random delay

This mode allows testing an EA in conditions that are close to real ones. The delay value is generated as follows: a number from 0 to 9 is selected randomly - this is the number of seconds for a delay; if a selected number is equal to 9, another number from the same range is selected randomly and added to the first one.

Thus, the possibility of a delay for 0-8 seconds is 90%, possibility of a 9-18 second delay is 10%.

Fixed delay

You can select one of the predefined delay values or set a custom one. The platform measures the ping to the trade server and allows you to set that value as a delay in the tester so that you are able to test a robot in the conditions that are as close to the real ones as possible.

Tick generation mode

Select one of the tick generation modes:

  • Every tick is the most accurate but also the slowest mode. It emulates all ticks.
  • Every tick based on real ticks is as close to real conditions as possible. It uses real ticks of financial instruments accumulated by a broker. Emulation is not performed. Tick data has larger size. Downloading it may take quite a long time during the first test.
  • 1 minute OHLC — in this mode only 4 prices (Open, High, Low and Close) of each minute bar are emulated.
  • Open prices only — in this mode OHLC prices are also modeled, however only the open price is used for testing/optimization.
  • Math calculations — in this mode the tester does not download history data and information on symbols, as well as does not generate ticks. Only functions OnInit(), OnTester() and OnDeinit() are called. Thus a tester can be used for various mathematical calculations where the selection of parameters is required.

For more information about tick generation, please read the appropriate section.

Initial deposit and leverage

Specify the amount of the initial deposit used for testing and optimization. The deposit currency of the currently connected account is used by default, but you can specify any other currency. However, please note that cross rates for converting profit and margin to the specified deposit currency must be available on the account, to ensure proper testing. Only symbols with the "Forex" or "Forex No Leverage" calculation type can be used as cross rates.

Next select the leverage for testing and optimization. The leverage influences the amount of funds reserved on the account as the margin on positions and orders.

  • Note that symbol specification does not mean that the tester will use only these history data. The tester automatically downloads information on all the symbols used in the Expert Advisor.
  • Before the start of testing/optimization, all the available price data of the symbol of the main chart are automatically downloaded from the server. It may take quite a long time if the internet connection is slow.
  • Downloading of all data is performed once, only the missing information is downloaded during the next starts.
  • Only the symbols that are currently selected in the Market Watch are available for testing/optimization.
  • The price data of all necessary symbols are automatically downloaded from the server during testing and optimization.
  • Testing starts and ends at 00hr.00m.00s. of the specified dates. Thus the start date of testing/optimization is included in the testing period, while the end date is not included. Testing ends on the last tick of the previous date. Also you cannot specify the end date, which is greater than the current one. In such case, the testing anyway will be performed to the current date (not including it).

Selection of Input Parameters

Input parameters allow you to control the behavior of the Expert Advisor, adapting it to different market conditions and a specific financial instrument. For example, you can explore the Expert Advisor performance with different Stop Loss and Take Profit values, different periods of the moving average used for market analysis and decision-making, etc.

Specify a value for each input parameter.

Selection of input parameters to test

Parameter sets. You can at any time return to the current settings of your MQL5 program by saving a set of its parameters using a context menu:

  • To save the parameters as a set-file on your computer, click "Save". These files can be moved between platforms on different computers or sent to other users.
  • To save parameters for future use in the current platform, click "Save Version". These saved presets will be available then in the "Load Version" sub-menu. They can be applied at any time by selecting an appropriate version from the list.

Starting the Test

To start testing, click "Start" on the "Settings" tab. The testing progress is displayed to the left.

Where to View Testing Results

Results of an Expert Advisor testing are displayed on tabs "Result" and "Graph".

Testing Report

Detailed testing results are displayed on the "Result" tab. The tab contains general testing results, including profit and the number of trades, as well as many statistical values to help assess the performance of the trading robot.

Additional charts visualize the distribution of the number and success of trading operations by hours, days and months, as well as describe the risk parameter of the trading strategy.

See the Testing report section for details.

Testing Graph

On the "Graph" tab, you can visually determine how successfully the Expert Advisor performed on the selected instrument in the selected time interval.

The balance curve (blue line) and the equity curve (green) are shown in the main area of the tab. Dates are shown on the horizontal scale, balance/equity values are shown on the vertical scale. The bottom part of the tab features a histogram of the load on deposit, which is calculated as the ratio of margin and equity (margin/equity).

  • Balance values are shown on the chart each time they are changed (when a position is closed), equity values are additionally shown with a certain periodicity between balance changes.
  • When testing on accounts with the exchange risk management model, the chart only shows the equity, while the balance and the deposit load are not shown. The trading status of such accounts is evaluated based on the equity level. The balance only shows the amount of money on the account and ignores the trader's assets and liabilities. Deposit load (margin/equity) is not displayed, because in the exchange calculation mode margin is equal to the current discounted value of the asset/liability, and it changes along with equity.

Testing Progress in the Journal

The testing progress is reflected on the "Journal". In addition, messages of the Expert Advisor are added to the Journal. In the visual testing mode, the testing progress can be viewed straight on the chart.

Testing Progress on a Chart

As soon as testing is over, you can open the chart on which the Expert Advisor was tested (selected symbol and period). Click " Open Chart Open Chart" in the context menu of the "Result" tab. All the deals performed by the Expert Advisor during testing are shown on the chart. If a template named tester.tpl is available in folder /profiles/templates of the trading platform, it will be applied to the opened chart. If the template is not available, the default one is used (default.tpl).

If the tested Expert Advisor uses indicators, which run on the testing symbol and period, they are also displayed on the chart. However, if forced unloading of an indicator (the IndicatorRelease function)is implemented in the source code of the Expert Advisor, it is not displayed on the chart.

Testing a Trading Robot on a Forward Non-Optimized Period

Forward testing is the repeated run of the Expert Advisor on a different time period. This feature allows you to avoid parameters fitting in certain areas of historical data.

To start the forward testing, in the Forward field of the Settings tab select the part of the total period for it:

  • No — forward testing is not used;
  • 1/2 — half of the specified period is used for the forward test;
  • 1/3 — one third of the specified period is used for the forward test;
  • 1/4 — a quarter of the specified period is used for the forward test;
  • Custom — specify the forward test start day manually.

  • Always the second (latest) part of the total period is taken for the forward testing.
  • The start date of the forward period is marked by a vertical line on the chart.

When the forward testing is enabled, the selected part is separated from the period specified in the "Date" field. The first part is the period of back testing, and the second one is the period of forward testing.

Results of the forward test are displayed on the separate tab "Forward". The start date of the forward period is marked by a vertical line on the chart.

Forward testing results

For details about testing results please read section "Where to view the optimization results".

Visual Testing

In the Strategy Tester of the trading platform, you can test Expert Advisors and indicators in the visual mode. This mode allows to visualize exactly how the Expert Advisor performs trade operations during backtesting. Each trade is displayed on the chart of a financial symbol.

To enable the visual test, select "Visualization" in the settings:

Enable visual testing

  • Visual testing is unavailable when optimization is enabled.
  • Visual testing can only be performed on local agents. If a remote agent is selected for testing, choose a local one using the " Select Select" command in its context menu.

Set up testing options and configuration parameters, then click "Start".

Visual testing runs in a new window, which simulates a separate trading platform: it contains charts, Market Watch and the Toolbox window where you can view trading operations and the Journal.

Testing in the visual mode

Testing process control

To pause, speed up or slow down the testing, use the toolbar. You can also jump to a specific date of the test.

You can conveniently control the testing process via hot keys, combinations are listed next to the menu commands.

Monitoring Expert Advisor testing on a chart

The main purpose of this type of testing is the visual analysis of the Expert Advisor performance. A chart is generated in real time based on emulated historic price data. Trading robot operations are displayed on this chart.

Trading operations are displayed as icons Buy (a Buy deal) and Sell (a Sell deal). A dotted line is displayed between market entries and exits.

  • You can change the appearance of a chart, show indicators or graphical objects on it using templates. For a template to be applied, its name must match the name of the tested Expert Advisor, for example ExpertMACD.tpl. The template should be placed in folder /profiles/templates of the trading platform.
  • A list of symbols available in the chart mode is limited to the main testing symbol, as well as the symbols whose data are used by the Expert Advisor.
  • The chart timeframe cannot be changed. The period selected in the settings is used for the main testing chart. Periods requested by the Expert Advisor are used for other symbols.
  • To switch between symbols, use the "View — Charts" menu.

Viewing price data in Market Watch

The Market Watch window shows prices generated during testing. It is similar to the Market Watch of the trading platform, but has some specific features. To show/hide this window, use the Market Watch command in the View menu or press Ctrl+M.

Market Watch during visual testing

The Symbols tab features the current price information of financial instruments. The list of displayed symbols is limited to the main testing symbol, as well as the symbols whose data are used by the Expert Advisor.

The Ticks tab contains a chart of prices generated during testing. The number of displayed ticks is limited to 64,000.

Viewing details of bars and indicator values in the Data Window

The data window displays information about the prices (OHLC), date and time of a bar, spread, volume and indicators. Here you can quickly find information about a particular bar and applied indicators at a selected point of the chart. The window can be enabled or disabled by clicking "Data Window" in the View menu or pressing Ctrl+D.

Data window during visual testing

The upper part of the window contains the name of a financial instrument and the chart period. Information about the current cursor position on the chart is shown below. Information about indicators open in separate subwindows is shown in separate blocks.

Viewing details of trades in the Toolbox

For a detailed study of the trades performed by the Expert Advisor, use the Toolbox window. It has several tabs with the following information:

  • Current open positions and pending orders
  • The history of orders and deals
  • The history of Expert Advisor's trade requests, including requests to modify pending orders, stop-level of positions, etc.

Information about trade operation parameters is available in sections Trade and History.

Viewing details of trades in the Toolbox

Additional details about testing are available in the Journal. It contains information about testing and actions of the Expert Advisor performed during the test.

As long as the visualizer is open, the logs of testing agents are not sent to the Strategy Tester of the trading platform. Nevertheless, they can be viewed via the trading platform using the "Local Journals of local agents" command in the context menu.

Testing indicators in the visual mode

The visual testing mode allows you to monitor the behavior of indicators on historic data. This feature allows you to easily test an indicator before purchasing it from the Market. Download the free demo version and run the indicator in the Strategy Tester.

Select the type of the program "Indicators", then select the indicator and click "Start". The visualization mode is enabled automatically. The rest of the parameters are set in the same way, as during testing of trading robots.

Testing indicators in the visual mode

The behavior of the indicator is shown on a chart, which is plotted based on a sequences of ticks simulated in the tester.


Strategy Optimization

Algorithmic Trading, Trading Robots / Strategy Optimization

Strategy Optimization

The Strategy Tester allows you to test and optimize trading strategies (Expert Advisors) before using them for live trading. During testing, an Expert Advisor with initial parameters is once run on history data. During optimization, a trading strategy is run several times with different sets of parameters which allows selecting the most appropriate combination thereof.

The Strategy Tester is a multi-currency tool for testing and optimizing strategies trading multiple financial instruments. The tester automatically processes information of all symbols that are used in the trading strategy, so you do not need to manually specify the list of symbols for testing/optimization.

The Strategy Tester is multi-threaded, thus allowing to use all available computer resources. Testing and optimization are carried out using special computing agents that are installed as services on the user's computer. Agents work independently and allow parallel processing of optimization passes.

An unlimited number of remote agents can be connected to the Strategy Tester. In addition, the Strategy Tester can access the MQL5 Cloud Network. It brings together thousands of agents around the world, and this computational power is available to any user of the trading platform.

In addition to Expert Advisor testing and optimization, you can use the Strategy Tester to test the operation of custom indicators in the visual mode. This feature allows to easily test the operation of demo versions of indicators downloaded from the Market.

How to Optimize

Optimization means multiple runs of an Expert Advisor using history data with different sets of parameters, aimed at finding their best combination. During multiple runs, different combinations of the input parameters of an Expert Advisor are tested to find the best ones.

Watch the video: How to test Expert Advisors and Indicators before purchase

Watch the video: How to test Expert Advisors and Indicators before purchase

Watch the video to learn how to test a trading robot before you purchase it from the Market. Every product on the Market is provided with a free demo version, which can be tested in the Strategy Tester. Watch the video for details.

How to select a trading robot for testing

Click " Test Test" in the context menu of an Expert Advisor in the Navigator window.

How to select a trading robot for testing

After that the Expert Advisor is selected in the Strategy Tester.

Enable required symbols in Market Watch for multi-currency Expert Advisors

The Strategy Tester allows backtesting strategies that trade multiple symbols. Such trading robots are conventionally called multicurrency Expert Advisors.

The tester automatically downloads the history of required symbols from the trading platform (not from the trade server!) during the first call of the symbol data. Only the missing price history data are additionally downloaded from the trading server.

Before you start optimization of a multi-currency Expert Advisor, enable the symbols required for testing in the Market Watch. In the context menu, click " Symbols Symbols" and enable the required instruments.

Enable required symbols in Market Watch for multi-currency Expert Advisors

Choosing Optimization Settings

Before you start optimization, select the financial instrument to test the trading robot operation on, the period and the mode.

Choosing optimization settings

Symbol and period

Select the main chart for testing and optimization. Symbol selection is required to provide the triggering of OnTick() events contained in Expert Advisors. Also, the selected symbol and period affect special functions in the Expert Advisor code that use current chart parameters (for example, Symbol() and Period()). In other words, the chart to which the Expert Advisor is attached should be selected here.

Date

Select the testing and optimization period. You can select one of predefined periods or set a custom time interval. To set a custom period, enter the start and end dates in the appropriate fields to the right.

The specific feature of the tester is that it additionally downloads some data preceding the specified period (to form no less than 100 bars). This is required for a more accurate testing and optimization. For example, if you test on a one-week timeframe, two additional years are downloaded.

If there is not enough history data for forming additional 100 bars (it is especially significant for the monthly and weekly timeframes), for example, when specifying a start of testing close to the start of existing history data, then the start date of testing will be automatically shifted. An appropriate message is added to the Strategy Tester journal.

Forward

This option allows you to check the results of optimization in order to avoid fitting to certain time intervals. During forward optimization , the period set in the Date field is divided into two parts in accordance with the selected forward period (a half, one third, one fourth or a custom period when you specify the forward testing start date).

Expert Advisor optimization is performed using the data of the first period. After that 10% (in the full search) or 25% (in the genetic algorithm) of best runs are selected and then tested on the forward period. The results of the best optimization runs on both periods can be compared on tabs Optimization Results and Forward Results.

Execution

The strategy tester allows you to emulate network delays during an Expert Advisor operation in order to bring testing closer to real conditions. A certain time delay is inserted between placing a trade request and its execution in the strategy tester. From the moment of sending a request till its execution, the price can change. This allows you to evaluate how trade processing speed affects the trading results.

In case of the instant execution mode, users can additionally check the EA's response to a requote from the trade server. If the difference between requested and execution prices exceeds the deviation value specified in the order, the EA receives a requote.

Please note that delays work only for trades performed by an EA (placing orders , changing stop levels , etc.). For example, if an EA uses pending orders, delays are only applied to placing an order but not to its execution (in real conditions, execution occurs at the server without a network delay).

No delay

In this mode, all orders are executed at requested prices with no requotes. The mode is used to check an EA in "perfect" conditions.

Random delay

This mode allows testing an EA in conditions that are close to real ones. The delay value is generated as follows: a number from 0 to 9 is selected randomly - this is the number of seconds for a delay; if a selected number is equal to 9, another number from the same range is selected randomly and added to the first one.

Thus, the possibility of a delay for 0-8 seconds is 90%, possibility of a 9-18 second delay is 10%.

Fixed delay

You can select one of the predefined delay values or set a custom one. The platform measures the ping to the trade server and allows you to set that value as a delay in the tester so that you are able to test a robot in the conditions that are as close to the real ones as possible.

Tick generation mode

Select one of the tick generation modes:

  • Every tick is the most accurate but also the slowest mode. It emulates all ticks.
  • Every tick based on real ticks is as close to real conditions as possible. It uses real ticks of financial instruments accumulated by a broker. Emulation is not performed. Tick data has larger size. Downloading it may take quite a long time during the first test.
  • 1 minute OHLC — in this mode only 4 prices (Open, High, Low and Close) of each minute bar are emulated.
  • Open prices only — in this mode OHLC prices are also modeled, however only the open price is used for testing/optimization.
  • Math calculations — in this mode the tester does not download history data and information on symbols, as well as does not generate ticks. Only functions OnInit(), OnTester() and OnDeinit() are called. Thus a tester can be used for various mathematical calculations where the selection of parameters is required.

For more information about tick generation, please read the appropriate section.

Initial deposit and leverage

Specify the amount of the initial deposit used for testing and optimization. The deposit currency of the currently connected account is used by default, but you can specify any other currency. However, please note that cross rates for converting profit and margin to the specified deposit currency must be available on the account, to ensure proper testing. Only symbols with the "Forex" or "Forex No Leverage" calculation type can be used as cross rates.

Next select the leverage for testing and optimization. The leverage influences the amount of funds reserved on the account as the margin on positions and orders .

Optimization

Select optimization mode:

  • Slow complete algorithm — testing all possible combinations of selected input parameters.
  • Fast genetic algorithm — search for the best values of input parameters based on the genetic algorithm.
  • All symbols selected in Market Watch — testing of the same set of input parameters with different trading instruments.

For more details about the available types please read the appropriate section.

  • Note that symbol specification does not mean that the tester will use only these history data. The tester automatically downloads information on all the symbols used in the Expert Advisor.
  • Before testing/optimization, all the available price data of the symbol on the main chart are automatically downloaded from the server. It may take quite a long time if the internet connection is slow.
  • Downloading of all data is performed once, only the missing information is downloaded during the next starts.
  • Only the symbols that are currently selected in the Market Watch are available for testing/optimization.
  • The price data of all necessary symbols are automatically downloaded from the server during testing and optimization.
  • Testing starts and ends at 00hr.00m.00s. of the specified dates. Thus the start date of testing/optimization is included in the testing period, while the end date is not included. Testing ends on the last tick of the previous date. Also you cannot specify the end date, which is greater than the current one. In such case, the testing anyway will be performed to the current date (not including it).

The quick optimization based on the genetic algorithm is enabled by selecting optimization criteria in the field located to the right. This field sets the parameter, based on which the most successful Expert Advisor runs are selected. The larger the value of a selected parameter, the better the result.

After setting all the parameters click "Start". This launches the process of testing and optimization.

  • The settings of the strategy tester are memorized as testing/optimization is started.
  • In case of a regular optimization stop (when you press the Stop button) all the previously calculated runs are saved. When the optimization process is resumed, it continues from the last calculated run.

Selection of Input Parameters

Input parameters allow you to control the behavior of the Expert Advisor, adapting it to different market conditions and a specific financial instrument. For example, you can explore the Expert Advisor performance with different Stop Loss and Take Profit values, different periods of the moving average used for market analysis and decision-making, etc.

Optimization is testing different values ​​and combinations of input parameters to obtain the best result.

Selection of input parameters to optimize

To enable the optimization of a parameter, mark the appropriate checkbox. Next set the start and end of the range of values, as well as the step for testing. You can select one or more parameters. The total number of possible combinations is displayed beneath the list of parameters.

Parameter sets. You can at any time return to the current settings of your MQL5 program by saving a set of its parameters using a context menu:

  • To save the parameters as a set-file on your computer, click "Save". These files can be moved between platforms on different computers or sent to other users.
  • To save parameters for future use in the current platform, click "Save Version". These saved presets will be available then in the "Load Version" sub-menu. They can be applied at any time by selecting an appropriate version from the list.

Start of Optimization

To start optimization, click "Start" on the "Settings" tab. The optimization progress is displayed to the left.

Where to View the Optimization Results

Detailed results of each optimization run are displayed on the "Optimization" tab. The tab contains general testing results, including profit and the number of trades, as well as many statistical values to help assess the performance of the trading robot.

See the Testing report section for details.

The optimization report can be sorted by any parameter by clicking on the column header. Use sorting to find the most profitable combination of parameters and run a single test for a detailed report.

The following values are displayed for each optimization run:

  • Pass — the number of the testing run;
  • Result — the resulting value of the parameter that is the optimization criterion for selecting the best runs;
  • Profit — profit/loss received after the run;
  • Total trades — the total number of trades (deals that resulted in fixing a profit or loss) executed for the run;
  • Profit factor — the ratio of the total profit to the total loss in percents. A value of one means that these parameters are equal;
  • Expected payoff — a statistically calculated value that reflects the average profitability/loss of one trade;
  • Drawdown — the relative drawdown of equity, the largest loss in percents from the maximal value of equity. Withdrawal of assets by an Expert Advisor during optimization is taken into account during drawdown calculation;
  • Recovery factor — this parameter displays the risk level of the strategy (the funds that are put to risk to earn the obtained profit). It is calculated as the ratio of gained profit to the maximum drawdown;
  • Sharpe Ratio — this parameter shows strategy efficiency and reliability. It reflects the ratio of the arithmetical mean profit for the position holding time to the standard deviation from it. In addition, this value includes the risk-free rate which is the interest on a certain bank deposit amount;
  • Optimized inputs — in addition to the common statistical values, values of input parameters set for this run are shown here.

Using context menu commands you can show/hide some of the above columns. For convenience, check the "Switch to Optimization Results" option: once the optimization process is complete, the Strategy Tester will automatically switch to the Results tab. The same command is available in the context menu of the Journal tab.

  • If optimization includes forward testing, this tab also contains the corresponding values of the optimization parameter (optimization criterion) for the back and forward tests. You can switch between results of back and forward testing using the context menu.
  • A double click on one of the optimization results starts Expert Advisor testing with the parameters of this run (provided that the optimization is over).
  • During genetic optimization one of the test runs (a population member) can have the same parameters (genes) as the previous test run. In this case, this run is not displayed on the results tab, because it has the same testing result. However, the optimization graph display all test runs to visualize the process of searching for the best result.
  • If a line of an optimization run has the red background, it means that an error occurred during Expert Advisor operation. An appropriate message is also added to the tester log ("tested with error").

Optimization Cache

The cache stores data about previously calculated optimization passes. The strategy tester stores the data to enable resuming of optimization after a pause and to avoid recalculation of already calculated test passes.

The optimization cache is stored in [Platform Data Directory]\Tester\cache as separate binary files for each set of optimized parameters of each Expert Advisor. Files are named according to the following rule: ExpertName.Symbol.Period.StartDate.EndDate.GenerationModeOptimizationMode.Hash.opt. Where:

  • ExpertName — the name of the optimized Expert Advisor.
  • Symbol — financial instrument.
  • Period — timeframe (M1,H1,...).
  • StartDate — the date of the optimization beginning.
  • EndDate — the end date of the optimization.
  • GenerationMode — tick generation mode: 0 — "Every tick", 1 — "Every tick based on real ticks", 2 — "1 minute OHLC", 3 — "Open price only", 4 — "Math calculations".
  • OptimizationMode — optimization type: 0 — "Slow complete algorithm", 1 — "Fast genetic based algorithm", 2 — "All symbols selected in Market Watch".
  • Hash — the hash derivative of all above parameters, which is used to find cache files.

Cache files allow viewing results of previous optimizations. Open the "Optimization results" tab, select an Expert Advisor and a file with the desired optimization cache:

Viewing results of previous optimizations

The list contains all Expert Advisor optimization cache files available on the disk Optimization date, testing settings (symbol, timeframe and interval) and input parameters are shown for each file. You can additionally filter optimization results by the trade server.

From the result viewing mode, you can also change the optimization criterion, which you selected at the start of optimization. It is displayed in the Results tab and determines the quality of a tested set of input parameters. The higher the value of the optimization criterion, the better the testing pass is considered to be. Select the desired criterion from the list at the top of the tab, and the tester will automatically recalculate all values ​​in the "Result" column.

To analyze results in third-party programs, for example, Office Excel, optimization report can be saved as a file through the " Export to XML Export to XML" command of the context menu. Also, the context menu features commands for exporting and importing cache files. Use these commands to transfer optimization results between different platforms.

  • For optimize disk space usage, cache files are automatically deleted if they are not accessed within 30 days.
  • During the genetic optimization, intermediate results are saved in the cache after the calculation of each generation (in a file platform_data_folder/tester/cache/*.gen). Thus the optimization process can be interrupted at any time. Even if the process of genetic optimization is interrupted as a result of an external factor (for example, a black out), the optimization will be automatically continued from the last calculated generation once you restart it. The genetic optimization cache is stored until the optimization settings are changed or the optimization process is completed.
  • In case of a regular optimization stop (when you press the Stop button) all the previously calculated runs are saved. When the optimization process is resumed, it continues from the last calculated run.

The Visualization of Optimization Results

The Strategy Tester in the trading platform provides a powerful visualization system for presenting optimization results. Open "Optimization graph". The tab contains several types of charts, you can switch between them using the context menu.

Zero line (plane)

All kinds of graphs, except flat have a zero line (or pane if it's a three-dimensional chart). If the balance value is used as the optimization criterion, this line usually means the initial deposit, allowing to visually separate loss-making and profitable passes. In all other cases this line is drawn on the zero value of the optimization criterion.

Graph of results and linear chart (1D)

A graph with optimization results opens by default. Each pass of an Expert Advisor with certain input parameters is displayed as a point on the graph. The number of a pass is shown on the horizontal axis, the value of the parameter that is the optimization criterion is shown on the vertical axis.

Graph of results and linear chart (1D)

The linear chart (1D) shows the variation of the parameter selected as the optimization criterion (vertical axis) depending on one of the optimization parameters selected for the horizontal axis. To select a parameter for the horizontal axis, use the "X Axis" command in the context menu.

Flat chart (2D) and three-dimensional chart (3D)

In the two-dimensional graph mode, variations of the selected parameters used for optimization are shown on both axes. Variation of the optimization criterion is shown using the color gradient. The deeper the color, the higher the value of the optimization criterion.

Flat chart (2D) and three-dimensional chart (3D)

In the three-dimensional visualization mode, changes of the selected parameters used for optimization are shown on the X and Y axes. Variation of the optimization criterion is displayed on the vertical Z axis and using a color gradient.

To select a parameters for the horizontal and vertical axes, use commands "X Axis" and "Y Axis" in the context menu.

3D chart management using a mouse

  • To move a chart, grab its central part using the left mouse button and move the cursor.
  • To rotate a chart around its vertical axis, grab it outside the center and move the cursor.
  • To rotate a chart around its horizontal axis, rotate the mouse wheel holding down the "Ctrl" key.
  • To zoom in/out a chart, press "Ctrl" and move the mouse cursor vertically in the central part of the chart holding down the left mouse button.
  • To move the zero plane, press "Ctrl" and move the mouse cursor vertically outside the central part of the chart holding down the left mouse button.
  • To return to the initial position of the chart, double click in its central part.

3D chart management using a keyboard

Action | Keys
Show/hide the grid. | G
Switching between solid filling and filling with lines. | Space
The camera moves up (the chart moves down). | Up Arrow
The camera moves down (the chart moves up). | Down Arrow
The camera moves to the right (the chart moves to the left). | Right Arrow
The camera moves to the left (the chart moves to the right). | Left Arrow
The camera moves closer (zoom in the chart). | Plus
The camera moves away (zoom out the chart). | Minus
Rotate the graph downward around its horizontal axis. | Home
Rotate the graph upward around its horizontal axis. | Page Up
Rotate the graph around the vertical axis counterclockwise. | End
Rotate the graph around the vertical axis in a clockwise direction. | Page Down
Moving the zero plane upward by one. | Ctrl+Arrow up
Moving the zero plane downward by one. | Ctrl+Arrow down
Moving the zero plane upward by 10 units. | Ctrl+Page Up
Moving the zero plane downward by 10 units. | Ctrl+Page Down
Moving the zero plane to the maximum value of the graph. | Ctrl+Home
Moving the zero plane to the minimum value of the graph. | Ctrl+End
Increasing the transparency of the zero plane. | Ctrl+Plus
Reducing the transparency of the zero plane. | Ctrl+Minus
Setting the maximum transparency of the zero plane (it disappears). | Ctrl+Right Arrow
Setting the minimum transparency of the zero plane (it becomes nontransparent). | Ctrl+Left Arrow
Reset to default graph settings. | "5" key on the num pad.

Testing a Trading Robot on a Forward Non-Optimized Period

Forward testing is the repeated run of the best optimization results on a different time period. This feature allows you to avoid parameters fitting in certain areas of historical data.

To start the forward testing, in the Forward field of the Settings tab select the part of the total period for it:

  • No — forward testing is not used;
  • 1/2 — half of the specified period is used for the forward test;
  • 1/3 — one third of the specified period is used for the forward test;
  • 1/4 — a quarter of the specified period is used for the forward test;
  • Custom — specify the forward test start day manually.

  • The second (latest) part of the total period is always taken for the forward testing.
  • The forward test start date is displayed as a vertical line on the optimization graph.

The selected part is separated from the period specified in the "Date" field. The first part is the period of back testing, and the second one is the period of forward testing.

The full optimization (slow or fast) of the Expert Advisor is conducted on the back testing period. After that 10% (in the full search) or 25% (in the genetic algorithm) of best runs are selected and then tested on the forward period.

There is a lower limit for the number of passes of forward testing. If the number of best runs is less than 256, the additional best runs are used for forward testing until their number reaches 256. If the number of all runs is less than 256, all of them participate in forward testing.

Results of back and forward testing can be compared on the "Optimization Results" (select "Forward testing results" in the context menu) and "Forward Results" tabs. The better the results coincide, the more likely it is that the Expert Advisor will show good results in real trading.

The visualization of optimization results on the forward period is available on the "Forward optimization graph" tab. To compare these results with the backtest, switch between them using the context menu.

Forward optimization results

For details about testing results please read sections "Where to view the optimization results" and "Visualization of optimization results".

Multithreaded Testing Using Agents

The multithreaded Strategy Tester uses all available computer resources. Testing and optimization are carried out using special computing agents that are installed as services on the user's computer. Agents work independently and calculate optimization passes in parallel.

Three types of agents are available: local, remote and cloud (MQL5 Cloud Network). Local agents are installed automatically when you install the trading platform. Their number is equal to the number of logical cores of the computer.

Remote and cloud agents run on other computers. For detailed information about agents, please read "How to speed up optimization using a local farm of agents" and "How to speed up optimization using MQL5 Cloud Network".

Open the "Agents" section in the Strategy Tester and select the type of agents you want to use for optimization.

Tips and features:

  • To conserve the laptop battery, you can disable local agents and use only the remote and cloud ones.
  • If testing/optimization is not finished manually (neither by pressing the Stop button at the settings tab nor by closing the trading platform), the processes of used local agents are not unloaded from the computer memory for 5 minutes. This feature allows avoiding delays connected with preparing the price history and starting the agent processes when re-testing/re-optimizing the same Expert Advisor at the same symbol, timeframe and time period.
  • Only local agents are installed together with the platform installation. They are only used in the Strategy Tester of the local platform. Remote agents that can also be connected to the global MQL5 Cloud Network can be installed only manually.

How to Speed up Optimization Using a Local Farm of Agents

You can purchase a processor with more cores, but it does not allow to multiply the number of concurrent tasks. You can create your own farm of processing agents in your local network.

How to Create a Farm of Agents

Install agents on each computer of the local network. If the platform is installed on a computer, open testing agents manager using the "Tools" menu.

Strategy Tester Agents Manager

Otherwise, download a separate application for managing agents MetaTrader 5 Strategy Tester Agent and go through the simple installation process.

On the Services tab of the manager:

  • Select the number of agents to be installed. They are installed based on the number of logical cores.
  • Enter the password for connecting to the agent.
  • Select a range of ports for connection.
  • Click Add.

After installation, the agents are available for use from other computers on the local network.

Remote agents can only be used in 64 bit systems.

To save traffic and disk space, as well as for security reasons:

  • messages of Expert Advisors (Print() function) and messages about trade operations are not added to the Journal;
  • DLL call is prohibited on remote agents.

How to Connect Agents

Open the Strategy Tester. On tab "Agents", select "Local Network Farm" and click "Add" in the context menu.

How to Add Remote Agents

The easiest and fastest way is to automatically scan the local network for a range of IP addresses and ports. Select them and enter the agent connection password that was specified during installation.

Search for agents on the LAN

Click "Finish" and all the found agents become available for testing.

Other options to add agents:

  • Add agents (by IP address or domain name) — specify the IP address or domain name of a server where agents are installed, as well as the range of ports and password for connecting to the agents.
  • Import from file *.mt5 — select this option, click "Next" and specify the *.mt5 file from which you want to import agents.

Agents installed on the computer using MetaTester 5 Agents Manager, can be connected as remote on the same computer. If the processor cores have extra computation power during calculations, they can take a higher load to use all the computing capacity.

How to Change Agent Settings

To change the settings, click the " Edit Edit" command in its context menu.

The following fields are available in the settings window:

  • Name — the name of the agent;
  • Address — IP address and port for connecting to an agent, separated by a colon;
  • Password — password for connection;
  • Enable — this option allows to enable or disable the use of the agent during testing and optimization.

In settings of local agents only the option of enabling/disabling them is available.

Import and Export of Settings of Remote Agents

To make setting up of remote agents easier, the platform provides a feature for importing and exporting their settings. The files of settings have the *.mt5 extension. The import and export commands are located in the context menu of the "Agents" tab.

Files of settings have the following format: Name;Address:port;Password;Description;Enable.

  • Name — the name of the agent;
  • Address:port — IP address and port for connecting to an agent, separated by a colon;
  • Password — password for connection;
  • Description — description of the hardware the agent is running on;
  • Enable — agent operation mode: 1 — the agent is enabled, 0 — the agent is disabled.

Settings of different agents are separated from each other with line breaks.

How to Speed Up Optimization Using the MQL5 Cloud Network

The MQL5 Cloud Network allows you to quickly optimize your Expert Advisors using the power of thousands of computers. The network combines remote agents and distributes optimization tasks among them. The Strategy Tester connects to the cloud network through multiple access points, which are distributed on a territorial basis (e.g., MQL5 Cloud Europe).

Features of the MQL5 Cloud Network

  • The entire power of the MQL5 Cloud Network is used only for Complete slow optimization.
  • During genetic optimization, only agents of one access point are used. It is connected with the specific features of the genetic algorithm.
  • The genetic optimization mode is automatically enabled when the total number of optimization steps exceeds 100 million.
  • MQL5 Cloud Network can be used in 64 bit systems only.
  • In addition to using the MQL5 Cloud Network, you can provide your CPU computing power in the network. To install the remote agents and include them into the network, use a special utility MetaTester.
  • Read more about the MQL5 Cloud Network on the official site.

Payments for the Use of the MQL5 Cloud Network

  • Using agents of the MQL5 Cloud Network is paid. The formula for calculating the cost is described in a separate section. The current MQL5.community account balance is displayed above the list of cloud agents.
  • To use MQL5 Cloud Network a user needs to have at least 1 US dollar on the MQL5.community account. Tasks are passed in packages to several access points simultaneously, and the user must be able to pay for completion of that tasks. The Network is not able to calculate the exact cost as the time and resources required for calculations cannot be estimated precisely before the start of calculations.

Enabling MQL5 Cloud Network

To use the network agents, enable them using command " Enable Enable" in the context menu. Since the MQL5 Cloud Network is a paid service, a user must have an account at the MQL5.community website, through which all the accounting operations are performed. Account details are specified on the MQL5.community tab of the platform settings.

If you do not specify the details of your MQL5.community account before enabling the MQL5 Cloud Network agents, you will be offered to do this.

Enabling MQL5 Cloud Network

If you have not registered on the website, use the new account creation link.

Starting Calculations Using the MQL5 Cloud Network

Like with a conventional optimization, you need to set all the testing options and Expert Advisor input parameters. On the Agents tab, you can monitor how the Strategy Tester distributes tasks to available agents. The number of available and currently used agents is displayed for each access point.

Running distributed computing using the MQL5 Cloud Network Agents

Traders may need to run hundreds of thousands of optimization passes in a reasonable time. With the multi-threaded Strategy Tester and the MQL5 Cloud Network, in one hour you can complete the calculations that would require a few days without the network. The computing power of thousands of cores is available straight on the trading platform.


Testing Features

Algorithmic Trading, Trading Robots / Testing Features

Testing Features

The idea of automated trading is attractive because a trading robot can work non-stop for 24 hours a day and seven days a week. The robot is totally free from fatigue, doubt, fear, and psychological problems. You only need to clearly formalize trading rules and implement them in algorithms, and the robot is ready to work tirelessly. But first, you must make sure that the following two important conditions are met:

  • The Expert Advisor performs trading operations in accordance with the rules of the trading system;
  • The trading strategy implemented in the EA shows profit during backtests.

All these questions can be answered using the built-in strategy tester of the trading platform.

Order Triggering and Execution

For non-exchange instruments, triggering of all kinds of pending orders and SL/TP is performed by Bid and Ask prices. Execution is performed by the current Bid and Ask market prices at the moment of triggering.

For exchange instruments, charts are plotted and stop orders are triggered by last performed deal prices (Last). Limit orders are triggered by Bid and Ask prices. Limit orders are executed at the price specified in the order (without a slippage), while orders of other types are executed at the current Bid and Ask market prices (slippage is possible).

Let's use Si-6.16 as an example. At the current prices of Bid=72570, Ask=72572, and Last=72552, a Buy Stop order with the execution price of 72580 is placed. We have received the new prices in the price flow:

  • Bid=72588
  • Ask=72590
  • Last=72580

For exchange instruments, the Last price is used as a trigger activating stop orders. Therefore, occurrence of Last=72580 in the flow resulted in Buy Stop order activation. The order is to be executed (market buy operation) at the current market price Ask=72590.

Triggering and execution of a Buy Stop order for an exchange instrument

In the "Open prices only" and "1 minute OHLC" testing modes, pending orders, as well as SL and TP are executed at the prices specified in the orders. The algorithm of execution at market prices used in accurate modes (every tick and real ticks), is not suitable for less accurate modes. In some modes intermediate ticks are not generated, therefore the difference between the requested order price and the current price (Open or OHLC) can be significant. Execution of orders at the requested price in the "Open prices only" and "1 minute OHLC" provides more accurate testing results.

Creating Bars

In the strategy tester, exchange symbol bars are created only by ticks having non-zero Last price. Bid and Ask prices may arrive, indicators are calculated, but bars are not formed. There are no zero Last prices in "Every tick" mode. Therefore, a bar is changed by each incoming tick.

Spread Simulation

The difference between the Bid and the Ask prices is called the spread. During testing, the spread is not modeled but is taken from historical data. If the historical spread is less than or equal to zero, then the last known (at the moment of generation) spread is used.

In the Strategy Tester, the spread is always considered floating.

Global Variables of the Trading Platform

Global variables of the trading are also emulated during testing, but they are not related to real global variables of the platform, which can be viewed by pressing F3. It means that all operations with the global variables of the platform are performed outside the trading platform during testing (on the testing agent).

History Download during Testing

The platform synchronizes and downloads the history of a symbol to be tested from the trade server before starting the testing process. During the first time, the platform downloads all available history data of a symbol and does not request it later. Further only new data are downloaded.

A testing agent receives the history of a symbol to be tested from the trading platform right after the start of testing. If data of other instruments are used during testing (for example, it is a multicurrency Expert Advisor), the testing agent requests the required history from the trading platform during the first call of such data. If historical data are available in the platform, they are immediately transferred to the testing agent. If data are not available, the platform requests and downloads them from the server, and then passes to the testing agent.

Data of additional instruments are also required for calculating cross-rates for trade operations. For example, when testing a strategy on EURCHF with the deposit currency in USD, prior to processing the first trading operation, the testing agent requests the history data of EURUSD and USDCHF from the trading platform, although the strategy does not contain direct call of these symbols.

Additional trading history download can be started when calling certain functions from an MQL5 application:

History download

No history download

When calling SymbolInfoDouble with the following parameters:

  • SYMBOL_BID
  • SYMBOL_BIDHIGH
  • SYMBOL_BIDLOW
  • SYMBOL_ASK
  • SYMBOL_ASKHIGH
  • SYMBOL_ASKLOW
  • SYMBOL_LAST
  • SYMBOL_LASTHIGH
  • SYMBOL_LASTLOW
  • SYMBOL_TRADE_TICK_VALUE
  • SYMBOL_TRADE_TICK_VALUE_PROFIT
  • SYMBOL_TRADE_TICK_VALUE_LOSS

When calling SymbolInfoInteger with the following parameters:

  • SYMBOL_VOLUME
  • SYMBOL_VOLUMEHIGH
  • SYMBOL_VOLUMELOW
  • SYMBOL_TIME
  • SYMBOL_SPREAD

When calling SymbolInfoTick

When calling:

  • SymbolInfoString
  • SymbolName
  • SymbolSelect
  • SymbolInfoMarginRate
  • SymbolInfoSessionQuote
  • SymbolInfoSessionTrade
  • Other functions not specified here
  • SymbolInfoDouble and SymbolInfoInteger with other parameters not specified in the left column

Before testing a multi-currency strategy, it is recommended to download all the necessary historical data to the trading platform. This will help to avoid delays in testing/optimization associated with download of the required data. You can download history, for example, by opening the appropriate charts and scrolling them to the history beginning.

The testing agents receive the history data from the platform in a compressed form. During a re-testing, the tester does not download data from the platform, because it has data from the previous tester run.

  • The platform downloads history data from the trading server only once, when the agent accesses the platform for the first time to download the history of the tested symbol. The history is downloaded in a packed form to reduce the traffic.
  • Ticks are not sent over the network, they are generated on testing agents.

Multi-Currency Testing

The Strategy Tester allows backtesting strategies that trade multiple symbols. Such EAs are conventionally referred to as multi-currency Expert Advisors, since originally, in the previous platforms, testing was performed only for a single symbol. In the platform tester, we can model trading for all the available instruments.

The tester automatically downloads the history of required symbols from the trading platform (not from the trade server!) during the first call of the symbol data.

The testing agent downloads only the missing history data and a little more to provide the required data for the indicator calculation at the beginning of testing. For the timeframes D1 and below, the minimum volume of the downloaded history is one year. Thus, for a one-month testing on an interval of 2010.11.01-2010.12.01 with a period of M15 (each bar is equal to 15 minutes), the agent requests the symbol history for the entire year of 2010 from the platform. For the one-week timeframe, the agent requests a history of 100 bars, which is about two years (a year has 52 weeks). For testing on a monthly timeframe, the agent requests the history for 8 years (12 months * 8 years = 96 months).

If the required bars are not available for whatever reason, the starting date of testing is automatically shifted from the past to the present to provide the necessary amount of bars.

Market Watch is also emulated during testing. By default, only one symbol is available in the tester's Market Watch at the beginning of testing - the symbol, on which the testing is running. All the required symbols being accessed are automatically connected to the Market Watch of the Strategy Tester (not the platform!).

Before you start testing of a multi-currency Expert Advisor, select symbols required for testing in the Market Watch of the trading platform and download the required data. During the first call of a "foreign" symbol, its history is automatically synchronized between the testing agent and the trading platform. A "foreign" symbol is the one that differs from the symbol, on which testing is running.

When such a symbol is called for the first time, the testing process is paused and the symbol/period history is downloaded from the platform to the testing agent. The generation of a tick sequence for this symbol is enabled at the same time.

An individual tick sequence is generated for each symbol according to the selected tick generation mode.

It means multi-currency testing in the trading platform does not require any extra effort. You only need to open the charts of the appropriate symbols in the platform. The history of all the required symbols is automatically downloaded from the trading server, provided the data are available.

Time Simulation in the Strategy Tester

During testing, the local time is always equal to the server time. The server time always corresponds to the GMT time.

The GMT, the local and the server time are equal in the Strategy Tester deliberately in case there is no connection to the server. Testing results should always be the same, regardless of whether the server connection is established or not. Information about the server time is not stored locally, and is taken from the server.

Graphical Objects during Testing

During testing/optimization graphical objects are not plotted. Thus, when referring to the properties of a created object during testing/optimization, an Expert Advisor receives zero values.

This limitation does not apply to testing in visual mode.

Synchronization of Bars in "Open prices only"

The Strategy Tester allows testing the so-called "multi-currency" Expert Advisors. A multi-currency EA is an EA that trades two or more symbols.

Testing of strategies trading multiple symbols imposes a few additional technical requirements on the tester:

  • generation of ticks for these symbols;
  • calculation of indicator values for these symbols;
  • calculation of margin requirements for these symbols;
  • synchronization of generated tick sequences for all trading symbols.

The Strategy Tester generates and plays a tick sequence for each instrument in accordance with the selected trading mode. A new bar for each symbol is opened regardless of how the bar has opened on another symbol. This means that during multi-currency testing, a situation may occur (and often does), when a new bar has already opened for one instrument, and there is no new bar for the other one. It's all like with realtime quotes.

This authentic history simulation in the tester does not cause any problems as long as the "Every tick" and "1 minute OHLC" testing modes are used. For these modes, the number of ticks generated on one candlestick is enough to be able to wait for the synchronization of bars from different symbols. But how do we test multi-currency strategies in the "Open prices only" mode, where the synchronization of bars on trading instruments is required? In this mode, the EA is only called on one tick, which corresponds to the bar open time.

Example: We are testing an Expert Advisor on EURUSD, and a new one-hour EURUSD candlestick has opened. We can easily recognize this fact - in the "Open prices only" mode, the event of a new tick arrival corresponds to the moment of bar opening. But there is no guarantee that a new candlestick has opened on GBPUSD, which is used in the EA.

Testing Agents

Testing in the platform is performed using testing agents. Local agents are created and enabled automatically. The number of local agents is equal to the number of logical cores.

Every testing agent has its own copy of global variables, which is not related to the platform. The platform is a manager, which distributes tasks to local and remote agents. Once a task of Expert Advisor testing with specified parameters is complete, the agent returns the results to the platform. Only one agent is used for a single test.

The agent stores the history received from the platform in separate folders based on the symbol name, so the history of EURUSD is stored in a folder named EURUSD. In addition, the history of the instruments is separated based on their sources. The structure for storing the history is as follows:

tester_catalog\Agent-IPaddress-Port\bases\name_source\history\symbol_name

For example, EURUSD history downloaded from the MetaQuotes-Demo server can be stored in the folder tester_catalog\Agent-127.0.0.1-3000\bases\MetaQuotes-Demo\EURUSD.

A local agent enters a standby mode after finishing testing and waits for the next task for another 5 minutes, so as not to waste time on launching for the next call. Only after the waiting period, the local agent shuts down and unloads from the CPU memory.

If testing is interrupted by a user (button "Cancel" pressed) or the trading platform is closed, all local agents immediately stop operation and are unloaded from the memory.

Data Exchange between the Platform and the Agent

When you start a test, the platform prepares multiple blocks of parameter to be sent to an agent:

  • Input parameters for testing (simulation mode, testing interval, instruments, optimization criterion, etc.)
  • The list of symbols selected in the Market Watch
  • The specification of the testing instrument (contract size, minimum stop-level requirements for Stop Loss and Take Profit, etc)
  • The Expert Advisor to be tested and the values of its input parameters
  • Information about additional files (libraries, indicators, data files)

For each block of parameters, a digital fingerprint in the form of MD5 hash is created and sent to an agent. MD5 hash is unique for each set, its volume is much smaller than the amount of information used for its calculation.

The agent receives hashes and compares them with the sets it stores. If the fingerprint of the given parameter block is not available on the agent, or the received hash differs from the existing one, the agent requests the block of parameters. This reduces the traffic between the platform and the agent.

After testing, the agent returns to the platform test run results displayed in tabs "Test Results" and "Optimization Results": the profit, the number of deals, Sharpe ratio, the result of the OnTester() function, etc.

During optimizing, the platform distributes testing tasks to agents in small packages, each package containing several tasks (each task means a single test with a set of input parameters). This reduces the time of data exchange between the platform and the agent.

Agents never record EX5 files received from the platform (EA, indicators, libraries, etc.) to a hard disk for security reasons, so that a computer with a running agent could not use the received data. All other files, including DLL, are recorded in a sandbox. You cannot test Expert Advisors with DLL calls on remote agents.

Testing results are added by the platform to a special cache of results from which they can be easily accessed if needed. For each set of parameters, the platform searches the result cache for available results of previous runs in order to avoid re-runs. If no result is found for a set of parameters, the agent is given a task to run testing.

Traffic between the platform and agents is encrypted.

Ticks are not sent over the network, they are generated on testing agents.

Using the Shared Folder of Trading Platforms

All testing agents are isolated from each other and from the trading platform: each agent has its own folder in which its logs are recorded. In addition, all the agent's file operations during testing are performed in the folder agent_name/MQL5/Files. However, you can implement the interaction between the local agents and the trading platform using a shared folder of platforms.

Using DLLs

To speed up the optimization you can use remote agents in addition to local ones. In this case, there are some limitations for remote agents. First of all, results of the Print() function, as well as messages about position opening and closing are not recorded to the remote agent logs. A minimum of information is added to log to prevent the computer hard drive from a huge amount of messages of incorrectly operating Expert Advisors.

A second limitation - the use of DLL during Expert Advisor testing is prohibited. DLL calls are absolutely prohibited on remote agents for security reasons. On local agent, DLL calls in tested Expert Advisors are only allowed if "Allow import DLL" permission is enabled.

When using third-party Expert Advisors (scripts, indicators) that require DLL calls, you should be aware of the risks when allowing this option in the platform settings. Regardless of how the Expert Advisor is used - for testing or for running on a chart.


Testing Report

Algorithmic Trading, Trading Robots / Testing Report

Testing Report

You can view a detailed report on the "Results" tab.

The following parameters are available in the testing report:

  • History Quality — this value characterizes the quality of price data used for testing. It is determined as a percentage ratio of correct and incorrect one-minute data. Bars with a zero spread or volume equal to 1 with different OHLC values are considered incorrect. History gaps are also considered as incorrect data. Depending on size, the period of testing is divided into 1 — 199 intervals. The history quality is determined for each of them separately. The time intervals are shown in different colors on the graphical indicator of the history quality (the lighter tint of green means the better quality, the red color represents intervals with the quality lower than 50%).
  • Bars — the number of bars generated for the testing symbol;
  • Ticks — the number of ticks modeled during testing;
  • Symbols — the number of symbols, for which information was requested by the Expert Advisor during testing;
  • Initial Deposit — initial deposit for testing;
  • Withdrawal — the amount of money withdrawn by an Expert Advisor during testing. This field is not displayed if there are no withdrawal operations;
  • Total Net profit — the financial result of all trades.
  • Gross Profit — the sum of all profitable trades in terms of money;
  • Gross Loss — the sum of all losing trades in terms of money;
  • Balance Drawdown Absolute — difference between the initial deposit and the minimal level below initial deposit throughout the whole testing period. AbsoluteDrawDown = InitialDeposit - MinimalBalance See the drawdown calculation example.
  • Balance Drawdown Maximal — difference in deposit currency between the highest local balance value and the next lowest account balance value. The maximal drawdown value in percentage is given in brackets. MaximumDrawDown = Max[Local High - Next Local Low] See the drawdown calculation example.
  • Balance Drawdown Relative — difference in percentage terms between the highest local balance value and the next lowest account balance value. The maximal drawdown value in monetary terms is given in brackets. RelativeDrawdown = Max[(Local High - Next Local Low)/Local High * 100)] See the drawdown calculation example.
  • Equity Drawdown Absolute — difference between the initial deposit and the minimal level below initial deposit throughout the whole testing period. The calculation is similar to that of the Balance Dradwown Absolute.
  • Equity Drawdown Maximal — difference in deposit currency between the highest local equity value and the next lowest equity value. The maximal drawdown value in percentage is given in brackets. The calculation is similar to that of the Balance Dradwown Maximal.
  • Equity Drawdown Relative — difference in percentage terms between the highest local equity value and the next lowest equity value. The maximal drawdown value in monetary terms is given in brackets. The calculation is similar to that of the Balance Dradwown Relative.
  • Profit Factor — ratio of the gross profit to the gross loss. A value of one means that these parameters are equal;
  • Recovery Factor — the value reflects the riskiness of the strategy, i.e. the amount of money risked by the Expert Advisor to make the profit it obtained. It is calculated as the ratio of gained profit to the maximum drawdown;
  • AHPR — arithmetic mean of a trade (change in percents). Arithmetic mean of equity changes per trade. The arithmetic mean usually overestimates the profitability of a trading system as compared to the geometric mean. If the geometric mean implies the multiplication of results of each trade, the arithmetic mean just sums them. The value in percents is given in brackets. It is positive if the trading system is profitable. The negative value means that the system is losing.
  • GHPR — geometric mean of a trade (change in percents). Geometric mean shows by how many times the capital changed after each trade in average. The relative equity change is often a more objective estimation than the expected payoff. Capital change in percents is given in brackets. A negative number in brackets means that on the average the capital is reduced on each trade.
  • Expected Payoff — a statistically calculated value showing the average return of one deal. Also, it is considered to display the expected return of the next trade;
  • Sharpe Ratio — this ratio characterizes efficiency and stability of a strategy. It reflects the ratio of the arithmetical mean profit for the position holding time to the standard deviation from it. The risk-free rate, which is the profit gained from the appropriate bank deposit funds is also taken into account here;
  • LR Correlation — linear regression correlation. A balance graph is a broken line, which can be approximated by a straight line. To find the coordinates of the straight line, the least-squares method is applied. The resulting straight line is called "linear regression" and allows estimating the deviation of balance graph points from the linear regression. Correlation between the balance graph and the linear regression allows to estimate the degree of the capital variability. The less sharp peaks and troughs on the balance curve, the closer the parameter value is to 1. Values close to zero mean the random nature of trading.
  • LR Standard Error — the standard error of balance deviation from the linear regression. This index is used to estimate the balance chart deviation from the linear regression in money terms. It only makes sense to compare systems with similar initial conditions (the same values of the initial equity). The higher the value, the more balance deviates from a straight line.
  • Margin Level — minimal level of margin in percentage terms registered during testing;
  • Z-Score — series testing (the probability of correlation between trades). The series testing allows to estimate the degree of correlation between trades and evaluate whether the trade history includes more/less periods of consecutive profits/losses than normal distribution implies. The detected correlation allows to apply the methods of money management and/or change the trading system algorithm to maximize profit and/or to remove the dependence. Both non-finding the real correlation and finding a nonexistent correlation between trades are dangerous. The Z score indicates deviation from normal distribution in the sigma. A value above 3 indicates that a win will be followed by a loss with the probability of 3 sigma (99.67%). A value below -3 indicates that a win will be followed by a win with the probability of 3 sigma (99.67%).
  • OnTester Result — a value returned by the OnTester function in the Expert Advisor as a result of testing. It corresponds to the custom criterion of optimization;
  • Total Trades — the total number of trades (deals resulted in fixing a profit/loss);
  • (Total Deals) — the total number of deals;
  • Short Trades (won %) — number of trades that resulted in profit from selling a financial instrument, and percentage of profitable short trades;
  • Long Trades (won %) — number of trades that resulted in profit from purchasing a financial instrument, and percentage of profitable long trades;
  • Profit Trades (% of total) — the amount of profitable trades and their percentage in the total trades;
  • Loss Trades (% of total) — the amount of losing trades and their percentage in the total trades;
  • Largest profit trade — the largest profit of all profitable trades;
  • Largest loss trade — the largest loss of all loss-making trades;
  • Average profit trade — the average profit value per a trade (the total of profits divided by the number of winning trades);
  • Average loss trade — the average loss value per a trade (the total of losses divided by the number of losing trades);
  • Maximum consecutive wins ($) — the longest series of winning trades and their total profit;
  • Maximum consecutive losses ($) — the longest series of losing trades and their total loss;
  • Maximal consecutive profit (count) — the maximum profit of a series of profitable trades and the amount of profitable trades in this series;
  • Maximal consecutive loss (count) — the maximal loss of a series of losing trades and the number of losing trades in it;
  • Average consecutive wins — the average number of winning trades in profitable series;
  • Average consecutive losses — the average number of losing trades in losing series.
  • Correlation (Profits, MFE) — correlation between returns and the MFE (Maximum Favorable Excursion, maximum size of a potential profit occurred during the life time of a position). Each position had its maximal profit and maximal loss between opening and closing. MFE shows profit in the favorable excursion of the price. Each position has its result and two parameters — MFE and MAE (Maximum Adverse Excursion, maximum size of a potential loss occurred during the life time of a position). Thus, each position can be drawn on a plane where MFE is plotted along the X axis, the result is plotted along the Y-axis. Results close to MFE mean the most complete use of the favorable price excursion. A straight line on the graph shows approximation by function Profit=A*MFE+B. Correlation(Profits,MFE) allows to estimate relation between the profits/losses and the MFE. Values close to 1 mean that trades fit well into the approximation line. Values close to zero mean weak correlation. MFE characterizes the ability to realize potential profit.
  • Correlation (Profits, MAE) — correlation between results and MAE (Maximum Adverse Excursion). Each position reached its maximal profit and maximal loss between opening and closing. MAE shows the loss during the adverse excursion of the price. Each position has its result and two parameters — MFE and MAE. Thus, each position can be drawn on a plane where MAE is plotted along the X axis, the return is plotted along the Y axis. Results close to MAE mean the most complete protection against adverse price excursion. A straight line on the graph shows approximation by function Profit=A*MAE+B. The Correlation(Profits,MAE) allows to estimate relation between the profits/losses and the MAE. Values close to 1 mean that trades fit well into the approximation line. Values close to zero mean weak correlation. MAE describes the drawdown during the position lifetime and best characterizes the use of protective Stop Loss.
  • Correlation (MFE, MAE) — correlation between MFE and MAE. It shows correlation between two rows of characteristics. The ideal value is 1 - we take the maximum profit and protect the position throughout its lifetime. A value close to zero indicates there is practically no correlation.
  • Minimal position holding time — a minimum amount of time between opening a position and closing it completely. Complete closing of a position is its full elimination; the calculated value does not take into account partial closing or position reversal.
  • Maximal position holding time — a maximum amount of time between opening a position and closing it completely.
  • Average position holding time — the average time between opening a position and closing it completely during testing.

If withdrawal operations are performed in an Expert Advisor during testing/optimization, the drawdown rates are calculated taking into account these operations.

The drawdown values calculated before withdrawing are memorized by the program. During withdrawal, their calculation will be restarted on the basis of the current values of balance and equity. If new calculated drawdown values are greater than the ones saved before, the program will remember these new values. So the highest drawdown value is included into the final report.

Diagrams

The following diagrams are available in the testing report:

Entries by hours

Entries by hours

This diagram shows the distribution of market entry deals (opening, increase and reversal of positions) by hours. The colors of the diagram bars mark trading sessions: Asian (yellow), European (green) and American (red).

Entries by weekdays

Entries by weekdays

This diagram shows the distribution of market entry deals (opening, increase and reversal of positions) by days of the week.

Entries by month

Entries by month

This diagram shows the distribution of market entry deals (opening, increase and reversal of positions) by months.

Profits and losses by hours

Profits and losses by hours

This diagram shows the distribution of market exit deals (closure, partial closure and reversal of positions) by hours. The colors of the diagram bars show profitable (blue) and losing (red) deals.

Profits and losses by weekdays

Profits and losses by weekdays

This diagram shows the distribution of market exit deals (closure, partial closure and reversal of positions) by weekdays. The colors of the diagram bars show profitable (blue) and losing (red) deals.

Profits and losses by months

Profits and losses by months

This diagram shows the distribution of market exit deals (closure, partial closure and reversal of positions) by months. The colors of the diagram bars show profitable (blue) and losing (red) deals.

MFE-Profits Distribution

Positions are plotted as dots on the graph of MFE (Maximum Favorable Excursion) — Profits. Values of both axes are given in the deposit currency. In addition to the profit value of each position including swaps plotted along the Y axis, the graph shows the maximally possible profit during the position holding time. It allows to estimate the quality of protection of the paper (unrealized) profit.

Though the distribution of points along the graph provides a picture of the trading system, a linear regression, which is approximation by least squares, is given for an objective assessment. Ideally, the line should go at an angle of 45 degrees.

MAE-Profits Distribution

Positions are plotted as dots on the graph of MAE (Maximum Adverse Excursion) — Profit. Values of both axes are given in the deposit currency. In addition to the profit value of each position including swaps plotted along the Y axis, the graph shows the highest drawdown during the position holding time. It allows estimating trades in terms of drawdown outstaying.

Though the distribution of points along the graph provides a picture of the trading system, a linear regression, which is approximation by least squares, is given for an objective assessment. The less trades with negative X (MAE) values, the better. The graphical analysis helps to estimate the maximum tolerated loss, after which the possibility of taking profit is very small (if the analysis is performed for one currency pair and in points).

Profit and position holding time distribution

Profit and position holding time distribution

Points plotted on the Profit — Time graph indicate positions. The graph displays a correlation between the position holding time and the profit obtained as a result of closing it. Values on the time axis can be given in seconds, minutes or hours depending on the scale required. Profit is displayed in the deposit currency. The position holding time is calculated as the time from its opening till complete closing. Complete closing of a position is its full elimination; the calculated value does not take into account partial closing or position reversal.


Testing Visualization

Algorithmic Trading, Trading Robots / Testing Visualization

Testing Visualization

In the Strategy Tester of the trading platform, you can test Expert Advisors and indicators in the visual mode. This mode allows to visualize exactly how the Expert Advisor performs trade operations during backtesting. Each trade of a financial instrument is displayed on its chart. In the visual testing mode, you can test the operation of an indicator using historical data. This feature allows to easily test the operation of demo versions of indicators downloaded from the Market.

Start

To start the visual testing:

  • Enable the "Visualization" option in the Strategy Tester settings. When you select testing of indicators, the visualization is enabled automatically.
  • Disable the optimization mode, because visualization is only available in the testing mode.
  • Make sure that one of local agents is used for testing. If a remote agent is selected for testing, choose a local one using the " Select Select" command in its context menu.

If all of the above conditions are met, clicking on the "Start" button opens the visualization window.

Viewing the Testing Process

Testing Visualizer runs in a separate window:

Information about the testing process is available in several forms:

  • Price chart, where trade operations are shown.
  • Market Watch, which shows prices generated during testing.
  • Data Window, where you can view information about a selected point on the chart.
  • The multifunctional Toolbox window that displays trade operations performed by an Expert Advisor during testing and logs of the visualizer.

Chart

A chart is the primary means of testing process visualization. It is similar to conventional charts of the platform, but has a number of specific features:

  • The chart is based on price data generated during testing.
  • All trade operations performed by an Expert Advisor during testing are shown on the chart. Trading operations are displayed using the "Buy sign" and "Sell sign" objects.
  • Only the basic chart settings (type, grid, scale) are available.
  • A list of symbols available in the chart mode is limited to the main testing symbol, as well as the symbols whose data are used by the Expert Advisor.
  • The chart timeframe cannot be changed. The period selected in the settings is used for the main testing chart. Periods requested by the Expert Advisor are used for other symbols.
  • To switch between symbols, use the "View — Charts" menu.
  • The chart allows you to view the behavior of the indicator based on historical data, for example, when testing a demo version of the indicator downloaded from the Market.

Using a Template

You can change the appearance of a chart, show indicators or graphical objects on it using templates. For a template to be applied, its name must match the name of the tested Expert Advisor. The template should be placed in folder /profiles/templates of the trading platform.

Market Watch

The Market Watch window shows prices generated during testing. It is similar to the Market Watch of the trading platform, but has some specific features. To show/hide this window, use the Market Watch command in the View menu or press Ctrl+M.

The Symbols tab features the current price information of financial instruments. The list of displayed symbols is limited to the main testing symbol, as well as the symbols whose data are used by the Expert Advisor.

The window header contains the current time of testing.

The Ticks tab contains a chart of prices generated during testing. The number of displayed ticks is limited to 64 thousand.

Data Window

This window is used to display information about the prices (OHLC), date and time of a bar, spread, volume and indicators. Here you can quickly find information about a particular bar and applied indicators at a selected point of the chart. The window can be enabled or disabled by clicking "Data Window" in the View menu or pressing Ctrl+D.

The upper part of the window contains the name of a financial instrument and the chart period. Information about the current cursor position on the chart is shown below. Information about indicators open in separate subwindows is shown in separate blocks.

Toolbox

Toolbox is a multifunctional window, in which you can view an Expert Advisor's trading activity during testing, as well as view the journal of a testing agent. To show/hide this window, use the Toolbox command in the View menu or press Ctrl+T keys.

The Toolbox window consists of several tabs:

  • Trade — current positions and pending orders.
  • History — the history of deals and orders.
  • Operations — a list of trading operations requested by the Expert Advisor.
  • Journal — the journal of a testing agent.

Trade

The "Trade" tab contains information about the current state of the trading account, open positions and placed pending orders. All open positions can be sorted by any field. To do this, click on its name.

Positions

Positions are shown in a table with the following fields:

  • Symbol — a financial instrument of the open position.
  • Time — position opening time. The record is represented as YYYY.MM.DD HH:MM (year.month.day hour:minute);
  • Type — position type: "Buy" — long, "Sell" — short.
  • Volume — volume of a trade operation (in lots or units);
  • Price — the price of a deal, as a result of which the position was opened. If the opened position is a result of execution of several deals, then this field displays their weighted average price: (price of deal 1 * volume of deal 1 + ... + price of deal N * volume of deal N) / (volume of deal 1 + ... + volume of deal N). The number of characters in this field is determined by the number of characters in the price of the symbol plus three additional characters;
  • S/L — the Stop Loss level of the current position. If this order was not placed, a zero value is shown in the field;
  • T/P — the Take Profit level of the current position. If this order was not placed, a zero value is shown in the field;
  • Price — the current price of the financial symbol.
  • Commission — commission charged for the execution of the trade operation;
  • Swap — amount of swaps charged;
  • Profit — the financial result of a deal taking into account the current price is written in this field. A positive result indicates the profitability of the deal, negative indicates loss.

Account state

The current account state is shown below the open trading positions:

  • Balance — amount of money on the account, the results of currently open positions are not included.
  • Equity — the amount of money taking into account the results of the currently open positions;
  • Margin — money required to cover open positions.
  • Free Margin — the free amount of money that can be used to maintain open positions;
  • Margin Level — percentage of the account equity to the margin volume;
  • Total of deals — total financial result of all open positions. With the positive result of positions, icon Balance increase is shown, with negative — Balance decrease.

Pending orders

Placed pending orders are shown below the current account state:

  • Symbol — the financial instrument of the pending order.
  • Order — the ticket number (a unique identifier) of the pending order;
  • Time — pending order placing time. The record is represented as YYYY.MM.DD HH:MM (year.month.day hour:minute);
  • Type — type of the pending order: "Sell Stop", "Sell Limit", "Buy Stop", "Buy Limit", "Buy Stop Limit" or "Sell Stop Limit";
  • Volume — volume requested in the pending order, and volume covered by the deal (in lots or units).
  • Price — price reaching which the pending order will trigger.
  • S/L — level of the placed Stop Loss order. If this order was not placed, a zero value is shown in the field;
  • T/P — level of the set Take Profit order. If this order was not placed, a zero value is shown in the field;
  • Price — the current price of the financial symbol.
  • Comment — comments to the pending order;
  • State — in the last column, the current status of the pending order is shown: "Started", "Placed", etc.

History

The history of trade operations is available in the History tab. There are three modes of viewing the history of trade operations: only deals, only orders, deals and orders; you can switch between them in the context menu.

Orders

The history of placed orders is displayed in a table with the following fields:

  • Time — order placing time. The record is represented as YYYY.MM.DD HH:MM (year.month.day hour:minute);
  • Order — ticket number (a unique identifier) of a trade operation;
  • Symbol — a financial instrument of the order;
  • Type — trading operation type: "Buy" — a long position, "Sell" — a short position or names of Pending orders "Sell Stop", "Sell Limit", "Buy Stop", "Buy Limit", "Buy Stop Limit" and "Sell Stop Limit".
  • Volume — volume requested in the order (in lots or units). The minimal volume and its change step are limited by a brokerage company, the maximal one — by the deposit size.
  • Price — price specified in the order at which the trade operation should be executed.
  • S/L — level of the placed Stop Loss order. If the trade position of the order has closed, the cell is colored red, and a record "[s/l]" appears in the comment box. If this order was not placed, a zero value is recorded in this field;
  • T/P — level of the set Take Profit order. If the trade position of the order has closed, the cell is colored green, and a record "[t/p]" appears in the comment box . If this order was not placed, a zero value is recorded in this field;
  • State — order placing result: "Filled", "Partial", "Canceled" etc.
  • Comment — comments to orders are written here.

The lower line shows the summary of orders: total quantity, number of filled and canceled orders.

Deals

The history of deals is also displayed in a table with the following fields:

  • Time — time of the deal. The record is represented as YYYY.MM.DD HH:MM (year.month.day hour:minute);
  • Deal — ticket number (a unique identifier) of a deal.
  • Order — ticket number (a unique identifier) of the order, the trade was executed for. Several deals can correspond to one order, if the required volume specified in the order was not covered by one market offer;
  • Symbol — a financial instrument of the deal.
  • Type — type of a trade operation: "Buy" — a buy deal, "Sell" — a sell deal;
  • Direction — direction of the deal relative to the current position on a particular symbol: "in", "out" or "in/out".
  • Volume — volume of an executed deal (in lots or units).
  • Price — the price at which the deal was executed;
  • Commission — commission charged for the deal execution;
  • Profit — the financial result of the position exiting. For entry deals, zero profit is shown.

The bottom line shows the trade execution results relative to the initial deposit:

  • Profit — profit or loss relative to the initial deposit. For losses, the Loss sign is shown in this field, for profit — Profit;
  • Deposit — the amount of deposit;
  • Withdrawal — amount withdrawn from the account.

The value of the current balance of the account is shown at the end of the line.

Orders and Trades

In this mode, orders and deals are displayed as a tree that shows how exactly the trade requests were processed.

Operations

All trade requests made by an Expert Advisor during testing are shown in the Operations tab. In addition to buy and sell requests, you can track the modifications of pending orders, stop levels of positions, etc.

The history of trade operations is displayed in a table with the following fields:

  • Time — time of the trade operation request. The record is represented as YYYY.MM.DD HH:MM (year.month.day hour:minute);
  • Ticket — ticket number (unique number) of a trade operation;
  • Symbol — the symbol of a requested trade operation;
  • Action — type of a requested action (instant execution of a trade operation, modification of stop levels, etc.);
  • Type — direction of a trade operation (buy or sell);
  • Volume — the volume of a requested trade operation;
  • Price — the price at which the trade operation is requested;
  • S/L — the Stop Loss level in a trade request;
  • T/P — the Take Profit level in a trade request;
  • Comment — a comment to a request.

Journal

This tab contains the logs of the agent that is used for testing an Expert Advisor. All actions of the agent and the Expert Advisor during testing are logged in the Journal.

As long as the visualizer is open, the logs of testing agents are not sent to the Strategy Tester of the trading platform. Nevertheless, they can be viewed via the trading platform using the "Journals of local agents" command in the context menu.

Log entries consist of two parts:

  • Date — date and time of the event;
  • Message — description of the event.


Journal of Testing

Algorithmic Trading, Trading Robots / Journal of Testing

Journal of Testing

The entire process of testing and optimization is logged in the journal in details. Let's see what happens after Start button is clicked in the strategy tester.

Preparing price history

Before launching testing/optimization, the tester prepares the environment. The presence of a tested symbol history is checked and the entire history stored in the trade server is synchronized. If the platform has no history for a tested symbol, synchronization with the trade server may take a few minutes.

Tester EURCAD: preliminary downloading of M1 history started | starting the preliminary download of EURCAD M1 history
Tester EURCAD: 20% history downloaded | 20% of download complete
Tester EURCAD: 95% history downloaded | 95% of download complete
Tester EURCAD: preliminary downloading of M1 history completed in 0:14.640 | download complete in 0:14.640
Tester EURCAD: history data begins from 2014.12.29 00:00 | symbol's minute data are present from 2014.12.29 00:00

If testing is performed based on real ticks, the platform synchronizes the existing ticks within testing dates. Tick download may take a long time.

Tester EURCAD: preliminary downloading of history ticks started, it may take quite a long time | starting preliminary download of EURCAD ticks, it may take quite a long time
Tester EURCAD: "bases\MetaQuotes-Demo\ticks\EURCAD\201609.tkc" download | ticks for September 2016 downloaded to the specified path
Tester EURCAD: "bases\MetaQuotes-Demo\ticks\EURCAD\201608.tkc" download (823.38 Kb/sec) | ticks for October 2016 downloaded to the specified path
Tester EURCAD: 21% ticks downloaded (796.02 Kb/sec) | 21% of download complete, download speed - 796.02 Kb/sec
Tester EURCAD: "bases\MetaQuotes-Demo\ticks\EURCAD\201604.tkc" download (764.22 Kb/sec) | ticks for April 2016 downloaded to the specified path
Tester EURCAD: preliminary downloading of history ticks completed, 116.78 Mb in 2:32.063 (786.40 Kb/sec) | tick download complete in 2:32.063, downloaded ticks size - 116.78 MB
Tester EURCAD: ticks data begins from 2016.04.01 00:00 | EURCAD tick data are present from 2016.04.01 00:00

The presence of cross pairs is checked afterwards. For example, if testing is performed on EURCAD, while the deposit currency is USD, EURUSD and USDCAD symbols are necessary to calculate profit and margin requirements when performing trades. Therefore, full synchronization of history and these symbols is performed. If necessary, tick data are synchronized as well. Price data preparation is described in the tester journal in details:

Tester EURUSD: preliminary downloading of history ticks started, it may take quite a long time | starting preliminary download of EURUSD ticks, it may take quite a long time
Tester EURUSD: preliminary downloading of history ticks completed, 1021.82 Kb in 0:03.218 (317.53 Kb/sec) | tick download complete in 0:03.218, downloaded ticks size - 1021.82 KB
Tester EURUSD: ticks data begins from 2011.12.19 00:00 | EURUSD tick data are present from 2011.12.19 00:00
Tester USDCAD: preliminary downloading of M1 history started | starting the preliminary download of USDCAD M1 history
Tester USDCAD: preliminary downloading of M1 history completed in 0:00.203 | download complete in 0:00.203
Tester USDCAD: preliminary downloading of history ticks started, it may take quite a long time | starting preliminary download of USDCAD ticks, it may take quite a long time
Tester USDCAD: "bases\MetaQuotes-Demo\ticks\USDCAD\201609.tkc" download | ticks for September 2016 downloaded to the specified path
Tester USDCAD: "bases\MetaQuotes-Demo\ticks\USDCAD\201608.tkc" download (683.69 Kb/sec) | ticks for August 2016 downloaded to the specified path, download speed - 683.69 Kb/sec
Tester USDCAD: preliminary downloading of history ticks completed, 103.25 Mb in 2:30.109 (704.36 Kb/sec) | tick download complete in 2:30.109, downloaded ticks size - 103.25 MB
Tester USDCAD: ticks data begins from 2015.01.01 00:00 | USDCAD tick data are present from 2015.01.01 00:00

Testing/optimization start

Testing/optimization starts only after all necessary history (as well as ticks if you test/optimize strategy using real ticks) is synchronized.

Connection to a selected testing agent is established during a single test. The agent can be either local or network.

Core 1 agent process started | agent process launched at the first processor core
Core 1 connecting to 127.0.0.1:3000 | connecting to 127.0.0.1:3000
Core 1 connected | connection established
Core 1 authorized (agent build 1395) | authorization passed, agent build - 1395

Local agent data folder name corresponds to its address and port.

After connection is established, the environment is synchronized according to testing settings.

Tester EURCAD,H1 (MetaQuotes-Demo): testing of Experts\Moving Average.ex5 from 2016.04.01 00:00 to 2016.06.01 00:00 | launching Moving Average EA testing on EURCAD H1, MetaQuotes-Demo server, testing period - from 2016.04.01 00:00 to 2016.06.01 00:00
Core 1 common synchronization completed | total synchronization complete

From this moment on, the agent starts keeping its own journal sending its data to the tester one. Local agent journal can be opened from the tester journal context menu. The journal shows environment synchronization details between the terminal and the agent.

Environment initialization and synchronization:

Startup MetaTester 5 x64 build 1395 (19 Aug 2016) | launching testing agent, build 1395 as of August 19, 2016
Server MetaTester 5 started on 127.0.0.1:3000 | testing agent launched on 127.0.0.1:3000
Startup initialization finished | initialization finished
127.0.0.1 login (build 1395) | platform has been connected to the agent
Network 38520 bytes of account info loaded | agent downloaded 38520 bytes of information about the trading account parameters
Network 1482 bytes of tester parameters loaded | agent downloaded 1482 bytes of information about the testing parameters
Network 2236 bytes of input parameters loaded | agent downloaded 2236 bytes of information about the EA inputs
Network 22730 bytes of symbols list loaded | agent downloaded 22730 bytes of information about symbols

Synchronizing testing parameters and tested symbol data:

Tester expert file added: Experts\Examples\Moving Average\Moving Average.ex5. 53048 bytes loaded | agent downloaded the EA file, the file size is 53048 bytes
Tester initial deposit 10000.00 USD, leverage 1:100 | initial deposit before testing - 10 000 USD, leverage - 1:100
Tester successfully initialized | testing initialized
Network 68 Kb of total initialization data received | total volume of the data obtained by the agent during initialization - 68 KB
Tester Intel Core i7-3770 @ 3.40GHz, 16351 MB | configuration of the PC the agent is launched at
Symbols EURCAD: symbol to be synchronized | EURCAD symbol synchronization
Symbols EURCAD: symbol synchronized, 3384 bytes of symbol info received | symbol synchronized, 3384 bytes of data received
History EURCAD: load 4.51 Mb of history data to synchronize in 0:00:00.594 | downloaded 4.51 MB of history data within 594 milliseconds
History EURCAD: history synchronized from 2015.01.02 to 2016.06.01 | EURCAD history synchronized from 2015.01.02 to 2016.06.01
Ticks EURCAD: ticks synchronization started | starting EURCAD tick synchronization
Ticks EURCAD: load 48.66 Mb of tick data to synchronize in 0:00:00.969 | 48.66 MB of data downloaded during synchronization within 969 milliseconds
Ticks EURCAD: history ticks synchronized from 2016.04.01 to 2016.05.31 | EURCAD tick history synchronized from 2016.04.01 to 2016.05.31
History EURCAD,H1: history cache allocated for 8862 bars and contains 7729 bars from 2015.01.02 09:00 to 2016.03.31 23:00 | history cache of 8862 bars created, the cache contains 7729 bars from 2015.01.02 09:00 to 2016.03.31 23:00
History EURCAD,H1: history begins from 2015.01.02 09:00 | EURCAD history starts from 2015.01.02 09:00
Tester EURCAD,H1 (MetaQuotes-Demo): generating based on real ticks | testing is to be launched on real ticks
Tester EURCAD,H1: testing of Experts\Examples\Moving Average\Moving Average.ex5 from 2016.04.01 00:00 to 2016.06.01 00:00 started with inputs: | testing Moving Average EA from 2016.04.01 00:00 to 2016.06.01 00:00 is to be launched with the following inputs:
Tester MaximumRisk=0.02 | MaximumRisk=0.02
Tester DecreaseFactor=3.00 | DecreaseFactor=3.00
Tester MovingPeriod=12 | MovingPeriod=12
Tester MovingShift=6 | Tester MovingShift=6
Moving Average (EURCAD,H1) 2016.04.01 00:00:00 expert initialized | Moving Average EA initialized
Ticks EURCAD : real ticks begin from 2016.04.01 00:00:00 | EURCAD real ticks are present from 2016.04.01 00:00:00

Synchronizing cross rates:

Symbols EURUSD: symbol to be synchronized | synchronizing EURUSD symbol
Symbols EURUSD: symbol synchronized, 3384 bytes of symbol info received | symbol synchronized, 3384 bytes of data received
History EURUSD: load 27 bytes of history data to synchronize in 0:00:00.000 | downloaded 27 bytes of history data within 000 milliseconds
History EURUSD: history synchronized from 2014.01.01 to 2016.09.02 | EURUSD history synchronized from 2014.01.01 to 2016.09.02
Ticks EURUSD: ticks synchronization started | starting EURUSD tick synchronization
Ticks EURUSD: load 34 bytes of tick data to synchronize in 0:00:00.000 | 48.66 MB of data downloaded during synchronization within 969 milliseconds
Ticks EURUSD: history ticks synchronized from 2016.01.04 to 2016.09.02 | EURUSD tick history synchronized from 2016.04.01 to 2016.05.31
Symbols USDCAD: symbol to be synchronized | USDCAD symbol synchronization
Symbols USDCAD: symbol synchronized, 3384 bytes of symbol info received | symbol synchronized, 3384 bytes of data received
History USDCAD: load 27 bytes of history data to synchronize in 0:00:00.094 | downloaded 27 bytes of history data within 94 milliseconds
History USDCAD: history synchronized from 2013.01.01 to 2016.08.01 | USDCAD history synchronized from 2013.01.01 to 2016.08.01
Ticks USDCAD: ticks synchronization started | starting USDCAD tick synchronization
Ticks USDCAD: load 43.10 Mb of tick data to synchronize in 0:00:00.890 | 43.10 MB of data downloaded during synchronization within 890 milliseconds
Ticks USDCAD: history ticks synchronized from 2016.04.01 to 2016.05.31 | USDCAD tick history synchronized from 2016.04.01 to 2016.05.31

Tick sequences

Tick sequences are generated before testing. The more ticks are used, the bigger delay before testing.

If you test on real ticks, correctness of a downloaded tick data relative to minute bars is checked. If the data is correct, the journal contains only one entry (for each symbol):

Ticks EURCAD : real ticks begin from 2016.04.01 00:00:00

EURCAD real tick data are present from 2016.04.01 00:00:00

Otherwise, a detailed statistics is shown allowing users to evaluate the quality of the tick history.

Ticks EURUSD : real ticks begin from 2015.01.01 00:00:00 | EURUSD real tick data are present from 2015.01.01 00:00:00
Ticks EURUSD : 2015.01.01 00:00 - 2016.01.01 00:00 tick volumes not matched for 4 minute bars | tick volume has shown mismatch at 4 minute bars within 2015.01.01 00:00 - 2016.01.01 00:00
Ticks EURUSD : 2015.01.01 00:00 - 2016.01.01 00:00 last prices absent for 16217 minute bars, bid prices used | no last prices detected for 16217 minute bars within 2015.01.01 00:00 - 2016.01.01 00:00, bid prices are to be used instead
Ticks EURUSD : 2015.01.01 00:00 - 2016.01.01 00:00 last prices absent for 22 whole days, bars built by bid prices | no last prices detected for 22 full days within 2015.01.01 00:00 - 2016.01.01 00:00, bars have been generated using bid prices
Ticks EURUSD : 2015.01.01 00:00 - 2016.01.01 00:00 last prices translation turned off for 881 minute bars, bid and last prices used | last price translation for 881 minute bars interrupted within 2015.01.01 00:00 - 2016.01.01 00:00, both last and bid prices are to be used instead

Detailed statistics appears in the agent journal after the test:

Tester final balance 7905.30 USD | final balance comprised 7905.30 USD
Tester EURCAD,H1: 50056687 ticks, 6195 bars generated. Environment synchronized in 0:00:02.656. | generated 50056687 ticks and 6195 bars, environment synchronization performed for 0:00:02.656
Test passed in 0:01:40.906 (including ticks preprocessing 0:00:27.047). | testing carried out for 0:01:40.906 (including ticks preparation which took 0:00:27.047)
Tester EURCAD,H1: total time from login to stop testing 0:01:43.562 (including 0:00:07.329 for history data synchronization) | time from connecting to the agent up to the test completion - 0:01:43.562 (including history data synchronization that took 0:00:07.329)
Tester 132757966 total ticks for all symbols | generated 132757966 ticks in total for all symbols
Tester EURCAD: generate 50056687 ticks in 0:00:08.703, passed to tester 50056687 ticks | generated 50056687 ticks for EURCAD within 0:00:08.703, 50056687 ticks passed to the tester
Tester EURUSD: generate 42615166 ticks in 0:00:09.235, passed to tester 42587228 ticks | generated 42615166 ticks for EURUSD within 0:00:09.235, 42587228 ticks passed to the tester
Tester USDCAD: generate 40134644 ticks in 0:00:09.109, passed to tester 40114051 ticks | generated 40134644 ticks for USDCAD within 0:00:09.109, 40114051 ticks passed to the tester
Tester 546 Mb memory used including 0.94 Mb of history data, 320 Mb of cached tick data (total memory for tick data 3135 Mb) | used 546 MB of memory, including 0.94 MB for history data and 320 MB for cache ticks (3135 MB used in total for tick data)
Tester log file "E:\MetaTrader5\Tester\Agent-127.0.0.1-3000\logs\20160908.log" written | agent journal file saved at the specified path

If only one symbol is tested, the journal displays total statistics instead of separate lines for each symbol:

Tester final balance 1199.73 USD | final balance is 1199.73 USD
Tester EURUSD,H1: 42668248 ticks, 6195 bars generated. Test passed in 0:00:41.360 (including ticks preprocessing 0:00:06.672). | generated 42668248 ticks and 6195 bars. Testing carried out for 0:00:41.360 (including ticks preparation which took 0:00:06.672)
Tester 489 Mb memory used including 0.94 Mb of history data, 320 Mb of cached tick data (total memory for tick data 1023 Mb) | used 489 MB of memory, including 0.94 MB for history data and 320 MB for cache ticks (1023 MB used in total for tick data)
Tester log file "E:\MetaTrader5\Tester\Agent-127.0.0.1-3000\logs\20160908.log" written | agent journal file saved at the specified path

The minimum data exchange between the platform and the agent is performed at the synchronization stage during a repeated testing on the same history data. History cached in the agent memory is used. If the tick generation model remains unchanged, cached tick data is used as well. In this case, testing starts immediately:

Tester account info found | trading account data found
Network 1482 bytes of tester parameters loaded | downloaded 1482 bytes of testing parameters
Tester initial deposit 1000.00 USD, leverage 1:100 | initial deposit before testing - 1 000 USD, leverage - 1:100
Tester successfully initialized | testing initialized
Network 1614 bytes of total initialization data received | total volume of the data obtained by the agent during initialization - 1614 bytes
Tester Intel Core i7-3770 @ 3.40GHz, 16351 MB | configuration of the PC the agent is launched at
History EURUSD,H1: history cached from 2014.01.01 23:00 | EURUSD H1 history cached starting from 2014.01.01 23:00
Tester EURUSD,H1 (MetaQuotes-Demo): every tick generating | launched testing on all ticks (MetaQuotes-Demo server)
Tester EURUSD,H1: testing of Experts\Tester\MultyPairCrossMA.ex5 from 2015.01.01 00:00 to 2016.01.01 00:00 started with inputs: | testing Moving Average EA from 2015.01.01 00:00 to 2016.01.01 00:00 is to be launched with the following inputs:
Tester InpLots=0.10 Tester InpStopLoss=50 Tester InpTakeProfit=50 Tester InpTrailingStop=30 Tester InpFastMAPeriod=21 Tester InpSlowMAPeriod=34 | InpLots=0.10 InpStopLoss=50 InpTakeProfit=50 InpTrailingStop=30 InpFastMAPeriod=21 InpSlowMAPeriod=34
History EURUSD,M5: history cached from 2014.01.01 23:00 | EURUSD M5 history cached starting from 2014.01.01 23:00
History EURJPY,M5: history cached from 2014.01.01 23:00 | EURJPY M5 history cached starting from 2014.01.01 23:00
History USDJPY,M5: history cached from 2014.01.01 23:00 | USDJPY M5 history cached starting from 2014.01.01 23:00

Testing completion

Stop out. If trading is unsuccessful, testing can be stopped by Stop Out:

Tester final balance 44.81 USD | final balance is 44.81 USD
Tester stop out occurred on 3% of testing interval | stop out occurred after passing 3% of the testing period

Standard completion. Testing can be stopped earlier by calling the ExpertRemove function when a certain condition is fulfilled. This is followed by the following journal entries:

MACD Sample (EURUSD,H1) 2015.03.13 03:00:00 Testing stop. Balance is 299.29 | testing is stopped, the balance is 299.29
MACD Sample (EURUSD,H1) 2015.03.13 03:00:00 ExpertRemove() function called | ExpertRemove function has been called
Tester removed itself within OnTick | EA has completed its work in the tick handler
Tester final balance 299.29 USD | final balance is 299.29 USD
Tester removed itself on 19% of testing interval | EA completed work after passing 3% of the testing period

Memory error. Testing can be completed ahead of schedule due to a critical error. For example, constant memory re-allocations by the ArrayResize function can lead to excessive memory fragmentation which in turn may cause the memory block to be of insufficient size. The memory error is triggered as a result.

MemoryException 8192 Mb not available | memory block of 8192 MB is unavailable
MACD Sample (EURUSD,H1) 2015.01.02 09:00:15 cannot resize ExtDoubleArray4 from 536870912 to 1073741824 | at 2015.01.02 09:00:15, the EA failed to increase the ExtDoubleArray4 array size from 536870912 to 1073741824 bytes
Tester memory error in OnTick | error occurred when handling memory in OnTick
Tester stopped on 0% of testing interval | work complete after passing 3% of the testing period
Tester not enough available memory, 37371 Mb used, 9178 Mb available, maximal available block is 4096 Mb | insufficient memory, total memory 37371 MB, available 9178 MB, maximum memory block size 4096 MB

Array out of range. Exceeding the array range (i.e. array element index is equal or exceeds the number of array elements) is considered a critical error (indexing begins from zero).

MACD Sample (EURUSD,H1) 2015.01.06 18:42:59 array out of range in 'MACD Sample.mq5' (473,28) | array out of range in the MACD Sample.mq5 file (string 473, position 28)
Tester OnTick critical error | critical error in OnTick

Zero divide. Zero divide is also considered a critical error.

MACD Sample (EURUSD,H1) 2015.01.06 18:42:59 zero divide in 'MACD Sample.mq5' (465,35) | zero divide in the MACD Sample.mq5 file (string 465, position 35)
Tester OnTick critical error | critical error in OnTick

Initialization error. Testing stops without starting if the OnInit function in the program returns a code different from INIT_SUCCEEDED. For example, this feature can be used to manage input parameters.

MACD Sample (EURUSD,H1) 2015.01.01 00:00:00 Deinit reason is 8 | EA deinitialized at 2015.01.01 00:00:00
Tester tester stopped because OnInit failed | testing stopped due to OnInit error


Optimization Types

Algorithmic Trading, Trading Robots / Optimization Types

Optimization Types

Two optimization types are available in the tester. You can select the appropriate one on the Settings tab of the Strategy Tester.

Slow Complete Algorithm

In this mode, optimization runs are performed for all possible combinations of values of input variables selected on the appropriate tab.

This method is the most precise one. However, running the Expert Advisor with all possible combinations takes much time.

Fast Genetic Algorithm

This type of optimization is based on the genetic algorithm of search for the best values of input parameters. This type is much faster than the first one and is almost of the same quality. The slow complete optimization that would take several years can be performed within several hours using the genetic algorithm.

Each individual has a specific set of genes which corresponds to the set of their parameters. Genetic optimization is based on the constant selection of the most "adapted" parameters (values that give the best result). In the general form, the algorithm can be represented the following way:

  • From the total number of all possible combinations of parameters, two populations (sets) are selected by a random sample;
  • Both sets are tested and the one with the best results (according to the optimization criterion) is left;
  • The set members are randomly crossed with one another, undergoing random mutations and inversions of parameters;
  • The descendants are sorted out by the best results, and crossing repeats;
  • Sorting and crossing operations are repeated as long as there is improvement of results (the best result among descendants is better than the best one among the parents). If the optimization criterion values are not improved during several crossings (generations), the optimization process is completed.

Number of Test Runs

During the genetic optimization, the number of test runs is much lower, which provides quickness of optimization. After the start of the genetic optimization, an estimated number of test runs is displayed on the Settings tab. It is calculated by the following formula:

Population size * (Unconditional number of generations + Number of generations for convergence estimation)

where:

  • Population size is calculated based on the number of possible combinations of optimization parameters, may range from 64 to 256;
  • Unconditional number of generations may range from 15 to 31. It is defined by the presence of optimization criterion improvement. 15 generations are tested in all optimizations. If a generation within the range between 15 and 31 does not have any improvement of the optimization criterion, an additional test of the next generations is started for convergence estimation.
  • Number of generations for convergence estimation is calculated as one third of the unconditional number of generations. If the unconditional number of generation is 18 (the 17-th generation has shown the best result and there are no improvements shown by the 18-th generation) then another 5 generations are tested: the 18-th generation has not shown any improvement, and for the estimation of convergence we need 18/3 = 6 generations without improvements of the optimization criterion. If there are no improvements shown by the specified number of generations, optimization is stopped.
  • If the total number of optimization steps exceeds 1,000,000 in a 32-bit system or 100,000,000 in a 64-bit system, the genetic optimization mode starts automatically.
  • During the genetic optimization, intermediate results are saved in cache after the calculation of each generation (in a file platform_data_folder/tester/cache/*.gen). Thus the optimization process can be interrupted at any time. Even if the process of genetic optimization is interrupted as a result of an external factor (for example, power failure), the optimization will be automatically continued from the last calculated generation at the next start. The genetic optimization cache is stored until the optimization settings are changed or the optimization process is completed.
  • At a regular optimization stop (when you press the Stop button) all the previously calculated runs are saved. When the optimization process is resumed, it continues from the last calculated run.

All Symbols Selected in Market Watch

Unlike the above described optimization types, this one allows to test an Expert Advisor with the same input parameters, but with different symbols. Only the main symbol of testing is changed in each pass, i.e. the symbol of chart the EA would be attached to.

Optimization is performed only for symbols that are currently chosen in the Market Watch. So you can manage optimization by adjusting the set of selected symbols.

  • Please note that downloading of necessary price data from the server may take a long time. However, the slowdown of optimization as a result of data downloading occurs only during the first launch for a symbol, next time only the missing data is downloaded.
  • The current values of input parameters specified in the "Value" field are used for the optimization by symbols.

Optimization Criterion

An optimization criterion is a certain factor, which value defines the quality of a tested set of parameters. The higher the value of the optimization criterion, the better the testing result with the given set of parameters. Such a factor can be selected in a field to the right of "Optimization" on the Settings tab.

The optimization criterion is required only for the genetic algorithm.

The following optimization criteria are available:

  • Balance max — the highest value of the balance;
  • Balance + max Profit Factor — the highest value of the product of balance and profit factor;
  • Balance + max Expected Payoff — the value of the product of balance and the expected payoff;
  • Balance + min Drawdown — in this case, the balance value and the drawdown level are taken into account: Balance/Equity drawdown;
  • Balance + max Recovery Factor — the product of the balance and the recovery factor;
  • Balance + max Sharpe Ratio — the value of the product of balance and Sharpe ratio;
  • Custom max — the optimization criterion here is the value of the OnTester() function in the Expert Advisor. This parameter allows using any custom value for the optimization of Expert Advisors.


Real and Generated Ticks

Algorithmic Trading, Trading Robots / Real and Generated Ticks

Real and Generated Ticks

Ticks are required for testing and optimizing Expert Advisors, because they use tick data for operation. Testing can be performed on real ticks provided by a broker or on ticks generated by the strategy and based on minute data.

Real Ticks

Testing and optimization on real ticks are as close to real conditions as possible. Instead of generated ticks based on minute data, it is possible to use real ticks accumulated by a broker. These are ticks from exchanges and liquidity providers.

When testing on real ticks, a spread may change within a minute bar, whereas when generating ticks within a minute, a spread fixed in the appropriate bar is used.

If the Market Depth is displayed for a symbol, the bars are built strictly according to the last executed trade price (Last). OnTick event is triggered on all ticks regardless of whether the Last price is present or not.

Please note that trading operations are always performed by Bid and Ask prices even if the chart is built by Last prices. For example, if an Expert Advisor working on bar open prices receives a signal at Last price, it performs a trade at another price (Bid or Ask depending on the direction). If "Every tick" mode is used, the bars are built by Bid prices, while trades are performed by Bid and Ask ones. The Ask price is calculated as Bid + fixed spread of a corresponding minute bar.

If a symbol history has a minute bar with no tick data for it, the tester generates ticks in the "Every tick" mode. This allows testing the EA on a certain period in case a broker's tick data is insufficient. If a symbol history has no minute bar but the appropriate tick data for the minute is present, these ticks are ignored. The minute data is considered more reliable.

Tick data has greater size compared to minute one. Downloading it may take quite a long time during the first test. Downloaded tick data is stored by months in TKC files in \bases\[trade server name]\ticks\[symbol name]\.

Generation of Ticks

The strategy tester generates tick data based on cached one-minute records in the integer format. It means, the tester copies the required history data from the platform and converts them to the integer format to speed up calculations.

The strategy tester provides several tick generation modes. The most accurate "Every tick" mode is described below.

The tick generation procedure is different for bars with different tick volumes:

Tick Volume = 1

Ticks are not generated for bars with the tick volume equal to one, a tick with the value of bar's Close price is written for them:

Tick volume is equal to one

Tick Volume = 2

Also ticks are not generated for bars with two ticks. First a tick with the Open price and then the tick with the Close price are written:

Tick volume is equal to two

Tick Volume >= 3

For bars with 3 or more ticks, there are different schemes of tick generation depending on their number.

Bar Progress Scheme

Four different schemes are possible for bars with three or more ticks:

Progress option | Image
The price moves in one direction and returns to the open price level. Thus a bar has only High (the highest price) and Low (the lowest price). | Bull Candlestick | Bear Candlestick
The price moves in one direction and returns, breaking through the open level. In this case the bar also has only High (the highest price) or only Low (the lowest price), but the Open and Close prices are not equal. | Bull Candlestick | Bear Candlestick
The price moves in one direction, but does not reach the Open price while returning back. | Bull Candlestick | Bear Candlestick
The price moves several points in one direction only. In this case the bar does not have High or Low. | Bull Candlestick | Bear Candlestick

Tick Generation for Bars with Three or More Ticks

Ticks are generated based on reference points. The number of such points cannot exceed the tick volume, and cannot be larger than 11 (the point of the Open price is not taken into account).

Reference points are divided into three parts: those for forming the opening shadow, the candlestick's range (between its High and Low) and the closing shadow.

Depending on the number of ticks, the following variants of distribution of reference points are possible:

Number of reference points | Opening shadow | Candlestick range | Closing shadow
11 | 3 | 5 | 3
10 | 2 | 6 | 2
9 | 2 | 5 | 2
8 | 2 | 4 | 2
7 | 2 | 3 | 2
6 | 1 | 4 | 1
5 | 1 | 3 | 1
4 | 1 | 2 | 1
3 | 1 | 1 | 1
  • If a candlestick does not have any of the shadows, the shadow points are included into the range of the candlestick.
  • The candlestick range is generated by an odd number of reference points. If the range has an even number of points, the excessive one is included into one of its shadows provided that the shadow already has 2 points. Otherwise the excessive point is omitted.

The Ideal Distribution (3-5-3)

Reference points are calculated as the number of points from the open price. The ideal distribution of points (3-5-3) is calculated as follows:

Bull Candlestick

Calculation of Points

Image
  • Open
  • 3/4*(O - L)
  • 1/2*(O - L)
  • Low
  • (H - L)/3
  • (H - L)*3 - 1
  • 2/3*(H - L)
  • 2/3*(H - L) - 1
  • High
  • 3/4*(H - C)
  • 1/2*(H - C)
  • Close

Bull Candlestick

Bear Candlestick

Calculation of Points

Image
  • Open
  • 3/4*(O - H)
  • 1/2*(O - H)
  • High
  • (L - H)/3
  • (L - H)/3 + 1
  • 2/3*(L - H)
  • 2/3(L - H) + 1
  • Low
  • 3/4*(L - C)
  • 1/2*(L - C)
  • Close

Bear Candlestick

Doji Candlesticks

If a candlestick is doji (Close = Open), previous candlesticks are analyzed. If the previous candlestick was rising, this one is considered falling, and vice versa.

Plotting a Shadow of Three Points

If a shadow is generate using three reference points, and integer values of 3/4 and 1/2 of the shadow size are equal (this happens when the difference between the Open and Low or Open and High is not more than 2 points, i.e. distances of price steps forward and backward are equal), then the shadow is generated as follows:

Bull Candlestick

Calculation of Points

Image
  • Open
  • Open - 1
  • Open
  • Low

Bull Candlestick

Bear Candlestick

Calculation of Points

Image
  • Open
  • Open + 1
  • Open
  • High

Bear Candlestick

A closing shadow is generated the same way.

Plotting a Shadow of Two Points

If a shadow is generated based on two points, the generation is performed as follows:

Bull Candlestick

Calculation of Points

Image
  • Open
  • Open + 1
  • Low

Bull Candlestick

Bear Candlestick

Calculation of Points

Image
  • Open
  • Open - 1
  • High

Bear Candlestick

A closing shadow is generated the same way.

Plotting a Candlestick Range

The candlestick range is generated by waves in cycles. If Prev = Low (previous price is the Low price), the following cycle is used:

  • N1 = Prev + Step
  • N2 = Prev + Step - 1
  • Prev = N2

If Prev = High (previous price is the High price), the following cycle is used:

  • N1 = Prev - Step
  • N2 = Prev - Step + 1
  • Prev = N2

Where:

N1 and N2 are reference points in one cycle;
Prev is the previous price;
Step is the step size. The step is calculated as follows: (H - L - 1)/(Number of cycles) + 1;
Number of cycles is calculated as (Number of reference points in a range + 1)/2.

Intermediate Ticks

Intermediate ticks between reference points are generated according to the following rules:

  • If the number of ticks is larger than the number of pips between the reference points, a "saw" is generated (initial value +/- 1).
  • If the number of pips between reference points is large enough, a linear sequence of ticks is generated.

Tick Generation Modes

Tick generation modes can be selected in the strategy tester settings window. The following options are available:

Every Tick

In this mode, all ticks are generated — OHLC and intermediate ticks. The procedure of such generation of ticks is described above.

1 Minute OHLC

In this mode only OHLC ticks of 1 minute bars are generated. If the tick volume of a candlestick is greater than 4, then only four prices (Open, High, Low and Close) are generated. If the tick volume is less than 4, then the above rules of candlestick formation are applied.

Selecting this mode does not mean that testing or optimization will be performed on the M1 timeframe. For example, if you select the H1 timeframe in the "OHLC of M1" mode, prices will be generated on each 1-minute bar for the Open, High, Low and Close values. In this case, the OnTick() event of the Expert Advisor is executed four times a minute — at opening, closing, high and low of a one-minute bar, although testing is performed on H1.

In fact, OHLC prices exist in history data. Thus, only the time of arrival of Open, High, Low and Close ticks is generated during testing, while the price values are taken from the history.

Open Prices Only

In this mode, OHLC prices of bars of the timeframe selected for testing are generated. The Expert Advisor function OnTick() is executed only at the beginning of the bar (at the Open price). Due to this feature, Stop Levels and pending orders may trigger at a price different from the specified one (especially when testing at higher timeframes). But this allows you to quickly run an evaluation test of an Expert Advisor.

The exceptions are periods W1 and MN1, for which bars are generated once a day instead of once a week or a month respectively.

There are some limitations on the "Open Prices Only" mode:

  • The Random Delay trading mode cannot be used;
  • The tested Expert Advisor cannot access data of a timeframe below the testing/optimization timeframe. For example, if your run testing/optimization on the H1 period, you can access data of H2, H3, H4 etc., but not M30, M20, M10 etc. In addition, the higher timeframes that are accessed must be multiple of the testing timeframe. For example, if you run testing on M20, you cannot access data of M30, but it is possible to access H1. These limitations are connected with the impossibility to obtain data of lower or non-multiple timeframes out of the bars generated during testing/optimization.
  • Limitations on accessing data of other timeframes also apply to other symbols whose data are used by the Expert Advisor. In this case the limitation for each symbol depends on the first timeframe accessed during testing/optimization. Suppose, during testing on EURUSD H1, an Expert Advisor accesses data of GBPUSD M20. In this case the Expert Advisor will be able to further use data of EURUSD H1, H2, etc., as well as GBPUSD M20, H1, H2 etc.

The mode of every tick generation is the most accurate, but the slowest one. For quick, but rough testing/optimization, use the "Open prices only" mode.

Mathematical Calculations

This mode allows you to use the Strategy Tester for mathematical computations. It does not require and therefore does not load historical data and information about symbols, and it does not generate ticks. In the tested Expert Advisors, only OnInit(), OnTester() and OnDeinit() are called sequentially.

In this mode, the Custom optimization criterion is used. All fields in the tester settings become inactive, except for the optimization mode and Expert Advisor selection.

Mathematical computations are useful for calculating an extremum of a mathematical function, whose value should be returned from OnTester(). Optimization is aimed at finding the highest value of the function. With a large number of combinations of input parameters of a mathematical function, it is recommended to use the "Genetic algorithm". This allows to significantly accelerate the search.


MetaTester and Remote Agents

Algorithmic Trading, Trading Robots / MetaTester and Remote Agents

MetaTester and Remote Agents

Expert Advisors are tested and optimized using the so called agents, which are separate services on a computer for performing calculations. The agents can be local and remote.

Local agents are created automatically on the computer where the trading platform is installed. The number of local agents is equal to the number of logical cores.

A remote agent is a specialized service installed on a computer and used for testing and optimizing Expert Advisors in the strategy tester. The unlimited number of such agents can be connected to a platform. Use of remote agents considerably speeds up optimization of strategies, because each run is performed as a separate process on a separate agent. The process of remote agent connection to a strategy tester is described in a separate section.

  • Remote agents can be connected to the global cloud computing network MQL5 Cloud Network.
  • Remote agents can only be used in 64-bit systems.

Remote agents are installed as separate services in the operating system using the special application "metatester.exe" located in the trading platform installation folder.

To save traffic and disk space, as well as for security reasons:

  • messages of Expert Advisors (Print() function), as well as messages about trade operations are not added to the Journal;
  • DLL call is prohibited on remote agents.

Files and Folders

To store the service information, MetaTester creates the "Tester" folder in the directory where the application is located. It contains the following folders and files:

Folders and Files | Description | Sub-folders | Description
Agent-IP-address-port | The folders are created for each agent of the tester. The folder name contains the IP address and port number the agent runs on. | logs | The agent operation logs are stored in this folder.
 |  | bases | History data used by the agent are stored in this folder.
Manager | This directory contains MetaTester component logs.

Log files of agents are automatically deleted two days or if their size exceeds 1 gigabyte.

Working with MetaTester

In order to share the calculation powers of your computer with a trading platform over a local network or Internet, install remote agents. Agents can be installed and managed using the special utility MetaTester. It is available in the default standard trading platform package. Run metatester.exe from the platform installation folder.

  • Testing agents can be installed on any computer separately from the trading platform. To do this, copy and run the metatester64.exe file on the required computer. Service files and folders are installed to the directory where the MetaTester application is located. The metatester64.exe file is both the installer and the executable file required for the operation of agents.
  • Agents can only be installed and used in 64-bit systems.

The window of the MetaTester application consists of several tabs:

  • Overview
  • Services
  • MQL5 Cloud Network
  • Scheduler

Overview

This tab displays helpful information about the use of agents. It also displays statistics on the number of tests performed using the agents and the time spent on them. The statistical data are available for two agent operation modes:

  • Local statistics
    In the local mode, agents are used as service installed in a computer. The specified address and password are used for connecting to them.
  • MQL5 Cloud Network statistics
    In this mode, the agents work within the special MQL5 Cloud Network.

Services

On this tab you can manage agents on your computer. To install testing agents specify the following:

  • Agents — number of agents you want to install. It is recommended to install as many agents as there are logical processor cores.
  • Password — password for connection to agents. The password must be specified when you add agents in the strategy tester.
  • TCP Ports — the range of ports (or one port to install one agent) the agents will work on. The port number must also be specified when connecting to agents from the strategy tester.

To install the agents click Add. Agents are installed at the IP address specified at the top of the tab. Use this address to connect to the agents.

To install and manage agents, a user needs administrator permissions on the system.

The list of installed agents is displayed at the bottom of the window:

  • Service — the name of the service, under which the agent is running in the operating system. The name is assigned automatically;
  • Port — the number of the port the agent is operating on;
  • Passes — number of testing passes performed by the agent;
  • Traffic In/Out — amount of incoming and outgoing traffic of the agent;
  • Cloud — network connection state. This option allows to ensure that agents can receive tasks from the cloud computing network.
  • State — the currents state of the agent: running or stopped.

Context menu

Installed agents can be managed using the context menu commands:

  • Start Start — start the selected agent;
  • Stop Stop — stop the selected agent process. The appropriate service in the system is also stopped, and connecting to the agent is impossible;
  • Restart Restart — stop and then restart a selected agent;
  • Refresh Refresh — refresh the list of installed agents;
  • Export Export — export agent settings to a *.mt5 file. These settings can be imported to the trading platform for connection to installed agents.
  • Delete Delete — delete the selected agent.

When you close the MetaTester window, running agents are not stopped. To stop an agent, execute the appropriate command in its context menu.

MQL5 Cloud Network

The MQL5 Cloud Network is a special system designed to integrate remote agents into a single cloud network. Its key advantages are:

  • The possibility to provide your own agents and use third-party computing power for free or on a commercial basis.
  • No need to set up network access for agents — MetaTester and MQL5 Cloud Network automatically organize access and distribute incoming tasks among agents.
  • Convenient control of agents from the MQL5.community user profile.

MQL5 Cloud Network

The tab contains an option for managing use in the distributed computing MQL5 Cloud Network: Sell computing resources via an MQL5.community account.

By enabling this option, a user consents to allow use of his or her remote agents via the MQL5 Cloud Network. Each agent service will be available in the network in accordance with a preset scale.

When connected to the MQL5 Cloud Network, the agent is still available for normal remote connections using IP address and password.

To provide the computing power of agents as a paid service, specify your MQL5.community account in the appropriate field. Fees for the use of your agents are transferred to the specified account via the internal MQL5.community payment system.

If you do not have an account, you may create one by clicking "Register a new MQL5.community account..."

  • Be careful when indicating your valid account, otherwise, in case of an error, the agent services will be provided to other users for free.
  • You can monitor the availability of your agents in the network and manage them on the "Agents" tab of your MQL5.community profile.

Scheduler

On this tab you can set a schedule for managing the availability of your remote agents in the MQL5 Cloud Network.

The hours when the agents are available are colored blue, the unavailable hours are light-colored. To switch between working and non-working hours click on the appropriate square. To mark all hours of a certain day, click on the asterisk at the end of a row.

This schedule does not influence the availability of agents for a normal remote connection using IP address and password.

Console Commands

To work with agents through the command line, use the console commands of the metatester.exe file:

  • /install /address:address:port /password:password — install an agent at the specified IP address and port with the specified password. For example, metatester.exe /install /address:192.168.0.1:1950 /password:gj1sfj;
  • /uninstall /address:address:port — delete the agent installed at the specified IP address and port;
  • /start /address:address:port — start the service of the agent installed at the specified IP address and port;
  • /stop /address:address:port — stop the service of the agent installed at the specified IP address and port;
  • /restart /address:address:port — restart the service of the agent installed at the specified IP address and port;
  • /help — open help of the console commands.

To delete an agent using the command line, you can also execute the following commands:

  • sc stop "agent name" (this action is required if the agent is running);
  • sc delete "agent name"

For example, to delete the already stopped agent "MetaTester-1", you should execute the following command:

sc delete "MetaTester-1".


Global Variables

Algorithmic Trading, Trading Robots / Global Variables

Global Variables

Global variables are used for quick transfer of small amounts of data between Expert Advisors, as well as for providing conflict-free simultaneous operation of several Expert Advisors in the platform. Features of global variables:

  • they exist independently from Expert Advisors as distinct from variables declared (including those declared on the global level) in their source texts;
  • they are saved between platform starts;
  • any floating point number can serve as a global variable;
  • they are available within four weeks since their last call from Expert Advisor or modification.

To manage platform global variables click on " Global Variables Global Variables" in the Tools menu or press F3.

This tab contains the following information:

  • Variable — the name of the global variable;
  • Value — the value of the global variable. Any floating point number can be used as a global variable value;
  • Time — date and time of the last modification or call of the global variable.

To add a new variable, click Add in the right pane. A new row is added to the table, where you can specify the name of the variable and its value. To edit created global variables, double click on the appropriate cell. The time of the last call is automatically updated for such a variable. To delete a variable, select it and click "Delete".


Trading Signals and Copy Trading

Signals

"Signals" is a convenient service for automatic copying of trading operations of professional traders directly to your account. All accounts registered in the service are provided with a detailed statistics and full trading history. Also, any user can become a provider and sell their own trading signals.

Working with the Signals service has a great number of advantages:

  • No need to conclude an agreement between a provider and an investor.
  • Copying of trading operations is fully automated. Your participation is not required.
  • A Signal Provider and a Subscriber may have accounts with different brokerage companies.
  • Ultrafast data exchange protocols greatly reduce orders execution delays on a Subscriber's account.
  • Data transmission is absolutely secure.
  • Fixed subscription price, no additional commissions for subscription.

To use the Signals service, you need a valid MQL5.community account, specify it in the platform settings. If you do not have an account yet, please register.

To ensure the 24/7 copying of trades, you can easily rent a virtual server straight from the trading platform.

A Showcase of Trading Signals

How to choose a trading signal and subscribe to it for a couple of clicks? It is easy! Watch the video and you will know everything about trading signals.

The Main Parameters of Trading Signals

For your convenience, the most valuable parameters of trading signals are placed in a separate block. From this video you will find out where to find them and what to pay attention to.

Trade Statistics, Growth, Equity & Balance

Trade statistics provide detailed information on a signal to help you to make a wise decision. Growth, equity & balance graphs allow you to visually evaluate a successful provider.

Risks, Distribution, News and Reviews of Trading Signals

How risky does your provider trade and what do other subscribers think of that? Watch this video to find out the answer.

Visualizing a Signal on a Chart

The effectiveness of the entry points and the unrealized profit can be easily assessed with the visualized chart of provider's deals.

Subscribing to a Trading Signal

From the video, you will learn how to subscribe to a signal and what parameters to specify. Find out, whether you need to copy the stop levels, what part of your deposit will take part in copying and what slippage to choose.

The Report on Copied Trades

Detailed information on complete and active subscriptions will help you to estimate the effectiveness of every single provider. These reports show the profit gained from money spent for subscription.


How to Choose a Signal

Trading Signals and Copy Trading / How to Choose a Signal

How to Choose a Signal

Every signal is provided with a detailed performance report: growth, balance and equity charts, multiple statistical values, full trading history and more.

Watch video: Trading signals showcase

Watch video: Trading signals showcase

How to choose a trading signal and subscribe to it for a couple of clicks? It is easy! Watch the video to find out everything about trading signals.

The showcase features the main parameters of the signals:

Showcase of signals

Growth graph

This graph helps to visually determine how successful the trading signal is.

Signal/Equity

Click on the title to switch between signal sorting by name and by equity.

Growth

Deposit growth in percentage value calculated on the basis of trade history without considering deposits and withdrawals. Growth is one of the main characteristics, based on which you can assess a trading signal.

Weeks

Number of weeks that have passed since the first trade performed on the trading account (the entire account lifetime is taken into account, not just the period since its registration as a signal). The older the signal, the more trading information is available. Do not subscribe to very young signals.

Maximum drawdown

The largest balance drop from the local maximum in percentage value. The lower the value, the less risky the signal trading.

Profit Factor

Ratio between gross profit and gross loss. One means that these parameters are equal. The higher the value, the higher the profits in relation to losses.

Price

Signal price in USD. A button here allows to edit a signal to favorites. If you like a signal, add it to Favorites to easily get back to it at any time.

  • When connecting to a real account, only signals based on real accounts are displayed in the list.
  • Only the first one thousand of signals sorted by rating are featured on the platform Showcase. Other signals can be found via MQL5.community website or using search.

The list can be sorted by any of the above parameters. The first mouse click on the column name sorts the signals by the first parameter, while the second click — by the second parameter. To reset the sorting, click on the upper line of the growth graph column.

Watch video: Detailed statistics of a trading signal

Watch video: Detailed statistics of a trading signal

For your convenience, the most valuable parameters of trading signals are placed in a separate block. From this video you will find out where to find them and what to pay attention to.

To view the detailed information about the signal, click on it.

The main signal characteristics

  • Growth — deposit growth in percentage value calculated on the basis of trade history without considering deposits and withdrawals.
  • Initial Deposit — amount of money deposited to the account when opening it.
  • Deposits — funds deposited on the account during its life time. This parameter should always be considered when evaluating the signal's profitability. The balance curve may be supported by regularly deposited funds.
  • Withdrawals — funds withdrawn from the account during its life time.
  • Balance — money on the account, not accounting the floating profit of currently open orders.
  • Equity — deposit funds accounting for the results of the currently open positions (floating profit/loss).
  • Profit — profit/loss gained during the life time of the account.
  • Subscribers — current amount of the signal subscribers.
  • Max drawdown — maximal balance drop relative to the local maximum in deposit currency.
  • Weeks — number of weeks that have passed since the first trade on the trading account was performed (the entire account lifetime instead of the period since its registration as a signal is considered).

Trading details

  • Latest trade — amount of time passed since the last trade operation on the account of the signal provider.
  • Trades per week — average number of trades per week.
  • Avg holding time — average time of holding an open position.

Provider's account details

  • Broker — the name of the broker server the account is registered on.
  • Leverage — leverage value.
  • Trading mode — demo or real. Please note that demo accounts allow traders to afford the risks that may be unacceptable for real accounts.
  • Expected slippage — slippage based on statistics concerning copying of trades between subscriber's and provider's servers. This parameter is available only in the trading platform.

Provider details

  • Author — the name (MQL5.community account) of the author. Clicking on it to move to the provider's MQL5.community profile.
  • Details — view the signal information on MQL5.community.

Add to Favorites

If you like a signal, add it to Favorites to easily get back to it at any time.

Visualize on Chart

View the signal trading history on the charts in the trading platform. If your click it, all the charts of symbols traded on the signal account will be opened. All deals performed on the signal account are displayed on the chart as icons.

Proceed to signal subscription.

Graphical data of a signal

Tabs contain signal operation charts and diagrams: growth, equity and balance charts, distribution of trades by instruments and risk details, as well as other subscribers' reviews.

How to view the signal trading history on a chart

To visually evaluate the effectiveness of how the provider enters and exits the market, you can display all of the trades on charts in the trading platform.

Watch video: Visualize a signal on a chart

Watch video: Visualize a signal on a chart

The effectiveness of entry points and the unrealized profit can be easily assessed with the visualized chart of provider's deals.

Click on Visualize. All the charts of symbols traded on the signal account are opened. The icons Buy and Sell on these charts show all trades performed on the signal account.

View the signal trading history on a chart

Growth, Equity and Balance Graphs

Watch video: Trade statistics, growth, equity & balance graphs

Watch video: Trade statistics, growth, equity & balance graphs

Trade statistics provide detailed information about a signal, to help you make a wise decision. Growth, equity & balance graphs allow you to visually evaluate a successful provider.

These charts mainly show the profitability of the signal.

Growth, Equity and Balance Graphs

  • Growth — shows the growth of balance on the signal provider's account in percentage terms.
  • Equity — the chart shows both the equity curve and the balance curve. You should pay attention to the strong fall of equity relative to the balance. This indicates that the provider outstays the losses, which means an additional risk for the subscribers. Triangles Withdrawal and Deposit on the horizontal axes of the graph mark balance operations on the account — withdrawal and deposit. If you point the mouse cursor over it, the operation amount is displayed.
  • Balance — shows the growth of balance on the signal provider's account in money terms.

Evaluating the Riskiness of the Signal

Watch video: Risks, distribution, news and reviews of trading signals

Watch video: Risks, distribution, news and reviews of trading signals

How risky does your provider trade and what do other subscribers think of that? Watch this video to find the answers to these questions.

The Risks section displays MFE and MAE distribution point graphs.

Maximum profit (MFE) and maximum loss (MAE) values are recorded for each open order during its lifetime. These parameters additionally characterize each closed order using the values of the maximum unrealized potential and maximum permitted risk. MFE/Profit and MAE/Profit distribution graphs display each order as a point with received profit/loss value plotted along the X-axis, while maximum displayed values of potential profit (MFE) and potential loss (MAE) are plotted along the Y-axis.

If you place cursor over a position point on a graph, the same position point will be highlighted on the other graph. Thus you can analyze both potential profit and loss of every position.

The following statistical rates are displayed below the graphs:

  • Best trade — trade having the highest profit among all profitable ones;
  • Worst trade— trade having the worst loss among all loss-making ones;
  • Max. consecutive wins — the amount of trades in the longest profitable sequence and its total profit;
  • Max. consecutive losses — the amount of trades in the longest losing sequence and its total loss;
  • Max. consecutive profit — the largest profit in a continuous profitable sequence and the amount of appropriate profitable trades;
  • Max. consecutive loss — the largest loss in a continuous losing sequence and the amount of the appropriate losing trades.

If you place cursor over a rate, the corresponding trades will be highlighted on the graphs.

  • MAE and MFE charts are only available on MQL5.community. The trading platform only contains risk statistics.
  • Find out more about MAE and MFE distributions in the article Mathematics in Trading. How to Estimate Trade Results.

Financial Instruments and Trading Direction in a Signal

The "Distribution" tab shows the number of trade operations displayed by symbols. It also contains the distribution of trades based on direction (Buy and Sell):

Distribution of trade operations by symbols and by type

Slippage during copy trading

The Slippage tab displays average slippage when executing trade operations on the servers of various brokers.

The average slippage is calculated based on statistics of trading signals execution at different brokers. Statistics is gathered for all signals at the provider's server. The difference between the order price placed by the signal provider and the order execution price at the subscriber's server is defined. The average value is calculated based on these data.

Number of slippage points is displayed according to the price accuracy (number of decimal places) at the signal provider's side.

Slippage can be caused by differences in quotes on the servers or trade execution delays. The lower the slippage, the higher the accuracy of the signal copying.

User Reviews about the Signal

On the "Reviews" tabs, MQL5.community members can express their opinion on the signal. Before you subscribe to a signal, check out the comments of other subscribers.

Signal News

Using tab "News", the signal provider can inform subscribers about any changes in the signal operations as well as provide any other useful information. If no news is published, this tab is not displayed.

Trading and Statistics

Detailed account trading statistics, as well as currently open positions and the history of trades are displayed below the chart.

Signal trading statistics

Trade Statistics

  • Total Trades — the total number of trades (deals that lock profit or loss).
  • Profit Trades — number of profitable trades and their share in the total number of trades in percentage value.
  • Loss Trades — number of losing trades and their share in the total number of trades in percentage value.
  • Best trade — trade having the highest profit among all profitable ones.
  • Worst trade — trade having the worst loss among all loss-making ones.
  • Gross Profit — sum of all profitable trades in monetary units.
  • Gross Loss — sum of all loss-making trades in monetary units.
  • Max consecutive wins — the amount of trades in the longest profitable sequence and its total profit.
  • Max consecutive profit — the largest profit in a continuous profitable sequence and the amount of appropriate profitable trades.
  • Sharpe Ratio — this parameter shows strategy efficiency and reliability. It reflects the ratio of the arithmetical mean profit for the position holding time to the standard deviation from it. The risk-free rate, which is the profit gained from the appropriate bank deposit funds is also taken into account here.

Trade Statistics

  • Recovery Factor — this parameter displays the risk level of the strategy (the funds that are put to risk to earn the obtained profit). It is calculated as the ratio of gained profit to the maximum drawdown.
  • Long Trades — number of trades fixing profit from long deals and amount of profitable long trades in percentage value.
  • Short Trades — number of trades fixing profit from short deals and amount of profitable short trades in percentage value.
  • Average Profit — average profit for all profitable trades.
  • Average Loss — average loss for all loss-making trades.
  • Profit Factor — ratio between gross profit and gross loss. One means that these parameters are equal.
  • Expected Payoff is a statistically calculated parameter displaying average profitability/unprofitableness of one trade. Also, it is considered to display the expected return of the next trade.
  • Max consecutive losses — the amount of trades in the longest losing sequence and its total loss.
  • Max consecutive loss — the largest loss in a continuous losing sequence and the amount of the appropriate losing trades.
  • Monthly growth — average deposit growth for a month in percentage values. Calculated as the total growth divided by the number of months traded.
  • Annual Forecast — deposit growth forecast for a year according to the monitoring period results.

Open Positions

  • Symbol — the financial instrument of the open position.
  • Time — position opening time. The record is represented as YYYY.MM.DD HH:MM (year.month.day hour:minute).
  • Type — position type: "Buy" — long, "Sell" — short.
  • Volume — trade operation volume (in lots). The minimum volume and its change step are limited by a brokerage company, the maximum amount — by the deposit size.
  • Price — the price of a deal, as a result of which the position was opened. If the opened position is a result of execution of several deals, then this field displays their weighted average price: (price of deal 1 * volume of deal 1 + ... + price of deal N * volume of deal N) / (volume of deal 1 + ... + volume of deal N). The accuracy of rounding of the weighted average price is equal to the number of decimal places in the symbol price plus three additional characters.
  • S/L — the Stop Loss level of the current position. If this order has not been placed, a zero value is displayed in this field.
  • T/P — the Take Profit level of the current position. If this order has not been placed, a zero value is displayed in this field.
  • Price — the current price of the financial symbol. Bid price is displayed for short positions, while Ask price is used for long ones. The price of the last performed deal (Last) is displayed for the positions of exchange symbols (both directions).
  • Swap — amount of swaps charged.
  • Profit — the financial result of the trade taking into account the current price is written in this field. The positive result tells that the trade is profitable, negative shows that it's losing.

Pending Orders

  • Symbol — the financial instrument of the pending order.
  • Time — pending order placing time. The record is represented as YYYY.MM.DD HH:MM (year.month.day hour:minute).
  • Type — pending order type: "Sell Stop", "Sell Limit", "Buy Stop", "Buy Limit", "Buy Stop Limit" or "Sell Stop Limit".
  • Volume — volume requested in the pending order, and volume covered by the deal (in lots).
  • Price — price reaching which the pending order will trigger.
  • S/L — the level of the Stop Loss order. If this order has not been placed, a zero value is displayed in this field.
  • T/P — the level of the Take Profit order. If this order has not been placed, a zero value is displayed in this field.
  • Price — the current price of the financial symbol. Bid price is displayed for short orders, while Ask price is used for long ones. The price of the last performed deal (Last) is displayed for the orders involving exchange symbols (both directions).

The history of trades on the signal

  • Time — the time of a trade. The record is represented as YYYY.MM.DD HH:MM (year.month.day hour:minute).
  • Symbol — a financial instrument of the deal.
  • Type — trading operation type: "Buy" — a buy deal, "Sell" — a sell deal. It is possible that previously performed deal can be canceled. In this case, the type of the previously performed deal is changed to Canceled buy or Canceled sell, and its profit/loss is reset to zero. Previously gained profit/loss is deposited/withdrawn from an account in a separate balance operation.
  • Direction — direction of the deal relative to the current position of a particular symbol: "in", "out" or "in/out".
  • Volume — the volume of an executed deal (in lots).
  • Price — price the deal was executed at.
  • Swap — amount of swaps charged.
  • Profit — the financial result of the position exiting. For entry trades the zero profit is shown.

How to Add a Signal to Favorites

A huge number of signals are available for subscription. When searching for signals, you can add any of them to Favorites in order to select the best one. Add/remove a signal from Favorites by clicking Add to Favorites button available in the signals list and a signal page.

All Favorite signals are displayed in a separate tab:


How to Subscribe to a Signal

Trading Signals and Copy Trading / How to Subscribe to a Signal

How to Subscribe to a Signal

If you want to copy trading operations performed by a provider, you should subscribe to a signal. A weekly or monthly fee may be charged for the subscription.

A valid MQL5.community account is required for a signal subscription. Specify the account details in the platform settings, tab Community. If you do not have an account yet, please register.

  • Make sure to read the rules before using the Signals service.
  • To copy signals, the trading platform must be always connected to the server using the account which is subscribed for the signals. The platform receives signals about trades performed on the Provider's account and automatically copies the deals to the subscriber account only if the platform is connected to the server.

How to Subscribe to a Signal

Watch video: Subscribe to a trading signal

Watch video: Subscribe to a trading signal

From the video, you will learn how to subscribe to a signal and what parameters to specify. Find out, whether you need to copy the stop levels, what part of your deposit will take part in copying and what slippage to choose.

You can subscribe to a selected signal directly from the list or from the signal details page.

Subscription to Signal

The details of the signal you are about to subscribe to are displayed in a separate window. Please carefully check them.

Basic signal data are displayed here:

  • Signal — signal's name. When clicking on a name, you will move to a signal's description on MQL5.community.
  • Author — signal provider's name. When clicking on it, you will move to the provider's MQL5.community profile.
  • Broker — name of a broker server used by the provider.
  • Growth — deposit growth on the provider's account from the moment of signal registration. The value is specified in percentage from the initial value.
  • Date — subscription start and end date.

To transfer a payment, you can use your MQL5.community account funds. To do this, select MQL5 payment method.

Paying online via the MQL5.community account

Enter the password of your MQL5.community account to confirm your purchase. The specified amount is deducted from your account, and you can proceed to configure copying of trades. A successful subscription message, as well as subscription details and useful information are shown on the signal page.

Successful signal subscription

If you do not have enough money on your MQL5.community account for subscribing to a signal, you may pay for it via one of the available payment systems directly from the platform. To maintain a clear and unified history of subscriptions, the required amount is first transferred to your MQL5.community account, from which a payment for the subscription is made.

The page of the corresponding payment system is opened after you select a payment method. Specify the necessary payment data: your login and password in the payment system or card information.

Paying for the subscription by a credit card

  • By subscribing to a signal you confirm that you agree with the Signals service rules.
  • To copy trade operations to an account, you need to be always connected (authorized) in the trading platform using that account.
  • A real account cannot be subscribed to a signal based on a demo account.

Mismatched trading conditions

Before subscribing to a signal the system checks some trading conditions on the accounts of the subscriber and provider:

  • The minimal and maximal allowed volume for symbols — in case these settings do not match, there can be serious difference of the volume of the provider's trade operations and the volume of operations copied to the subscriber's account.
  • Availability of symbols used by the provider on the subscriber's account — in case at least one symbol used by the provider is not available on the subscriber's account, copying of signals will be impossible.

If a mismatch is detected, the corresponding warning is displayed in the subscription window. It is recommended to subscribe to the signals with matching trading conditions.

  • Trading operations are not copied to your account until you activate "Enable realtime signal subscription" option in your trading platform.
  • It is recommended to use signals with similar trading conditions. Otherwise you may waste your money due to impossibility of trade signals copying.

After subscribing, move to the trading platform setting.

How to Configure the Trading Platform to Use Signals

To configure the use of signals in the trading platform, open the settings window and move to the Signals tab.

Configure the following parameters:

  • Agree to the terms of use of the Signals service — to start using the Signals service, agree to its rules of use. Read the rules carefully. If you agree, check the box next to the option. If you do not agree with the rules, do not use the Signals service.
  • Enable realtime signal subscription — trading operations will be copied to your account only after this option is enabled. No operations will be copied to the account in case the option is disabled. The settings below will become editable only after enabling this option.
  • Copy Stop Loss and Take Profit levels — Stop Loss and Take Profit placed at the provider's account will be also placed on your trading account if this option is enabled. These orders are executed at the broker's side. It means that they are executed regardless of whether the platform is running or not. Also, different brokers can provide different execution conditions (if subscriber and provider have different brokers).
    Therefore, copying of stop orders guarantees that a position will be closed upon reaching the specified profit and loss levels.
  • Synchronize positions without confirmations — automatic synchronization without additional confirmation. When subscribing to a signal, trading states of the Subscriber's and Provider's accounts are synchronized. This can be a primary synchronization when activating the subscription or a re-synchronization during copying.
    If pending orders or non-signal positions (opened manually or by an Expert Advisor) are detected at the Subscriber's account during synchronization, the dialog offering to close the positions and remove the orders is displayed. If during the initial synchronization, a provider account has floating (unfixed) profit, a user will see a dialog window offering to wait for better conditions to start copying. In both cases, synchronization is not performed and copying of signals is stopped until the user makes the decision by clicking the appropriate dialog button.
    If the platform is working around the clock without constant external control (for example, runs on VPS), confirmation requests to perform synchronization are left unanswered and thus can prevent signals from being copied. When this option is enabled, synchronization is always performed automatically without the need for Subscriber's confirmation.
  • If there are custom positions/orders, they are left on the account, while the system starts/proceeds copying the Provider's trades.
  • If the Provider has a floating profit, the platform does not wait for better entry conditions and starts copying immediately.
  • Use no more than [A] % — percentage value of your deposit that can be used for following provider's signals. For example, if your balance is 10,000 USD and 90% is specified here, then 9,000 USD will be used for following the signals. This affects the calculation of volumes of the deals performed when following the signals. The volume is calculated proportionally. See "Signal Subscribers" section for more information. It is strongly not recommended to change the deposit load if you already have positions opened according to a signal. This will lead to correction of volume of the open positions (volume increase or partial close at the current market price).
  • Stop if equity is less than [B] — this parameter allows you to limit losses when using trading signals. If equity drops below a specified level, copying of trade signals is automatically terminated, all positions are closed. 0 means no limitations.
  • Deviation/Slippage [C] spreads — this setting is similar to deviation set when orders are placed from the platform. This is the value of the permissible deviation of the executed order price from the price initially requested by the platform when copying a trading operation. This value is displayed as a part of the current spread on the symbol used in trading operation.
    The order is executed if the deviation is less or equal to the specified parameter. If the deviation exceeds the specified value, the platform increases the acceptable deviation by 0.5. If the requote is received again, the accounts of the subscriber and provider become unsynchronized. Later the platform will retry to synchronize them.

Once all the parameters are set and subscription is allowed, your trading account starts synchronization with the Provider's one.

Initial synchronization of Provider's and Subscriber's accounts

Synchronization is necessary to copy trades from a provider's account to a subscriber's one. The initial synchronization is the one performed when a subscriber's account has no signal-based open positions, for example, when activating a subscription.

A number of requirements should be met to carry out synchronization:

  • Subscriber should not have open positions and active pending orders;
  • total floating profit of all Provider's positions should be negative. This allows a Subscriber to enter the market at a price that is not worse than the Provider's one.

If at least one of these conditions is not met, the appropriate warning is displayed during synchronization attempt. Synchronization is not continued till the user makes the decision.

Enable Synchronize positions without confirmations option in the platform settings in order not to receive warnings and synchronize automatically.

Subscriber's account is not ready for synchronization

Carefully read the recommendations described in the dialog windows.

  • If you want to automatically close all the open positions by the current market price and delete the pending orders, check "I am aware of the risk and I agree to synchronize positions and orders immediately". Then click the "Close positions and synchronize now" button. If you do not want the program to close the positions and delete the pending orders, click "I will check manually" or close the window.
  • If you want to synchronize your account with the provider despite the positive floating profit, check "I am aware of the risk and I agree to synchronize trade positions immediately". If you want to postpone the synchronization and wait until the floating profit of the provider becomes negative, click "Wait for better market conditions". Until the floating profit of the provider becomes negative the platform will not synchronize the accounts and will not start copying trade operations.

It is strongly recommended NOT to perform trades manually or via MQL5 programs while being subscribed to a signal. Unrelated trades increase the overall load on the trading account as compared with the signal provider.

Synchronization during copying

After successful synchronization of positions, the platform can perform a re-synchronization. It is performed in case of network issues during copying to make sure that no trades from the Provider are missed.

If it turns out that some Provider's trades are absent on the Subscriber's account, the system copies them. Unlike the initial synchronization, the total floating profit of the Provider is not checked here. If the Subscriber started copying, they should follow the Provider's trading strategy to the maximum possible extent. It is impossible to copy some positions, while ignoring others.

In addition to the network issues, the reason for the absence of certain positions on the Subscriber's account may be activation of stop levels or closing positions manually:

  • If the "Copy Stop Loss and Take Profit levels" option is enabled, the Subscriber copies Provider's operations together with stop levels. Different brokers may have different price flows, therefore stop levels on the Subscriber's account may be triggered earlier than on the Provider's one. If during re-synchronization, it turns out that a certain position on the Subscriber's account is already closed, while it is still open on the Provider's one, the service copies it again. To reduce the likelihood of such situations, it is recommended to use the account on the same server (broker) as the Provider's one for copying.
  • If the Subscriber closes a copied position manually, it is opened again during re-synchronization. We strongly advise you against interfering with copying.
  • Re-synchronization is performed in regular situations as well: after re-starting the terminal, re-connecting to the trading account, depositing funds to the account, etc.
  • If the system detects positions not based on signals on the Subscriber's account, it offers to close them or skips such positions depending on the "Synchronize positions without confirmations" setting.

Copying Trading Operations and Volume Calculation

After Subscriber's and Provider's accounts are successfully synchronized, copying of trading operations will start. This is done automatically.

Pending orders placed on Provider's account are not copied to Subscriber's account. Trade operations are copied when pending orders trigger: when a Buy Limit or Buy Stop order triggers, a buy signal is copied; when a Sell Limit or Sell Stop order triggers, a sell signal is copied.

  • Manual trading operations (as well as using Expert Advisors) are not recommended after Subscriber's account starts copying Provider's trading operations. Unrelated trades increase the overall load on the trading account as compared with the signal provider.
  • It is strongly not recommended to change the deposit load if you already have positions opened according to a signal. This will lead to correction of volume of the open positions (volume increase or partial close at the current market price).

The volume of trading operations performed on the Subscriber's account is based on the Subscriber's and Provider's available funds. The calculation is performed in several stages.

The volume is multiplied by the ratio of Subscriber's and Provider's balances considering deposit currency and allowable deposit load specified in the platform settings.

Assume that the Subscriber's balance comprises 8,000 EUR, the allowable load is - 50% and the Provider's balance is 10,000 USD. The current EURUSD rate is 1.20000. If the Provider performs a deal with the volume of 1 lot, the same deal is performed on the Subscriber's account with the volume of 0.48 lots. Subscriber's balance comprises 4,000 EUR or 4,800 USD considering allowable load. Therefore, the volume ration will comprise 4,800 / 10,000 = 0.48.

After the balances have been considered, Subscriber's and Provider's leverages are also taken into account. If Subscriber's leverage exceeds the one of the Signal Provider, it does not affect a volume of a copied deal. Otherwise, the deal volume is changed in direct ratio to the correlation of a Signal Provider's leverage with a Subscriber's one.

For example, if a Signal Provider having a leverage of 1:100 opens a deal of 1 lot, a Subscriber having a leverage of 1:500 will open a deal of 1 lot in case of 100% copying and a deposit matching by size and currency. A subscriber having a leverage of 1:10 will open a deal of 0.1 lots in similar conditions.

Volume calculations are displayed in the "Journal" tab of the platform. The sample entry is shown below:

percentage for volume conversion selected according to the ratio of balances and leverages, new value 24%
Signal signal provider has balance 10 000.00 USD, leverage 1:200; subscriber has balance 8 000.00 USD, leverage 1:100
Signal money management: use 50% of deposit, equity limit: 0.00 EUR, deviation/slippage: 0.5 spreads

Balance Operations on the Subscriber's Account during Copying

The total amount of subscriber's funds is changed after a balance/credit operation is performed. If the percentage value of signals copying has decreased by more 1% afterwards (the volume of copied trades is calculated considering the ratio of the subscriber's and provider's balance), the subscriber's account is forcedly synchronized with the provider's one. This is done to correct the subscriber's current positions according to the new copying percentage value.

If the subscriber's funds have increased due to the balance or credit operation, no forced synchronization is performed.

Requoting

The platform may receive a requote when copying a trade operation of a provider (the server returns new prices as a response to a trade request at the specified price).

If the deviation of the new price exceeds the "Deviation/Slippage [C] spread" value specified in the settings, the platform increases the acceptable deviation by 0.5 of the spread and makes another attempt to perform the trade operation. If the requote is received again, the accounts of the subscriber and provider become unsynchronized. Later the platform will retry to synchronize them.

Subscriptions Displayed in the Platform

For convenience, trading accounts subscribed to a signal are marked with a special icon in the Navigator window:

When you point the mouse cursor over the name, the subscription's expiration date is displayed. The context menu contains commands for viewing the signal and unsubscribing from it. The latter one is displayed only if the appropriate trading account is currently active in the platform.

If the current trade account is subscribed to a signal, the corresponding icon is also displayed in the account state bar on the Trade tab:

Subscription to Signal

Signal Copying Report

Statistics on signal copying is displayed in "My Statistics" tab. It contains data on all signals the current trading account has ever been subscribed to.

Watch video: The report on the copied trades

Watch video: The report on the copied trades

Detailed information on complete and active subscriptions will help you to estimate the effectiveness of every single provider. These reports will show you the profit gained from money spent for subscription.

All values in the list are only based on the trades copied to the trading account in accordance with the signal:

  • Growth graph.
  • Signal — signal name.
  • Growth — deposit growth in percentage value calculated on the basis of trade history without considering deposits and withdrawals;
  • Weeks — number of weeks, during which the signal was copied;
  • Max DD — maximum balance drop from the local maximum in percentage value;
  • PF — profit factor, ratio between gross profit and gross loss. One means that these parameters are equal.
  • End date — signal subscription end date.

The list can be sorted by any of the above parameters. The first mouse click on the column name sorts the signals by the first parameter, while the second click — by the second parameter. To reset the sorting, click the upper line of the growth graph column.

Renew Subscription

If a subscription expiration time approaches, and you want to continue using it, you should prolong it.

To manage subscription in the trading platform, open a page of any signal. "You already subscribed to [signal name]" message is displayed in the upper panel. The signal name is a link leading you to the signal's page.

Renew the subscription, click the button "Renew subscription". After that, the following window will appear:

Check the correctness of the data. If you agree with the subscription terms, pay for the subscription renewal just like you purchase a new subscription. If you subscribe to a free signal, specify your MQL5 account password.

  • Using the trading platform, you can renew a subscription for one month from the end of the current subscription. If you want to renew the subscription for one week, use the MQL5.community website interface as described above.
  • A subscription can be renewed for not more than 3 months.

Unsubscribing

If you do not want to copy signals according to a subscription, it can be canceled.

When you cancel a subscription, the payment amount locked for it on your MQL5.community account is irrevocably transferred to the signal provider. If you have problems receiving signals, do not cancel the subscription and contact Service Desk through your MQL5.community profile.

To manage subscription in the trading platform, open a page of any signal. "You already subscribed to [signal name]" message is displayed in the upper panel. The signal name is a link leading you to the signal's page.

If you want to suspend copying trades, do not unsubscribe from the signal. Instead, suspend the subscription by disabling the option "Enable realtime signal subscription" in the platform settings. Later you can resume the subscription by enabling this option.

To unsubscribe from the signal, click the button "Unsubscribe". After that, the window opens where you need to confirm the cancellation of the subscription:

When you cancel a subscription, the payment amount locked for it on your MQL5.community account is irrevocably transferred to the signal provider. If you experience problems receiving signals, do not cancel the subscription and contact Service Desk through your MQL5.community profile.


How to Become a Signal Provider

Trading Signals and Copy Trading / How to Become a Signal Provider

How to Become a Signal Provider

Signal Provider is a trader who grants access to the data on his or her trading operations allowing other traders to copy them on their own trading accounts. Signals can be provided either for free or on a commercial basis.

To become a Signal Provider, you need an active MQL5.community account. If you do not have an account yet, please register.

Make sure to read the rules before using the Signals service.

Registration as a Seller

To be able to register your trading account as a provider of paid signals, you should register as a seller.

The seller status is required only for providing paid signals. If you are going to provide signals for free, you can skip this step.

Move to the "Seller" section of your profile at MQL5.community.

Start registration as a Signals Provider

Click "Register". Registration form will appear:

Specify your personal data in the form as accurately as possible:

  • First name — your real first name.
  • Last name — your real last name.
  • Company — if you want to register as a company (a legal body), enable "register as company" option and specify the company name. If you register as a company, all further data should belong to the specified company.
  • Country — country of residence.
  • Address — full address including street name, house or apartment number.
  • City/Town — city/town of residence.
  • State — state name.
  • Postal code
  • Phone — phone number.
  • Mobile phone — mobile phone number, so that we can contact you.
  • For private individuals — if you register as a private individual, upload a scanned copy of your personal identity document (for example, passport or driving license).
  • For legal entities — if you register as a legal entity, additionally upload a scanned copy of your certificate of incorporation.

After filling out all the data, examine the Rules of using the Signals and Market service. If you agree with the Rules, tick the option "I agree with rules of the Market and Signals services". If you do not agree with the Rules, do not register as a Signals Provider.

Click "Register" to complete the registration process. After that, your application will be sent to the website administration. Decision will be made within a few working days.

You can track your registration status on "Seller" tab of your MQL5.community profile.

The application is being processed

You will know the result (approval or refusal) on this page. You will also be notified by a personal message.

If you have any questions, write a message for the administration on "Comments" tab.

Adding a Signal

Once you register as a Signal Provider, button "Register" is replaced with "Add signal".

Adding a Signal

After clicking it, you will move to the account registration form where you should specify the account that will be used for sending trading signals.

To quickly create a signal, select a required account in the Navigator window of the platform and click " Register as Signal Register as a signal" in its context menu. Then you will go the signal registration page at MQL5.community. The selected account and the right broker server will be automatically specified in the registration form.
Creating a trading signal

Monitoring is enabled, real-time gathering of data — trading data will not be updated in the signal until you enable this option.

This is my personal signal, not available to public. I can open/close public access to it anytime — if enabled, the signal is visible only to you. The signal is not available for subscription.

Trading signal name.

In this field, select the fifth version of the trading platform.

The account number, from which trading signals will be provided.

Enter an investor password here. This password provides access to the account in read-only mode without the possibility to perform trading operations. Master password is not specified and the Provider's account remains protected.

Specify here the name of the broker server. When you start typing the first characters, the list of possible names will be shown to you. Please ensure server name is exactly the same you have in the platform settings.

Specify the type of the account that you register: demo or real.

If the signal is based on a real account, specify the subscription price in this field. The price is specified in USD per month. Signals based on demo accounts are always free.

You can receive notifications on various changes on MQL5.community website (new personal messages, correspondence with the moderator in seller's profile or Articles section, etc.) via your mobile phone. Notifications coming to your mobile number can be replaced with more up-to-date and reliable Push notifications.

Click "Add" after specifying all the parameters.

  • Account type — demo or real — determined automatically. The created signal is automatically added to the appropriate category.
  • An account with a leverage exceeding 1:500 will not be available for subscription. This limitation is implemented to protect subscribers from signals produced on accounts with too risky trading process.
  • Signals based on real accounts are always provided for a fee, while signals based on demo ones are always free.
  • A provider does not need to stay always connected in the trading platform with the account used for providing signals. Trade operations are read by the signal server using the investor password provided during the registration and then delivered to subscribers.
  • Specify your unique MetaQuotes ID (that can be found in the mobile trading platforms for iPhone and Android) and receive instant and free notifications on all important MQL5.community events.

Managing Signals

Move to "My Signals" section to manage your signals. Basic information about your signal is displayed here. Signals can also be viewed by categories by clicking the appropriate tabs:

Trading signal name.

Growth of the signal provider's balance as a percentage.

The number of current signal subscribers.

The number of weeks that have passed since the first trade performed on the trading account (the entire account lifetime is taken into account, not just the period since its registration as a signal).

The number of trades that fixed profit/loss.

The percentage of profitable trades of the total.

The signals are available for others to view. The category does not contain demo signals, because they are not displayed on the Signals showcase on MQL5.community.

Private signals are only visible to you.

Signals moved to archive (for example, due to the long absence of trading activity).

Signals with the monitoring turned off.

Click the signal to edit it.

Editing the signal

Move to the signal monitoring and click "Edit" in the upper right corner. The form filled out when adding the signal will be displayed. Only the following parameters can be changed:

  • enable/disable signal;
  • set signal as private/public;
  • signal name;
  • account password;
  • subscription price.


Market App Store

Market

Market is the largest store of trading robots and indicators for the trading platform. Here you can purchase or download for free various trading applications. Trading robots and indicators can be tested for free before purchasing.

Applications from the Market are also available for rent. You receive a full-featured product with a limited validity period, but at a lower cost.

If you are a professional trader and programmer, you are welcome to offer your products on the Market. You access to an audience of millions traders and you do not have to worry about payments or licensing: payments are transferred through the MQL5.community payment system, while products are encrypted and tied to buyers' computers.

How to Find the Right Application in the Market?

The Market features a well-developed product filtration and sorting systems. Each product has a detailed description and screenshots. Trading robots and indicators have demo versions. Watch our video to know how to use all these options and make the right choice.

Free Testing of Expert Advisors and Indicators before Purchase

Before making a purchase it is recommended to test desired trading robots and indicators. It is an easy and free-of-charge operation that gives you more confidence in a product. Watch the video for details.

How to Purchase a Trading Robot or an Indicator from the Market?

Any trader can find thousands of trading robots, indicators, financial magazines and books in the Market. You can purchase them straight from the platform. Watch the video to find out the details.

How to Update, Renew the Rental Period and Reinstall Products

All your products are tied to your MQL5.community account or to your computer and are always at hand. You will always know about updates, will be able to renew the rent or download a previously purchased product. Watch the video to find out how easy that is.


How to purchase an application

Market App Store / How to Purchase an App

How to Purchase an Application

The Market features thousands of products for the trading platform. They include trading robots and technical indicators and useful utilities. In addition to purchasing, you can download a variety of free useful applications from the Market.

Thousands of products are featured on the Market. This section will help understand the wide range of application in order to select and purchase the right product.

  • Before starting with the Market, please carefully read the service rules. The rules are published on the MQL5.community website.
  • When you work with the Market service, it is recommended to use your MQL5.community account. You can see information about all your payments and purchased applications in your profile, as well as update applications and install them on other platforms. Specify your account details in the platform settings.
  • Each product is tied to the configuration of the computer it is purchased from. The number of free product activations available to the buyer on another computer after purchasing the product is defined by the seller. The minimum number of such Activations is 4.

How to Choose a Product on the Market

Watch video: How to search and choose applications

Watch video: How to search and choose applications

The Market features a well-developed product filtration and sorting systems. Each product has a detailed description and screenshots. Trading robots and indicators have demo versions. Watch our video to know how to use all these options and make the right choice.

Open the Market tab in your trading platform to move to the main page with a list of the most popular applications.

Use the top panel to move to the desired product category: experts, indicators, panels, utilities, etc. All applications are conveniently grouped based on their price and novelty.

Selecting products on the Market

Product categories

  • Robots for automated trading
  • Indicators for technical analysis
  • Graphic panels for automation of various actions
  • Libraries for extending application functions
  • Analyzers for searching for regularities of the market
  • Utilities performing various tasks

Price and novelty

Products can be additionally sorted by price, novelty and popularity. You can also switch to viewing only free products.

Search

Applications can be searched by name or descriptions. For example, you can type "trend" in the search bar to view the products whose descriptions contain the specified word.

Applications can be searched by name or description. For example, you can type "trend" in the search bar to view the products whose descriptions contain the specified word.

Selecting a product and click on it to see a more detailed description.

A toolbar at the top allows switching between the application information tabs: full description, screenshots and reviews.

General information about the product

Screenshots

View product screenshots to understand how it works.

Reviews

It is important to read the feedback and comments of other traders who have purchased and tested the application.

Favorites

If you like a product but are not sure about purchasing it, add it to Favorites. So you can easily get back to it at any time. All Favorite products are displayed on a separate tab.

Rating

Every customer can rate a product and give it 1 to 5 stars. Check out the product rating before transferring the payment for it.

Price and number of activations

Information about the application price, as well as the cost of its rent is it is available.

All programs downloaded from the Market are securely encrypted. This is to protect them from unauthorized use.

Encryption is performed so that the product can be run only on the computer from which it is downloaded. The process of product binding to a computer is called activation.

Every product on the Market is provided with at least 5 activations: one is used during purchase, the other four are additional.

A seller may choose to increase the number of available activations. Read more about the activations in the service rules.

Product category

The category defines the essence of a product:

  • Trading robot
  • Technical indicator
  • Panel for trade automation
  • Libraries for expanding program functionality during development
  • Analyzer for data research
  • An assistant utility

You can view other products of the same category by clicking on its name.

Current version

If you have already purchased the application, compare your version. Perhaps an update is available for you.

Updated

The date of the last update. If a product has been updated recently, it means the author continues to improve it.

Author

Click on the name of the product author to view their profile on MQL5.community.

How to Add a Product to Favorites

A huge number of products is available for purchasing. When searching for products, you can add any of them to Favorites in order to select the best one. Add/remove a product from Favorites by clicking Add to Favorites on the list and overview page.

All Favorite products are displayed in a separate tab:

How to Test a Product before Purchasing

Watch the video: How to test Expert Advisors and Indicators before purchase

Watch the video: How to test Expert Advisors and Indicators before purchase

Before making a purchase it is recommended to test desired trading robots and indicators. It is an easy and free-of-charge operation that gives you more confidence in a product. Watch the video for details.

Before purchasing an application you can download its demo version. To do this, click on the product and then click "Free Download".

Demo versions have some limitations:

  • A demo version of an Expert Advisor cannot be launched on an online chart of the trading platform. Its trading part can be tested only in the Strategy Tester;
  • A demo version of an indicator cannot be launched and viewed on an online chart. Its behavior can only be seen in the Visual testing mode in the Strategy Tester.

To quickly start testing an application in the Strategy Tester, run it from the Navigator window.

Testing a demo application

Next click "Test". The application will be selected in the Strategy Tester. You only need to set parameters and start testing.

Once the testing process is over, review the detailed report in the Results tab to evaluate the trading strategy based on various trading figures and charts. The details of trading operations performed by the Expert Advisor can be viewed in the tester logs.

Indicators are tested in the visual mode. You can view their behavior on a chart, which is plotted based on a sequences of ticks simulated in the tester.

How to Purchase an Application

Watch video: How to purchase a trading robot or an indicator from the Market?

Watch video: How to purchase a trading robot or an indicator from the Market?

Any trader can find thousands of trading robots and indicators in the Market. You can purchase them straight from the platform. Watch the video to find out the details.

To purchase an application, click on it and then click the "Buy" button.

  • The price of a product is displayed under its logo.
  • Before buying a product, specify your MQL5.community account in the platform settings.

Purchasing a product

To transfer a payment, you can use your MQL5.community account funds. To do this, select MQL5 payment method.

Enter the password of your MQL5.community account to confirm your purchase. The specified amount is deducted from your account, and the product is downloaded to your platform.

Making a purchase, you agree to the Rules of Using the Market Service.

If you do not have enough money on your MQL5.community account, you can pay via one of the available payment systems directly in the platform. To maintain a clear and unified history of purchases from the Market, the required amount is first transferred to your MQL5.community account, from which a payment for the product is made then.

The page of the corresponding payment system is opened after you select a payment method. Specify the necessary payment details: your login and password in the payment system or card information.

The specified amount is deducted from your account, and the product is downloaded to your platform.

  • All purchases and downloads are displayed on the Purchased tab.
  • Products are downloaded to the /MQL5/program_type/Market/ platform folder, where program_type is an application type. For example, Expert Advisors are downloaded to /MQL5/Experts/Market/.

Where can I see my purchases?

The "Purchased" tab displays all the products downloaded and purchased using the current MQL5.community account. If MQL5.community account data are not specified in the platform settings, the tab name changes to "Downloads". It displays all downloads and purchases made in the current trading platform regardless of the account.

This tab displays the name, price and date of product purchase/download. Demo versions are labeled as Demo. If you click on the product category, it will be selected in the Navigator window.

How to Install an Earlier Purchased Application

Watch video: How to update, renew the rental period and reinstall products

Watch video: How to update, renew the rental period and reinstall products

All your products are tied to your MQL5.community account or to your computer and are always at hand. You will always know about updates, will be able to renew the rent or download a previously purchased product. Watch the video to find out how easy that is.

You may need to move a previously purchased application to another platform. For example, you may use several trading platforms on one or several computers.

If you use several platforms on the same computer, copy the ex5 file of the application to a similar folder of the target platform. For example, you should copy a file from [source trading platform]\MQL5\Indicators\Market to [target trading platform]\MQL5\Indicators\Market.

If you need to move a previously purchased product to another computer:

  • Specify your MQL5.community account data on the Community tab of the target platform.
  • Open the "Market" tab and move to the Purchased section. Click "Install" near the purchased product:

Installing the previously purchased product

Each product is tied to the configuration of the computer it is purchased from. According to "Market" service Rules, the number of free product activations available to the buyer on another computer after purchasing the product is defined by the seller. The minimum number of such Activations is 4. Further on, a user will have to purchase them again.

How to Update an Application to the Latest Version

From time to time sellers may release updated versions of their products to increase reliability and extend functionality.

  • All updates of previously purchased products are free of charge.
  • Updates of products become available in the trading platform with a short delay after they are published in the Market on MQL5.community.

To check whether new versions of your previously purchased or downloaded products are available, go to the "Purchased" tab.

If a new version of a product is available, you will see the corresponding message against it as well as the "Update" button (or the "Update demo" button for demo version of paid products).

Once this button is pressed, the new version will be downloaded. The new file replaces the previous one. Thus if need, save the old version of the file under a different name or outside of the directory [platform data folder]\MQL5\Market\.


How to Rent a Product

Market App Store / How to Rent a Product

How to Rent a Product

The Market products can be rented for 1, 3, 6 or 12 months. For buyers, the rent is another opportunity to assess a product before buying a full license. Unlike demo versions that can be launched only in the strategy tester, rented products have no limitations except for validity period.

Rental period and fee, as well as the very possibility to rent are set by product developers. Therefore, some products may be unavailable for rent.

Rental fee and period are displayed under a product logo:

Click Rent and select the rental period. As in the case of the full versions, you can pay for your purchase via your MQL5.community account or using one of the available payment systems.

After the period expires, rented products stop their operation automatically. For example, a rented trading robot is automatically removed from a chart. So, be careful not to leave your positions unattended if they have been managed by a rented Expert Advisor.

The following entry is periodically displayed in the platform Journal one day before the end of the rental period:

Licence of 'product.ex5' expires on 02.03.2015. Please renew the license, otherwise the program will be stopped

In order to renew a rental period or buy a full version, go to Purchased section.

Rental period expiration date is shown to the right of a product name. The current period expiration time is considered to be the beginning of the renewed rental period. Thus, you can renew the rent in advance without losing the time remaining till the current period expires.

If you want to purchase a full version, click Buy. In this case, you pay the full cost of a product. Previously paid rental fees are not considered.


How to Become a Seller

Market App Store / How to Become a Seller

How to Become a Seller

The trading platform has an audience of millions traders. Become a Seller in the Market to access this audience through your products that are featured straight in the trading platform. In addition, all products are available online in the Market section of MQL5.community.

You need a valid MQL5.community account in order to sell products through the Market. If you do not have an account yet, please register.

How to Register as a Signal Provider

If you want to offer your products in the Market, you need to register as a Seller. Move to the "Seller" section of your profile at MQL5.community.

Start registration as a Signals Provider

Click "Register" and fill out the form below:

Specify your personal data in the form as accurately as possible:

  • First name — your real first name.
  • Last name — your real last name.
  • Company — if you want to register as a company (a legal body), enable "register as company" option and specify the company name. If you register as a company, all further data should belong to the specified company.
  • Country — country of residence.
  • Address — full address including street name, house or apartment number.
  • City/Town — city/town of residence.
  • State — state name.
  • Postal code
  • Phone — phone number.
  • Mobile phone — mobile phone number, so that we can contact you.
  • For private individuals — if you register as a private individual, upload a scanned copy of your personal identity document (for example, passport or driving license).
  • For legal entities — if you register as a legal entity, additionally upload a scanned copy of your certificate of incorporation.

After filling out all the data, examine the Rules of using the Signals and Market service. If you agree with the Rules, tick the option "I agree with rules of the Market and Signals services". If you do not agree with the Rules, do not register as a Signals Provider.

Click "Register" to complete the registration process. After that, your application will be sent to the website administration. Decision will be made within a few working days.

You can track your registration status on "Seller" tab of your MQL5.community profile.

The application is being processed

You will know the result (approval or refusal) on this page. You will also be notified by a personal message.

If you have any questions, write a message for the administration on "Comments" tab.

How to Publish a Product

Products are published on the MQL5.community website. Open the Market and click "Add product".

Adding a product

For convenience, product details are added in a few stages. In the first step specify the basic information.

General product information

Title

The product name must begin with a capital letter and must be easy to understand for non-professionals. Only Latin characters and numbers are allowed. The length should not exceed 50 characters. Please do not use unreadable or short names. Also, do not insert the version number into the name and do not overuse abbreviations and acronyms.

Type

Select the application type: Expert Advisor, Indicator or Script. This is the physical type of the software. A purchased application is saved in the appropriate folder based on its type: Experts\Market, Indicators\Market or Scripts\Market.

Category

The category defines the essence of a product:

  • Trading robot
  • Technical indicator
  • Panel for trade automation
  • Libraries for expanding program functionality during development
  • Analyzer for data research
  • An assistant utility

Price

If you wish to offer your product for free, activate the appropriate option. Otherwise, specify at least one price:

  • For unlimited use — the price for the full product version with an unlimited validity period
  • 1, 3, 6 or 12 months' rent price — rented products have no limitations except for validity period

The minimum price for all products in the Market is 10.00 USD.

The Market service commission of 20% is charged on purchases. If the sold product price is 100 USD, the Seller receives 100 USD - 20% = 80 USD.

Therefore, take into account the commission when setting the desired product price.

Then specify the number of available activations. All programs downloaded from the Market are securely encrypted. This is to protect them from unauthorized use. Encryption is performed so that the product can be run only on the computer from which it is downloaded. The process of product binding to a computer is called activation. Every product on the Market is provided with at least 5 activations: one is used during purchase, the other four activations are additional. A seller may choose to increase the number of available activations. Find out more about the activations in the service rules.

Once you specify all the required data, you will be able to move to the next steps.

Each tab contains recommendations for product description design and links to useful articles. Be sure to review these materials.

Logo and Description

Adding a logo and description

Upload an image that will be the logo of your product. It should be two versions of the logo: a full-size picture 200 * 200 and a smaller one 60 * 60.

A logo is the face of your product. Prepare an attractive, high-quality image, which reflects the essence of your product and symbolizes your brand. The article Tips for an effective product presentation on the Market contains recommendations on how to prepare products.

Give the details about your product and operation features on the Description tab. Start with general information to immediately give an idea about the product, and then specify the particular operation and configuration features, add recommendations on trading conditions and describe the input parameters. If you cannot prepare a description in Russian, the Market service employees will add a translation for your product.

Screenshots and Product File

Adding screenshots, videos and product file

Add high-quality screenshots of your product that best demonstrate its operation. Please follow the requirements:

  • Text in the screenshots should be in English.
  • The required screenshot size is 640 * 480 pixels
  • You can upload up to 12 images

Try not to scale the screenshots to preserve the readability of text.

A perfect complement to the product description is a video tutorial. Upload it to YouTube and add a link to it on the Screenshots tab.

On the "Version" tab, upload the file of the product. You can upload only one compiled EX5 file. If a product requires custom indicators, sounds or images, add them to resources.

  • For reasons of security, use of DLLs in products is prohibited.
  • Products may not contain any operation restrictions depending on the account type, account number, financial instrument and so on.

After completing the above stages send a product to the moderator for review.

Sending a product for review

The review procedure can take up to seven working days. If moderators have questions or comments to the operation of your product, they will add them in the "Moderator's comments" section. Make the required corrections and resubmit your product for review.

After that your product is published. All your products are available in "My products" section.

How to Release a New Version of the Product

To publish an updated version of the product containing functionality enhancements and fixes, open the "Version" tab and click "New Version".

Sending a new version of the product

Upload the product file and describe what has changed in the new version. The history of all changes is available to users in a separate product tab "What's New".

How to Change the Product Information

If you want to update the logo, description or screenshots of a published product, you need to contact the service moderators. Write a query in the "Moderator's comments" section and attach new images or description.


MQL5 Cloud Network

MQL5 Cloud Network

The MQL5 Cloud Network allows organizing the exchange of computing resources between those who need them, and those who can provide idle CPU time of their computers.

MQL5 Cloud Network

Using the Network

If you need the processing power of the MQL5 Cloud Network, you can access it from the trading platform. Open the Strategy Tester window, which displays both local agents and the MQL5 Cloud Network agents divided into segments on a territorial basis. For quick access and better load balancing, all agents are registered at the nearest MQL5 Cloud Network access point.

The MQL5 Cloud Network provides traders with the opportunity to quickly optimize automated trading systems written in the MQL5 programming language, while enabling the owners of free resources to make money.

Participation in the Network

In addition to the use of the MQL5 Cloud Network computing power, you can provide your resources and earn money.

To join the MQL5 Cloud Network, you do not need to install the entire trading platform. Download the specially created installer that allows you to quickly and easily install the MetaTester, an application for managing remote agents on the computer. If you have already installed the trading platform, you only need to run the MetaTester.

After a simple setup you join the MQL5 Cloud Network and start earning. Statistics on the use of the network and your earnings for the CPU power provided is conveniently collected in your profile on the MQL5.community. Information about agents appears in your profile immediately after they fulfill their first task.

  • Participation in MQL5 Cloud Network is absolutely safe. Agents cannot be remotely connected to MQL5 Cloud Network. A user decides whether to participate on the network and enters the MQL5.community account, to which the funds will be transferred, via the MetaTester application interface.
  • Read more about the MQL5 Cloud Network on the official site.


How to Use

MQL5 Cloud Network / How to Use

How to Use

The MQL5 Cloud Network allows you to quickly optimize your Expert Advisors using the power of thousands of computers. The network combines remote agents and distributes optimization tasks among them. The Strategy Tester connects to the cloud network through multiple access points, which are distributed on a territorial basis (e.g., MQL5 Cloud Europe).

Features of the MQL5 Cloud Network

  • The entire power of the MQL5 Cloud Network is used only for complete slow optimization.
  • During genetic optimization, only agents of one access point are used. It is connected with the specific features of the genetic algorithm.
  • The genetic optimization mode is automatically enabled when the total number of optimization steps exceeds 100 million.
  • MQL5 Cloud Network can be used in 64 bit systems only.
  • In addition to using the MQL5 Cloud Network, you can provide your CPU computing power in the network. To install the remote agents and include them into the network, use a special utility MetaTester.
  • Read more about the MQL5 Cloud Network on the official site.

Payments for the Use of the MQL5 Cloud Network

  • Using agents of the MQL5 Cloud Network is paid. The formula for calculating the cost is described in a separate section. The current MQL5.community account balance is displayed above the list of cloud agents.
  • To use MQL5 Cloud Network a user need to have at least 1 US dollar on the MQL5.community account. Tasks are packaged and delivered to several access points simultaneously, and the user must be able to pay for completion of that tasks. The Network is not able to calculate the exact cost as the time and resources required for calculations cannot be estimated precisely before the start of calculations.

Enabling MQL5 Cloud Network

To use the network agents, enable them using command " Enable Enable" in the context menu of the Agents tab of your Strategy Tester. Since the MQL5 Cloud Network is a paid service, a user must have an account at the MQL5.community website, through which all the accounting operations are performed. Account details are specified on the MQL5.community tab of the platform settings.

If you do not specify the details of your MQL5.community account before enabling the MQL5 Cloud Network agents, you will be offered to do this.

Enabling MQL5 Cloud Network

If you have not registered on the website, use the new account creation link.

Starting Calculations Using the MQL5 Cloud Network

Like with a conventional optimization, you need to set all the testing options and Expert Advisor input parameters. On the Agents tab, you can monitor how the Strategy Tester distributes tasks to available agents. The number of available and currently used agents is displayed for each access point.

Running distributed computing using the MQL5 Cloud Network Agents

Traders may need to run hundreds of thousands of optimization passes in a reasonable time. With the multi-threaded Strategy Tester and the MQL5 Cloud Network, in one hour you can complete the calculations that would require a few days without the network. The computing power of thousands of cores is available straight on the trading platform.

Task Execution Reports

The details of the calculations performed using the MQL5 Cloud Network are available in your MQL5.community profile.

Task execution reports

The report displays information about the tested Expert Advisors, the number of test runs and the amount of money spent.


How to Participate

MQL5 Cloud Network / How to Participate

How to Participate

By participating in the MQL5 Cloud Network you can earn providing the processing power of your computer. Install testing agents using a manager and specify your MQL5.community account, to which the payment will be transferred. Agents automatically receive computation tasks, no further user action is required. You can control the amount of work done and payments in your MQL5.community profile.

How to Install the Agent Manager

To join the MQL5 Cloud Network, you do not need to install the entire trading platform. Download the special installer that lets you quickly and easily install the MetaTester application for managing remote agents on a computer.

To connect your agents to the MQL5 Cloud Network, the computer where the agents are installed must have at least 2048MB of RAM. Agents can be installed in 64 bit systems only.

Installation of the agent manager

The installation is a multi-step process:

  • Read the welcome message.
  • Read the license agreement. If you agree with the terms of the agreement, select "I accept the agreement terms" and click "Next." If you do not agree with the agreement, you should exit the installation program.
  • Specify the folder in which you want to install the application, and the folder to create the shortcuts in the Start menu. If you check the option "Don't create a Start Menu folder", program shortcuts will not be created.
  • Complete the installation. You can directly move to agents setup and open the MQL5 Cloud Network website.

How to Install and Configure Agents

To start providing your computing power in the MQL5 Cloud Network, install and run the MetaTester.

To install agents, click the "Add" button on tab "Services". The MetaTrader 5 Agents Manager automatically determines the number of logical cores and installs the appropriate number of testing agents. By default, single password "MetaTester" is set for all agents. All agents are available in the local network at the same IP address, but each is assigned a separate port. If necessary, you can specify different port numbers or a password. These settings do not influence the use of the agents in the MQL5 Cloud Network.

  • To participate in MQL5 Cloud Network, the number of agents should not exceed the number of logical processor cores.
  • To connect your agents to the MQL5 Cloud Network, the computer where the agents are installed must have at least 2048MB of RAM.
  • If you access the Internet via a proxy server, specify its settings in the trading platform or in Internet Explorer.

On the "MQL5 Cloud Network" tab, check the box "Sell computing resources through a MQL5.community account", so that agents are available to all users of our network of distributed computing. To sell the processing resources of your agents to other users, you need to indicate a valid account at MQL5.community. Payments for the used resources will be transfered to this account.

MQL5 Cloud Network

If the MQL5.community account is invalid or not specified at all, the computational power of agents will be provided for free.

The last setting on the "Scheduler" tab allows you to set a schedule, specifying the time when your agents will be available on the MQL5 Cloud Network. For example, you can disable execution of tasks during working hours, if you need the computer power at this time.

Configuration of agents is over. Now you can close the window of the MetaTrader 5 Agents Manager. Your agents run as services and do not require your attention. If necessary, you can anytime change their settings by running the MetaTrader 5 Strategy Tester from the Start menu or the desktop shortcut.

Managing Agents on MQL5.community

You can also manage your agents from your profile on the MQL5.community. All the required information is available in the "Agents" section: computer configuration, IP address, rating, number of completed tasks and the amount of earnings.

Managing agents through the MQL5.community profile

When you point your mouse cursor over an agent, the "Disable" and "Delete" icons appear.

Restrictions of Participation on MQL5 Cloud Network

There are several limitations of participation on MQL5 Cloud Network:

  • An agent should have at least 768 MB of available physical memory to perform calculations.
  • To connect your agents to the MQL5 Cloud Network, the computer where the agents are installed must have at least 2048MB of RAM.
  • The agent's productivity index (PR) should not be less than 50.
  • Agents installed on a virtual machine cannot participate in MQL5 Cloud Network.
  • Agents having PR below 100 are not used in genetic optimization in order not to slow down the calculation process. The reason is that the calculation is performed by generations (256 passes). While one generation is not calculated, calculation of the next one cannot start. Even if a single pass out of 256 ones is calculated by a low PR agent, the total calculation speed is reduced.
  • An agent will not be able to receive new tasks from the MQL5 Cloud Network if the free disk space on the computer where the agent is installed falls below 500MB.
  • Agents do not receive tasks from the cloud network in case the PC they are installed at is powered by a battery (it refers to laptops).

Command Line Configuration of Agents

MetaTester can be launched from the command line.

The command line does not allow to adjust the parameters of the agents connection to MQL5 Cloud Network including such parameter as MQL5.community account, to which the funds for the agents submission will be transferred. Such a possibility has not been provided to ensure safe operation with the computing network.

Therefore, parameters of the agent participation on MQL5 Cloud Network should be additionally configured after their installation. To do this, run MetaTester, check the appropriate options and specify your account.

The following keys can be used for working with the agents in the command line mode:

  • /install /address:address:port /password:password — install the tester agent on a specified IP address and a port with a specified password. Example:

c:\>metatester.exe /install address:192.168.0.1:2000 /password:akq1skdj
  • /uninstall /address:address:port — delete the tester agent that has been previously installed on a specified IP address and a port. Example:

c:\>metatester.exe /uninstall address:192.168.0.1:2000
  • /start /address:address:port — launch the agent that has been previously installed on a specified IP address and a port.

c:\>metatester.exe /start address:192.168.0.1:2000
  • /stop /address:address:port — stop the agent running at a specified IP address and a port.

c:\>metatester.exe /stop address:192.168.0.1:2000
  • /restart /address:address:port — restart the agent running at a specified IP address and a port.

c:\>metatester.exe /restart address:192.168.0.1:2000
  • /shutdown — stop all running agents.

c:\>metatester.exe /shutdwon
  • /autouninstall — remove all previously installed agents.

c:\>metatester.exe /autouninstall
  • /help or /? — call the help on command line launch.

c:\>metatester.exe /?


Price Calculation

MQL5 Cloud Network / Price Calculation

Price Calculation

This section describes the formula of price calculation for providing and using the agents of the MQL5 Cloud Network.

All the financial operations connected with the MQL5 Cloud Network are performed through the internal payment system of MQL5.community. You can view all the financial operations on the MQl5.community website in the profile of the user account used for working in the MQL5 Cloud Network.

Tester agent productivity and the time it spent for a task execution are taken into account when calculating payment amounts. Each tester agent has its productivity index - PR. The higher the CPU productivity, the higher this index and the more calculations an agent can perform per unit time.

Calculation of funds for executed calculations is arranged as follows. Payment for a tester agent having PR=100 is 0.02 USD per hour. One work unit is equal to one quantum that is equivalent to the work of an agent having PR=1 in 1 ms (1 millisecond). Therefore, the cost of one quantum is calculated as follows:

QuantPrice=0.02 USD/(100PR*3,600,000ms)=5.55556E-11 USD

The table below shows the calculations for the work of a single-core agent having PR=100 within 1 hour and 1 month.

Time range | QuantPrice, USD/(PR*ms) | Agent PR | Time, ms | Amount, USD
1 hour | 5.55556E-11 | 100 | 3,600,000 | 0.02
1 month | 5.55556E-11 | 100 | 2,592,000,000 | 14.40


Virtual Hosting for 24/7 Operation

Virtual Hosting

Virtual hosting is a service providing the round-the-clock operation of the trading platform. That may be necessary in the following cases:

  • a trader has a trading robot developed by his or her efforts or ordered from programmers;
  • a trader has an Expert Advisor purchased from the Market;
  • a trader has subscribed to a Signal.

All these cases require constant connection to a trade server and uninterrupted power supply. Using a home PC is not always possible and convenient.

There is a convenient and fast solution for all traders — you can rent a virtual server for you trading account straight from the trading platform.

Unlike renting ordinary VDS or VPS from third-party companies, you are able to select the server that is the closest to your broker thus minimizing the network latency when sending orders from the platform to the trade server.

The payment for using the service is conveniently performed via MQL5.community. If you do not have an account yet, please register. The account should be specified in the platform settings.

How to Rent a Virtual Platform

A detailed how-to description that will help to rent a virtual hosting directly from a trading platform. It is simple: choose the nearest server and payment plan to let your robots and signals run 24 hours a day.

Preparing Migration of Trading Robots and Signals

How to setup a trading environment, in order to execute your trading robots and signals on a virtual platform for 24 hours a day?

How to Control Resources and Manage Virtual Hosting Subscriptions

Watch the video to learn how to analyze the virtual hosting resources report and how to control your subscriptions.


Register a Server

Virtual Hosting for 24/7 Operation / Register a Server

Register a Server

To receive a virtual platform, connect using the appropriate trading account, open the context window of the Navigator and execute " Register a virtual server Register a Virtual Server" command.

Watch video: How to rent a virtual platform

Watch video: How to rent a virtual platform

A detailed how-to description that will help you to rent a virtual hosting directly from a trading platform. It is easy: choose the nearest server and payment plan to let your robots and signals run 24 hours a day.

Registering a virtual server

The Virtual Hosting wizard will automatically select the server that is closest to your broker. In the wizard window, you will see how ping (network latency) will decree compared to your current connection. Lower network latency between your platform and the broker's server provides better condition for the execution of trading operations, such as reduced slippage and probability of getting re-quotes.

Select the appropriate plan and click "Next". Service plan conditions are defined by hosting companies.

The Virtual Hosting wizard automatically selects the server that is closest to your broker.

  • A free test period may be provided to try out the service.
  • You can change the selected service plan after the rental period expires.

If your MQL5 account is not specified in the trading platform settings, the Virtual Hosting wizard will prompt you to add one. In order to rent a virtual platform, you need to have a valid MQL5.community account. You can register account right away if you do not have any.

Enter your MQL5 account or register

Click "Next" and check all the data: the trading account, for which you are going to rent a virtual hosting, as well as the cost of subscription.

Checking data and hosting rental confirmation

To continue, you should agree with the Virtual Hosting service rules. Read them carefully.

If you want the rental period to be renewed after its expiration with the same payment plan, enable the option "Automatically renew subscription with sufficient funds and terminal activity". The renewal can be performed only if there are enough funds on your MQL5.community account to pay for the rent and the rented server is running.

After clicking Next, the server renting process is finished and the appropriate payment is deducted from your account. If funds on your account are not enough to pay for the service, you will be asked to pay for a virtual hosting subscription using any of the available payment systems.

If the rent is canceled by a user, no refund is made.

Completion of the server registration

You can transfer the platform environment to the virtual server immediately. Select the necessary migration type and click "Migrate now". If the platform is not prepared yet, click Finish to perform migration later.

Paying for Hosting Directly from Payment Systems

If you do not have enough money on your MQL5.community account to pay for hosting, you do not necessarily need to go to the site and add money to your account. A payment for hosting can be transferred directly through one of the payment systems. Just click "Next" after selecting a payment plan. Select the appropriate system and transfer the payment.

Paying for hosting directly through a payment system

To maintain a clear and unified history of rented virtual servers, the required amount is first transferred to your MQL5.community account, from which an appropriate payment is made.

After payment you are redirected to the final stage, where you can immediately transfer your platform.


Migration

Virtual Hosting for 24/7 Operation / Migration

Migration

Migration is transferring the current active environment from the trading platform to the virtual one. This is a simple and straightforward way to change the set of launched programs, open charts and subscription parameters in the virtual platform.

Preparing for Migration

Before you launch a virtual platform, prepare an active environment for it — charts, running indicators and Expert Advisors, Signal copying parameters and platform settings.

Watch video: Preparing to migrate robots and signals

Watch video: Preparing migration of robots and signals

How to setup a trading environment, in order to execute your trading robots and signals on a virtual platform for 24 hours a day?

Charts and Market Watch

In the Market Watch window, set up the list of symbols critical for your Expert Advisors' operation. We recommend that you remove all unnecessary symbols to decrease the tick traffic received by the platform. There is no point in keeping hundreds of symbols in the Market Watch if only a couple of them are used for trading.

Open only the charts that you really need. Although there are no limitations on the number of open charts, there is no point in opening unnecessary ones. Color settings do not matter.

Set "Max bars in chart" parameter in Charts tab of the platform settings. Some custom indicators are developed in a wasteful way and perform calculations on all history available on the chart. In that case, the lesser the specified value, the better. However, make sure that the indicator works correctly with these settings by restarting the platform after changing the parameter.

The virtual platform is designed so that it automatically downloads all available history from a trade server, but not more than 500 000 bars are available on a chart.

Indicators and Expert Advisors

Apply to the charts all indicators and Expert Advisors that are necessary for the autonomous operation of the platform. Most trading robots do not access data of indicators on the charts, so check out and decide what you really need.

Products purchased from the Market and launched on the chart are also moved during migration. They remain completely functional, and the number of available activations is not decreased. Automatic licensing of purchased products without spending available activations is provided only for the virtual platform.

  • DLL calls are completely forbidden in the virtual platform. During the first attempt to call a function from DLL, the running program stops with a critical error.
  • During platform synchronization with the virtual server, charts without Expert Advisors are ignored, even if custom indicators are running on these charts. If you need to migrate a custom indicator, run it on the chart of an "empty" Expert Advisor that does not perform operations. Such an Expert Advisor can be easily generated using the MQL5 Wizard in MetaEditor by selecting "Expert Advisor: template". This is to ensure that indicators are migrated on purpose.

All external parameters of indicators and Expert Advisors should be set correctly. Check them once again before you start synchronization.

Scripts cannot be moved during migration even if they are running in an endless loop on the chart at the time of synchronization.

Configuring Email, FTP and Signals

If an Expert Advisor is to send emails, upload data via FTP or copy Signal trades, make sure to specify all the necessary settings. Specify the login and password of your MQL5.community account on the Community tab. This is required for Signal copying.

Permission to Trade and Copy Signals

The automated trading is always allowed in the virtual platform. Therefore, any Expert Advisor with trading functions running during synchronization can trade on the virtual platform after the migration. Do not launch the Expert Advisors you are not sure about.

When you transfer Expert Advisors, the automated trading function is automatically disabled in the local platform. This is done to prevent the situation when two platforms connected with the same account trade through the same Expert Advisor.

Regardless of whether auto trading is allowed or forbidden in your platform or in the properties of a running Expert Advisor, any trading robot is allowed to trade after being moved to a virtual platform.

Set the desired trade copying parameters on the Signals tab. If a trading account has an active subscription and trade copying is allowed, permission to copy signals is disabled in the trading platform during migration. This is done to prevent the situation when two platforms connected to the same account copy the same trades simultaneously. It is not necessary to turn on signal copying on the local platform when migrating to a virtual platform where the signal is already running.

The "Synchronize positions without confirmations" setting is always enabled in the virtual platform. The virtual platform has no user interface, the operations are copied only automatically, and it is impossible to confirm them manually.

Trade copying is automatically enabled on the virtual platform once the migration is complete. Message about copy cancellation on the local platform is also repeated in the journal.

Setting WebRequest

If a program that is to operate on the virtual platform uses the WebRequest function for sending HTTP requests, set permission and list all trusted URLs on the Expert Advisors tab.

Migration

Migration is performed every time you synchronize the trading platform. Synchronization is always a one-direction process — the local platform environment is moved to the virtual platform, but never vice versa. The virtual platform status can be monitored via requesting the platform and Expert Advisor logs, as well as virtual server monitoring data.

To perform synchronization, open the context menu and select the migration type. There are several types of migration that should be used depending on the objective:

  • All — a complete migration is necessary if you want to simultaneously launch Expert Advisors/indicators and trade copying. In this mode, account connection data, as well as all open charts, signal copying parameters, running Expert Advisors and indicators, FTP and email settings are copied to the virtual server.
  • Experts — only Expert Advisors and indicators are transferred, if subscription to Signals is not required. Unlike the complete migration, signal subscription parameters are not transferred in this mode.
  • Signal — only Signal copying settings (no charts or programs) are transferred. In this mode, account connection data, signal copying parameters, FTP and email settings are transferred to the virtual server.

Thus, you can anytime change the number of charts and the list of symbols in the Data Window, the set of running programs and their input parameters, platform settings and Signal subscription.

All available history data of open charts is automatically uploaded during the first synchronization. Uploading history from a trade server can take some time, and all programs running on the charts should process the updated data correctly during the synchronization.

During migration, all the information is recorded in the platform log.

Logging migration process

After the synchronization, open the main journal of the virtual platform to examine the actions performed on it.

Requesting the Journal from the virtual platform

In the newly opened log window, you can set a piece of text the journal entries are to be filtered by and a desired interval. After that, click Request to download the found logs.

Viewing Journal logs

The virtual platform logs are updated during each request and saved to [platform data folder]\logs\hosting.*.terminal\.

Migration Features

The migration process has a number of features:

  • Automated trading is always allowed in the virtual platform even if it is disabled in the local platform settings or in the running Expert Advisor's parameters.
  • Scripts are not transferred during migration even if they have been launched in an endless loop on the chart at the time of synchronization.
  • Charts with non-standard timeframes and symbols are not transferred.


Working with the Virtual Platform

Virtual Hosting for 24/7 Operation / Working with the Virtual Platform

Working with the Virtual Platform

The rented virtual server status can also be easily monitored from the trading platform. The context menu of the server in the Navigator window allows you to:

  • View the virtual server data
  • Synchronize the environment by performing the immediate migration
  • Request the platform and Expert Advisor operation journal
  • Stop the server
  • Cancel hosting

View the virtual server data

Watch video: How to control resources and manage subscriptions

Watch video: How to control resources and manage subscriptions

Watch the video to learn how to analyze the virtual hosting resources report and how to control your subscriptions.

Details

To view the virtual server data, click " Details Details in its context menu. The information is presented in several tabs.

Details

The following information is displayed here:

  • Hosting server name and your virtual platform ID.
  • Ping in milliseconds displaying the network delay between the virtual server and the trade server of your broker.
  • Virtual server status: started, stopped. Here you can also enable/disable the virtual server and cancel the rent.
  • The payment plan selected when registering the server.
  • The date of registration, the MQL5.community account for which the virtual platform is registered, and the current balance of the account.
  • Last synchronization date and its type. Here you can also perform immediate synchronization of the current platform environment.

CPU, RAM and Hard Disk

Graphs visualize CPU, RAM and hard disk usage. Make sure that your program does not consume too many resources.

CPU, Ram and hard disk usage graph

Virtual Platform Logs

You can view the virtual platform journal to control its operation.

Requesting the Journal from the virtual platform

In the newly opened log window, you can set a piece of text the journal entries are to be filtered by and a desired interval. After that, click Request to download the found logs. Here you can also select the journal type:

  • Terminal — logs about all events taking place in the platform including trade operations.
  • Experts — information about the Expert Advisor and indicator operation.

Viewing Journal logs

The virtual platform logs are updated during each request and saved to [platform data folder]\logs\hosting.*.terminal\.

If a user requests too many records, only part of the first logs for the specified period are downloaded. This prevents performance degradation resulting from large logs. If you want to download further logs, you do not need to change the request period. Simply select the last line in the log viewer window and press PgDn.

Stopping the Server

Stopping the server means the temporary shutdown of the virtual platform. This action is similar to closing the platform on your computer. It is performed using the " Stop the server Stop Server" command in the server context menu in the Navigator window.

To launch the platform, execute the " Start Server Start Server" command.

Canceling Hosting

Hosting cancellation means the virtual server is no longer provided and the virtual platform is completely deleted.

  • During cancellation, the virtual hosting is completely deleted with all data transferred to it during the migration.
  • No refund is made in case of hosting cancellation. The rental payment can be returned only within 24 hours after the virtual server has been registered.

To cancel hosting, click " Cancel hosting Cancel Hosting" in the server context menu in the Navigator window.

Moving Hosting to Another Trading Account

Virtual hosting is rented for a specific trading account, but it can be moved at any time. Open the "Hosting" section in your profile at MQL5.community.

Find the required subscription, click on the gear button and select "Move". Then specify a new trading account (login) and a new server (broker) if necessary, then click "Move".

Moving hosting to another trading account

Open the trading platform and connect to the account, to which the hosting has been moved. Using the account context menu in the Navigator window, start the server and migrate your trading environment.


Mobile Trading

Mobile Trading

The trading platform provides opportunities for financial trading and market analysis with the most popular mobile devices based on iOS and Android. On mobile platforms, you can manage your trading account, view price charts, use technical indicators and analytical objects. Furthermore, you can read financial news, be notified of important events in the account, and send messages through your MQL5.community account.

Mobile Platform for iPhone/iPad

Features of the Mobile Platform for iPhone/iPad:

  • Realtime charts of financial instruments
  • A complete set of market and pending orders
  • Trading on chart
  • Access to the account's history of trades
  • Technical analysis using 30 major technical indicators and 23 analytical objects
  • Customizable charts and 9 timeframes: M1, M5, M15, M30, H1, H4, D1, W1 and MN1
  • Financial news and internal mail
  • Instant messaging with MQL5.community members

Mobile Platform for Android

Features of the Mobile Platform for Android:

  • Realtime charts of financial instruments
  • A complete set of market and pending orders
  • Access to the account's history of trades
  • Technical analysis using 30 major technical indicators and 23 analytical objects
  • Customizable charts and 9 timeframes: M1, M5, M15, M30, H1, H4, D1, W1 and MN1
  • Financial news and internal mail
  • Instant messaging with MQL5.community members

Moving accounts to the mobile platform

The platform allows you to quickly move the trading accounts from the desktop version to the mobile one. When you switch to download the mobile terminal from the Help menu, the list of your trade servers is remembered. Then, when you install the mobile platform on your iPhone or Android device, a ready list of servers will be shown to you. You can quickly connect to your existing trading accounts. The server of the currently connected account will be displayed first in the mobile platform.

Moving accounts to the mobile platform

In order to successfully move the list of servers, your desktop and mobile devices should be in the same network (use the same Wi-Fi hotspot for Internet connection).


MQL5.community

MQL5.community Previous

MQL5.community

The MQL5.community features multiple useful services — from automated copy trading to the possibility of purchasing ready-made trading robots from the Market and running them 24/7 on a virtual platform.

Here you will find:

  • The Market — the platform allows purchasing any ready-made application from the MQL5 application store. Before purchasing, you can download a trial version and test it in the strategy tester.
  • MQL5 Cloud Network is a powerful distributed computing network available for testing and optimization of Expert Advisors in the Strategy Tester. Thousands of optimization sessions can now be performed in minutes. In addition to using the network, you can provide your own computing capacities and earn profit.
  • MQL5 Storage — personal storage of source codes integrated into the MetaEditor. Keep your code safe and access it from anywhere in the world. The MQL5 Storage features will be expanded soon to allow multiple users to remotely work on one project.
  • Freelance — if you cannot find the desired application in the Code Base or Market, order one from a professional developer in the Freelance section of MQL5.community website.
  • Code Base — download any code published in the Code Base of MQL5.community website. The code is automatically placed in the correct directory and compiled. You only need to run the application from the Navigator window.
  • MQL5 Charts — a special service allowing to post screenshots from the trading platform online and share them in popular social networks.
  • Signals — subscribe to the trading signals of professional traders and receive them straight in the platform.

If you do not have an MQL5.community account, please register and get access to unique opportunities.